//Функция оповещения
function message_info($text) {
	BootstrapDialog.show({
	title: 'Информационное сообщение',
	message: $text,
	animate: true,
	buttons: [
		{
			label: 'Закрыть',
			action: function (dialogItself) {
				dialogItself.close();
			}
		}]
});
}

//Пакет
function userpackage($code) {
	
	$code = parseInt($code);	
	$package = "нет подписки";
	
	switch($code) {
		case 1:
			$package = "Trial";
			break;
		case 2:
			$package = "Mini";
			break;
		case 3:
			$package = "Lite";
			break;	
		case 4:
			$package = "Medium";
			break;
		case 5:
			$package = "Standart";
			break;
		case 6:
			$package = "Super";
			break;
		case 7:
			$package = "Pro";
			break;
		case 8:
			$package = "Mega";
			break;
		case 9:
			$package = "Ultra";
			break;
		case 10:
			$package = "Vip";
			break;
		
	}
	
	return $package;
	
}

//Округление
function round2($number, format) {
	$step1 = $number * 100;
	$step2 = parseInt($step1);
	$step3 = $step2 / 100;
	
	return format == "format" ? accounting.formatNumber($step3, 2, " ", ".") : $step3;
}

function round3($number, format) {
	$step1 = $number * 1000;
	$step2 = parseInt($step1);
	$step3 = $step2 / 1000;
	return $step3;
}

function round4($number, format) {
	$step1 = $number * 10000;
	$step2 = parseInt($step1);
	$step3 = $step2 / 10000;
	return $step3;
}

function round5($number, format) {
	$step1 = $number * 100000;
	$step2 = parseInt($step1);
	$step3 = $step2 / 100000;
	return $step3;
}

function round6($number, format) {
	$step1 = $number * 1000000;
	$step2 = parseInt($step1);
	$step3 = $step2 / 1000000;
	return $step3;
}


//Загрузка кошельков
function getwallets(){
	
	$("section.wallets ul").fadeOut(400);
	
	$.ajax({
		type: 'POST',
		url: '/wallet/getwallets',
		dataType: 'json',
		data: {},
		success: function(results) {
			
			if(results.status == 200) {
			
			$txt = "";
			$date_next = 0; //Обратный отсчет
			
			
			//Проходимся по потенциалам
				
			$potential = round2(results.potential, "format");

			$txt += '<li><a><span class="wallet_in"><span  class="wallet_amount">'+$potential+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span style="line-height: 18px;"><span style="font-weight: bold; font-size: 18px;">Потенциал</span></span></a>';

			$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
			$txt += '<li class="bonus-potential-add" data-ajax="1"><a><img src="/images/plus.png" alt="logo"><span class=" ">Пополнить</span></a></li>';
			$txt += '<li style="display: none;"><a href="#"><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
			$txt += '<li style="display: none;"><a href="#"><img src="/images/lines.png" alt="logo"><span class=" ">Оплатить</span></a></li>';
			$txt += '<li style="display: none;" class="wallets_last"><a href="#"><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';

			$txt += '</li>';
			
			
			//Проходимся по бонусам
			$.each(results.wallet, function (key, val) {
				
				$type = "";
				$bonus_txt = "";
				$class = "";
				val.type = parseInt(val.type);
				switch(val.type) {
					case 1:
						$bonus_txt += '<li class="bonus-active-add" data-ajax="1"><a><img src="/images/plus.png" alt="logo"><span class="">Пополнить</span></a></li>';
						$bonus_txt += '<li class="bonus-active-pay"><a><img src="/images/lines.png" alt="logo"><span class="">Оплатить</span></a></li>';
						$bonus_txt += '<li class="wallets_last bonus-active-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
						$type = "Активные бонусы";
						$class = "active_bonus";
						break;
					case 2:
						$bonus_txt += '<li class="bonus-potential-activate-bonus"><a><img src="/images/plus.png" alt="logo"><span class=" ">Активировать</span></a></li>';
						$bonus_txt += '<li class="wallets_last bonus-promo-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
						$type = "Льготные бонусы";
						val.cash_now = results.potential_archive;
						break;
					case 3:
						$bonus_txt += '<li class="bonus-ref-move" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
						$bonus_txt += '<li class="wallets_last bonus-ref-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
						$type = "Призовые бонусы";
						
						break;	
					case 4:
						$type = "Торговые бонусы";
						break;
					case 5:
						$type = "Будущие бонусы";
						break;
					
				}
				
				$cash_now = round2(val.cash_now, "format");
				$cash_now_rel = round2(val.cash_now);
				
				
				$txt += '<li rel="'+$cash_now_rel+'" class="'+$class+'"><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>'+$type+'</span></span></a>';

				$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += $bonus_txt;
				$txt += '</ul></div>';

				$txt += '</li>';
				
			});
			
			$countdoun_cesonds = 0;
			if(results.date < results.potential_date_next) {
			$txt += '<li><a class="add bonusactivatepotential" rel="'+results.potential_bonus+'"><ul id="countdown"><li style="display:none;"><span class="days">00</span></li><li><span class="hours">00</span> :</li><li><span class="minutes">00</span> :</li><li><span class="seconds">00</span></li></ul></a></li>';
			$countdoun_cesonds = parseInt(results.potential_date_next - results.date);
			} else {
			$txt += '<li><a class="add bonusactivatepotential" rel="'+results.potential_bonus+'">Активировать '+results.potential_bonus+' BP</a></li>';
			}

			$("section.wallets ul").html($txt);
			//Надо передать количество оставшихся секунд $countdoun_cesonds и от них давать обратный отсчет
			if($countdoun_cesonds > 0) {
				$("#countdown").countdown({
					date: "",
					format: "on",
					seconds: $countdoun_cesonds
					},
					function() {
					// callback function
				});
			}
			
		
		
		} //if 200
		
		}
	});
	
	$("section.wallets ul").fadeIn(400);
}


$(document).ready(function () {
	
	//Загрузка кошельков
	//getwallets();
	
	//Проверка инвайта
	$invite_status = $("body").attr("invite");
	$package_status = $("body").attr("package");
	
	if(/*$package_status == 0 && */$invite_status == -1) {
	
	BootstrapDialog.show({
				   message: '<div class="download_invitation_modal"><div class="download_invitation_modal_header"><div class="tab">Ваш Инвайт не активирован</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="download_invitation_modal_wrap"><div class="download_invitation_modal_wrap_in"><p>Впишите код приглашения:</p><form name="" action="" method=""><input type="text" placeholder="Введите код" class="invite_code_activate"></form></div></div></div>',
				   animate: true,
				   cssClass: 'no-title',
				   
				   buttons: [
				{
					label: 'Активировать Инвайт',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						
					$invite_code = $(".invite_code_activate").val();
					
					$.ajax({
						url: '/user/setinviteactivate',
						type: 'POST',
						dataType: 'json',
						data: {
							invite: $invite_code
						},
						success: function (results) {
							if (results.status == 200) {
								
								message_info(results.message);
								$("body").attr("invite", "0");
								dialogRef.close();
							
							} else {
								
								message_info(results.message);
								
							}
						}
					});
						
						
						
					}//
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
				   
				});
				
		} //if($invite_status == 0 && $invite_status == -1) {
	
	
	//==========================================================================================
	//Архивные бонусы
	//==========================================================================================
	
	
	// Отказатся от архивного бонуса
	$('body').on('click', '.archive-bonus-cancel', function () {

		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);

		var id = $(elem).attr('data-id');

		BootstrapDialog.show({
			title: 'Активация бонуса',
			message: 'Вы подтверждаете отмену бонуса?',
			animate: false,
			buttons: [
				{
					label: 'Подтвердить',
					cssClass: 'btn-success',
					action: function (dialogItself) {

						$.ajax({
							url: 'wallet/setarchivebonuscancel',
							type: 'POST',
							dataType: 'json',
							data: {
								id: id
							},
							success: function (results) {
								if (results.status == 200) {
									message_info(results.message);
									$(elem).closest('tr').remove();
								} else {
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
						dialogItself.close();
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}],
			onhide: function(dialogRef){
				$(elem).attr("data-ajax",1);
			}
		});
	});

	// Активация архивного бонуса
	$('body').on('click', '.archive-bonus-activate', function () {

		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);

		var id = $(elem).attr('data-id');

		BootstrapDialog.show({
			title: 'Активация бонуса',
			message: 'Выберите кошелек с которого произойдет списание ЕК на активацию льготного бонуса:<br>' +
			'<select class="form-control modal-input" style="margin-top: 10px;">' +
			'<option value="CRT">Кошелек CRT</option>' +
			'<option value="EUR">Кошелек EUR</option>' +
			'<option value="USD">Кошелек USD</option>' +
			'<option value="RUB">Кошелек RUB</option>' +
			'<option value="UAH">Кошелек UAH</option>' +
			'<option value="KZT">Кошелек KZT</option>' +
			'<option value="PLN">Кошелек PLN</option>' +
			'<option value="MDL">Кошелек MDL</option>' +
			'</select>',
			animate: false,
			buttons: [
				{
					label: 'Подтвердить',
					cssClass: 'btn-success',
					action: function (dialogItself) {
						var code = $('.modal select option:selected').val();
						$.ajax({
							url: 'wallet/setarchivebonusactivate',
							type: 'POST',
							dataType: 'json',
							data: {
								id: id,
								code: code
							},
							success: function (results) {
								if (results.status == 200) {
									message_info(results.message);
									$(elem).closest('tr').remove();
									//getwallets();
									getwallets_potential();
								} else {
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
						dialogItself.close();
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}],
			onhide: function(dialogRef){
				$(elem).attr("data-ajax",1);
			}
		});
	});
	
	
	// Активация архивных бонусов
	$('body').on('click', '.bonus-potential-activate-bonus', function (event) {
		event.preventDefault();

		$.ajax({
			type: 'POST',
			url: '/wallet/getarchivebonus',
			dataType: 'json',
			data: {},
			success: function(results) {

				if(results.status == 200) {

					var html = '<table class="table table-hover table-template"><thead><tr><th>Дата</th><th>Сумма</th><th>Действия</th></thead><tbody>';

					$.each(results.bonuses, function (key, val) {

						val.amount = round2(val.amount, "format");

						var btn = '<a class="archive-bonus-activate" data-id="'+val.id+'" data-ajax="1" href="#">Активировать</a> | <a class="archive-bonus-cancel" data-id="'+val.id+'" data-ajax="1" href="#">Отказаться</a>';
						html += '<tr><td>'+val.date+'</td><td>'+val.amount+'</td><td style="text-align: center;">'+btn+'</td>';

					});

					html += '</tbody></table>';

					BootstrapDialog.show({
						message: '<div class="my_operations_modal_modal"><section class="my_operations_block section"><div class="modal_header"><div class="tab active">Доступные бонусы для активации</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="my_operations_in">'+html+'</div></section></div>',
						animate: true,
						cssClass: 'no-title',
						buttons: [
							{
								label: 'Закрыть',
								action: function (dialogItself) {
									dialogItself.close();
								}
							}]
					});
				} else {
					message_info(results.message);
				}
			}
		});

	});

	
	//==========================================================================================
	//Архивные бонусы //
	//==========================================================================================
	
	
	//Активация бонусов
	$('body').on('click', '.bonusactivatepotential', function () {
				
		$amount = parseFloat($(this).attr("rel"));
		
		BootstrapDialog.show({
		title: 'Активация бонусов',
		message: 'Активировать бонусные '+$amount+' BP ?',
		animate: false,
		buttons: [
			{
				label: 'Активировать',
				cssClass: 'btn-success',
				action: function (dialogRef) {
					
				$.ajax({
					url: '/wallet/setwalletbonusactivate',
					type: 'POST',
					dataType: 'json',
					data: {},
					success: function (results) {
						if (results.status == 200) {
							
							message_info(results.message);
							getwallets_potential();
						
						} else {
							
							message_info(results.message);
							
						}
					}
				});
					
					dialogRef.close();
					
				}//
			},
			{
				label: 'Закрыть',
				action: function (dialogItself) {
					dialogItself.close();
				}
			}]
		});
	
	});
	
	//Активация бонусов
	$('body').on('click', '.bonus-active-history', function () {
				
		$.ajax({
			type: 'POST',
			url: '/user/GetWalletTransactions2',
			dataType: 'json',
			data: {},
			success: function(results) {

				if(results.status == 200) {
					
					console.log(results.transactions);
					
					$txt = '<table class="table table-hover table-template"><thead><tr><th>Дата</th><th>Операции</th><th>Назначение</th><th>Сумма</th><th>Остаток</th><th>Статус</th></tr></thead><tbody>';
					
					$.each(results.transactions, function (key, val) {
						
						$action = val.type == 1 ? "+" : "-";
						$action_class = val.type == 1 ? "held" : "failure";
						
						var $act = "";
						switch(val.action) {
						case "11": $act = "Оплата"; break;
						case "12": $act = "Пополнение"; break; //Пополнение активного бонуса
						case "14": $act = "Пополнение"; val.whose = "Потенциал"; break;
						case "21": $act = "Покупка"; break;
						case "31": $act = "Бонус"; break;
						case "32": $act = "Призовые"; break;
						case "40": $act = "Перевод"; break;
						case "41": $act = "Перевод"; break;
						case "42": $act = "Перевод"; break;
						
						}
						
						$st = "";
						$class = "";
						
						if(val.status == 1) {$st = "Проведен"; $class="held"}
						if(val.status == 0) {$st = "В обработке"; $class="waiting"}
						if(val.status == -1) {$st = "Удален"; $class="failure"}

						
						val.amount_now = round2(val.amount_now, "format");
						val.amount = round2(val.amount, "format");
						
						$txt += '<tr><td>'+val.date+'</td><td>'+$act+'</td><td>'+val.whose+'</td><td class="'+$action_class+'">'+$action+val.amount+'</td><td>'+val.amount_now+'</td><td class="'+$class+'">'+$st+'</td></tr>';
					
					});
					
					$txt += '</tbody></table>';
					
					BootstrapDialog.show({
					   message: '<div class="my_operations_modal_modal"><section class="my_operations_block section"><div class="modal_header"><div class="tab active">Операции</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="my_operations_in">'+$txt+'</div></section></div>',
					   animate: true,
				   cssClass: 'no-title',
				   
				   buttons: [
					
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
					   
					});

					
					
				} else {
					
				}
				
			}
		});
	
	});
	
	//История льготных бонусов
	$('body').on('click', '.bonus-promo-history', function () {
				
		 message_info("Данная опция вскоре будет доступна.")
	
	});
	
	
	
	//История призовых бонусов
	$('body').on('click', '.bonus-ref-history', function () {
				
		 message_info("Данная опция вскоре будет доступна.")
	
	});
	
	
	$('body').on('click', '.bonus-potential-add22', function () {
        var elem = this;
        var ajax = parseInt($(elem).attr("data-ajax"));

        BootstrapDialog.show({
            title: 'Пополнение потенциала',
            message:
            '<form id="pay_form">' +
            '<p>Выберите способ пополнения потенциала:</p>' +
            '<input type="radio" name="pay_method" value="1" id="perfect_money" checked style="cursor: pointer;">' +
            ' <label for="perfect_money" style="cursor: pointer;"> Платежная система Perfect Money</label><br>' +
            '<input type="radio" name="pay_method" value="2" id="voucher" style="cursor: pointer;">' +
            ' <label for="voucher" style="cursor: pointer;"> Использовать Voucher</label>' +
            '</form>',
            animate: false,
            buttons: [
                {
                    label: 'Перейти к оплате',
                    cssClass: 'btn-success',
                    action: function (dialogRef) {
                        var pay_method = $('#pay_form input[name="pay_method"]:checked').val();
                        if(pay_method == 1){
                            BootstrapDialog.show({
                                message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнить потенциал</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in"><form name="" action="" method="" class="payment_modal_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-pay-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-potential-add-amount" placeholder="0" required=""></div></form></div></div></div>',
                                animate: true,
                                cssClass: 'no-title',
                                buttons: [
                                    {
                                        label: 'Продолжить',
                                        cssClass: 'btn-success',
                                        action: function (dialogRef) {

                                            if(ajax == 0) return; else $(elem).attr("data-ajax",0);
                                            dialogRef.close();
                                            $amount = $(".bonus-potential-add-amount").val();

                                            $.ajax({
                                                url: '/payment/setpaymentpotentialstart',
                                                type: 'POST',
                                                dataType: 'json',
                                                data: {
	                                                type: 2,
                                                    amount: $amount
                                                },
                                                success: function (results) {
                                                    if (results.status == 200) {

                                                        $("#pay-perfectmoney-potential input[name='PAYMENT_AMOUNT']").val(results.price);
                                                        $("#pay-perfectmoney-potential input[name='PAYMENT_ID']").val(results.code);
                                                        $("#pay-perfectmoney-potential input[name='PAYEE_ACCOUNT']").val(results.wallet);
                                                        $("#pay-perfectmoney-potential input[name='PAYEE_NAME']").val(results.recipient);

                                                        $("#pay-perfectmoney-potential").submit();

                                                    } else {
                                                        message_info(results.message);
                                                    }
                                                },
                                                complete: function() {
                                                    $(elem).attr("data-ajax",1);
                                                }
                                            });
                                        }
                                    },
                                    {
                                        label: 'Закрыть',
                                        action: function (dialogItself) {
                                            dialogItself.close();
                                        }
                                    }]
                            });
                        }else{
                            if (pay_method == 2) {
                                BootstrapDialog.show({
                                    message: '<div class="download_invitation_modal"><div class="download_invitation_modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="download_invitation_modal_wrap"><div class="download_invitation_modal_wrap_in"><p>Впишите код ваучера:</p><form name="" action="" method=""><input type="text" placeholder="Введите код" class="voucher_code_activate"></form></div></div></div>',
                                    animate: true,
                                    cssClass: 'no-title',
                                    buttons: [
                                        {
                                            label: 'Продолжить',
                                            cssClass: 'btn-success',
                                            action: function (dialogRef) {

                                                $voucher_code = $(".voucher_code_activate").val();

                                                $.ajax({
                                                    url: '/voucher/setvouchercodepotential',
                                                    type: 'POST',
                                                    dataType: 'json',
                                                    data: {
                                                        voucher: $voucher_code
                                                    },
                                                    success: function (results) {
                                                        if (results.status == 200) {
                                                            message_info(results.message);
                                                            dialogRef.close();
                                                        } else {
                                                            message_info(results.message);
                                                        }
                                                    }
                                                });
                                            }
                                        },
                                        {
                                            label: 'Закрыть',
                                            action: function (dialogItself) {
                                                dialogItself.close();
                                            }
                                        }]

                                });
                            }
                        }
                        dialogRef.close();
                    }
                },
                {
                    label: 'Закрыть',
                    action: function (dialogItself) {
                        dialogItself.close();
                    }
                }]
        });
    });
	
	
	$('body').on('click', '.bonus-potential-add', function () {
        var elem = this;
        var ajax = parseInt($(elem).attr("data-ajax"));

        BootstrapDialog.show({
            title: 'Пополнение потенциала',
            message:
            '<p>Выберите способ пополнения потенциала:</p>' +
            '<form id="pay_form">' +
            '<input type="radio" name="pay_method" value="3" id="crtmoney" checked style="cursor: pointer;">' +
			' <label for="crtmoney" style="cursor: pointer;"> Платежная система CRT Money</label><br>' +
            '<input type="radio" name="pay_method" value="1" id="perfect_money" style="cursor: pointer;">' +
            ' <label for="perfect_money" style="cursor: pointer;"> Платежная система Perfect Money</label><br>' +
            '<input type="radio" name="pay_method" value="2" id="voucher" style="cursor: pointer;">' +
            ' <label for="voucher" style="cursor: pointer;"> Использовать Voucher</label><br>'+
            '</form>',
            animate: false,
            buttons: [
                {
                    label: 'Перейти к оплате',
                    cssClass: 'btn-success',
                    action: function (dialogRef) {
                        var pay_method = $('#pay_form input[name="pay_method"]:checked').val();
                        if(pay_method == 1){
                            BootstrapDialog.show({
                                message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнить потенциал</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in"><form name="" action="" method="" class="payment_modal_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-pay-amount">Сумма пополнения BP:</label><input type="text" class="col-xs-6 bonus-potential-add-amount" placeholder="0" required=""></div></form></div></div></div>',
                                animate: true,
                                cssClass: 'no-title',
                                buttons: [
                                    {
                                        label: 'Продолжить',
                                        cssClass: 'btn-success',
                                        action: function (dialogRef) {

                                            if(ajax == 0) return; else $(elem).attr("data-ajax",0);
                                            dialogRef.close();
                                            $amount = $(".bonus-potential-add-amount").val();

                                            $.ajax({
                                                url: '/payment/setpaymentpotentialstart',
                                                type: 'POST',
                                                dataType: 'json',
                                                data: {
	                                                type: 2,
                                                    amount: $amount
                                                },
                                                success: function (results) {
                                                    if (results.status == 200) {

                                                        $("#pay-perfectmoney-potential input[name='PAYMENT_AMOUNT']").val(results.price);
                                                        $("#pay-perfectmoney-potential input[name='PAYMENT_ID']").val(results.code);
                                                        $("#pay-perfectmoney-potential input[name='PAYEE_ACCOUNT']").val(results.wallet);
                                                        $("#pay-perfectmoney-potential input[name='PAYEE_NAME']").val(results.recipient);

                                                        $("#pay-perfectmoney-potential").submit();

                                                    } else {
                                                        message_info(results.message);
                                                    }
                                                },
                                                complete: function() {
                                                    $(elem).attr("data-ajax",1);
                                                }
                                            });
                                        }
                                    },
                                    {
                                        label: 'Закрыть',
                                        action: function (dialogItself) {
                                            dialogItself.close();
                                        }
                                    }]
                            });
                        }else{
                            if (pay_method == 2) {
                                BootstrapDialog.show({
                                    message: '<div class="download_invitation_modal"><div class="download_invitation_modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="download_invitation_modal_wrap"><div class="download_invitation_modal_wrap_in"><p>Впишите код ваучера:</p><form name="" action="" method=""><input type="text" placeholder="Введите код" class="voucher_code_activate"></form></div></div></div>',
                                    animate: true,
                                    cssClass: 'no-title',
                                    buttons: [
                                        {
                                            label: 'Продолжить',
                                            cssClass: 'btn-success',
                                            action: function (dialogRef) {

                                                $voucher_code = $(".voucher_code_activate").val();

                                                $.ajax({
                                                    url: '/voucher/setvouchercodepotential',
                                                    type: 'POST',
                                                    dataType: 'json',
                                                    data: {
                                                        voucher: $voucher_code
                                                    },
                                                    success: function (results) {
                                                        if (results.status == 200) {
                                                            message_info(results.message);
                                                            dialogRef.close();
                                                        } else {
                                                            message_info(results.message);
                                                        }
                                                    }
                                                });
                                            }
                                        },
                                        {
                                            label: 'Закрыть',
                                            action: function (dialogItself) {
                                                dialogItself.close();
                                            }
                                        }]

                                });
                            }else{
								if (pay_method == 3) {
									BootstrapDialog.show({
										message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in"><form name="" action="" method="" class="payment_modal_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="potential-add-amount">Сумма пополнения BP:</label><input type="text" class="col-xs-6 potential-add-amount" placeholder="0" required=""></div></form></div></div></div>',
										animate: true,
										cssClass: 'no-title',
										buttons: [
											{
												label: 'Продолжить',
												cssClass: 'btn-success',
												action: function (dialogRef) {

													if(ajax == 0) return; else $(elem).attr("data-ajax",0);
													dialogRef.close();
													var amount = $(".potential-add-amount").val();

													$.ajax({
														url: '/payment/setpaymentpotentialcrtstart',
														type: 'POST',
														dataType: 'json',
														data: {
															type: 2,
															amount: amount
														},
														success: function (results) {
															if (results.status == 200) {
																$("#pay-crtmoney input[name='cm_merchant']").val(results.wallet);
																$("#pay-crtmoney input[name='cm_id']").val(results.code);
																$("#pay-crtmoney input[name='cm_am']").val(results.price);
																$("#pay-crtmoney input[name='cm_desc']").val(results.memo);

																$("#pay-crtmoney").submit();

															} else {
																message_info(results.message);
															}
														},
														complete: function() {
															$(elem).attr("data-ajax",1);
														}
													});
												}
											},
											{
												label: 'Закрыть',
												action: function (dialogItself) {
													dialogItself.close();
												}
											}]
									});
								}
							}
                        }
                        dialogRef.close();
                    }
                },
                {
                    label: 'Закрыть',
                    action: function (dialogItself) {
                        dialogItself.close();
                    }
                }]
        });
    });
	
	
	
	$('body').on('click', '.bonus-potential-add--', function () {
		
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
			
		BootstrapDialog.show({
			message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнить потенциал</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in"><form name="" action="" method="" class="payment_modal_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-pay-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-potential-add-amount" placeholder="0" required=""></div></form></div></div></div>',
			animate: true,
			cssClass: 'no-title',
			buttons: [
				{
					label: 'Продолжить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						
						if(ajax == 0) return; else $(elem).attr("data-ajax",0);
						dialogRef.close();
						$amount = $(".bonus-potential-add-amount").val();
						
						$.ajax({
							url: '/payment/setpaymentpotentialstart',
							type: 'POST',
							dataType: 'json',
							data: {
								amount: $amount
							},
							success: function (results) {
								if (results.status == 200) {
									
									$("#pay-perfectmoney-potential input[name='PAYMENT_AMOUNT']").val(results.price);
									$("#pay-perfectmoney-potential input[name='PAYMENT_ID']").val(results.code);
									$("#pay-perfectmoney-potential input[name='PAYEE_ACCOUNT']").val(results.wallet);
									$("#pay-perfectmoney-potential input[name='PAYEE_NAME']").val(results.recipient);

									$("#pay-perfectmoney-potential").submit();
									
								} else {
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]

		});
	
	});
	

	$('body').on('click', '.bonus-active-add', function () {
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));

		BootstrapDialog.show({
			title: 'Пополнение активного бонуса',
			message:
			'<form id="pay_form">' +
			'<p>Выберите способ пополнения активного бонуса:</p>' +
			'<input type="radio" name="pay_method" value="1" id="perfect_money" checked style="cursor: pointer;">' +
			' <label for="perfect_money" style="cursor: pointer;"> Платежная система Perfect Money</label><br>' +
			'<input type="radio" name="pay_method" value="2" id="voucher" style="cursor: pointer;">' +
			' <label for="voucher" style="cursor: pointer;"> Использовать Voucher</label>' +
			'</form>',
			animate: false,
			buttons: [
				{
					label: 'Перейти к оплате',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var pay_method = $('#pay_form input[name="pay_method"]:checked').val();
						if(pay_method == 1){
							BootstrapDialog.show({
								message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнить активный бонус</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in"><form name="" action="" method="" class="payment_modal_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-add-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-active-add-amount" placeholder="0" required=""></div></form></div></div></div>',
								animate: true,
								cssClass: 'no-title',
								buttons: [
									{
										label: 'Продолжить',
										cssClass: 'btn-success',
										action: function (dialogRef) {

											if(ajax == 0) return; else $(elem).attr("data-ajax",0);
											dialogRef.close();
											$amount = $(".bonus-active-add-amount").val();

											$.ajax({
												url: '/payment/setpaymentpotentialstart',
												type: 'POST',
												dataType: 'json',
												data: {
													type: 3,
													amount: $amount
												},
												success: function (results) {
													if (results.status == 200) {

														$("#pay-perfectmoney-potential input[name='PAYMENT_AMOUNT']").val(results.price);
														$("#pay-perfectmoney-potential input[name='PAYMENT_ID']").val(results.code);
														$("#pay-perfectmoney-potential input[name='PAYEE_ACCOUNT']").val(results.wallet);
														$("#pay-perfectmoney-potential input[name='PAYEE_NAME']").val(results.recipient);

														$("#pay-perfectmoney-potential").submit();

													} else {
														message_info(results.message);
													}
												},
												complete: function() {
													$(elem).attr("data-ajax",1);
												}
											});
										}
									},
									{
										label: 'Закрыть',
										action: function (dialogItself) {
											dialogItself.close();
										}
									}]
							});
						}else{
							if (pay_method == 2) {
								BootstrapDialog.show({
									message: '<div class="download_invitation_modal"><div class="download_invitation_modal_header"><div class="tab">Пополнить активный бонус</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="download_invitation_modal_wrap"><div class="download_invitation_modal_wrap_in"><p>Впишите код ваучера:</p><form name="" action="" method=""><input type="text" placeholder="Введите код" class="voucher_code_activate"></form></div></div></div>',
									animate: true,
									cssClass: 'no-title',
									buttons: [
										{
											label: 'Продолжить',
											cssClass: 'btn-success',
											action: function (dialogRef) {

												$voucher_code = $(".voucher_code_activate").val();

												$.ajax({
													url: '/voucher/setvouchercodeactivebonus',
													type: 'POST',
													dataType: 'json',
													data: {
														type: 3,
														voucher: $voucher_code
													},
													success: function (results) {
														if (results.status == 200) {
															message_info(results.message);
															dialogRef.close();
														} else {
															message_info(results.message);
														}
													}
												});
											}
										},
										{
											label: 'Закрыть',
											action: function (dialogItself) {
												dialogItself.close();
											}
										}]

								});
							}
						}
						dialogRef.close();
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
	});

}); //end
