$('document').ready(function () {


	$('.accordion-tab').click(function(){
		var title = $(this).attr('data-title');
		$('.accordion').css('display','none');
		$('.'+title).css('display','block');

		$('.accordion-tab').removeClass('active');
		$(this).addClass('active');
	});

	$('body').on('click', '.good-comment-answer', function (event) {
		event.preventDefault();
		var name = $(this).data('name');
		var good_id = $(this).data('good-id');
		var comment_id = $(this).data('answer');

		$('#reply_field_'+good_id).attr('data-answer', comment_id);
		$('#reply_field_'+good_id).empty().show().html(name+',&nbsp;').focus();
		f_caret(document.getElementById('reply_field_'+good_id));
	});

	$('body').on('click', '.buy-btn', function (event) {
		event.preventDefault();
		var gid = $(this).attr("data-id");
		
		if(gid == 40194) {
			
			$comment = '<div class="form-group">' +
							'<label for="order_details">Номер кошелька Perfect Money USD в Money Storage *</label>' +
							'<input type="text" class="form-control" id="order_details" placeholder="Пример: 0000 1111 2222 3333" required>' +
						'</div>';
			
		} else if (gid == 40197) {
			
			$comment = '<div class="form-group">' +
							'<label for="order_details">Номер кошелька Bitcoin в Money Storage *</label>' +
							'<input type="text" class="form-control" id="order_details" placeholder="Пример: 0000 1111 2222 3333" required>' +
						'</div>';
			
		} else if (gid == 40200) {
			
			$comment = '<div class="form-group">' +
							'<label for="order_details">Номер кошелька Карат в Money Storage *</label>' +
							'<input type="text" class="form-control" id="order_details" placeholder="Пример: 0000 1111 2222 3333" required>' +
						'</div>';
			
			
		} else {
			
			$comment = '<div class="form-group">' +
							'<label for="order_details">Пожелание к заказу</label>' +
							'<textarea class="exampletext form-control" id="order_details" placeholder="Напишите пожелания, предложения к заказу"></textarea>' +
						'</div>';
		}
		

		BootstrapDialog.show({
			message: '' +
			'<div class="want_book_modal">' +
				'<div class="modal_header">' +
					'<div class="tab">Хочу заказать</div>' +
					'<button aria-hidden="true" data-dismiss="modal" class="close">×</button>' +
				'</div>' +
				'<div class="modal_wrap">' +
					'<div class="want_book_in">' +
						'<p>Укажите контактную информацию, а также укажите пожелания к вашему заказу. Поля отмеченные * - обязательные к заполнению.</p>' +
						'<form name="" action="" method="" class="want_book_form">' +
							'<div class="form-group">' +
								'<label for="order_name">Имя*</label>' +
								'<input type="text" class="form-control" id="order_name" placeholder="Ваше имя" required>' +
							'</div>' +
							'<div class="form-group">' +
								'<label for="order_email">Ваш E-mail*</label>' +
								'<input type="email" class="form-control" id="order_email" placeholder="Контактный E-mail" required></div>' +
							'<div class="form-group">' +
								'<label for="order_tel">Телефон*</label>' +
								'<input type="email" class="form-control" id="order_tel" placeholder="Контактный телефон" required>' +
							'</div>' +
							'<div class="form-group">' +
								'<label for="order_skype">Skype</label>' +
								'<input type="email" class="form-control" id="order_skype" placeholder="Необязательно">' +
							'</div>' +
							'<div class="form-group">' +
								'<label for="order_quantity">Количество*</label>' +
								'<input type="number" min="1" max="100" class="form-control number_only" id="order_quantity" value="1" placeholder="Количество" required>' +
							'</div>' + $comment +
							'<div class="want_book_checkbox">' +
								'<input type="checkbox" class="checkbox" name=" " id="order_quick" value="1">' +
								'<label for="order_quick">Хочу приобрести как можно быстрее</label>' +
							'</div>' +
						'</form>' +
					'</div>' +
				'</div>' +
			'</div>',
			animate: false,
			cssClass: 'no-title',
			buttons: [
				{
					label: 'Отправить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var err = '';

						var order_name = $('#order_name').val();
						var order_email = $('#order_email').val();
						var order_tel = $('#order_tel').val();
						var order_skype = $('#order_skype').val();
						var order_quantity = parseInt($('#order_quantity').val());
						var order_details = $('#order_details').val();
						var order_quick = $('#order_quick').is(':checked') ? 1 : 0;


						//if(!/[а-яА-Я]+/.test(order_name)){
						//	err += '<p>Имя указано неверно</p>';
						//}
						var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
						if(!regex.test(order_email)){
							err += '<p>"E-mail" указано неверно.</p>';
						}
						var regex = /[0-9]+/;
						if(!regex.test(order_tel)){
							err += '<p>"Телефон" указано неверно.</p>';
						}
						if(order_quantity < 1 || order_quantity > 100){
							err += '<p>"Количество" указано неверно.</p>';
						}

						if (err == '') {
							$.ajax({
								url: '/market/makeorder',
								type: 'POST',
								dataType: 'json',
								data: {
									gid: gid,
									order_name: order_name,
									order_email: order_email,
									order_tel: order_tel,
									order_skype: order_skype,
									order_quantity: order_quantity,
									order_details: order_details,
									order_quick: order_quick
								},
								success: function (results) {
									if (results.status == 200) {
										dialogRef.close();
										message(results.message);
									} else {
										error(results.message);
									}
								}
							});
						} else {
							error(err);
							return false;
						}
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
		$('.video_pop_up input').focus();

		$('body').on('change keyup input click', '.number_only', function () {
			if (this.value.match(/[^0-9]/g)) {
				this.value = this.value.replace(/[^0-9]/g, '');
			}
		});

		return false;
	});

	$('body').on('click', '.good-delete', function (event) {
		event.preventDefault();
		var gid = $(this).attr("data-id");
		var uid = $(this).attr("data-uid");

		BootstrapDialog.show({
			title: 'Сообщение',
			message: 'Удалить данный товар?',
			animate: false,
			buttons: [
				{
					label: 'Подтвердить',
					cssClass: 'btn-success',
					action: function (dialogItself) {
						$.ajax({
							url: '/market/gooddelete',
							type: 'POST',
							dataType: 'json',
							data: {
								gid: gid
							},
							success: function (results) {
								if (results.status == 200) {
									window.location.replace("/market/user/"+uid);
								} else {
									BootstrapDialog.show({
										title: 'Ошибка',
										message: results.message,
										animate: false,
										type: BootstrapDialog.TYPE_DANGER,
										closable: true,
										draggable: false,
										buttonLabel: 'Закрыть',
										callback: function (result) {

										}
									});
								}
							}
						});
						dialogItself.close();
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});

		return false;
	});

	$('body').on('click', '.good-block-comments[data-load="0"]', function () {
		var gid = $(this).attr('data-id');
		var uid = $(this).attr('data-uid');
		$(this).attr('data-load', "1");
		$.ajax({
			url: '/market/getcomments',
			type: 'POST',
			dataType: 'json',
			data: {
				gid: gid,
				part: 1
			},
			success: function (results) {
				if (results.status == 200) {
					if(results.comments.length > 0){
						results.comments.reverse();
						var html = '';
						if(results.count > 3){
							html += '<div class="comment_block_header"><div class="number_of_comments"><span class="from">3</span> из <span class="to">'+results.count+'</span></div><a href="#" class="replies-manager" onclick="showGoodComments('+gid+', '+results.count+', this, '+uid+');">Показать предыдущие комментарии</a></div>';
						}
						for(var m = 0; m <= results.comments.length-1; m++){
							html += generateGoodComment(results.comments[m], uid);
						}
						$('.comment_block').empty().append(html).show();
					}
				}
			}
		});

		$(this).attr('data-load', 1);
	});

	$('body').on('click', '.good-comment-delete', function (event) {
		event.preventDefault();

		var elem = $(this);
		var id = $(this).data("id");

		BootstrapDialog.show({
			title: 'Сообщение',
			message: 'Удалить комментарий?',
			animate: false,
			buttons: [
				{
					label: 'Подтвердить',
					cssClass: 'btn-success',
					action: function (dialogItself) {
						$.ajax({
							url: '/market/commentdelete',
							type: 'POST',
							dataType: 'json',
							data: {
								id: id
							},
							success: function (results) {
								if (results.status == 200) {
									$('.comment-posted-' + id).remove();
								} else {
									BootstrapDialog.show({
										title: 'Ошибка',
										message: results.message,
										animate: false,
										type: BootstrapDialog.TYPE_DANGER,
										closable: true,
										draggable: false,
										buttonLabel: 'Закрыть',
										callback: function (result) {

										}
									});
								}
							}
						});
						dialogItself.close();
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});

		return false;
	});

	$('body').on('click', '.project_goods_categories ul .cat-item', function (event) {
		event.preventDefault();

		var elem = $(this);
		var category_id = $(this).attr('data-cat-id');

		$('.project_goods_categories ul .cat-item').removeClass('active');
		$(elem).addClass('active');

		var date = new Date();
		date.setTime(date.getTime() + (10 * 60 * 1000));
		$.cookie('goods_filter_category', category_id, { expires: date });
		$.cookie('goods_filter_category_root', category_id, { expires: date });

		var categories = getCategories();

		if (categories != null) {
			$('.post-category-wrapper').empty();
			var html = '<select id="filter_category" style="display: none;" class="col-sm-6 col-xs-6 select_odd categories post-category">';

			//var categories = _.groupBy(results.categories, 'parent');

			if(category_id == -1){
				var roots = categories[0];
				html += '<option value="-1">Выберите категорию...</option>';
				$.each(roots, function( index, root ) {
					html += '<option data-root="'+root['id']+'" value="'+root['id']+'">'+root['name']+'</option>';
					if(categories[root['id']] != null){
						$.each(categories[root['id']], function( index, cat_2 ) {
							html += '<option data-root="'+root['id']+'" value="'+cat_2['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_2['name']+'</option>';
							if(categories[cat_2['id']] != null){
								$.each(categories[cat_2['id']], function( index, cat_3 ) {
									html += '<option data-root="'+root['id']+'" value="'+cat_3['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_3['name']+'</option>';
								});
							}
						});
					}
				});
			}else{
				html += '<option value="-1">Выберите категорию...</option>';
				$.each(categories[category_id], function( index, cat_2 ) {
					html += '<option data-root="'+category_id+'" value="'+cat_2['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_2['name']+'</option>';
					if(categories[cat_2['id']] != null){
						$.each(categories[cat_2['id']], function( index, cat_3 ) {
							html += '<option data-root="'+category_id+'" value="'+cat_3['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_3['name']+'</option>';
						});
					}
				});
				html += '</select>';
			}

			$('.post-category-wrapper').append(html);
			if(category_id > 0){
				$('#filter_category').val(category_id);
			}
			$("#filter_category").select2();
		}

		goodFilter(1, true);
	});
});

function showGoodComments(gid, count, obj, uid){
	event.preventDefault();

	if(count > 3){
		$.ajax({
			url: '/market/getcomments',
			type: 'POST',
			dataType: 'json',
			data: {
				gid: gid,
				part: 0
			},
			success: function (results) {
				if (results.status == 200) {
					if(results.comments.length > 0){
						var html = '';
						html += '<div class="comment_block_header"><div class="number_of_comments"><span class="from">'+results.count+'</span> из <span class="to">'+results.count+'</span></div><a href="#" class="replies-manager" onclick="hideGoodComments('+gid+', '+results.count+', this, '+uid+');">Скрыть комментарии</a></div>';

						for(var m = 0; m <= results.comments.length-1; m++){
							html += generateGoodComment(results.comments[m], uid);
						}

						$('.comment_block').empty().append(html);
					}
				}
			}
		});
	}

	$(obj).attr("onclick","hideComments("+gid+", "+count+", this, "+uid+");");
	$(obj).html('Скрыть комментарии');
}

function hideGoodComments(gid, count, obj, uid){
	event.preventDefault();

	var comments = $('.comment');
	for(var i = 0; i < comments.length-3; i++){
		$(comments[i]).hide();
	}
	$(obj).attr("onclick","showGoodComments("+gid+", "+count+", this, "+uid+");");
	$(obj).html('Показать предыдущие комментарии');
}

function generateGoodComment(comment, uid) {
	var html = '';
	html +=
		'<div class="comment comment-posted-'+comment.id+'">' +
		'<a href="/' + comment.alias + '" class="comment_avatar">' +
		'<img src="http://' + comment.photo + '_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="' + comment.fio + '">' +
		'</a>';

	if (comment.uid == uid) {
		html +=
			'<a href="#" class="comment_close good-comment-delete" data-id="' + comment.id + '"">×</a>';
	}
	if(comment.uid != uid){
		html += '<a href="#" class="good-comment-answer answer" data-name="' + comment.fio + '" data-good-id="' + comment.gid + '" data-answer="' + comment.id + '">Ответить</a>';
	}
	html +=
		'<a href="/' + comment.alias + '">' + comment.fio + '</a>' +
		'<span class="data">' + full_date(comment.date) + '</span>' +
		'<p>' + $.emotions(he.decode(f_replace(comment.text))) + '</p>' +
		'</div>';
	return html;
}

function goodSendReplay(gid, uid) {
	event.preventDefault();

	$.each( $(".message-content img.emotions"), function(){
		$(this).replaceWith('(s:'+$(this).data('smile')+')');
	});

	var text = $('.message-content').html();
	var answer_id = $('.message-content').attr('data-answer');

	if (text != '' && text.length <= 500) {
		$.ajax({
			url: '/market/comment',
			type: 'POST',
			dataType: 'json',
			data: {
				text: text,
				gid: gid,
				answer_id: answer_id
			},
			success: function (results) {
				if (results.status == 200 && results.comment) {
					var html = generateGoodComment(results.comment, uid);
					$('.comment_block').append(html);
					$($('.comment_block').find('.comment-posted-' + results.comment.id)).slideDown(1000);
					$('.message-content').html('');
					$('.message-content').removeAttr("data-answer");
				}
			}
		});
	}else{
		if(text.length > 500){
			BootstrapDialog.show({
				title: 'Предупреждение',
				message: 'Длина сообщения не должна превышать 500 символов.',
				animate: false,
				type: BootstrapDialog.TYPE_WARNING,
				closable: true,
				draggable: false,
				buttons: [
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		}
	}
}

function uploadGoodPhoto(file) {
	BootstrapDialog.closeAll();
	BootstrapDialog.show({
		title: 'Загрузка изображения',
		animate: false,
		cssClass: 'modal-photo',
		message: '<div id="cropArea"></div><div class="cropme"></div>',
		buttons: [{
			label: 'Сохранить',
			cssClass: 'crop_Ok'
		}]
	});

	$('.cropme').simpleCropper(
		file,
		800,
		600,
		function (res){
			if(res){
				var data = new FormData();
				data.append('good_photo', $('#good_photo').get(0).files[0]);
				data.append('x1', res['x1']);
				data.append('y1', res['y1']);
				data.append('x2', res['x2']);
				data.append('y2', res['y2']);

				$.ajax({
					url: '/market/gooduploadphoto',
					type: 'POST',
					cache: false,
					contentType: false,
					processData: false,
					dataType: 'json',
					data: data,
					success: function (results) {
						if (results.status == 200 && results.file) {
							$('.add_good_img').css("background-image", 'url("http://'+results.file+'_md.jpg")');
							$('.add_good_img').attr('data-photo', results.file);
						} else {
							windowAlert({
								text: results.message
							});
							return false;
						}
					}
				});
			}
		}
	);
}

function getUserCategories(){
	$("section.project_goods_categories ul").fadeOut(400);

	$.ajax({
		url: '/market/getcategories',
		type: 'POST',
		dataType: 'json',
		data: {
		},
		success: function (results) {
			if (results.status == 200 && results.categories) {
				var root_id = $.cookie('goods_filter_category_root') != undefined ? parseInt($.cookie('goods_filter_category_root')) : -1;
				var html = '<li data-cat-id="-1" class="cat-item active"><span class="number"></span><span>Все категории</span></li>';
				$.each(results.categories, function (key, category) {
					html += '<li data-cat-id="'+category.id+'" class="cat-item"><span class="number"></span><span>'+category.name+'</span></li>';
				});
				$('.project_goods_categories ul').append(html);
				$('.project_goods_categories a span').html(results.categories.length);

				$('.project_goods_categories ul .cat-item').removeClass('active');
				$('.project_goods_categories ul [data-cat-id="'+root_id+'"]').addClass('active');
			}
		},
		complete: function(){
			$("section.project_goods_categories ul").fadeIn(400);
		}
	});
}

function setMarketCategories(category){
	var root_id = $.cookie('goods_filter_category_root') != undefined ? parseInt($.cookie('goods_filter_category_root')) : -1;

	var categories = getCategories();

	if (categories != null) {
		$('.post-category-wrapper').empty();
		var html = '<select id="filter_category" style="display: none;" class="col-sm-6 col-xs-6 select_odd categories post-category">';

		if(root_id == -1){
			var roots = categories[0];
			html += '<option value="-1">Выберите категорию...</option>';
			$.each(roots, function( index, root ) {
				html += '<option data-root="'+root['id']+'" value="'+root['id']+'">'+root['name']+'</option>';
				if(categories[root['id']] != null){
					$.each(categories[root['id']], function( index, cat_2 ) {
						html += '<option data-root="'+root['id']+'" value="'+cat_2['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_2['name']+'</option>';
						if(categories[cat_2['id']] != null){
							$.each(categories[cat_2['id']], function( index, cat_3 ) {
								html += '<option data-root="'+root['id']+'" value="'+cat_3['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_3['name']+'</option>';
							});
						}
					});
				}
			});
		}else{
			html += '<option value="-1">Выберите категорию...</option>';
			$.each(categories[root_id], function( index, cat_2 ) {
				html += '<option data-root="'+root_id+'" value="'+cat_2['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_2['name']+'</option>';
				if(categories[cat_2['id']] != null){
					$.each(categories[cat_2['id']], function( index, cat_3 ) {
						html += '<option data-root="'+root_id+'" value="'+cat_3['id']+'">&nbsp;&nbsp;&nbsp;&nbsp;'+cat_3['name']+'</option>';
					});
				}
			});
			html += '</select>';
		}

		$('.post-category-wrapper').append(html);
		if(category > 0){
			$('#filter_category').val(category);
		}
		$("#filter_category").select2();
	}
}