<?php

class ApplicationBehavior extends CBehavior
{

	public function events()
	{

		return array(
			'onBeginRequest' => 'validateSession',

		);
	}

	public function validateSession()
	{
		if(!Yii::app()->user->isGuest ){
			try{
				$mail = Yii::app()->session->get('mail');
				$secret = Yii::app()->session->get('secret');
				if(empty($secret) || empty($mail) || $secret != UserModule::session_hash_string($_SERVER["REMOTE_ADDR"], $mail)){
					Yii::app()->user->logout();
				}
			} catch (Exception $e) {

			}
		}
	}
}
?>