<?php

class Loc
{
	const v = '5.40';

	public static function getCityById($city)
	{
		$city = intval($city);
		if(empty($city)) return false;

		$data = [
			'city_ids' => $city,
			'v' => self::v,
		];
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "https://api.vk.com/method/database.getCitiesById");
		curl_setopt($ch, CURLOPT_HTTPHEADER, ['Accept-Language: ru']);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_REFERER, "https://api.vk.com/method/database.getCitiesById");

		$result = curl_exec($ch);
		curl_close($ch);

		$results = json_decode($result, true);
		return $results['response'][0];
	}

	public static function getCountryById($country)
	{
		$country = intval($country);
		if(empty($country)) return false;

		$data = [
			'country_ids' => $country,
			'v' => self::v,
		];
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "https://api.vk.com/method/database.getCountriesById");
		curl_setopt($ch, CURLOPT_HTTPHEADER, ['Accept-Language: ru']);
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_REFERER, "https://api.vk.com/method/database.getCountriesById");

		$result = curl_exec($ch);
		curl_close($ch);

		$results = json_decode($result, true);
		return $results['response'][0];
	}
}