<?php

class AppController extends Controller
{
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	public function accessRules()
	{
		return array(
			array('allow',
				'users' => array('*')
			)
		);
	}
	
	
	public function actionAuth() {
		
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		/*$code = mysql_escape_string(htmlspecialchars(strip_tags($data["code"])));
		
		$res["status"] = 500;
		$a = "$code";
		$res["message"] = $a;
		echo CJSON::encode($res);
		Yii::app()->end();
		*/
		
		$etoken = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$eid = intval($data["eid"]);
		$email = mysql_escape_string(htmlspecialchars(strip_tags($data["email"])));
		$fcm = mysql_escape_string(htmlspecialchars(strip_tags($data["fcm"])));
		$time = time();
		$hash = "2usWxBmImmTIXUyVDtRMHcd6X7xA4E40";
		//$signature = mysql_escape_string(htmlspecialchars(strip_tags($data["signature"]))); // На будущее
		
		/*$res["status"] = 500;
		$a = serialize($data);
		$res["message"] = $a;
		echo CJSON::encode($res);
		Yii::app()->end();*/
		
		
		$usersinfo = $connection->createCommand("SELECT uid, name, fio, photo, verify FROM {{usersinfo}} WHERE email = :email")
				->bindParam(":email", $email)
				->queryRow();
		
		$err = "";
		
		if(empty($usersinfo)) {
			$err = "Пользователь не найден.";
		}
		
		if($eid <= 0) {
			$err = "Идентификатор пользователя не совпадает.";
		}
		
		//Проверка $etoken
		//Дописать потом
		
		if($err == "") {
			
			//Выделяем токен
			//создаем новую сессию в новой таблице
			//$token = md5(rand(1000000,9999999));
	
			$token = md5($token . $eid . $email . $time . $hash);//session_id();
			$connection->createCommand()->insert('{{sessions_auth}}', array('id' => $token, 'date' => $time, 'eid' => $eid, 'email' => $email, 'etoken' => $etoken, 'uid' => $usersinfo["uid"], 'ip' => $_SERVER['REMOTE_ADDR'], 'fcm' => $fcm));
			
			$res["uid"] = $usersinfo["uid"];
			$res["user_name"] = $usersinfo["name"];
			$res["user_fio"] = $usersinfo["fio"];
			$res["user_photo"] =  "https://" . $usersinfo["photo"] . '_md.jpg';
			$res["user_verify"] = $usersinfo["verify"];
			$res["token"] = $token;
			$res["status"] = 200;
			$res["message"] = "Авторизация прошла успешно";
			
		} else {
			
			
			$res["status"] = 500;
			$res["message"] = $err;
			
		}
		
		echo CJSON::encode($res);
        Yii::app()->end();
		
		//$connection->createCommand()->insert('{{log_android}}', array('date' => time(), 'action' => 'auth', 'data' => $data['login'].$data['password']));
	}
	
	
	public function actionGetMyUserInfo()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
		
		$err = "";
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}
		
		$usersinfo = $connection->createCommand("SELECT uid, name, fio, photo, verify FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", $uid)
			->queryRow();
			
		if(empty($usersinfo)) {
			$err = "Пользователь не найден";
		}

		
		if($uid > 0 && $err == "") {

			$res["uid"] = $usersinfo["uid"];
			$res["user_name"] = $usersinfo["name"];
			$res["user_fio"] = $usersinfo["fio"];
			$res["user_photo"] = "https://" . $usersinfo["photo"] . '_md.jpg';
			$res["user_verify"] = $usersinfo["verify"];
			$res["status"] = 200;
			
			
		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	public function actionGetWallets()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
				
		$err = "";
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}

		
		if($uid > 0 && $err == "") {
			$res["status"] = 200;
			
			/*
			//Потенциал
			$res["potential"] = doubleval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type NOT IN (5)")
				->bindParam(":uid", $uid)
				->queryScalar());
				
			$res["potential_archive"] = intval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type=5")
				->bindParam(":uid", $uid)
				->queryScalar());
				
			$res["potential_bonus"] = intval( ($res["potential"] * 0.003 + $res["potential_archive"] * 0.002) * 100) / 100;
			
			$res["potential_date_next"] = intval($connection->createCommand("SELECT date_next FROM {{users_potential_bonus}} WHERE uid = :uid ORDER BY id DESC LIMIT 1")
		    ->bindParam(":uid", $uid)
			->queryScalar());
			
			//Кошельки
			$res["wallet_active"] = $connection->createCommand("SELECT id, type, cash_now FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")
				->bindParam(":uid", $uid)
				->queryRow();
			$res["wallet_refferal"] = $connection->createCommand("SELECT id, type, cash_now FROM {{users_wallet}} WHERE uid = :uid AND type = 3 AND status = 1")
				->bindParam(":uid", $uid)
				->queryRow();
			
			*/
			
			
			//Потенциал
			$res["potential"] = doubleval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte")
				->bindParam(":uid", $uid)
				->queryScalar());

			$res["potential_podarok"] = doubleval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type=3")
				->bindParam(":uid", $uid)
				->queryScalar());
				
				
			$res["potential_archive"] = doubleval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type=5")
				->bindParam(":uid", $uid)
				->queryScalar());
			
			$res["potential_cashback_real"] = doubleval($connection->createCommand("SELECT SUM(cb_amount) FROM {{goods_cashback}} WHERE uid = :uid AND status = 1")
				->bindParam(":uid", $uid)
				->queryScalar());
				
			
			$res["potential_cashback"] = $res["potential_cashback_real"];/*doubleval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type=4")
				->bindParam(":uid", $uid)
				->queryScalar());	*/
				
				
			$res["potential_in"] = doubleval($connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type = 1")
				->bindParam(":uid", $uid)
				->queryScalar() +
				
				$connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte AND type=4")
				->bindParam(":uid", $uid)
				->queryScalar() -
				
				$res["potential_cashback"]
				
				);
				
			$res["potential_bonus"] = intval( $connection->createCommand("SELECT SUM(deposit*percent) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte")
				->bindParam(":uid", $uid)
				->queryScalar() * 100) / 100;
			
			$res["potential_date_next"] = intval($connection->createCommand("SELECT date_next FROM {{users_potential_bonus}} WHERE uid = :uid ORDER BY id DESC LIMIT 1")
		    ->bindParam(":uid", $uid)
			->queryScalar());
			
			//Кошельки
			$res["wallet_active"] = doubleval($connection->createCommand("SELECT cash_now FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")
				->bindParam(":uid", $uid)
				->queryScalar());
				
			$res["wallet_structure"] = doubleval($connection->createCommand("SELECT cash_now FROM {{users_wallet}} WHERE uid = :uid AND type = 3 AND status = 1")
				->bindParam(":uid", $uid)
				->queryScalar());
				
			$res["wallet_instant"] = 0;/*doubleval($connection->createCommand("SELECT cash_now FROM {{users_wallet}} WHERE uid = :uid AND type = 3 AND status = 1")
				->bindParam(":uid", $uid)
				->queryScalar());*/
				
			$res["wallet"] = $res["wallet_active"] + $res["wallet_structure"];
			
			$res["wallet_promotion"] = 0;
			$res["wallet_connection"] = 0;
			$res["wallet_managment"] = 0;
			
			
			
			$res["date"] = time() . "000";
			$res["potential_date_next"] = intval($connection->createCommand("SELECT date_next FROM {{users_potential_bonus}} WHERE uid = :uid ORDER BY id DESC LIMIT 1")
		    ->bindParam(":uid", $uid)
			->queryScalar()) . "000";
			
		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	
	public function actionSetBonusActivate()
	{
		
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
				
		$err = "";
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}
		
		$usersinfo = $connection->createCommand("SELECT uid FROM {{usersinfo}} WHERE uid = :uid AND uid > 0")
			->bindParam(":uid", $uid)
			->queryRow();
		
		if(empty($usersinfo)) {
			$err = "Пользователь не найден.";
		}
		
		if($err == "") {
			
			$today =  mktime(00, 00, 00, date("m"), date("d"), date("Y"));
			
			$is_today = $connection->createCommand("SELECT id FROM {{users_potential_bonus}} WHERE uid = :uid AND date = :date")
	            ->bindParam(":uid", $uid)
	            ->bindParam(":date", $today)
	            ->queryRow();
	            
	        if(!empty($is_today)) {
			    $res["status"] = 500;
				$res["message"] = "Вы уже активировали сегодня бонусы.";
				$connection->createCommand("UPDATE {{users}} SET `lock` = 0 WHERE uid = :uid")->bindParam(":uid", $uid)->query();
		        echo CJSON::encode($res);
		        Yii::app()->end();    
	        }
			
			$is_potential = $connection->createCommand("SELECT deposit FROM {{users_potential}} WHERE uid = :uid")
	            ->bindParam(":uid", $uid)
	            ->queryRow();
						
			$last = $connection->createCommand("SELECT * FROM {{users_potential_bonus}} WHERE uid = :uid ORDER BY id DESC LIMIT 1")
			    ->bindParam(":uid", $uid)
				->queryRow();
				
			$amount = $connection->createCommand("SELECT SUM(deposit*percent) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte")
					->bindParam(":uid", $uid)
					->queryScalar();
					
			$wallet = $connection->createCommand("SELECT id, cash_now  FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")
	            ->bindParam(":uid", $uid)
	            ->queryRow();
						
			if($last["date"] == $today)
			 	$err = "<li>Вы уже активировали сегодня бонусы.</li>";
			
			if(time() < $last["date_next"])
				$err = "<li>Активируйте Ваш бонус по окончанию таймера.</li>";

							
			if($is_potential["deposit"] == 0) 
				$err = "<li>У Вас нулевой потенциал. Активация бонусов недоступна.</li>";
			
			if($last["date"] > $today)
			 	$err = "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			
			if($amount <= 0)
				$err .= "<li>Недостаточная сумма для начисления бонуса.</li>";
			
			if(empty($wallet)) 
				$err .= "<li>Активные бонусы временно недоступны.</li>";
		
		}

		if (($uid > 0) && ($err == "")) {

			$transaction = $connection->beginTransaction();
		    try {
			   
			   $code = $uid . "." . $today;

			   $amount_bouns = intval($amount * 100) / 100;
			   $date_next = time() + 86400; //Время заморозки активации 1 день
			   
			   $connection->createCommand()->insert('{{users_potential_bonus}}', array('uid' => $uid, 'date' => $today, 'date_now' => time(), 'date_next' => $date_next, 'amount' => $amount_bouns, 'code' => $code));
			   
			   $connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now + :money WHERE type = 1 AND status = 1 AND uid = :uid AND id = :id")
			   		->bindParam(":id", $wallet["id"])
			   		->bindParam(":uid", $uid)
			   		->bindParam(":money", $amount_bouns)
					->query();
					
				$connection->createCommand("UPDATE {{users_potential}} SET cash_now = cash_now + :money, dt = dt + 1 WHERE status = 1 AND uid = :uid AND dt < dte")
			   		->bindParam(":uid", $uid)
			   		->bindParam(":money", $amount_bouns)
					->query();
					
				//Вставляем транзакцию
				$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $uid, 'ruid' => $uid, 'amount' => $amount_bouns, 'amount_now' => $wallet["cash_now"] + $amount_bouns, 'date' => time(), 'type' => 1, 'status' => 1, 'action' => 31));
			   
			    $transaction->commit();
			    //Позитивный результат
			    $res["status"] = 200;
			    $res["message"] = "Активация $amount_bouns BP прошла успешно.";
		    } catch (Exception $e) {
			    $transaction->rollback();
			    $res["status"] = 500;
			    $res["message"] = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
			    $connection->createCommand("UPDATE {{users}} SET `lock` = 0 WHERE uid = :uid")->bindParam(":uid", $uid)->query();
		    }

	    } else {
		    //Хакерская атака - подмена данных
		    $res["status"] = 500;
		    $res["message"] = "Возникла ошибка при начислении средств." . $err;
	    }

        $connection->createCommand("UPDATE {{users}} SET `lock` = 0 WHERE uid = :uid")->bindParam(":uid", $uid)->query();
        echo CJSON::encode($res);
        Yii::app()->end();

	}
	
	
	
	
	public function actionGetWalletTransactions()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
				
		$err = "";
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}

		
		if($uid > 0 && $err == "") {
			
			$res["transactions"] = $connection->createCommand("SELECT d.id, d.type, d.status, d.action, d.amount, d.amount_now, FROM_UNIXTIME(d.date, '%d-%m-%Y %H:%i') as 'date', CONCAT(u.name,' ',u.fio) AS 'whose' FROM {{utransactions2}} d INNER JOIN {{usersinfo}} u ON u.uid = d.ruid AND d.uid = :uid AND d.ruid >= 1 AND d.status IN (0,1) ORDER BY d.id DESC LIMIT 0,100")
				->bindParam(":uid", $uid)
				->queryAll();
			$res["status"] = 200;
			
			
		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	
	public function actionGetMapPlaces()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
				
		$err = "";
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}

		
		if(1==1) {
			
			$res["places"] = $connection->createCommand("SELECT * FROM {{market_locations}} WHERE status = 1")
				->queryAll();
			$res["status"] = 200;
			
			
		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	
	
	public function actionSetPaymentInvoiceStart()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
		$amount = doubleval($data["amount"]);
		$description = mysql_escape_string(htmlspecialchars(strip_tags($data["description"])));
				
		$err = "";
		$pass = "JojBBTEI7lRJIIlZuarQJAyAVN41KOhq";
		$amount = intval($amount * 100) / 100;
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}
		
		$user_verify = $connection->createCommand("SELECT verify FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", $uid)
			->queryRow();
		
		if($amount <= 0) {
			$err .= "Сумма введена неверно. ";
		}
		
		if($amount > 500000) {
			$err .= "Максимальная сумма 500 000 BP. ";
		}
		
		if(empty($user_verify) || $user_verify["verify"] == 0) {
			$err = "Счет на оплату может выставить только продавец товаров.";
		}
		
		if($uid > 0 && $err == "") {
			
			$transaction = $connection->beginTransaction();
		    try {

			    $connection->createCommand()->insert('{{users_invoice}}', array(
			    	'uid' => 0, 
			    	'tuid' => $uid,
			    	'cuid' => $uid,
			    	'amount' => $amount,
			    	'description' => $description,
			    	'date' => time(),
			    	'data' => 0,
			    	'type' => 5,
			    	'action' => 51,
			    	'status' => 0,
			    	'hash' => 0
			    ));
			    $iid = $connection->getLastInsertID();
			    
			    $code = sha1(md5($uid . $iid . $amount . $pass));
			    $connection->createCommand()->insert('{{users_invoice_app}}', array(
			    	'uid' => $uid, 
			    	'iid' => $iid,
			    	'code' => $code,
			    	'amount' => $amount,
			    	'date' => time(),
			    	'status' => 0
			    ));
			    
			   $res["invoice_uid"] = $uid;
			   $res["invoice_code"] = $code;
			   
			    $transaction->commit();
			    //Позитивный результат
			    $res["status"] = 200;
			    $res["message"] = "Инвоис успешно создан.";
		    } catch (Exception $e) {
			    $transaction->rollback();
			    $res["status"] = 500;
			    $res["message"] = $e . "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
		    }

		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		$log_text = serialize($data) . ' => ' . serialize($res);
		$connection->createCommand()->insert('{{users_logs_app}}', array(
	    	'uid' => $uid,
	    	'controller' => 'app',
	    	'action' => 'SetPaymentInvoiceStart',
	    	'date' => time(),
	    	'text' => $log_text,
	    	'status' => $res["status"]
	    ));
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	
	
	public function actionGetPaymentInvoiceStart()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
		$invoice_code = mysql_escape_string(htmlspecialchars(strip_tags($data["invoice_code"])));
		$invoice_uid = intval($data["invoice_uid"]);
		
		$err = "";
		$pass = "JojBBTEI7lRJIIlZuarQJAyAVN41KOhq";
		$amount = intval($amount * 100) / 100;
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}
		
		
		$invoice_app = $connection->createCommand("SELECT * FROM {{users_invoice_app}} WHERE code = :code AND uid = :uid")
			->bindParam(":code", $invoice_code)
			->bindParam(":uid", $invoice_uid)
			->queryRow();
		$invoice_app_iid = $invoice_app["iid"];
		$invoice_app_code = $invoice_app["code"];
		
		$invoice = $connection->createCommand("SELECT * FROM {{users_invoice}} WHERE id = :id AND tuid = :uid")
			->bindParam(":id", $invoice_app_iid)
			->bindParam(":uid", $invoice_uid)
			->queryRow();
		$invoice_id = $invoice["id"];
		
		
		if(empty($invoice_app)) {
			$err .= "Оплата временно недоступна 1. ";
		}
		
		if(empty($invoice)) {
			$err .= "Оплата временно недоступна 2. ";
		}
		
		/*if($uid == $invoice_uid) {
			$err = "Вы не можете совершить перевод на свой кошелек.";
		}*/
		
		
		if($uid > 0 && $err == "") {
			
			$transaction = $connection->beginTransaction();
		    try {
				
				$connection->createCommand("UPDATE {{users_invoice_app}} SET status = 1 WHERE iid = :id")
					->bindParam(":id", $invoice_app_iid)
					->query();
					
				$connection->createCommand("UPDATE {{users_invoice}} SET uid = :uid, tuid = :tuid WHERE id = :id")
					->bindParam(":uid", $uid)
					->bindParam(":tuid", $invoice_uid)
					->bindParam(":id", $invoice_id)
					->query();
				
				$res["invoice_amount"] = $invoice_app['amount'];
				$res["invoice_description"] = $invoice['description'];
				$res["invoice_uid"] = $invoice_app['uid'];
				$res["invoice_code"] = $invoice_app["code"];
				$res["invoice_id"] = $invoice_app['id'];
			   
			    $transaction->commit();
			    //Позитивный результат
			    $res["status"] = 200;
			    $res["message"] = "Инвоис успешно создан.";
		    } catch (Exception $e) {
			    $transaction->rollback();
			    $res["status"] = 500;
			    $res["message"] = $e . "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
		    }

		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		
		$log_text = serialize($data) . ' => ' . serialize($res);
		$connection->createCommand()->insert('{{users_logs_app}}', array(
	    	'uid' => $uid,
	    	'controller' => 'app',
	    	'action' => 'GetPaymentInvoiceStart',
	    	'date' => time(),
	    	'text' => $log_text,
	    	'status' => $res["status"]
	    ));
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	
	public function actionSetPaymentInvoiceConfirm()
	{
		$connection = Yii::app()->db;
		$res = array();
		$data = json_decode(file_get_contents('php://input'), true);
		
		$token = mysql_escape_string(htmlspecialchars(strip_tags($data["token"])));
		$uid = intval($data["uid"]);
		$eid = intval($data["eid"]);
		$invoice_code = mysql_escape_string(htmlspecialchars(strip_tags($data["invoice_code"])));
		$invoice_uid = intval($data["invoice_uid"]);
		$invoice_aid = intval($data["invoice_id"]);
		
						
		$err = "";
		$pass = "JojBBTEI7lRJIIlZuarQJAyAVN41KOhq";
		$amount = intval($amount * 100) / 100;
		
		$user_session = $connection->createCommand("SELECT * FROM {{sessions_auth}} WHERE id = :token AND uid = :uid AND eid = :eid")
			->bindParam(":token", $token)
			->bindParam(":uid", $uid)
			->bindParam(":eid", $eid)
			->queryRow();
		
		$uid = 0;
		
		if(empty($user_session)) {
			$err = "Сессия не валидна";
		} else {
			$uid = $user_session["uid"];
		}
		
		
		if($err == "") {
		//##################################################################
		$db_transaction = $connection->beginTransaction();
		try {
			$connection->createCommand()->insert('{{block}}', array(
				'uid' => $uid,
				'date' => time()
			));
					
			$db_transaction->commit();

		} catch (Exception $e) {
			$db_transaction->rollback();
			$res["message"] = "Идет обработка предыдущего запроса. Обновите страницу и повторите попытку снова.";
			echo CJSON::encode($res);
			Yii::app()->end();

		}
		//##################################################################
		}
		
		$invoice_app = $connection->createCommand("SELECT * FROM {{users_invoice_app}} WHERE code = :code AND uid = :uid AND id = :id AND status = 1")
			->bindParam(":code", $invoice_code)
			->bindParam(":uid", $invoice_uid)
			->bindParam(":id", $invoice_aid)
			->queryRow();
		$invoice_app_iid = $invoice_app["iid"];
		$invoice_app_code = $invoice_app["code"];
		
		$invoice = $connection->createCommand("SELECT * FROM {{users_invoice}} WHERE id = :id AND uid = :uid AND tuid = :tuid AND status = 0")
			->bindParam(":id", $invoice_app_iid)
			->bindParam(":uid", $uid)
			->bindParam(":tuid", $invoice_uid)
			->queryRow();
		$invoice_id = $invoice["id"];
		
		$invoice_ok = $connection->createCommand("SELECT * FROM {{users_invoice_app_ok}} WHERE iaid = :id")
			->bindParam(":id", $invoice_app_iid)
			->queryRow();
		
		
		if(empty($invoice_app)) {
			$err = "Оплата временно недоступна. ";
		}
		
		if(empty($invoice)) {
			$err = "Оплата временно недоступна. ";
		}
		
		if(!empty($invoice_ok)) {
			$err = "Перевод по данному запросу уже был совершен. ";
		}
		
		
		$amount = doubleval($invoice_app["amount"]);
		
		//Наш кошелек
		$wallet = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $uid)->queryRow();
		$my = $connection->createCommand("SELECT uid, CONCAT(name, ' ', fio) as 'fio' FROM {{usersinfo}} WHERE uid = :uid AND status = 1")->bindParam(":uid", $uid)->queryRow();

		//Информация получателя
		$user_to = $connection->createCommand("SELECT uid, CONCAT(name, ' ', fio) as 'fio' FROM {{usersinfo}} WHERE uid = :uid AND status = 1")->bindParam(":uid", $invoice_uid)->queryRow();
		$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $invoice_uid)->queryRow();

		if ((empty($user_to)) || (empty($wallet_to))) {
			$err = "Оплата временно недоступна. ";
		}
		if (($wallet['cash_now'] < $amount) || ($amount <= 0)) {
			$err = "Недостаточно средств для совершения платежа. ";
		}
		if ((empty($wallet)) || ($uid == 0)) {
			$err = "Вы не можете отправить перевод. Обновите страницу и повторите попытку снова. ";
		}
		
		if($uid == $invoice_uid) {
			$err = "Вы не можете совершить перевод на свой кошелек.";
		}
		
		
		if($uid > 0 && $err == "") {
			
			$transaction = $connection->beginTransaction();
		    try {
			    
			    $connection->createCommand()->insert('{{users_invoice_app_ok}}', array(
			    	'uid' => $uid,
			    	'iid' => $invoice_id,
			    	'iaid' => $invoice_app_iid,
			    	'date' => time(),
			    	'status' => 1
			    ));
			    $iid = $connection->getLastInsertID();
				
				$connection->createCommand("UPDATE {{users_invoice_app}} SET status = 2 WHERE iid = :id")
					->bindParam(":id", $invoice_app_iid)
					->query();
					
				$connection->createCommand("UPDATE {{users_invoice}} SET status = 1 WHERE id = :id")
					->bindParam(":id", $invoice_id)
					->query();
					
				//Вставляем транзакцию мне
				$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $uid, 'ruid' => $user_to["uid"], 'amount' => $amount, 'amount_now' => $wallet["cash_now"] - $amount, 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => $invoice_id, 'action' => 51));
				$utransactions1 = $connection->getLastInsertID();

				//Вставляем транзакцию адрессату
				$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $user_to["uid"], 'ruid' => $uid, 'amount' => $amount, 'amount_now' => $wallet_to["cash_now"] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => $invoice_id, 'action' => 51));
				$utransactions2 = $connection->getLastInsertID();

				//Сообщение адрессату о том что получены деньги
				$text_msg = "Ваш активный бонус пополнен на сумму " . $amount . " BP от пользователя " . $my["fio"] . ".Назначение платежа: " . $invoice_app["description"] . ".";
				$connection->createCommand()->insert('{{messages}}', array('date' => time(), 'fuid' => 2, 'tuid' => $user_to['uid'], 'message' => $text_msg));

				$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now - :amount WHERE uid = :uid AND type = 1 AND status = 1; UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
					->bindParam(":amount", $amount)
					->bindParam(":uid", $uid)
					->bindParam(":touid", $user_to["uid"])
					->query();
			   
			    $transaction->commit();
			    //Позитивный результат
			    $res["status"] = 200;
			    $res["message"] = "Оплата $invoice_app[amount] BP прошла успешно.";
		    } catch (Exception $e) {
			    $transaction->rollback();
			    $res["status"] = 500;
			    $res["message"] = $e . "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
		    }

		} else {
			$res["status"] = 500;
			$res["message"] = $err;
		}
		
		$log_text = serialize($data) . ' => ' . serialize($res);
		$connection->createCommand()->insert('{{users_logs_app}}', array(
	    	'uid' => $uid,
	    	'controller' => 'app',
	    	'action' => 'SetPaymentInvoiceConfirm',
	    	'date' => time(),
	    	'text' => $log_text,
	    	'status' => $res["status"]
	    ));
		
		
		//##################################################################
		$connection->createCommand("DELETE FROM {{block}} WHERE uid = :uid")
			->bindParam(":uid", $uid)
			->query();
		//##################################################################
		
		echo CJSON::encode($res);
		Yii::app()->end();
	
	}
	
	
	
	
	
	
	
}