<?php

class PageController extends Controller
{
	public $layout = 'main';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',
				'actions'=>array('wall', 'group'),
				'users'=>array('?'),
			),
			array('deny',
				'users'=>array('?'),
			),
		);
	}

	public function actionPackages()
	{
		
		return;
		
		$connection=Yii::app()->db;
		
		$action = mysql_escape_string(htmlspecialchars(strip_tags($_GET["payment"])));
		$message = "";
		
		if($action == "success") {
			
			
			$PAYEE_ACCOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYEE_ACCOUNT"])));
			$PAYMENT_AMOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_AMOUNT"])));
			$PAYMENT_UNITS = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_UNITS"])));
			$PAYMENT_BATCH_NUM = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_BATCH_NUM"])));
			$PAYMENT_ID = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_ID"])));
			$SUGGESTED_MEMO = mysql_escape_string(htmlspecialchars(strip_tags($_POST["SUGGESTED_MEMO"])));
			$V2_HASH = strtoupper(mysql_escape_string(htmlspecialchars(strip_tags($_POST["V2_HASH"]))));
			$TIMESTAMPGMT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["TIMESTAMPGMT"])));
			$PAYER_ACCOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYER_ACCOUNT"])));
			
			//$PHRASE = strtoupper(md5("nNe62nO782TLfeUPRgFgETPOb"));
			$PHRASE = strtoupper(md5("8u09eyr86CKTopZNcTSbNgbok"));
			
			
			$signature = strtoupper(md5($PAYMENT_ID . $PAYEE_ACCOUNT . $PAYMENT_AMOUNT . $PAYMENT_UNITS . $PAYMENT_BATCH_NUM . $PAYER_ACCOUNT . $PHRASE . $TIMESTAMPGMT));
			
			$signature_code["U10590775"] = "8u09eyr86CKTopZNcTSbNgbok"; //K
			$signature_code["U11906744"] = "CV72tH4O3O5WdgvMiHefhvCwS"; //D
			$signature_code["U11321136"] = "8772n4ZuBqXzrlxFSPhRKstcF"; //D2
			
			
			$signature2 = strtoupper(
			    md5(
			     $PAYMENT_ID.':'.
			     $PAYEE_ACCOUNT.':'.
			     $PAYMENT_AMOUNT.':'.
			     $PAYMENT_UNITS.':'.
			     $PAYMENT_BATCH_NUM.':'.
			     $PAYER_ACCOUNT.':'.
			     //strtoupper(md5("nNe62nO782TLfeUPRgFgETPOb")).':'.
			     strtoupper(md5($signature_code[$PAYEE_ACCOUNT])).':'.
			     $TIMESTAMPGMT
			    )
		   );
			
			if($V2_HASH == $signature2) {
				
				
					
				
					$trans = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE uid = :uid AND code = :code AND status = 1 AND type = 1 AND amount = :amount")
					->bindParam(":uid", Yii::app()->user->id)
					->bindParam(":code", $PAYMENT_ID)
					->bindParam(":amount", $PAYMENT_AMOUNT)
					->queryRow();
					
					$wallet = $connection->createCommand("SELECT id, uid, money_my FROM {{users_payment_wallet}} WHERE id = :id")
					->bindParam(":id", $trans["psid"])
					->queryRow();
					
					$userinfo = $connection->createCommand("SELECT package, level, refx FROM {{usersinfo}} WHERE uid = :uid")
					->bindParam(":uid", $trans["uid"])
					->queryRow();
					
					if(!empty($trans) && $PAYMENT_AMOUNT = $trans["amount"]) {
						$transaction = $connection->beginTransaction();
						try {
							
							//++++++++++++++++++++++++++++++++++++
							$amount = $trans["amount"];
							//++++++++++++++++++++++++++++++++++++
					
							$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $PAYMENT_AMOUNT, 'payment_currency' => $PAYMENT_UNITS, 'payment_transaction' => $PAYMENT_BATCH_NUM, 'payment_date' => $TIMESTAMPGMT, 'payment_from' => $PAYER_ACCOUNT, 'payment_to' => $PAYEE_ACCOUNT, 'status' => 1));							$utransactions_id = $connection->getLastInsertID();
							
							
							
							$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":code", $trans["code"])
								->query();
								
							$connection->createCommand("UPDATE {{usersinfo}} SET package = :package WHERE uid = :uid; UPDATE {{users_invite_user}} SET status = 1, package = :package WHERE uid = :uid; ")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":package", $trans["package"])
								->query();
							
							$connection->createCommand()->insert('{{users_pkg}}', array('uid' => $trans["uid"], 'date' => time(),  'deposit' => $amount, 'pid' => $utransactions_id, 'type' => $trans["package"], 'status' => 1, 'hash' => doubleval($trans["uid"] . "." . $trans["package"]) ));			
							$kpg_id = Yii::app()->db->getLastInsertID();
							
							
							
							
							//Обновляем сумму в кошельке у хранителя
							$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
								->bindParam(":id", $trans["psid"])
								->bindParam(":money", $amount)
								->query();
							
							//Вставляем транзакцию
							$connection->createCommand()->insert('{{utransactions}}', array(
								'did' => $kpg_id, 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 1
							));
							$utransactions = $connection->getLastInsertID();
							
						
						
						
							//Вставляем бонус + увеличиваем потенциал =============
							
							//Вставляем потенциал
							
							$percent = 0.003;
							$days = 333;
							$amount = $trans["amount"];
							
							$percent_promo = 0; //0.2 20%
							$amount_all = $amount + $percent_promo;
							

							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1));			
							$pid_id = Yii::app()->db->getLastInsertID();
							
							//Вставляем привязку из архива
							$amount_archive = $amount;//doubleval($amount/2);
							$connection->createCommand()->insert('{{users_potential_archive}}', array(
								'uid' => $trans["uid"], 
								'pid' => $pid_id, 
								'gid' => 0,
								'date' => time(), 
								'amount' => $amount_archive, 
								'status' => 0
							));
							
							//Вставляем акционное приумножение
							
							$promo = 0.6; //В 2 раза
							$invite_count = 10;
							switch($trans["package"]) {
							case 1:
								$promo = 0.6;
								$invite_count = 10;
								break;
							case 2:
								$promo = 0.7;
								$invite_count = 10;
								break;
							case 3:
								$promo = 0.8;
								$invite_count = 10;
								break;
							case 4:
								$promo = 0.9;
								$invite_count = 10;
								break;
							case 5:
								$promo = 1;
								$invite_count = 10;
								break;
							case 6:
								$promo = 1.1;
								$invite_count = 10;
								break;
							case 7:
								$promo = 1.25;
								$invite_count = 10;
								break;
							case 8:
								$promo = 1;
								$invite_count = 10;
								break;
							case 9:
								$promo = 0.75;
								$invite_count = 10;
								break;
							case 10:
								$promo = 0.5;
								$invite_count = 10;
								break;
								
							}
							
							$hash_promo = $trans["uid"] . "." . time();
							$date_activate = time() + rand(36000, 108000);
							$amount_promo = $amount * $promo;
							
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_promo, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 3, 'status' => 1));			
							$pid_promo_id = Yii::app()->db->getLastInsertID();
							
							$connection->createCommand()->insert('{{users_potential_promo}}', array('uid' => $trans["uid"], 'pid' => $pid_id, 'amount' => $amount, 'promo' => $promo, 'date' => time(), 'date_activate' => $date_activate, 'status' => 1, 'hash' => $hash_promo));
							
							
							//Вставляем бонус + увеличиваем потенциал =============
							
							
							
							
							
							//Раздаем инвайты
							if($userinfo["package"] == 0) {
								
								$connection->createCommand()->insert('{{users_invite_new}}', array('uid' => $trans["uid"], 'amount' => $invite_count, 'date' => time(), 'type' => 1, 'status' => 0, 'hash' => doubleval($trans["uid"] . "." . time()) ));
	
								
							}
							
							
							if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
								$connection->createCommand("UPDATE {{usersinfo}} SET level = 0 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx;")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":refx", $userinfo["refx"])
								->query();
							}
							
							
							//Начисляем призовые. Если нет - отлаживаем их начисление;
							if(Functions::access_level(1, $trans["uid"])) {
								Money2::update_money_x($amount, $trans["uid"], 1); //type 1 = pkg
							} else {
								
								//Откладываем начисление до дольнейших разбирательств в чем проблема
								$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount, 'date' =>  time(), 'type' => 1, 'status' => 0));
								
							}
							
							
							$message = "Активация подписки прошла успешно. Ваш потенциал пополнен на $amount бонусных единиц (Bonus Point).";
							
							$transaction->commit();
							
						
						} catch (Exception $e) {
						$transaction->rollback();
						$message = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
						
						}

						
					} else {
				
						//Возникала ошибка при удачной оплате
						
						$data_info = array (
							
							'PAYEE_ACCOUNT' => $PAYEE_ACCOUNT,
							'PAYMENT_AMOUNT' => $PAYMENT_AMOUNT,
							'PAYMENT_UNITS' => $PAYMENT_UNITS,
							'PAYMENT_BATCH_NUM' => $PAYMENT_BATCH_NUM,
							'PAYMENT_ID' => $PAYMENT_ID,
							'SUGGESTED_MEMO' => $SUGGESTED_MEMO,
							'TIMESTAMPGMT' => $TIMESTAMPGMT,
							'PAYER_ACCOUNT' => $PAYER_ACCOUNT,
							'V2_HASH' => $V2_HASH,
							'signature' => $signature,
							
						);
					
						//parse_str($str, $array)
						$data_error = http_build_query($data_info);
						
						$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => Yii::app()->user->id, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_error, 'action' => 100, 'status' => 0 ));
						
						$message = "Возникла ошибка при подтверждении платежа.";
						
					
					}
					
				} else { //if($V2_HASH == $signature2) {
				
					$message = "Возникла ошибка при подтверждении платежа.";
					
				}
				
			} else if ($action == "fail") {
				
				$message = "Возникла ошибка при подтверждении платежа.";
				header('Location: /page/packages');
				Yii::app()->end();
			
		}
		
		$this->render('packages', array('message' => $message));
	}

	
	//=============================================================================================================
	//Продажа
	//=============================================================================================================
	
	public function actionSell()
	{
		$this->render('sell');
	}
	
	//=============================================================================================================
	//Покупка
	//=============================================================================================================
	
	public function actionBuy()
	{
		$this->render('buy');
	}

	public function actionInvoice()
	{
		$this->render('invoice');
	}
	
	public function actionBuyGetMyOrders()
	{
		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest) {
			$res = array();
			$connection = Yii::app()->db;

			$orders = $connection->createCommand("SELECT o.id, o.gid, FROM_UNIXTIME(o.date, '%d-%m-%Y') AS date, o.status, g.title, g.media_img, g.price FROM {{orders}} o INNER JOIN {{goods}} g ON o.gid = g.id WHEE o.uid = :uid ORDER BY o.status DESC")
				->bindParam(":uid", Yii::app()->user->id)
				->queryAll();

			if (!empty($invite)) {
				$res["orders"] = $orders;
				$res["status"] = 200;
			} else {
				$res["status"] = 500;
				$res["message"] = "Списко заказов пуст.";
			}

			echo CJSON::encode($res);
			Yii::app()->end();
		}
	}
	

	public function actionInvite()
	{
		$this->render('invite');
	}

	public function actionAnswers()
	{
		$this->render('answers');
	}

	public function actionNotifications()
	{
		$this->render('notifications');
	}

	public function actionSubscribers()
	{
		$this->render('subscribers');
	}

	public function actionBlacklist()
	{
		$this->render('blacklist');
	}

	public function actionSettings()
	{
		$this->render('user');
	}

	public function actionGroupedit($alias)
	{
		$this->render('groupedit');
	}

	public function actionGroupnew()
	{
		$this->render('groupnew');
	}

	public function actionUser()
	{
		$this->render('user');
	}

	public function actionPopular()
	{
		$this->render('popular');
	}

	public function actionFeed()
	{
		$this->render('feed');
	}
	
	public function actionSubscribersmy()
	{
		$this->render('subscribersmy');
	}

	public function actionFriends()
	{
		$this->render('friends');
	}

	public function actionUsers()
	{
		$this->render('users');
	}

	public function actionGroup()
	{
		$this->render('group');
	}

	public function actionWall()
	{
		$this->render('wall');
	}

	public function actionGroups()
	{
		$this->render('groups');
	}


	public function actionAudio()
	{
		$this->render('audio');
	}
	
	public function actionVoucher()
	{
		$this->render('voucher');
	}
	
	public function actionTeam()
	{
		$this->render('team');
	}
	
	public function actionRecommend()
    {
        $this->render('recommend');
    }
    
    public function actionFavorite()
	{
		$this->render('favorite');
	}

	/**
	 * This is the action to handle external exceptions.
	 */
	public function actionError()
	{
		if ($error = Yii::app()->errorHandler->error) {
			if (Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}
}