<?php

class PaymentController extends Controller
{
	public function filters()
	{
		return array(
			'accessControl',
		);
	}

	public function accessRules()
	{
		return array(
			array('allow',
				'users'=>array('*'),
			),
		);
	}

	
	public function actionSetPaymentPotentialStart(){

		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest && Yii::app()->user->id > 0) {
			$res = array();
			$connection = Yii::app()->db;
			
			Functions::access_control(0);
			
			//if(Yii::app()->user->id!= 100006) return;
			
			//$code = mysql_escape_string(htmlspecialchars(strip_tags($_POST["code"])));
			$type = intval($_POST["type"]);
			$type_in = intval($_POST["type_in"]);
			$amount = intval($_POST["amount"]);
			
			if($type==0) $type = 2; //Обнуляем если скрипты еще в кеше
			if($type_in==0) $type_in = 0; //Обнуляем если скрипты еще в кеше
			

			
			//============================================================================================
			//Код перед оплатой
			if($amount >= 1) {
			$salt_type2 = "DFS3_HKDSJKAKJHM";
			$code = Yii::app()->user->id . "." . $type . "-" . md5(Yii::app()->user->id . " - " . time() . "-" . $salt_type2);
			$connection->createCommand()->insert('{{users_payment_package}}', array('uid' => Yii::app()->user->id, 'date' => time(), 'code' => $code, 'amount' => 0, 'package' => 0, 'type' => $type, 'status' => 0));
			} else {
				
				$res["status"] = 500;
				$res["message"] = "Минимальная сумма для пополнения - 10 BP.";
				echo CJSON::encode($res);
				Yii::app()->end();
				
			}
			//============================================================================================
			
			$transaction = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE uid = :uid AND code = :code AND status = 0")
			->bindParam(":uid", Yii::app()->user->id)
			->bindParam(":code", $code)
			->queryRow();
			
			$pkg_now = $connection->createCommand("SELECT package FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", Yii::app()->user->id)
			->queryScalar();
			
			//Находим на какой кошелек отправлять деньги
			$pay_code = 111; //Perfect Money
			
			$psid = $connection->createCommand("SELECT * FROM {{users_payment_wallet}} WHERE pay_code = 111 AND status = 1 AND type = 2 ORDER BY money_my DESC LIMIT 1")
			->bindParam(":uid", Yii::app()->user->id)
			->bindParam(":pay_code", $pay_code)
			->queryRow(); //Какой кошелек пополнять
			
			$err = "";
					
			if(empty($transaction)) {
				$err .= "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if($amount < 1) {
				$err .= "<li>Минимальная сумма для пополнения - 10 BP.</li>";
			}
			
			/*if($pkg_now == 0)
				$err = "<li>Вы не можете сделать пополнение, так как Ваш аккаунт без Подписки.</li>";
			*/
			
			if(empty($psid)) {
				$err = "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if(!in_array($type, array(/*2,3*/4))) {
				$err = "<li>Недопустимый тип пополнения.</li>";
			}
			
			if($type_in > 0) {
				
				if(!in_array($type_in, array(1,2))) {

					$err = "<li>Недопустимый тип пополнения.</li>";
				}
				
			}

			
			if (Yii::app()->user->id > 0 && $err == "") {
				
				
				$newsystem = 0;
				$newsystem_data = 0;
				
				if($type == 4) {
					$newsystem = 1;
					$newsystem_data = $type_in;
				}
				
				$connection->createCommand("UPDATE {{users_payment_package}} SET status = 1, amount=:amount, package=:package, psid = :psid, newsystem = :newsystem, newsystem_data = :newsystem_data WHERE uid = :uid AND code = :code AND status = 0")
					->bindParam(":uid", Yii::app()->user->id)
					->bindParam(":code", $code)
					->bindParam(":amount", $amount)
					->bindParam(":package", $type)
					->bindParam(":psid", $psid["id"])
					->bindParam(":newsystem", $newsystem)
					->bindParam(":newsystem_data", $newsystem_data)
					->query();
				
				$res["wallet"] = $psid["pay_wallet"];
				$res["recipient"] = $psid["pay_recipient"];
				$res["code"] = $code;
				$res["price"] = $amount;
				$res["status"] = 200;
			} else {
				$res["status"] = 500;
				$res["message"] = "Возникла ошибка при активации подписки." . $err;
			}

			echo CJSON::encode($res);
			Yii::app()->end();
		}

	}
	
	
	
	public function actionSetPaymentPotentialSuccess(){
	
		$connection=Yii::app()->db;
		
		$action = mysql_escape_string(htmlspecialchars(strip_tags($_GET["payment"])));
		$message = "";
		$action = "success";
		
		echo "Начало процесса:<hr>";
		
		if($action == "success") {
			
			
			$PAYEE_ACCOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYEE_ACCOUNT"])));
			$PAYMENT_AMOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_AMOUNT"])));
			$PAYMENT_UNITS = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_UNITS"])));
			$PAYMENT_BATCH_NUM = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_BATCH_NUM"])));
			$PAYMENT_ID = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_ID"])));
			$SUGGESTED_MEMO = mysql_escape_string(htmlspecialchars(strip_tags($_POST["SUGGESTED_MEMO"])));
			$V2_HASH = strtoupper(mysql_escape_string(htmlspecialchars(strip_tags($_POST["V2_HASH"]))));
			$TIMESTAMPGMT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["TIMESTAMPGMT"])));
			$PAYER_ACCOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYER_ACCOUNT"])));
			
			//$PHRASE = strtoupper(md5("nNe62nO782TLfeUPRgFgETPOb"));
			$PHRASE = strtoupper(md5("CV72tH4O3O5WdgvMiHefhvCwS"));
			
			$data_info = array (	
				'PAYEE_ACCOUNT' => $PAYEE_ACCOUNT,
				'PAYMENT_AMOUNT' => $PAYMENT_AMOUNT,
				'PAYMENT_UNITS' => $PAYMENT_UNITS,
				'PAYMENT_BATCH_NUM' => $PAYMENT_BATCH_NUM,
				'PAYMENT_ID' => $PAYMENT_ID,
				'SUGGESTED_MEMO' => $SUGGESTED_MEMO,
				'TIMESTAMPGMT' => $TIMESTAMPGMT,
				'PAYER_ACCOUNT' => $PAYER_ACCOUNT,
				'V2_HASH' => $V2_HASH,
				'signature' => $signature,
				
			);
			$data_info_query = http_build_query($data_info);
			
			$signature = strtoupper(md5($PAYMENT_ID . $PAYEE_ACCOUNT . $PAYMENT_AMOUNT . $PAYMENT_UNITS . $PAYMENT_BATCH_NUM . $PAYER_ACCOUNT . $PHRASE . $TIMESTAMPGMT));
			
			$signature_code["U10590775"] = "8u09eyr86CKTopZNcTSbNgbok"; //K
			$signature_code["U11906744"] = "CV72tH4O3O5WdgvMiHefhvCwS"; //D
			$signature_code["U11846874"] = "CV72tH4O3O5WdgvMiHefhvCwS"; //D
			$signature_code["U11321136"] = "8772n4ZuBqXzrlxFSPhRKstcF"; //D2
			
			
			$signature2 = strtoupper(
			    md5(
			     $PAYMENT_ID.':'.
			     $PAYEE_ACCOUNT.':'.
			     $PAYMENT_AMOUNT.':'.
			     $PAYMENT_UNITS.':'.
			     $PAYMENT_BATCH_NUM.':'.
			     $PAYER_ACCOUNT.':'.
			     //strtoupper(md5("nNe62nO782TLfeUPRgFgETPOb")).':'.
			     strtoupper(md5($signature_code["$PAYEE_ACCOUNT"])).':'.
			     $TIMESTAMPGMT
			    )
		   );
			
			if($V2_HASH == $signature2) {
				
					$trans = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE code = :code AND status = 1 AND type IN (2,3,4) AND amount = :amount")
					->bindParam(":code", $PAYMENT_ID)
					->bindParam(":amount", $PAYMENT_AMOUNT)
					->queryRow();
					
					$wallet = $connection->createCommand("SELECT id, uid, money_my FROM {{users_payment_wallet}} WHERE id = :id")
					->bindParam(":id", $trans["psid"])
					->queryRow();
					
					$userinfo = $connection->createCommand("SELECT uid, package, level, refx FROM {{usersinfo}} WHERE uid = :uid")
					->bindParam(":uid", $trans["uid"])
					->queryRow();
					
					if(!empty($trans) && $PAYMENT_AMOUNT == $trans["amount"] && !empty($wallet)) {
						$transaction = $connection->beginTransaction();
						try {
							
							/*******************************************************************************
								Пополнение потенциала
							********************************************************************************/
							
							if($trans["type"] == 2) {
							
							//++++++++++++++++++++++++++++++++++++
							$amount = $trans["amount"];
							//++++++++++++++++++++++++++++++++++++
					
							$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $PAYMENT_AMOUNT, 'payment_currency' => $PAYMENT_UNITS, 'payment_transaction' => $PAYMENT_BATCH_NUM, 'payment_date' => $TIMESTAMPGMT, 'payment_from' => $PAYER_ACCOUNT, 'payment_to' => $PAYEE_ACCOUNT, 'status' => 1));							$utransactions_id = $connection->getLastInsertID();
							
							
							
							$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":code", $trans["code"])
								->query();

							//Обновляем сумму в кошельке у хранителя
							$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
								->bindParam(":id", $trans["psid"])
								->bindParam(":money", $amount)
								->query();
							
							//Вставляем транзакцию
							$connection->createCommand()->insert('{{utransactions}}', array(
								'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 3
							));
							$utransactions = $connection->getLastInsertID();
							
						
							
						
							//Вставляем бонус + увеличиваем потенциал =============
							
							//Вставляем потенциал
							
							$percent = 0.003;
							$days = 333;
							$amount = $trans["amount"];
							
							$percent_promo = 0; //0.2 20%
							$amount_all = $amount + $percent_promo;
							

							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 4, 'status' => 1));			
							$pid_id = Yii::app()->db->getLastInsertID();
							
							
							//Вставляем привязку из архива
							$amount_archive = doubleval($amount/2);
							$connection->createCommand()->insert('{{users_potential_archive}}', array(
								'uid' => $trans["uid"], 
								'pid' => $pid_id, 
								'gid' => 0,
								'date' => time(), 
								'amount' => $amount_archive, 
								'status' => 0
							));

							
							//Вставляем акционное приумножение
							
							$promo = 0.6; //В 2 раза
							$invite_count = 10;
							switch($userinfo["package"]) {
							case 1:
								$promo = 0.6;
								$invite_count = 10;
								break;
							case 2:
								$promo = 0.7;
								$invite_count = 10;
								break;
							case 3:
								$promo = 0.8;
								$invite_count = 10;
								break;
							case 4:
								$promo = 0.9;
								$invite_count = 10;
								break;
							case 5:
								$promo = 1;
								$invite_count = 10;
								break;
							case 6:
								$promo = 1.1;
								$invite_count = 10;
								break;
							case 7:
								$promo = 1.25;
								$invite_count = 10;
								break;
							case 8:
								$promo = 1;
								$invite_count = 10;
								break;
							case 9:
								$promo = 0.75;
								$invite_count = 10;
								break;
							case 10:
								$promo = 0.5;
								$invite_count = 10;
								break;
								
							}
							
							$hash_promo = $trans["uid"] . "." . time();
							$date_activate = time() + rand(36000, 108000);
							$amount_promo = intval($amount * $promo * 100) / 100;
							
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_promo, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 3, 'status' => 1));			
							$pid_promo_id = Yii::app()->db->getLastInsertID();
							
							$connection->createCommand()->insert('{{users_potential_promo}}', array('uid' => $trans["uid"], 'pid' => $pid_id, 'amount' => $amount, 'promo' => $promo, 'date' => time(), 'date_activate' => $date_activate, 'status' => 1, 'hash' => $hash_promo));
							
							
							if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
								$connection->createCommand("UPDATE {{usersinfo}} SET level = 0 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx;")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":refx", $userinfo["refx"])
								->query();
							}
							
							//Начисляем призовые. Если нет - отлаживаем их начисление;
							if(Functions::access_level(1, $trans["uid"])) {
								Money2::update_money_xinstant($amount, $trans["uid"], 2); //type 1 = pkg
							} else {
								
								//Откладываем начисление до дольнейших разбирательств в чем проблема
								$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount, 'date' =>  time(), 'type' => 1, 'status' => 0));
								
							}
							
							$message = "Ваш потенциал пополнен на $amount и $amount_promo Bonus Points.";
							
							}
							
							
							/*******************************************************************************
								Пополнение активного бонуса
							********************************************************************************/
							
							if($trans["type"] == 3) {
							
							$err = "";
							
							$from_uid = 181182; //У кого на счету списываются деньги
							
							$wallet_from = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $from_uid)->queryRow();
							
							$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $trans["uid"])->queryRow();
				
							if ((empty($wallet_from)) || (empty($wallet_to))) {
								$err .= "<p>Выбранных кошельков не существует.</p>";
							}
							
							if($err == "") {
							
							//++++++++++++++++++++++++++++++++++++
							$amount = $trans["amount"];
							//++++++++++++++++++++++++++++++++++++
					
							$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $PAYMENT_AMOUNT, 'payment_currency' => $PAYMENT_UNITS, 'payment_transaction' => $PAYMENT_BATCH_NUM, 'payment_date' => $TIMESTAMPGMT, 'payment_from' => $PAYER_ACCOUNT, 'payment_to' => $PAYEE_ACCOUNT, 'status' => 1));							$utransactions_id = $connection->getLastInsertID();
							
							
							
							$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":code", $trans["code"])
								->query();

							//Обновляем сумму в кошельке у хранителя
							$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
								->bindParam(":id", $trans["psid"])
								->bindParam(":money", $amount)
								->query();
							
							//Вставляем транзакцию
							$connection->createCommand()->insert('{{utransactions}}', array(
								'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 31
							));
							$utransactions = $connection->getLastInsertID();
							
						
							//Вставляем странзакцию и обновляем кошельки
							
							//Вставляем транзакцию мне
							$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $from_uid, 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet_from["cash_now"] - $amount, 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => 0, 'action' => 12));
							$utransactions1 = $connection->getLastInsertID();
		
							//Вставляем транзакцию адрессату
							$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $trans["uid"], 'ruid' =>$from_uid, 'amount' => $amount, 'amount_now' => $wallet_to["cash_now"] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => 0, 'action' => 12));
							$utransactions2 = $connection->getLastInsertID();

		
							$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now - :amount WHERE uid = :uid AND type = 1 AND status = 1; UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
								->bindParam(":amount", $amount)
								->bindParam(":uid", $from_uid)
								->bindParam(":touid", $trans["uid"])
								->query();
							
							$message = "Ваш активный бонус пополнен на $amount Bonus Points.";
							}
							
							}
							
							
							
							/*******************************************************************************
								Пополнение активного бонуса по новой системе
							********************************************************************************/
							
							if($trans["type"] == 4) {
							
							$err = "";
							
							$from_uid = 181182; //У кого на счету списываются деньги
							
							$wallet_from = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $from_uid)->queryRow();
							
							$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $trans["uid"])->queryRow();
				
							if ((empty($wallet_from)) || (empty($wallet_to))) {
								$err .= "<p>Выбранных кошельков не существует.</p>";
							}
							
							if($err == "") {
							

								//++++++++++++++++++++++++++++++++++++
								
								$amount = $trans["amount"];
								$amount_check = doubleval($trans["amount"] / 2);
								
								//++++++++++++++++++++++++++++++++++++
						
								$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $PAYMENT_AMOUNT, 'payment_currency' => $PAYMENT_UNITS, 'payment_transaction' => $PAYMENT_BATCH_NUM, 'payment_date' => $TIMESTAMPGMT, 'payment_from' => $PAYER_ACCOUNT, 'payment_to' => $PAYEE_ACCOUNT, 'status' => 1));							$utransactions_id = $connection->getLastInsertID();
								
								
								
								$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
									->bindParam(":uid", $trans["uid"])
									->bindParam(":code", $trans["code"])
									->query();
	
								//Обновляем сумму в кошельке у хранителя
								$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
									->bindParam(":id", $trans["psid"])
									->bindParam(":money", $amount)
									->query();
								
								//Вставляем транзакцию
								$connection->createCommand()->insert('{{utransactions}}', array(
									'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 32
								));
								$utransactions = $connection->getLastInsertID();
								
								 //Проверяем способ распределения (100 или 50 на 50)
								
								$type_in = $trans["newsystem_data"];
								
								if($type_in == 1) {
									
									$amount_check = doubleval($trans["amount"]);
											
									//*********************************
									//Добавляем сумму в потенциал
									//*********************************
									
									
									//Вставляем потенциал
									
									$percent = 0.003;
									$days = 333;
									$amount_check = $amount_check;
									
									$percent_promo = 0; //0.2 20%
									$amount_all = $amount_check + $percent_promo;
									
		
									$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 1));			
									$pid_id = Yii::app()->db->getLastInsertID();
									
									
									//Вставляем привязку из архива
									$amount_archive = $amount_check;
									$connection->createCommand()->insert('{{users_potential_archive}}', array(
										'uid' => $trans["uid"], 
										'pid' => $pid_id, 
										'gid' => 0,
										'date' => time(), 
										'amount' => $amount_archive, 
										'status' => 0
									));
								
								
								$message = "Ваш потенциал пополнен на $amount_check BP и сумма Привязанных EC увеличена на $amount_check BP.";
								
								} //100 в потенциал
								
								
								if($type_in == 2) {
									
									$amount_check = doubleval($trans["amount"] / 2);
								
									//*********************************
									//Добавляем сумму в активный бонус
									//*********************************
									
									//Вставляем странзакцию и обновляем кошельки
									
									//Вставляем транзакцию мне
									$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $from_uid, 'ruid' => $trans["uid"], 'amount' => $amount_check, 'amount_now' => $wallet_from["cash_now"] - $amount_check, 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => 0, 'action' => 13));
									$utransactions1 = $connection->getLastInsertID();
				
									//Вставляем транзакцию адрессату
									$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $trans["uid"], 'ruid' =>$from_uid, 'amount' => $amount_check, 'amount_now' => $wallet_to["cash_now"] + $amount_check, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => 0, 'action' => 13));
									$utransactions2 = $connection->getLastInsertID();
		
				
									$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now - :amount WHERE uid = :uid AND type = 1 AND status = 1; UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
										->bindParam(":amount", $amount_check)
										->bindParam(":uid", $from_uid)
										->bindParam(":touid", $trans["uid"])
										->query();
										
									
									//*********************************
									//Добавляем сумму в потенциал
									//*********************************
									
									
									//Вставляем потенциал
									
									$percent = 0.003;
									$days = 333;
									$amount_check = $amount_check;
									
									$percent_promo = 0; //0.2 20%
									$amount_all = $amount_check + $percent_promo;
									
		
									$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 1));			
									$pid_id = Yii::app()->db->getLastInsertID();
									
									
									//Вставляем привязку из архива
									$amount_archive = $amount_check;
									$connection->createCommand()->insert('{{users_potential_archive}}', array(
										'uid' => $trans["uid"], 
										'pid' => $pid_id, 
										'gid' => 0,
										'date' => time(), 
										'amount' => $amount_archive, 
										'status' => 0
									));
								
								
								
								$message = "Ваш активный бонус пополнен на $amount_check BP, в Потенциал начислено $amount_check BP и сумма Привязанных EC увеличена на $amount_check BP.";
								
								} //50 на 50
								
								
								//*********************************
								//Обновляем пользователя и финальные действия
								//*********************************
								
								
								//Раздаем инвайты
								
								$is_invite = $connection->createCommand("SELECT * FROM {{users_invite_new}} WHERE uid = :uid AND type = 1")
								->bindParam(":uid", $trans["uid"])
								->queryRow();
								
								if($trans["amount"] >= 250 && empty($is_invite)) {
									
									$connection->createCommand()->insert('{{users_invite_new}}', array('uid' => $trans["uid"], 'amount' => 10, 'date' => time(), 'type' => 1, 'status' => 0, 'hash' => doubleval($trans["uid"] . "." . time()) ));
		
									
								}
								
								//Обвновляем пакет
								if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
									$connection->createCommand("UPDATE {{usersinfo}} SET level = 0, package = 1 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx; UPDATE {{users_invite_user}} SET status = 1, package = 1 WHERE uid = :uid;")
									->bindParam(":uid", $trans["uid"])
									->bindParam(":refx", $userinfo["refx"])
									->query();
								}
								
								
								//Начисляем призовые. Если нет - отлаживаем их начисление;
								if(Functions::access_level(1, $trans["uid"])) {
									Money2::update_money_xinstant($amount_check, $trans["uid"], 2); //type 1 = pkg
								} else {
									
									//Откладываем начисление до дольнейших разбирательств в чем проблема
									$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount_check, 'date' =>  time(), 'type' => 1, 'status' => 0));
									
								}

							

							}
	
	
							}
							
							
							$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 201, 'status' => 200 ));
							
							$transaction->commit();
						
							$res["status"] = 200;
							
						
						} catch (Exception $e) {
						$transaction->rollback();
						$message = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
						$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 301, 'status' => 300 ));
						$res["status"] = 500;
						
						}

						
					} else {
				
						//Возникала ошибка при удачной оплате
						
						$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 501, 'status' => 500 ));
						
						$message = "Возникла ошибка при подтверждении платежа.";
						$res["status"] = 500;
						
					
					}
					
				} else { //if($V2_HASH == $signature2) {
				
					$message = "Возникла ошибка при подтверждении платежа.";
					$res["status"] = 500;
					
				}
				
			} else if ($action == "fail") {
				
				$res["status"] = 500;
				header('Location: /feed');
				Yii::app()->end();
			
		}
		
		
		//Вывод результата и переадрессация
				
		if($res["status"] == 200) {
			
			$info = $connection->createCommand("SELECT alias, package FROM {{usersinfo}} WHERE uid=:uid")
				->bindParam(":uid",$trans["uid"])
				->queryRow();
			$connection->createCommand()->insert('{{messages}}', array('date' => time(), 'fuid' => 2, 'tuid' => $trans["uid"], 'message' => $message));
			header('Location: /' .$info["alias"] . '?errormsg=alert&data=' . $message);
			
		} else {
			
			header('Location: /feed');
			
		}
		
		Yii::app()->end();
		
	}
	
	
	
	public function actionSetPaymentSuccessInfo(){
	
		$connection=Yii::app()->db;
			
		$PAYEE_ACCOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYEE_ACCOUNT"])));
		$PAYMENT_AMOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_AMOUNT"])));
		$PAYMENT_UNITS = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_UNITS"])));
		$PAYMENT_BATCH_NUM = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_BATCH_NUM"])));
		$PAYMENT_ID = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYMENT_ID"])));
		$SUGGESTED_MEMO = mysql_escape_string(htmlspecialchars(strip_tags($_POST["SUGGESTED_MEMO"])));
		$V2_HASH = strtoupper(mysql_escape_string(htmlspecialchars(strip_tags($_POST["V2_HASH"]))));
		$TIMESTAMPGMT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["TIMESTAMPGMT"])));
		$PAYER_ACCOUNT = mysql_escape_string(htmlspecialchars(strip_tags($_POST["PAYER_ACCOUNT"])));
			
		$data_info = array (
						
			'PAYEE_ACCOUNT' => $PAYEE_ACCOUNT,
			'PAYMENT_AMOUNT' => $PAYMENT_AMOUNT,
			'PAYMENT_UNITS' => $PAYMENT_UNITS,
			'PAYMENT_BATCH_NUM' => $PAYMENT_BATCH_NUM,
			'PAYMENT_ID' => $PAYMENT_ID,
			'SUGGESTED_MEMO' => $SUGGESTED_MEMO,
			'TIMESTAMPGMT' => $TIMESTAMPGMT,
			'PAYER_ACCOUNT' => $PAYER_ACCOUNT,
			'V2_HASH' => $V2_HASH,
			'signature' => $signature,
			
		);
		$data_info_query = http_build_query($data_info);
			
		$signature = strtoupper(md5($PAYMENT_ID . $PAYEE_ACCOUNT . $PAYMENT_AMOUNT . $PAYMENT_UNITS . $PAYMENT_BATCH_NUM . $PAYER_ACCOUNT . $PHRASE . $TIMESTAMPGMT));
			
		$signature_code["U10590775"] = "8u09eyr86CKTopZNcTSbNgbok"; //K
		$signature_code["U11906744"] = "CV72tH4O3O5WdgvMiHefhvCwS"; //D
		$signature_code["U11846874"] = "CV72tH4O3O5WdgvMiHefhvCwS"; //D
		$signature_code["U11321136"] = "8772n4ZuBqXzrlxFSPhRKstcF"; //D2
		
		$signature2 = strtoupper(
		    md5(
		     $PAYMENT_ID.':'.
		     $PAYEE_ACCOUNT.':'.
		     $PAYMENT_AMOUNT.':'.
		     $PAYMENT_UNITS.':'.
		     $PAYMENT_BATCH_NUM.':'.
		     $PAYER_ACCOUNT.':'.
		     //strtoupper(md5("nNe62nO782TLfeUPRgFgETPOb")).':'.
		     strtoupper(md5($signature_code["$PAYEE_ACCOUNT"])).':'.
		     $TIMESTAMPGMT
		    )
	   );
			
		if($V2_HASH == $signature2) {
		
			//Вставляем информацию о платеже
			$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 202, 'status' => 200 ));
			
			//Переадресация
			$info = $connection->createCommand("SELECT alias, package FROM {{usersinfo}} WHERE uid=:uid")
				->bindParam(":uid",Yii::app()->user->id)
				->queryRow();
			$message = "Оплата прошла успешно.";
			header('Location: /' .$info["alias"] . '?errormsg=alert&data=' . $message);
			
		} else {
			
			//Вставляем информацию о платеже
			$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 502, 'status' => 500 ));
			
			header('Location: /feed');
			
		}
		
		Yii::app()->end();
		
	}
	
	
	public function actionSetPaymentPotentialFail(){
		//Вывод результата и переадрессация
		$connection=Yii::app()->db;
		
		Functions::access_control(0);
		
		$info = $connection->createCommand("SELECT alias, package FROM {{usersinfo}} WHERE uid=:uid")
		->bindParam(":uid",Yii::app()->user->id)
		->queryRow();
		header('Location: /' .$info["alias"]);
		Yii::app()->end();
	}
	
	
	
	
	
	
	/*
	
		===========================================================================================================================
		
	*/
	
	
	public function actionSetPaymentPotentialCrtStart(){
		
		//if(Yii::app()->user->id != 3) {
			
			$res["status"] = 500;
			$res["message"] = "Возможность вскоре будет доступна.";
			echo CJSON::encode($res);
			Yii::app()->end();
			
		//}
		
		
		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest && Yii::app()->user->id > 0) {
			$res = array();
			$connection = Yii::app()->db;
			
			Functions::access_control(0);
			
			//if(Yii::app()->user->id!= 100006) return;
			
			//$code = mysql_escape_string(htmlspecialchars(strip_tags($_POST["code"])));
			$type = intval($_POST["type"]);
			$type_in = intval($_POST["type_in"]);
			$amount = intval($_POST["amount"]);
			
			if($type==0) $type = 2; //Обнуляем если скрипты еще в кеше
			if($type_in==0) $type_in = 0; //Обнуляем если скрипты еще в кеше
			

			
			//============================================================================================
			//Код перед оплатой
			if($amount >= 1) {
			$salt_type2 = "DFS3_HKDSJKAKJHM";
			$code = Yii::app()->user->id . "." . $type . "-" . md5(Yii::app()->user->id . " - " . time() . "-" . $salt_type2);
			$connection->createCommand()->insert('{{users_payment_package}}', array('uid' => Yii::app()->user->id, 'date' => time(), 'code' => $code, 'amount' => 0, 'package' => 0, 'type' => $type, 'status' => 0));
			} else {
				
				$res["status"] = 500;
				$res["message"] = "Минимальная сумма для пополнения - 10 BP.";
				echo CJSON::encode($res);
				Yii::app()->end();
				
			}
			//============================================================================================
			
			$transaction = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE uid = :uid AND code = :code AND status = 0")
			->bindParam(":uid", Yii::app()->user->id)
			->bindParam(":code", $code)
			->queryRow();
			
			$pkg_now = $connection->createCommand("SELECT package FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", Yii::app()->user->id)
			->queryScalar();
			
			//Находим на какой кошелек отправлять деньги
			$pay_code = 111; //Perfect Money
			
			$psid = $connection->createCommand("SELECT * FROM {{users_payment_wallet}} WHERE pay_code = 100 AND status = 1 AND type = 2 ORDER BY money_my DESC LIMIT 1")
			->bindParam(":uid", Yii::app()->user->id)
			->bindParam(":pay_code", $pay_code)
			->queryRow(); //Какой кошелек пополнять
			
			$err = "";
					
			if(empty($transaction)) {
				$err .= "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if($amount < 1) {
				$err .= "<li>Минимальная сумма для пополнения - 10 BP.</li>";
			}
			
			/*if($pkg_now == 0)
				$err = "<li>Вы не можете сделать пополнение, так как Ваш аккаунт без Подписки.</li>";
			*/
			
			if(empty($psid)) {
				$err = "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if(!in_array($type, array(/*2,3,*/4))) {
				$err = "<li>Недопустимый тип пополнения.</li>";
			}

			//Просчет курса
			
			$course = file_get_contents('https://crt.money/api/getcourse/'); 
			$courses = json_decode($course, true);
			
			$usd = doubleval($courses["USD"]);
			$eur = doubleval($courses["EUR"]);
			$gbp = doubleval($courses["GBP"]);

			$amount_crt = intval(($amount / $usd)*10000) / 10000;
			$course_crt = intval((1 / $usd)*10000) / 10000;
			
			if($amount_crt <= 0) {
				$err .= "<li>Недопустимая сумма пополнения.</li>";
			}
			
			if($usd <= 0) {
				$err .= "<li>Не удалось получить курс карат для совершения операции. Повторите попытку через несколько минут.</li>";
			}
			
			
			//ПРоверка типа пополнения
			if($type_in > 0) {
				
				if(!in_array($type_in, array(1,2))) {

					$err = "<li>Недопустимый тип пополнения.</li>";
				}
				
			}
			
			$newsystem = 0;
			$newsystem_data = 0;
				
			if($type == 4) {
				$newsystem = 1;
				$newsystem_data = $type_in;
			}
			
			
			if (Yii::app()->user->id > 0 && $err == "") {
				
				$transactions = $connection->beginTransaction();
				try {
					
					$connection->createCommand()->insert('{{users_payment_package_info}}', array(
						'uid' => Yii::app()->user->id, 
						'pid' => $transaction["id"],
						'amount' => $amount_crt, 
						'course' => $course_crt, 
						'course_cross' => $usd, 
						'currency' => 'CRT', 
						'amount_bp' => $amount, 
						'status' => 0
					));
					$info_id = $connection->getLastInsertID();
					
					$connection->createCommand("UPDATE {{users_payment_package}} SET status = 1, amount=:amount, package=:package, psid = :psid, info = :info, newsystem = :newsystem, newsystem_data = :newsystem_data WHERE uid = :uid AND code = :code AND status = 0")
						->bindParam(":uid", Yii::app()->user->id)
						->bindParam(":code", $code)
						->bindParam(":amount", $amount)
						->bindParam(":package", $type)
						->bindParam(":psid", $psid["id"])
						->bindParam(":info", $info_id)
						->bindParam(":newsystem", $newsystem)
						->bindParam(":newsystem_data", $newsystem_data)
						->query();
	
					
					$res["wallet"] = $psid["pay_wallet"];
					$res["recipient"] = $psid["pay_recipient"];
					$res["code"] = $code;
					$res["price"] = $amount_crt;
					$res["memo"] = "Пополнение потенциала на сумму $amount BP.";
					
					$transactions->commit();
					$res["status"] = 200;
				
				} catch (Exception $e) {
					$transactions->rollback();
					$res["status"] = 500;
					$res["message"] = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
				}
				
			} else {
				$res["status"] = 500;
				$res["message"] = "Возникла ошибка при активации подписки." . $err;
			}

			echo CJSON::encode($res);
			Yii::app()->end();
		}

	}
    
	
	public function actionSetPaymentPotentialCrtSuccess(){
		
		$connection=Yii::app()->db;
			
        $cm_merchant = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_merchant"])));
        $cm_id = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_id"])));
        $cm_am = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_am"])));
        $cm_curr = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_curr"])));
        $cm_desc = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_desc"])));
        $cm_status = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_status"])));
        $cm_card_from = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_card_from"])));
        $cm_card_to = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_card_to"])));
        $cm_timestamp = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_timestamp"])));
        $cm_cid = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_cid"])));
        $cm_signature = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_signature"])));

		$signature_code["d645920e395fedad7bbbed0eca3fe2e0"] = "7ZC5AecwMtq20ci5";
		
		$signature = sha1(md5($cm_merchant.$cm_id.$cm_am.$cm_curr.$cm_desc.$cm_status.$cm_card_from.$cm_card_to.$cm_timestamp.$cm_cid.$signature_code[$cm_merchant]));
		
		$data_info = array (
						
			'cm_merchant' => $cm_merchant,
			'cm_id' => $cm_id,
			'cm_am' => $cm_am,
			'cm_curr' => $cm_curr,
			'cm_desc' => $cm_desc,
			'cm_status' => $cm_status,
			'cm_card_from' => $cm_card_from,
			'cm_card_to' => $cm_card_to,
			'cm_timestamp' => $cm_timestamp,
			'cm_cid' => $cm_cid,
			'cm_signature' => $cm_signature,
			'signature' => $signature
		);
		$data_info_query = http_build_query($data_info);
			
		if($cm_signature == $signature) {
				
					$info = $connection->createCommand("SELECT i.* FROM {{users_payment_package_info}} i INNER JOIN {{users_payment_package}} p ON p.id = i.pid WHERE p.code = :code AND p.status = 1 AND p.type IN (1,2,3,4) AND i.amount = :amount")
					->bindParam(":code", $cm_id)
					->bindParam(":amount", $cm_am)
					->queryRow();

					$trans = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE code = :code AND status = 1 AND type IN (1,2,3,4)")
					->bindParam(":code", $cm_id)
					->queryRow();
					$trans_psid = $trans["psid"];
					$trans_uid = $trans["uid"];
					
					$wallet = $connection->createCommand("SELECT id, uid, money_my FROM {{users_payment_wallet}} WHERE id = :id")
					->bindParam(":id", $trans_psid)
					->queryRow();
					
					$userinfo = $connection->createCommand("SELECT * FROM {{usersinfo}} WHERE uid = :uid")
					->bindParam(":uid", $trans_uid)
					->queryRow();

					if(!empty($trans) && !empty($info) && $cm_am == $info["amount"] && !empty($wallet)) {
						$transaction = $connection->beginTransaction();
						try {
							
							/*******************************************************************************
								Пополнение потенциала
							********************************************************************************/
							
							if($trans["type"] == 1) {
							
							//++++++++++++++++++++++++++++++++++++
							$amount = doubleval($trans["amount"]);
							//++++++++++++++++++++++++++++++++++++
					
							$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $amount, 'payment_currency' => 'CRT', 'payment_transaction' => $trans["code"], 'payment_date' => $cm_timestamp, 'payment_from' => $cm_card_from, 'payment_to' => $cm_card_to, 'status' => 1));							
							$utransactions_id = $connection->getLastInsertID();
							
							
							$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":code", $trans["code"])
								->query();
							
							//Вставляем запись с пакетом
							$connection->createCommand()->insert('{{users_pkg}}', array('uid' => $trans["uid"], 'date' => time(),  'deposit' => $amount, 'pid' => $utransactions_id, 'type' => $trans["package"], 'status' => 1, 'hash' => doubleval($trans["uid"] . "." . $trans["package"]) ));			
							$kpg_id = Yii::app()->db->getLastInsertID();

							//Обновляем сумму в кошельке у хранителя
							$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
								->bindParam(":id", $trans["psid"])
								->bindParam(":money", $amount)
								->query();
							
							//Вставляем транзакцию
							$connection->createCommand()->insert('{{utransactions}}', array(
								'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 1
							));
							$utransactions = $connection->getLastInsertID();
						
							//Вставляем бонус + увеличиваем потенциал =============
							
							//Вставляем потенциал
							
							$percent = 0.003;
							$days = 333;
							$amount = $trans["amount"];
							
							$percent_promo = 0; //0.2 20%
							$amount_all = $amount + $percent_promo;
							

							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1));			
							$pid_id = Yii::app()->db->getLastInsertID();
							
							//Вставляем привязку из архива
							$amount_archive = $amount;//doubleval($amount/2);
							$connection->createCommand()->insert('{{users_potential_archive}}', array(
								'uid' => $trans["uid"], 
								'pid' => $pid_id, 
								'gid' => 0,
								'date' => time(), 
								'amount' => $amount_archive, 
								'status' => 0
							));
							
							//Вставляем акционное приумножение
							
							$promo = 0.6; //В 2 раза
							$invite_count = 10;
							switch($trans["package"]) {
							case 1:
								$promo = 0.6;
								$invite_count = 10;
								break;
							case 2:
								$promo = 0.7;
								$invite_count = 10;
								break;
							case 3:
								$promo = 0.8;
								$invite_count = 10;
								break;
							case 4:
								$promo = 0.9;
								$invite_count = 10;
								break;
							case 5:
								$promo = 1;
								$invite_count = 10;
								break;
							case 6:
								$promo = 1.1;
								$invite_count = 10;
								break;
							case 7:
								$promo = 1.25;
								$invite_count = 10;
								break;
							case 8:
								$promo = 1;
								$invite_count = 10;
								break;
							case 9:
								$promo = 0.75;
								$invite_count = 10;
								break;
							case 10:
								$promo = 0.5;
								$invite_count = 10;
								break;
								
							}
							
							$hash_promo = $trans["uid"] . "." . time();
							$date_activate = time() + rand(36000, 108000);
							$amount_promo = $amount * $promo;
							
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_promo, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 3, 'status' => 1));			
							$pid_promo_id = Yii::app()->db->getLastInsertID();
							
							$connection->createCommand()->insert('{{users_potential_promo}}', array('uid' => $trans["uid"], 'pid' => $pid_id, 'amount' => $amount, 'promo' => $promo, 'date' => time(), 'date_activate' => $date_activate, 'status' => 1, 'hash' => $hash_promo));
							
							
							//Вставляем бонус + увеличиваем потенциал =============
							
							
							//Вставляем дополнительную сумму =====	
							//if(Yii::app()->user->id ==5 )	{				
							$crtmoney_promo = ($amount + $amount_promo) * 0.1;
								
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $crtmoney_promo, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 3, 'crtmoney' => 1, 'status' => 1));			
							$pid_promocrt_id = Yii::app()->db->getLastInsertID();
							
							$connection->createCommand()->insert('{{users_potential_crtmoney}}', array('pid' => $pid_promocrt_id, 'uid' => $trans["uid"],  'amount' => $crtmoney_promo, 'amount1' => $amount, 'amount2' => $amount_promo, 'status' => 1));	
							//}
							//Вставляем дополнительную сумму =====
							
							
							//Раздаем инвайты
							if($userinfo["package"] == 0) {
								
								$connection->createCommand()->insert('{{users_invite_new}}', array('uid' => $trans["uid"], 'amount' => $invite_count, 'date' => time(), 'type' => 1, 'status' => 0, 'hash' => doubleval($trans["uid"] . "." . time()) ));
	
								
							}
							
							
							if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
								$connection->createCommand("UPDATE {{usersinfo}} SET level = 0 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx;")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":refx", $userinfo["refx"])
								->query();
							}
							
							//Обновляем пакет пользователя
							$connection->createCommand("UPDATE {{usersinfo}} SET package = :package WHERE uid = :uid; UPDATE {{users_invite_user}} SET status = 1, package = :package WHERE uid = :uid; ")
							->bindParam(":uid", $trans["uid"])
							->bindParam(":package", $trans["package"])
							->query();
							
							
							
							//Начисляем призовые. Если нет - отлаживаем их начисление;
							if(Functions::access_level(1, $trans["uid"])) {
								Money2::update_money_x($amount, $trans["uid"], 1); //type 1 = pkg
							} else {
								
								//Откладываем начисление до дольнейших разбирательств в чем проблема
								$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount, 'date' =>  time(), 'type' => 1, 'status' => 0));
								
							}
							
							
							$message = "Активация подписки прошла успешно. Ваш потенциал пополнен на $amount бонусных единиц (Bonus Point).";
							
							
							}
							
							
							
							/*******************************************************************************
								Пополнение потенциала
							********************************************************************************/
							
							if($trans["type"] == 2) {
							
							//++++++++++++++++++++++++++++++++++++
							$amount = doubleval($trans["amount"]);
							//++++++++++++++++++++++++++++++++++++
					
							$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $amount, 'payment_currency' => 'CRT', 'payment_transaction' => $trans["code"], 'payment_date' => $cm_timestamp, 'payment_from' => $cm_card_from, 'payment_to' => $cm_card_to, 'status' => 1));							
							$utransactions_id = $connection->getLastInsertID();
							
							
							$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":code", $trans["code"])
								->query();

							//Обновляем сумму в кошельке у хранителя
							$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
								->bindParam(":id", $trans["psid"])
								->bindParam(":money", $amount)
								->query();
							
							//Вставляем транзакцию
							$connection->createCommand()->insert('{{utransactions}}', array(
								'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 3
							));
							$utransactions = $connection->getLastInsertID();
							
							//Вставляем бонус + увеличиваем потенциал =============
							
							//Вставляем потенциал
							
							$percent = 0.003;
							$days = 333;
							$amount = $trans["amount"];
							
							$percent_promo = 0; //0.2 20%
							$amount_all = $amount + $percent_promo;
							

							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 4, 'status' => 1));			
							$pid_id = Yii::app()->db->getLastInsertID();
							
							
							//Вставляем привязку из архива
							$amount_archive = doubleval($amount/2);
							$connection->createCommand()->insert('{{users_potential_archive}}', array(
								'uid' => $trans["uid"], 
								'pid' => $pid_id, 
								'gid' => 0,
								'date' => time(), 
								'amount' => $amount_archive, 
								'status' => 0
							));

							
							//Вставляем акционное приумножение
							
							$promo = 0.6; //В 2 раза
							$invite_count = 10;
							switch($userinfo["package"]) {
							case 1:
								$promo = 0.6;
								$invite_count = 10;
								break;
							case 2:
								$promo = 0.7;
								$invite_count = 10;
								break;
							case 3:
								$promo = 0.8;
								$invite_count = 10;
								break;
							case 4:
								$promo = 0.9;
								$invite_count = 10;
								break;
							case 5:
								$promo = 1;
								$invite_count = 10;
								break;
							case 6:
								$promo = 1.1;
								$invite_count = 10;
								break;
							case 7:
								$promo = 1.25;
								$invite_count = 10;
								break;
							case 8:
								$promo = 1;
								$invite_count = 10;
								break;
							case 9:
								$promo = 0.75;
								$invite_count = 10;
								break;
							case 10:
								$promo = 0.5;
								$invite_count = 10;
								break;
								
							}
							
							$hash_promo = $trans["uid"] . "." . time();
							$date_activate = time() + rand(36000, 108000);
							$amount_promo = intval($amount * $promo * 100) / 100;
							
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_promo, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 3, 'status' => 1));			
							$pid_promo_id = Yii::app()->db->getLastInsertID();
							
							$connection->createCommand()->insert('{{users_potential_promo}}', array('uid' => $trans["uid"], 'pid' => $pid_id, 'amount' => $amount, 'promo' => $promo, 'date' => time(), 'date_activate' => $date_activate, 'status' => 1, 'hash' => $hash_promo));
							
							
							//Вставляем дополнительную сумму =====	
							//if(Yii::app()->user->id ==5 )	{				
							$crtmoney_promo = ($amount + $amount_promo) * 0.1;
								
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $crtmoney_promo, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 3, 'crtmoney' => 1, 'status' => 1));			
							$pid_promocrt_id = Yii::app()->db->getLastInsertID();
							
							$connection->createCommand()->insert('{{users_potential_crtmoney}}', array('pid' => $pid_promocrt_id, 'uid' => $trans["uid"],  'amount' => $crtmoney_promo, 'amount1' => $amount, 'amount2' => $amount_promo, 'status' => 1));	
							//}
							//Вставляем дополнительную сумму =====
							
							//Обновляем статус
							
							if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
								$connection->createCommand("UPDATE {{usersinfo}} SET level = 0 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx;")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":refx", $userinfo["refx"])
								->query();
							}
							
							//Начисляем призовые. Если нет - отлаживаем их начисление;
							if(Functions::access_level(1, $trans["uid"])) {
								Money2::update_money_x($amount, $trans["uid"], 2); //type 1 = pkg
							} else {
								
								//Откладываем начисление до дольнейших разбирательств в чем проблема
								$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount, 'date' =>  time(), 'type' => 1, 'status' => 0));
								
							}
							
							$message = "Ваш потенциал пополнен на $amount и $amount_promo Bonus Points.";
							
							}
							
							
							/*******************************************************************************
								Пополнение активного бонуса по новой системе
							********************************************************************************/
							
							if($trans["type"] == 4) {
							
							$err = "";
							
							$from_uid = 181182; //У кого на счету списываются деньги
							
							$wallet_from = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $from_uid)->queryRow();
							
							$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $trans["uid"])->queryRow();
				
							if ((empty($wallet_from)) || (empty($wallet_to))) {
								$err .= "<p>Выбранных кошельков не существует.</p>";
							}
							
							if($err == "") {
							

							//++++++++++++++++++++++++++++++++++++
							
							$amount = $trans["amount"];
							$amount_check = doubleval($trans["amount"] / 2);
							
							//++++++++++++++++++++++++++++++++++++
					
							$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $amount, 'payment_currency' => 'CRT', 'payment_transaction' => $trans["code"], 'payment_date' => $cm_timestamp, 'payment_from' => $cm_card_from, 'payment_to' => $cm_card_to, 'status' => 1));							
							$utransactions_id = $connection->getLastInsertID();
							
							
							
							$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":code", $trans["code"])
								->query();

							//Обновляем сумму в кошельке у хранителя
							$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
								->bindParam(":id", $trans["psid"])
								->bindParam(":money", $amount)
								->query();
							
							//Вставляем транзакцию
							$connection->createCommand()->insert('{{utransactions}}', array(
								'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 32
							));
							$utransactions = $connection->getLastInsertID();
							
							 //Проверяем способ распределения (100 или 50 на 50)
							
							$type_in = $trans["newsystem_data"];
							
							if($type_in == 1) {
								
								$amount_check = doubleval($trans["amount"]);
										
								//*********************************
								//Добавляем сумму в потенциал
								//*********************************
								
								
								//Вставляем потенциал
								
								$percent = 0.003;
								$days = 333;
								$amount_check = $amount_check;
								
								$percent_promo = 0; //0.2 20%
								$amount_all = $amount_check + $percent_promo;
								
	
								$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 1));			
								$pid_id = Yii::app()->db->getLastInsertID();
								
								
								//Вставляем привязку из архива
								$amount_archive = $amount_check;
								$connection->createCommand()->insert('{{users_potential_archive}}', array(
									'uid' => $trans["uid"], 
									'pid' => $pid_id, 
									'gid' => 0,
									'date' => time(), 
									'amount' => $amount_archive, 
									'status' => 0
								));
							
							
							$message = "Ваш потенциал пополнен на $amount_check BP и сумма Привязанных EC увеличена на $amount_check BP.";
							
							} //100 в потенциал
							
							
							if($type_in == 2) {
								
								$amount_check = doubleval($trans["amount"] / 2);
							
								//*********************************
								//Добавляем сумму в активный бонус
								//*********************************
								
								//Вставляем странзакцию и обновляем кошельки
								
								//Вставляем транзакцию мне
								$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $from_uid, 'ruid' => $trans["uid"], 'amount' => $amount_check, 'amount_now' => $wallet_from["cash_now"] - $amount_check, 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => 0, 'action' => 13));
								$utransactions1 = $connection->getLastInsertID();
			
								//Вставляем транзакцию адрессату
								$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $trans["uid"], 'ruid' =>$from_uid, 'amount' => $amount_check, 'amount_now' => $wallet_to["cash_now"] + $amount_check, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => 0, 'action' => 13));
								$utransactions2 = $connection->getLastInsertID();
	
			
								$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now - :amount WHERE uid = :uid AND type = 1 AND status = 1; UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
									->bindParam(":amount", $amount_check)
									->bindParam(":uid", $from_uid)
									->bindParam(":touid", $trans["uid"])
									->query();
									
								
								//*********************************
								//Добавляем сумму в потенциал
								//*********************************
								
								
								//Вставляем потенциал
								
								$percent = 0.003;
								$days = 333;
								$amount_check = $amount_check;
								
								$percent_promo = 0; //0.2 20%
								$amount_all = $amount_check + $percent_promo;
								
	
								$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 1));			
								$pid_id = Yii::app()->db->getLastInsertID();
								
								
								//Вставляем привязку из архива
								$amount_archive = $amount_check;
								$connection->createCommand()->insert('{{users_potential_archive}}', array(
									'uid' => $trans["uid"], 
									'pid' => $pid_id, 
									'gid' => 0,
									'date' => time(), 
									'amount' => $amount_archive, 
									'status' => 0
								));
							
							
							
							$message = "Ваш активный бонус пополнен на $amount_check BP, в Потенциал начислено $amount_check BP и сумма Привязанных EC увеличена на $amount_check BP.";
							
							} //50 на 50
							
							
							//*********************************
							//Обновляем пользователя и финальные действия
							//*********************************
							
							
							//Раздаем инвайты
							$is_invite = $connection->createCommand("SELECT * FROM {{users_invite_new}} WHERE uid = :uid AND type = 1")
								->bindParam(":uid", $trans["uid"])
								->queryRow();
							
							if($trans["amount"] >= 250 && empty($is_invite)) {
								
								$connection->createCommand()->insert('{{users_invite_new}}', array('uid' => $trans["uid"], 'amount' => 10, 'date' => time(), 'type' => 1, 'status' => 0, 'hash' => doubleval($trans["uid"] . "." . time()) ));
	
								
							}
							
							//Обвновляем пакет
							if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
								$connection->createCommand("UPDATE {{usersinfo}} SET level = 0, package = 1 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx; UPDATE {{users_invite_user}} SET status = 1, package = 1 WHERE uid = :uid;")
								->bindParam(":uid", $trans["uid"])
								->bindParam(":refx", $userinfo["refx"])
								->query();
							}
							
							
							
							//Начисляем призовые. Если нет - отлаживаем их начисление;
							if(Functions::access_level(1, $trans["uid"])) {
								Money2::update_money_x($amount_check, $trans["uid"], 2); //type 1 = pkg
							} else {
								
								//Откладываем начисление до дольнейших разбирательств в чем проблема
								$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount_check, 'date' =>  time(), 'type' => 1, 'status' => 0));
								
							}
							
							

							}
							
							}
							
							
							$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 201, 'status' => 200 ));
							
							$transaction->commit();
						
							$res["status"] = 200;
							
						
						} catch (Exception $e) {
						$transaction->rollback();
						$message = $e . "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
						$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query . $message, 'action' => 301, 'status' => 300 ));
						$res["status"] = 500;
						
						}

						
					} else {
				
						//Возникала ошибка при удачной оплате
						
						$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 501, 'status' => 500 ));
						
						$message = "Возникла ошибка при подтверждении платежа.";
						$res["status"] = 500;
						
					
					}
			
		} else {
			
			//Вставляем информацию о платеже
			$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 502, 'status' => 500 ));
			
			//header('Location: /cabinet');
			
		}
		
		//Вывод результата и переадрессация
		if($res["status"] == 200) {
			$connection->createCommand()->insert('{{messages}}', array('date' => time(), 'fuid' => 2, 'tuid' => $trans["uid"], 'message' => $message));
		}
		
		Yii::app()->end();
		
	}
	
	
	public function actionSetPaymentPotentialCrtOk(){
		
		$connection=Yii::app()->db;
			
        $cm_merchant = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_merchant"])));
        $cm_id = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_id"])));
        $cm_am = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_am"])));
        $cm_curr = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_curr"])));
        $cm_desc = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_desc"])));
        $cm_status = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_status"])));
        $cm_card_from = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_card_from"])));
        $cm_card_to = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_card_to"])));
        $cm_timestamp = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_timestamp"])));
        $cm_cid = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_cid"])));
        $cm_signature = mysql_escape_string(htmlspecialchars(strip_tags($_POST["cm_signature"])));

		$signature_code["d645920e395fedad7bbbed0eca3fe2e0"] = "7ZC5AecwMtq20ci5";
		
		$signature = sha1(md5($cm_merchant.$cm_id.$cm_am.$cm_curr.$cm_desc.$cm_status.$cm_card_from.$cm_card_to.$cm_timestamp.$cm_cid.$signature_code[$cm_merchant]));
		
		$data_info = array (
						
			'cm_merchant' => $cm_merchant,
			'cm_id' => $cm_id,
			'cm_am' => $cm_am,
			'cm_curr' => $cm_curr,
			'cm_desc' => $cm_desc,
			'cm_status' => $cm_status,
			'cm_card_from' => $cm_card_from,
			'cm_card_to' => $cm_card_to,
			'cm_timestamp' => $cm_timestamp,
			'cm_cid' => $cm_cid,
			'cm_signature' => $cm_signature,
			'signature' => $signature
		);
		$data_info_query = http_build_query($data_info);
			
		if($cm_signature == $signature) {
		
			//Вставляем информацию о платеже
			$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval(Yii::app()->user->id), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 202, 'status' => 200 ));
			
			//Переадресация
			$message = "Оплата прошла успешно.";
			//header('Location: /cabinet?errormsg=alert&data=' . $message);
			
		} else {
			
			//Вставляем информацию о платеже
			$connection->createCommand()->insert('{{users_payment_logs}}', array('uid' => intval($trans["uid"]), 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => $data_info_query, 'action' => 502, 'status' => 500 ));
			
			//header('Location: /cabinet');
			
		}
		
		header('Location: /feed');
		Yii::app()->end();
		
	}
	
    
    public function actionSetPaymentPotentialCrtFail(){
		//Вывод результата и переадрессация
		$connection=Yii::app()->db;
		header('Location: /feed');
		Yii::app()->end();
	}
	
	
	
	/*
	
		===========================================================================================================================
		Покупка подписки за караты
		===========================================================================================================================
		
	*/
	
	
	
	public function actionSetPackegeCrtStart(){
		
		//if(Yii::app()->user->id != 3) {
			
			$res["status"] = 500;
			$res["message"] = "Возможность вскоре будет доступна.";
			echo CJSON::encode($res);
			Yii::app()->end();
			
		//}

		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest) {
			Functions::access_control(0);
			$res = array();
			$connection = Yii::app()->db;
			
			$type = intval($_POST["type"]);
			$price = intval($_POST["price"]);
			
			//============================================================================================
			//Код перед оплатой
			
			$code = Yii::app()->user->id . "-" . md5(Yii::app()->user->id . " - " . time() . "-" . rand(999999,9999999));
			$connection->createCommand()->insert('{{users_payment_package}}', array('uid' => Yii::app()->user->id, 'date' => time(), 'code' => $code, 'amount' => 0, 'package' => 0, 'status' => 0));
			
			//============================================================================================
			
			$transaction = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE uid = :uid AND code = :code AND status = 0")
			->bindParam(":uid", Yii::app()->user->id)
			->bindParam(":code", $code)
			->queryRow();
			
			$pkg_now = $connection->createCommand("SELECT package FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", Yii::app()->user->id)
			->queryScalar();
			
			//Находим на какой кошелек отправлять деньги
			$pay_code = 100; //CRT Money
			
			$psid = $connection->createCommand("SELECT * FROM {{users_payment_wallet}} WHERE status = 1 AND type = 2 AND pay_code = :pay_code ORDER BY money_my DESC LIMIT 1")
			->bindParam(":pay_code", $pay_code)
			->queryRow(); //Какой кошелек пополнять
			
			$err = "";
			
			$pkg_price = 0;
			switch($type) {
				case 1:
					$pkg_price = 200;
					break;
				case 2:
					$pkg_price = 500;
					break;
				case 3:
					$pkg_price = 1000;
					break;
				case 4:
					$pkg_price = 2000;
					break;
				case 5:
					$pkg_price = 5000;
					break;
				case 6:
					$pkg_price = 10000;
					break;
				case 7:
					$pkg_price = 20000;
					break;
				case 8:
					$pkg_price = 50000;
					break;
				case 9:
					$pkg_price = 100000;
					break;
				case 10:
					$pkg_price = 200000;
					break;								
			}
			
			if(empty($transaction)) {
				$err .= "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if($pkg_price != $price) {
				$err .= "<li>Повторите попытку через несколько минут.</li>";
			}
			
			if($pkg_now >= $type)
				$err = "<li>Вы не можете активировать данный пакет, так как Ваша подписка более актуальна.</li>";
			
			if(empty($psid)) {
				$err = "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			

			//Просчет курса
			
			$amount = $pkg_price;
			
			$course = file_get_contents('https://crt.money/api/getcourse/'); 
			$courses = json_decode($course, true);
			
			$usd = doubleval($courses["USD"]);
			$eur = doubleval($courses["EUR"]);
			$gbp = doubleval($courses["GBP"]);

			$amount_crt = intval(($amount / $usd)*10000) / 10000;
			$course_crt = intval((1 / $usd)*10000) / 10000;
			
			if($amount_crt <= 0) {
				$err .= "<li>Недопустимая сумма пополнения.</li>";
			}
			
			if($usd <= 0) {
				$err .= "<li>Не удалось получить курс карат для совершения операции. Повторите попытку через несколько минут.</li>";
			}

			
			if (Yii::app()->user->id > 0 && $err == "") {
				
				$transactions = $connection->beginTransaction();
				try {
				
					$connection->createCommand()->insert('{{users_payment_package_info}}', array(
						'uid' => Yii::app()->user->id, 
						'pid' => $transaction["id"],
						'amount' => $amount_crt, 
						'course' => $course_crt, 
						'course_cross' => $usd, 
						'currency' => 'CRT', 
						'amount_bp' => $amount, 
						'status' => 0
					));
					$info_id = $connection->getLastInsertID();
					
					$connection->createCommand("UPDATE {{users_payment_package}} SET status = 1, amount=:amount, package=:package, psid = :psid, info = :info WHERE uid = :uid AND code = :code AND status = 0")
						->bindParam(":uid", Yii::app()->user->id)
						->bindParam(":code", $code)
						->bindParam(":amount", $price)
						->bindParam(":package", $type)
						->bindParam(":psid", $psid["id"])
						->bindParam(":info", $info_id)
						->query();
					
					$res["wallet"] = $psid["pay_wallet"];
					$res["recipient"] = $psid["pay_recipient"];
					$res["code"] = $code;
					$res["price"] = $amount_crt;
					$res["memo"] = "Приобретение подписки на сумму $amount BP.";
					
					$transactions->commit();
					$res["status"] = 200;
				
				} catch (Exception $e) {
					$transactions->rollback();
					$res["status"] = 500;
					$res["message"] = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
				}
							} else {
				$res["status"] = 500;
				$res["message"] = "Возникла ошибка при активации подписки." . $err;
			}

			echo CJSON::encode($res);
			Yii::app()->end();
		}

	}
	
	
	
	
	public function actionSetPaymentPotentialActiveBonusStart()
	{
		
		/*if(Yii::app()->user->id != 3) {
			$res["status"] = 500;
			$res["message"] = "Возможность вскоре будет доступна.";
			echo CJSON::encode($res);
			Yii::app()->end();
		}*/
		
		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest) {
			Functions::access_control(1);
			$connection = Yii::app()->db;
			$res = array();
			$err = '';

			//Входящие данные
			$amount = intval($_POST["amount"]);
			$email = mysql_escape_string(htmlspecialchars(strip_tags($_POST["email"])));
			$text = mysql_escape_string(htmlspecialchars(strip_tags($_POST["comment"])));
			$uid_to  = 199977; //id199977

			//Блокировка файлом ===================
			$lock = $connection->createCommand("SELECT uid, `lock` FROM {{users}} WHERE uid = :uid")->bindParam(":uid", Yii::app()->user->id)->queryRow();
			if ($lock['lock'] == 0) {
				$connection->createCommand("UPDATE {{users}} SET `lock` = 1 WHERE uid = :uid")->bindParam(":uid", Yii::app()->user->id)->query();
			} else {
				$res["status"] = 500;
				$res["message"] = "Идет обработка Вашего запроса. Обновите страницу через несколько минут и повторите попытку снова.";
				echo CJSON::encode($res);
				Yii::app()->end();
			}//Блокировка файлом ===================

			$err = "";

			//Наш кошелек
			$wallet = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", Yii::app()->user->id)->queryRow();
			$my = $connection->createCommand("SELECT uid, CONCAT(name, ' ', fio) as 'fio' FROM {{usersinfo}} WHERE uid = :uid")->bindParam(":uid", Yii::app()->user->id)->queryRow();

			//Информация получателя
			$user_to = $connection->createCommand("SELECT uid, CONCAT(name, ' ', fio) as 'fio' FROM {{usersinfo}} WHERE uid = :uid AND status = 1")->bindParam(":uid", $uid_to)->queryRow();
			$user_to_uid = $user_to["uid"];
			$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $user_to_uid)->queryRow();

			if ((empty($user_to)) || (empty($wallet_to))) {
				$err .= "<p>Данного пользователя не существует.</p>";
			}
			if (($wallet['cash_now'] < $amount) && ($amount <= 0)) {
				$err .= "<p>Неправильная сумма перевода.</p>";
			}
			if ((empty($wallet)) || (Yii::app()->user->id == 0)) {
				$err .= "<p>Вы не можете отправить перевод. Обновите стрницу и повторите попытку снова.</p>";
			}

			if ((!empty($wallet)) && (!empty($wallet_to)) && (!empty($user_to)) && ($user_to["uid"] == $wallet_to["uid"]) && (Yii::app()->user->id != $wallet_to["uid"]) && ($wallet["cash_now"] > 0) && ($wallet["cash_now"] >= $amount) && ($amount > 0) && (Yii::app()->user->id > 0) && ($err == "")) {

				$transaction = $connection->beginTransaction();
				try {
					
					//*********************************
					//Добавляем сумму в потенциал
					//*********************************
					
					
					//Вставляем потенциал
					
					$percent = 0.003;
					$days = 333;
					$amount_check = $amount;
					$percent_promo = 0;
					
					$percent_promo = 0; //0.2 20%
					$amount_all = $amount_check + $percent_promo;
					

					$connection->createCommand()->insert('{{users_potential}}', array('uid' => Yii::app()->user->id, 'cuid' => Yii::app()->user->id, 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 2));			
					$pid_id = Yii::app()->db->getLastInsertID();
					
					
					//Вставляем привязку из архива
					$amount_archive = $amount_check;
					$connection->createCommand()->insert('{{users_potential_archive}}', array(
						'uid' => Yii::app()->user->id, 
						'pid' => $pid_id, 
						'gid' => 0,
						'date' => time(), 
						'amount' => $amount_archive, 
						'status' => 0
					));
					
					
					//Вставляем инвойс
					$connection->createCommand()->insert('{{users_invoice}}', array('uid' => Yii::app()->user->id, 'tuid' => $user_to['uid'], 'cuid' => Yii::app()->user->id, 'amount' => $amount, 'description' => $text, 'date' => time(), 'data' => $pid_id, 'type' => 1, 'status' => 1, 'action' => 14, 'hash' => Yii::app()->user->id.'.'.time()));
					$invoice = $connection->getLastInsertID();

					//Вставляем транзакцию мне
					$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => Yii::app()->user->id, 'ruid' => $user_to["uid"], 'amount' => $amount, 'amount_now' => $wallet["cash_now"] - $amount, 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => $invoice, 'action' => 14, 'data' => $pid_id));
					$utransactions1 = $connection->getLastInsertID();

					//Вставляем транзакцию адрессату
					$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $user_to["uid"], 'ruid' => Yii::app()->user->id, 'amount' => $amount, 'amount_now' => $wallet_to["cash_now"] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => $invoice, 'action' => 14, 'data' => $pid_id));
					$utransactions2 = $connection->getLastInsertID();

					$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now - :amount WHERE uid = :uid AND type = 1 AND status = 1; UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
						->bindParam(":amount", $amount)
						->bindParam(":uid", Yii::app()->user->id)
						->bindParam(":touid", $user_to["uid"])
						->query();
						
					/*	
					//Начисляем призовые. Если нет - отлаживаем их начисление;
					if(Functions::access_level(1, Yii::app()->user->id)) {
						Money2::update_money_x($amount, Yii::app()->user->id, 2); //type 1 = pkg
					} else {
						
						//Откладываем начисление до дольнейших разбирательств в чем проблема
						$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => Yii::app()->user->id, 'amount' => $amount, 'date' =>  time(), 'type' => 2, 'status' => 0));
						
					}
					
					*/

					$transaction->commit();
					//Позитивный результат
					$res["status"] = 200;
					$res["message"] = "Ваш потенциал пополнен на $amount_check BP.";
				} catch (Exception $e) {
					$transaction->rollback();
					$res["status"] = 500;
					$res["message"] = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
				}

			} else {
				//Хакерская атака - подмена данных
				$res["status"] = 500;
				$res["message"] = "<p>Вы не можете пополнить потенциал на сумму " . $amount . " BP. Убедитесь в правильности заполненных полей и повторите попытку снова.</p>" . $err;
			}

			$connection->createCommand("UPDATE {{users}} SET `lock` = 0 WHERE uid = :uid")->bindParam(":uid", Yii::app()->user->id)->query();
			echo CJSON::encode($res);
			Yii::app()->end();

		}
	}
	
	
	
	
	public function actionSetPaymentMsStart(){
		
		/*if(Yii::app()->user->id != 3) {
			
			$res["status"] = 500;
			$res["message"] = "Возможность вскоре будет доступна.";
			echo CJSON::encode($res);
			Yii::app()->end();
			
		}*/

		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest && Yii::app()->user->id > 0) {
			$res = array();
			$connection = Yii::app()->db;
			
			Functions::access_control(1);
			
			//##################################################################
			$db_transaction = $connection->beginTransaction();
			try {
				$connection->createCommand()->insert('{{block}}', array(
					'uid' => Yii::app()->user->id,
					'date' => time()
				));
						
				$db_transaction->commit();
	
			} catch (Exception $e) {
				$db_transaction->rollback();
				$res["message"] = "Идет обработка предыдущего запроса. Обновите страницу и повторите попытку снова.";
				echo CJSON::encode($res);
				Yii::app()->end();

			}
			//##################################################################
				
			$err = "";
			
			//Проверка бонусов

			$bonus = $connection->createCommand("SELECT * FROM {{users_potential_archive}} WHERE uid = :uid AND id = :id AND status = 0")
				->bindParam(":uid", Yii::app()->user->id)
				->bindParam(":id", $id)
				->queryRow();

			$my = $connection->createCommand("SELECT uid, email FROM {{usersinfo}} WHERE uid = :uid")
				->bindParam(":uid", Yii::app()->user->id)
				->queryRow();
			
			$bonus_sum = doubleval($connection->createCommand("SELECT SUM(amount) FROM {{users_potential_archive}} WHERE uid = :uid AND status = 0 AND date >= 1477958400")
				->bindParam(":uid", Yii::app()->user->id)
				->queryScalar());	
			$bonus_sum = intval($bonus_sum * 10000)/10000;
				
			$bonus_sum_last = doubleval($connection->createCommand("SELECT SUM(amount) FROM {{users_potential_archive}} WHERE uid = :uid AND status = 0 AND date < 1477958400")
				->bindParam(":uid", Yii::app()->user->id)
				->queryScalar());
			$bonus_sum_last = intval($bonus_sum_last * 10000)/10000;	
			
			$bonuses =  $connection->createCommand("SELECT id FROM {{users_potential_archive}} WHERE uid = :uid AND status = 0")
				->bindParam(":uid", Yii::app()->user->id)
				->queryAll();
				
			//Вычисляем новые надбавки
				
			$amount = $bonus_sum;
						
			$promo = 0;
			if($amount >= 0 && $amount < 250) {
				$promo = 0;
				$tr = 1;
			} else if ($amount >= 250 && $amount < 500) {
				$promo = 0.1;
				$tr = 2;
			} else if ($amount >= 500 && $amount < 1000) {
				$promo = 0.2;
				$tr = 3;
			} else if ($amount >= 1000 && $amount < 2500) {
				$promo = 0.3;
				$tr = 4;
			} else if ($amount >= 2500 && $amount < 5000) {
				$promo = 0.4;
				$tr = 5;
			} else if ($amount >= 5000 && $amount < 10000) {
				$promo = 0.5;
				$tr = 6;
			} else if ($amount >= 10000 && $amount < 25000) {
				$promo = 0.6;
				$tr = 7;
			} else if ($amount >= 25000 && $amount < 50000) {
				$promo = 0.7;
				$tr = 8;
			} else if ($amount >= 50000 && $amount < 100000) {
				$promo = 0.8;
				$tr = 9;
			} else if ($amount >= 100000 && $amount < 250000) {
				$promo = 0.9;
				$tr = 10;
			} else if ($amount >= 250000) {
				$promo = 1;
				$tr = 11;
			}
			
			$amount_bonus = intval($amount * $promo * 10000) / 10000;
			$amount_percent = $promo;
			
			$amount_all = $bonus_sum + $bonus_sum_last + $amount_bonus;	
			$amount_all = intval($amount_all * 10000)/10000;
			
			
			//Получаем список неактивированных бонусов
			
			$ids = $connection->createCommand("SELECT GROUP_CONCAT(id) AS ids FROM {{users_potential_archive}} WHERE uid = :uid AND status = 0 ")->bindParam(":uid", Yii::app()->user->id)->queryScalar();
			
			
			if($amount_all <= 0) {
				$err .= '<li>Недостаточная сумма для проведения активации.</li>';
			}
			
			if(empty($my)){
				$err .= '<li>Пользователь не найден.</li>';
			}
			
			
			
			if (Yii::app()->user->id > 0 && $err == "") {
				
				$db_transaction = $connection->beginTransaction();
				try {
				
					$pass = "sIAnL6XaUXbk8tndlpkIX9FebE0laXOQ";
					$code = Yii::app()->user->id . "-" . md5(Yii::app()->user->id . time() . $amount_all);
					
					$connection->createCommand()->insert('{{users_payment_ms_start}}', array(
						'uid' => Yii::app()->user->id, 
						'code' => $code, 
						'amount' => $amount_all,
						'amount_last' => $bonus_sum_last,
						'amount_new' => $bonus_sum,
						'amount_bonus' => $amount_bonus,
						'amount_percent' => $amount_percent,
						'date' => time(),
						'info' => $ids,
						'type' => 1,
						'status' => 1
					));			
					$pid_id = Yii::app()->db->getLastInsertID();
					
					$db_transaction->commit();
					
					$res["status"] = 200;
	                $res["wallet"] = '9000019264974701';
	                $res["order_id"] = $code;
	                $res["amount"] = $amount_all;
	                $res["result_url"] = "https://bokobok.com/feed";
	                $res["notify_url"] = "https://bokobok.com/payment/setpaymentmssuccess";
	                $res["currency_id"] = "3840";
				} catch (Exception $e) {
					$db_transaction->rollback();
					$res["message"] = "Произошла ошибка на сервере. Обновите страницу и повторите попытку снова.";
				
					$connection->createCommand("DELETE FROM {{block}} WHERE uid = :uid")
					->bindParam(":uid",Yii::app()->user->id)
					->query();
				
					echo CJSON::encode($res);
					Yii::app()->end();
	
				}
                
                
			} else {
				$res["status"] = 500;
				$res["message"] = "Возникла ошибка при активации подписки." . $err;
			}
			
			//##################################################################
			$connection->createCommand("DELETE FROM {{block}} WHERE uid = :uid")
				->bindParam(":uid",Yii::app()->user->id)
				->query();
			//##################################################################
			
			echo CJSON::encode($res);
			Yii::app()->end();
		}

	}
	
	
	
	public function actionSetPaymentMsSuccess(){

		if (in_array($_SERVER["REMOTE_ADDR"], array("37.139.25.94"))) {
			$res = array();
			$connection = Yii::app()->db;
			
			$data = json_decode(file_get_contents('php://input'), true);

            $data['oauth_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_id'])));
            $data['amount'] = mysql_escape_string(htmlspecialchars(strip_tags($data['amount'])));
            $data['order_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['order_id'])));
            $data['timestamp'] = mysql_escape_string(htmlspecialchars(strip_tags($data['timestamp'])));
            $data['note'] = mysql_escape_string(htmlspecialchars(strip_tags($data['note'])));
            $data['oauth_serv'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_serv'])));
            $data['src_wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['src_wallet'])));
            $data['status'] = mysql_escape_string(htmlspecialchars(strip_tags($data['status'])));
            $data['wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['wallet'])));
            $data['currency_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['currency_id'])));
            $data['x_signature'] = mysql_escape_string(htmlspecialchars(strip_tags($_SERVER['HTTP_X_SIGNATURE'])));

            
            
            if($data['status'] == "ok") {
			
			$err = "";
			
            $trans = $connection->createCommand("SELECT * FROM {{users_payment_ms_start}} WHERE code = :code AND status = 1")
				->bindParam(":code", $data['order_id'])
				->queryRow();
			$trans_uid = $trans["uid"];
			$trans_info = $trans["info"];
			
			
			//Проверка на более ранюю активацию
			
			$trans_ok = $connection->createCommand("SELECT * FROM {{users_payment_ms_start}} WHERE code = :code AND status = 2")
				->bindParam(":code", $data['order_id'])
				->queryRow();
				
			if(!empty($trans_ok)) {
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '100', 'status' => 500, 'details' => "Заявка уже проведена ранее. Повторная отправка."));
				Yii::app()->end();
			}
			
			//==================================
			
			
			$archive_count = intval($connection->createCommand("SELECT COUNT(*) FROM {{users_potential_archive}} WHERE status = 0 AND uid = :uid AND id IN ($trans_info)")
				->bindParam(":uid", $trans_uid)
				->queryScalar());
			
			if(empty($trans)) {
				$err .= "<li>Транзакция не найдена.</li>";
			}
			
			if($archive_count <= 0) {
				$err .= "<li>Количество записей архива равна $archive_count ($trans_info).</li>";
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '100', 'status' => 500, 'details' => $err));
				Yii::app()->end();
			}

			if($err == "" && $trans_uid > 0) {
				
				$db_transaction = $connection->beginTransaction();
				try {
					
					$connection->createCommand()->insert('{{users_payment_ms_payok}}', array(
						'uid' => $trans["uid"], 
						'oid' => $trans["id"], 
						'code' => $trans["code"],
						'date' => time(),
						'data' => serialize($data),
						'type' => 1,
						'status' => 1
					));			
					$pid_id = Yii::app()->db->getLastInsertID();
					
					$connection->createCommand("UPDATE {{users_payment_ms_start}} SET status = 2 WHERE id = :id")
						->bindParam(":id", $trans["id"])
						->query();
						
						
					$connection->createCommand()->insert('{{users_potential_archive_group}}', array(
						'uid' => $trans["uid"],
						'amount' => $trans["amount"],
						'amount_last' => $trans["amount_last"],
						'amount_all' => $trans["amount_new"],
						'amount_bonus' => $trans["amount_bonus"],
						'amount_percent' => $trans["amount_percent"],
						'date' => time(),
						'data' => $trans["info"],
						'type' => 2,
						'status' => 1
					));
					$archive_group_id= Yii::app()->db->getLastInsertID();
					
					$connection->createCommand()->insert('{{users_potential}}', array(
						'gid' => 0,
						'uid' => $trans["uid"],
						'cuid' => $trans["uid"],
						'puid' => 0,
						'fuid' => 0,
						'date' => time(),
						'dt' => 0,
						'dte' => 500,
						'deposit' => $trans["amount"],
						'percent' => 0.002,
						'cash_now' => 0,
						'cash_out' => 0,
						'cash_all' => 0,
						'type' => 5,
						'status' => 1,
						'newsystem' => 3, //archive ms
						'archive_group' => $archive_group_id
					));
					$pid_id = Yii::app()->db->getLastInsertID();
					
					
					$connection->createCommand("INSERT INTO {{users_potential_archive_ok}} (uid, aid, gid, pid, date, status) SELECT :uid, id, :gid, :pid, :date, 1 FROM {{users_potential_archive}} WHERE  uid = :uid AND status = 0 AND id IN ($trans[info])")
						->bindParam(":uid", $trans["uid"])
						->bindParam(":gid",$archive_group_id)
						->bindParam(":pid",$pid_id)
						->bindParam(":date",time())
						->query();
						
						
					$connection->createCommand("UPDATE {{users_potential_archive}} SET status = 1, group_id = :group_id WHERE uid = :uid AND status = 0 AND id IN ($trans[info])")
						->bindParam(":uid", $trans["uid"])
						->bindParam(":group_id", $archive_group_id)
						->query();
					
						
					$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '100', 'status' => 200));
					
					$db_transaction->commit();
					
				} catch (Exception $e) {
					
					$db_transaction->rollback();
					$message = $e;
					$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '100', 'status' => 500, 'details' => $message));				
					
					throw new Exception('Directory not exist.');
					Yii::app()->end();
	
				}
				
				
			} else {
				
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '100', 'status' => 500, 'details' => $err));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
				
			}
			
			
			} else {
				
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '100', 'status' => 500, 'details' => "if($data[status] == ok) {"));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
				
			}
            
		}

	}
	
	
	
	
	
	
	public function actionSetPaymentPotentialMsStart(){
		
		
		/*if(Yii::app()->user->id != 3) {
			
			$res["status"] = 500;
			$res["message"] = "Возможность вскоре будет доступна.";
			echo CJSON::encode($res);
			Yii::app()->end();
			
		}*/
		

		if (Yii::app()->request->isAjaxRequest && !Yii::app()->user->isGuest && Yii::app()->user->id > 0) {
			$res = array();
			$connection = Yii::app()->db;
			
			Functions::access_control(0);
			
			//if(Yii::app()->user->id!= 100006) return;
			
			//$code = mysql_escape_string(htmlspecialchars(strip_tags($_POST["code"])));
			$type = intval($_POST["type"]);
			$type_in = intval($_POST["type_in"]);
			$amount = intval($_POST["amount"]);
			
			if($type==0) $type = 4; //Обнуляем если скрипты еще в кеше
			if($type_in==0) $type_in = 0; //Обнуляем если скрипты еще в кеше
			

			
			//============================================================================================
			//Код перед оплатой
			if($amount >= 1) {
			$salt_type2 = "Iz5ZwlMYLN8gmVwCaw0A6zjVSHwxfaYW";
			$date = time();
			$code = Yii::app()->user->id . "." . $type . "-" . md5(Yii::app()->user->id . $amount . $date . $salt_type2);
			$connection->createCommand()->insert('{{users_payment_package}}', array('uid' => Yii::app()->user->id, 'date' => time(), 'code' => $code, 'amount' => 0, 'package' => 0, 'type' => $type, 'status' => 0));
			} else {
				
				$res["status"] = 500;
				$res["message"] = "Минимальная сумма для пополнения - 10 BP.";
				echo CJSON::encode($res);
				Yii::app()->end();
				
			}
			//============================================================================================
			
			$transaction = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE uid = :uid AND code = :code AND status = 0")
			->bindParam(":uid", Yii::app()->user->id)
			->bindParam(":code", $code)
			->queryRow();
			
			$pkg_now = $connection->createCommand("SELECT package FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", Yii::app()->user->id)
			->queryScalar();
			
			//Находим на какой кошелек отправлять деньги
			$pay_code = 101; //Money Storage
			
			$psid = $connection->createCommand("SELECT * FROM {{users_payment_wallet}} WHERE pay_code = 101 AND status = 1 AND type = 2 ORDER BY money_my DESC LIMIT 1")
			->queryRow(); //Какой кошелек пополнять
			
			$err = "";
					
			if(empty($transaction)) {
				$err .= "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if($amount < 1) {
				$err .= "<li>Минимальная сумма для пополнения - 10 BP.</li>";
			}
			
			if(empty($psid)) {
				$err = "<li>Сервер временно недоступен. Обновите страницу и повторите попытку снова.</li>";
			}
			
			if(!in_array($type, array(4))) {
				$err = "<li>Недопустимый тип пополнения.</li>";
			}
			
			if($type_in > 0) {
				
				if(!in_array($type_in, array(1,2))) {

					$err = "<li>Недопустимый тип пополнения.</li>";
				}
				
			}

			
			if (Yii::app()->user->id > 0 && $err == "") {
				
				$newsystem = 1;
				$newsystem_data = $type_in;
				
				$connection->createCommand("UPDATE {{users_payment_package}} SET status = 1, amount=:amount, package=:package, psid = :psid, newsystem = :newsystem, newsystem_data = :newsystem_data WHERE uid = :uid AND code = :code AND status = 0")
					->bindParam(":uid", Yii::app()->user->id)
					->bindParam(":code", $code)
					->bindParam(":amount", $amount)
					->bindParam(":package", $type)
					->bindParam(":psid", $psid["id"])
					->bindParam(":newsystem", $newsystem)
					->bindParam(":newsystem_data", $newsystem_data)
					->query();
				
				$res["status"] = 200;
                $res["wallet"] = '9000011071325748';
                $res["order_id"] = $code;
                $res["amount"] = $amount;
                $res["result_url"] = "https://bokobok.com/feed?msg=ms_payok";
                $res["notify_url"] = "https://bokobok.com/payment/setpaymentpotentialmssuccess";
                $res["currency_id"] = "PM-USD";
                
			} else {
				$res["status"] = 500;
				$res["message"] = "Возникла ошибка при активации подписки." . $err;
			}

			echo CJSON::encode($res);
			Yii::app()->end();
		}

	}
	
	
	
	
	
	public function actionSetPaymentPotentialMsSuccess(){

		if (in_array($_SERVER["REMOTE_ADDR"], array("37.139.25.94"))) {
			$res = array();
			$connection = Yii::app()->db;
			

			$data = json_decode(file_get_contents('php://input'), true);

            $data['oauth_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_id'])));
            $data['amount'] = mysql_escape_string(htmlspecialchars(strip_tags($data['amount'])));
            $data['order_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['order_id'])));
            $data['timestamp'] = mysql_escape_string(htmlspecialchars(strip_tags($data['timestamp'])));
            $data['note'] = mysql_escape_string(htmlspecialchars(strip_tags($data['note'])));
            $data['oauth_serv'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_serv'])));
            $data['src_wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['src_wallet'])));
            $data['status'] = mysql_escape_string(htmlspecialchars(strip_tags($data['status'])));
            $data['wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['wallet'])));
            $data['currency_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['currency_id'])));
            $data['x_signature'] = mysql_escape_string(htmlspecialchars(strip_tags($_SERVER['HTTP_X_SIGNATURE'])));

            /*$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '200', 'status' => 500));
			throw new Exception('Directory not exist.');
			Yii::app()->end();*/
			
            
            if($data['status'] == "ok") {
			
			$err = "";
			
            $trans = $connection->createCommand("SELECT * FROM {{users_payment_package}} WHERE code = :code AND status = 1 AND type IN (4)")
				->bindParam(":code", $data['order_id'])
				->queryRow();
			
			$trans_psid = $trans["psid"];
			$trans_uid = $trans["uid"];
			
			
			
			$wallet = $connection->createCommand("SELECT id, uid, money_my FROM {{users_payment_wallet}} WHERE id = :id")
			->bindParam(":id", $trans_psid)
			->queryRow();
			
			$userinfo = $connection->createCommand("SELECT * FROM {{usersinfo}} WHERE uid = :uid")
			->bindParam(":uid", $trans_uid)
			->queryRow();
						
			if(empty($trans)) {
				$err .= "<li>Транзакция не найдена.</li>";
			}
			
			if(empty($wallet)) {
				$err .= "<li>Кошелек не найден.</li>";
			}
			
			if(empty($userinfo)) {
				$err .= "<li>Пользователь $trans_uid не найден.</li>";
			}
			
			$from_uid = 181182; //У кого на счету списываются деньги
					
			$wallet_from = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $from_uid)->queryRow();
			
			$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $trans["uid"])->queryRow();

			if ((empty($wallet_from)) || (empty($wallet_to))) {
				$err .= "<p>Выбранных кошельков не существует.</p>";
			}
			
			
			if($err == "" && $trans_uid > 0) {
				
				$db_transaction = $connection->beginTransaction();
				try {
					
					
					/*******************************************************************************
						Пополнение активного бонуса по новой системе
					********************************************************************************/
					
					
					if($trans["type"] == 4) {
					

						//++++++++++++++++++++++++++++++++++++
						
						$amount = $trans["amount"];
						$amount_check = doubleval($trans["amount"] / 2);
						
						//++++++++++++++++++++++++++++++++++++
				
						/*$connection->createCommand()->insert('{{users_payment_transactions}}', array('uid' => $trans["uid"], 'date' => time(), 'code' => $trans["code"], 'amount' => $amount, 'package' => $trans["package"] , 'payment_amount' => $amount, 'payment_currency' => 'CRT', 'payment_transaction' => $trans["code"], 'payment_date' => $cm_timestamp, 'payment_from' => $cm_card_from, 'payment_to' => $cm_card_to, 'status' => 1));							
						$utransactions_id = $connection->getLastInsertID();*/
						
	
						$connection->createCommand("UPDATE {{users_payment_package}} SET status = 2 WHERE uid = :uid AND code = :code AND status = 1")
							->bindParam(":uid", $trans["uid"])
							->bindParam(":code", $trans["code"])
							->query();
	
						//Обновляем сумму в кошельке у хранителя
						$connection->createCommand("UPDATE {{users_payment_wallet}} SET money_my = money_my + :money WHERE id = :id")
							->bindParam(":id", $trans["psid"])
							->bindParam(":money", $amount)
							->query();
						
						//Вставляем транзакцию
						$connection->createCommand()->insert('{{utransactions}}', array(
							'did' => $trans["id"], 'psid' => $wallet["id"], 'uid' => $wallet['uid'], 'ruid' => $trans["uid"], 'amount' => $amount, 'amount_now' => $wallet['money_my'] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'transaction' => $trans["code"], 'action' => 33
						));
						$utransactions = $connection->getLastInsertID();
						
						 //Проверяем способ распределения (100 или 50 на 50)
						
						$type_in = $trans["newsystem_data"];
						
						if($type_in == 1) {
							
							$amount_check = doubleval($trans["amount"]);
									
							//*********************************
							//Добавляем сумму в потенциал
							//*********************************
							
							
							//Вставляем потенциал
							
							$percent = 0.003;
							$days = 333;
							$amount_check = $amount_check;
							
							$percent_promo = 0; //0.2 20%
							$amount_all = $amount_check + $percent_promo;
							
	
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 1));			
							$pid_id = Yii::app()->db->getLastInsertID();
							
							
							//Вставляем привязку из архива
							$amount_archive = $amount_check;
							$connection->createCommand()->insert('{{users_potential_archive}}', array(
								'uid' => $trans["uid"], 
								'pid' => $pid_id, 
								'gid' => 0,
								'date' => time(), 
								'amount' => $amount_archive, 
								'status' => 0
							));
						
						
						$message = "Ваш потенциал пополнен на $amount_check BP и сумма Привязанных EC увеличена на $amount_check BP.";
						
						} //100 в потенциал
						
						
						if($type_in == 2) {
							
							$amount_check = doubleval($trans["amount"] / 2);
						
							//*********************************
							//Добавляем сумму в активный бонус
							//*********************************
							
							//Вставляем странзакцию и обновляем кошельки
							
							//Вставляем транзакцию мне
							$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $from_uid, 'ruid' => $trans["uid"], 'amount' => $amount_check, 'amount_now' => $wallet_from["cash_now"] - $amount_check, 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => 0, 'action' => 14));
							$utransactions1 = $connection->getLastInsertID();
		
							//Вставляем транзакцию адрессату
							$connection->createCommand()->insert('{{utransactions2}}', array('did' => 0, 'uid' => $trans["uid"], 'ruid' =>$from_uid, 'amount' => $amount_check, 'amount_now' => $wallet_to["cash_now"] + $amount_check, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => 0, 'action' => 14));
							$utransactions2 = $connection->getLastInsertID();
	
		
							$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now - :amount WHERE uid = :uid AND type = 1 AND status = 1; UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
								->bindParam(":amount", $amount_check)
								->bindParam(":uid", $from_uid)
								->bindParam(":touid", $trans["uid"])
								->query();
								
							
							//*********************************
							//Добавляем сумму в потенциал
							//*********************************
							
							
							//Вставляем потенциал
							
							$percent = 0.003;
							$days = 333;
							$amount_check = $amount_check;
							
							$percent_promo = 0; //0.2 20%
							$amount_all = $amount_check + $percent_promo;
							
	
							$connection->createCommand()->insert('{{users_potential}}', array('uid' => $trans["uid"], 'cuid' => $trans["uid"], 'puid' => 0, 'fuid' => 0, 'date' => time(), 'dt' => 0, 'dte' => $days, 'deposit' => $amount_check, 'percent' => $percent, 'cash_now' => 0, 'cash_out' => 0, 'cash_all' => 0, 'type' => 1, 'status' => 1, 'newsystem' => 1));			
							$pid_id = Yii::app()->db->getLastInsertID();
							
							
							//Вставляем привязку из архива
							$amount_archive = $amount_check;
							$connection->createCommand()->insert('{{users_potential_archive}}', array(
								'uid' => $trans["uid"], 
								'pid' => $pid_id, 
								'gid' => 0,
								'date' => time(), 
								'amount' => $amount_archive, 
								'status' => 0
							));
						
						
						
						$message = "Ваш активный бонус пополнен на $amount_check BP, в Потенциал начислено $amount_check BP и сумма Привязанных EC увеличена на $amount_check BP.";
						
						} //50 на 50
						
						
						//*********************************
						//Обновляем пользователя и финальные действия
						//*********************************
						
						
						//Раздаем инвайты
						$is_invite = $connection->createCommand("SELECT * FROM {{users_invite_new}} WHERE uid = :uid AND type = 1")
							->bindParam(":uid", $trans["uid"])
							->queryRow();
						
						if($trans["amount"] >= 250 && empty($is_invite)) {
							
							$connection->createCommand()->insert('{{users_invite_new}}', array('uid' => $trans["uid"], 'amount' => 10, 'date' => time(), 'type' => 1, 'status' => 0, 'hash' => doubleval($trans["uid"] . "." . time()) ));
	
							
						}
						
						//Обвновляем пакет
						if($userinfo["level"] == -1 && $userinfo["package"] == 0) {
							$connection->createCommand("UPDATE {{usersinfo}} SET level = 0, package = 1 WHERE uid = :uid; UPDATE {{usersinfo}} SET count_users = count_users + 1 WHERE uid = :refx; UPDATE {{users_invite_user}} SET status = 1, package = 1 WHERE uid = :uid;")
							->bindParam(":uid", $trans["uid"])
							->bindParam(":refx", $userinfo["refx"])
							->query();
						}
						
						
						
						//Начисляем призовые. Если нет - отлаживаем их начисление;
						if(Functions::access_level(1, $trans["uid"])) {
							Money2::update_money_xinstant($amount_check, $trans["uid"], 2); //type 1 = pkg
						} else {
							
							//Откладываем начисление до дольнейших разбирательств в чем проблема
							$connection->createCommand()->insert('{{usersdeposit_rx2_cancel}}', array('uid' => $trans["uid"], 'amount' => $amount_check, 'date' =>  time(), 'type' => 1, 'status' => 0));
							
						}
					
					

					}
					
					$connection->createCommand()->insert('{{messages}}', array('date' => time(), 'fuid' => 2, 'tuid' => $trans["uid"], 'message' => $message));
						
					$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '200', 'status' => 200));
					
					$db_transaction->commit();
					
				} catch (Exception $e) {
					
					$db_transaction->rollback();
					$message = $e;
					$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '200', 'status' => 500, 'details' => $message));				
					
					throw new Exception('Directory not exist.');
					Yii::app()->end();
	
				}
				
				
			} else {
				
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '200', 'status' => 500, 'details' => $err));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
				
			}
			
			
			} else {
				
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '200', 'status' => 500, 'details' => "if($data[status] == ok) {"));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
				
			}
            
		} else {

			$connection = Yii::app()->db;

			$data = json_decode(file_get_contents('php://input'), true);

            $data['oauth_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_id'])));
            $data['amount'] = mysql_escape_string(htmlspecialchars(strip_tags($data['amount'])));
            $data['order_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['order_id'])));
            $data['timestamp'] = mysql_escape_string(htmlspecialchars(strip_tags($data['timestamp'])));
            $data['note'] = mysql_escape_string(htmlspecialchars(strip_tags($data['note'])));
            $data['oauth_serv'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_serv'])));
            $data['src_wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['src_wallet'])));
            $data['status'] = mysql_escape_string(htmlspecialchars(strip_tags($data['status'])));
            $data['wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['wallet'])));
            $data['currency_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['currency_id'])));
            $data['x_signature'] = mysql_escape_string(htmlspecialchars(strip_tags($_SERVER['HTTP_X_SIGNATURE'])));

            $connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'details' => 'Server REMOTE_ARRT is not available', 'action' => '200', 'status' => 500));
			throw new Exception('Directory not exist.');
			Yii::app()->end();
			
			
		}

	}
	
	
	
	public function actionSetPaymentecMarketPayok(){

		if (in_array($_SERVER["REMOTE_ADDR"], array("37.139.25.94"))) {
			$res = array();
			$connection = Yii::app()->db;
			

			$data = json_decode(file_get_contents('php://input'), true);

            $data['oauth_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_id'])));
            $data['amount'] = mysql_escape_string(htmlspecialchars(strip_tags($data['amount'])));
            $data['transfer_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['transfer_id'])));
            $data['timestamp'] = mysql_escape_string(htmlspecialchars(strip_tags($data['timestamp'])));
            $data['note'] = mysql_escape_string(htmlspecialchars(strip_tags($data['note'])));
            $data['oauth_serv'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_serv'])));
            $data['src_wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['src_wallet'])));
            $data['status'] = mysql_escape_string(htmlspecialchars(strip_tags($data['status'])));
            $data['wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['wallet'])));
            $data['currency_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['currency_id'])));
            $data['x_signature'] = mysql_escape_string(htmlspecialchars(strip_tags($_SERVER['HTTP_X_SIGNATURE'])));

            /*$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '300', 'status' => 500));
			throw new Exception('Directory not exist.');
			Yii::app()->end();*/
			
            
            if($data['status'] == "ok") {
			
			$err = "";
			
            $trans = $connection->createCommand("SELECT * FROM {{orders_mec_start}} WHERE transfer_id = :code AND status = 0")
				->bindParam(":code", $data['transfer_id'])
				->queryRow();
				
			$trans_ok = $connection->createCommand("SELECT * FROM {{orders_mec_start}} WHERE transfer_id = :code AND status = 1")
				->bindParam(":code", $data['transfer_id'])
				->queryRow();
				
			if(!empty($trans_ok)) {
				
				Yii::app()->end();
				
			}

			
			if(!empty($trans)) {
				
				
				$id = $trans["oid"];
				$err = "";
				
				
				
				
				// ===============================================================================================
				
				
				//Заказ
				$order = $connection->createCommand("SELECT * FROM {{orders}} WHERE id = :id AND status = 3")
					->bindParam(":id", $id)
					->queryRow();
				$order_uid = $order["uid"];	
				$order_gid = $order["gid"];	
				
				$good = $connection->createCommand("SELECT * FROM {{goods}} WHERE gid = :gid")
					->bindParam(":gid", $order_gid)
					->queryRow();
				$good_uid = $good["uid"];
				
				$invoice = $connection->createCommand("SELECT * FROM {{users_invoice}} WHERE `data` = :order_id AND uid = :uid AND type = 2")
					->bindParam(":uid", $order_uid)
					->bindParam(":order_id", $id)
					->queryRow();
				if(!empty($order) && !empty($good) && !empty($invoice)){
					$amount = $order['amount']*$order['quantity']; //Цена без скидки
					$amount_pay = ($order['amount'] - $order['discount_amount']) * $order['quantity']; //Цена со скидкой
					$err = "";
					
					
				
				
				//Начисление потенциала в день
				$amount_potential = $connection->createCommand("SELECT SUM(deposit*percent) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte")
					->bindParam(":uid", $order_uid)
					->queryScalar();
				
				if($amount_pay > 0) {
				$amount_month = $amount_potential * 30;
				
				$potential_percent = intval(($amount_pay / $amount_month) * 100 ) / 100;
				if($potential_percent > 1) $potential_percent = 1;
				if($potential_percent < 0.2) $potential_percent = 0.2;
				} else {
					$potential_percent = 0;
				}	
				$msg_potential = "";
	
					// Моя информация
					$my = $connection->createCommand("SELECT uid, package, CONCAT(name, ' ', fio) as 'fio' FROM {{usersinfo}} WHERE uid = :uid")->bindParam(":uid", $order_uid)->queryRow();
	
					//Информация получателя
					$user_to = $connection->createCommand("SELECT uid, verify, CONCAT(name, ' ', fio) as 'fio' FROM {{usersinfo}} WHERE uid = :uid AND status = 1")->bindParam(":uid", $good['uid'])->queryRow();
					$wallet_to = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $user_to["uid"])->queryRow();
					
					//Комиссия продавца			
					$percent_bokobok = intval($connection->createCommand("SELECT percent FROM {{users_verify}} WHERE uid = :uid")->bindParam(":uid", $user_to['uid'])->queryScalar()) / 100;
					$amount_bokobok = intval($amount * $percent_bokobok * 100) / 100;
					
					
					//Рефера за продажу товара
					$rx = 0;
					if($order["uidx"] > 0 && $order["uidx"] != $order["uid"] && $order["uidx"] != $good["uid"]) {
						
						$rx = $order["uidx"];
						
						$user_info_rx = $connection->createCommand("SELECT uid FROM {{usersinfo}} WHERE uid = :uid AND uid > 0")
						->bindParam(":uid", $rx)
						->queryRow();
						
						$user_info_rx = $connection->createCommand("SELECT uid FROM {{usersinfo}} WHERE uid = :uid AND uid > 0")
						->bindParam(":uid", $rx)
						->queryRow();
						
						if(empty($user_info_rx)) {
							$rx = 0; //Если не нашло пользователя - аннулируем его
						} else {
							
							//Находим кошелек реферала
							$wallet_rx = $connection->createCommand("SELECT * FROM {{users_wallet}} WHERE uid = :uid AND type = 1 AND status = 1")->bindParam(":uid", $rx)->queryRow();
							if(empty($wallet_rx)) {
								$rx = 0; //Если не нашло кошелек - аннулируем его
							}
							
						}
						
					}
					
	
					if ((empty($user_to)) || (empty($wallet_to))) {
						$err .= "<p>Подтверждение получения данного товара временно недоступно.</p>";
					}
					
					if(!Functions::access_level(1, $order_uid))
						$err = "<p>Возникла непредвиденная ошибка.</p>";
					
						
					if ((!empty($wallet_to)) && (!empty($user_to)) && ($user_to["uid"] == $wallet_to["uid"]) && ($order_uid != $wallet_to["uid"]) && ($amount > 0)  && ($err == "")) {
	
						$transaction = $connection->beginTransaction();
						try {
							
							
							$connection->createCommand()->insert('{{orders_mec_payok}}', array(
								'sid' => $trans['oid'], 
								'transfer_id' => $trans["transfer_id"], 
								'date' => time(), 
								'data' => serialize($data), 
								'status' => 1
							));
							$orders_mec_id = $connection->getLastInsertID();
							
							$connection->createCommand("UPDATE {{orders_mec_start}} SET status = 1 WHERE transfer_id = :id")
								->bindParam(":id", $data['transfer_id'])
								->query();

							
							
							$connection->createCommand()->insert('{{users_hash_order}}', array('uid' => $order_uid, 'hash' => $order_uid.'.004'.$order['id'], 'date' => time()));
	
							
							//Записываем комиссию пользователю
	                        $connection->createCommand()->insert('{{orders_tax}}', array(
	                        'oid' => $order['id'],
	                        'uid' => $user_to["uid"],
	                        'tax_percent' => $percent_bokobok,
	                        'tax_amount' => $amount_bokobok,
	                        'amount' => $amount,
	                        'date' =>time()
	                        ));
	                        
							
							//Обновляем транзакцию мне
							$connection->createCommand("UPDATE {{utransactions2}} SET status = 1 WHERE invoice = :invoice AND uid = :uid AND status = 0 AND `action` = 21;")
								->bindParam(":invoice", $invoice['id'])
								->bindParam(":uid", $order_uid)
								->query();
	
							//Вставляем транзакцию адрессату
							$connection->createCommand()->insert('{{utransactions2}}', array('did' => $good['gid'], 'uid' => $user_to["uid"], 'ruid' => $order_uid, 'amount' => $amount, 'amount_now' => $wallet_to["cash_now"] + $amount, 'date' => time(), 'type' => 1, 'status' => 1, 'invoice' => $invoice['id'], 'action' => 21));
							$utransactions2 = $connection->getLastInsertID();
							
							$connection->createCommand()->insert('{{utransactions2}}', array('did' => $good['gid'], 'uid' => $user_to["uid"], 'ruid' => 22, 'amount' => $amount_bokobok, 'amount_now' => doubleval($wallet_to["cash_now"] + $amount - $amount_bokobok), 'date' => time(), 'type' => 0, 'status' => 1, 'invoice' => $invoice['id'], 'action' => 22));
							
							$utransactions2 = $connection->getLastInsertID();
	
							$connection->createCommand("UPDATE {{users_wallet}} SET cash_now = cash_now + :amount WHERE uid = :touid AND type = 1 AND status = 1")
								->bindParam(":amount", doubleval($amount - $amount_bokobok))
								->bindParam(":touid", $user_to['uid'])
								->query();

	
							$connection->createCommand("UPDATE {{orders}} SET order_delivery = 1, status = 4 WHERE id = :id AND uid = :uid AND status = 3 AND order_pay = 1;")
								->bindParam(":id", $order['id'])
								->bindParam(":uid", $order_uid)
								->query();
	
							$text_msg = 'Заказ №'.$order['id'].': пользователь подтвердил получение товара "'.$good['title'].'". На Ваш баланс зачислено '.doubleval($amount - $amount_bokobok).' BP.';
							$connection->createCommand()->insert('{{messages}}', array('date' => time(), 'fuid' => 2, 'tuid' => $good['uid'], 'message' => $text_msg));
	
							$transaction->commit();
							//Позитивный результат
							$res["status"] = 200;
							$res["message"] = "Спасибо за покупку! " . $msg_potential;
						} catch (Exception $e) {
							$transaction->rollback();
							$res["status"] = 500;
							$res["message"] = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
						}
						
					} else {
						//Хакерская атака - подмена данных
						$res["status"] = 500;
						$res["message"] = "<p>Вы не можете оплатить товар на сумму в размере " . $amount . " BP. Убедитесь в правильности заполненных полей и повторите попытку снова.</p>" . $err;
					}
				}else{
					$res["status"] = 500;
					$res["message"] = "Сервер временно недоступен. Обновите страницу и повторите попытку снова.";
				}
				
				
				
				//Вывод ошибок
				
				if($res["status"] == 200) {
					
					$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '300', 'status' => 200, 'details' => "Оплата в MEC прошла успешно."));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
					
				}
				
				if($res["status"] == 500) {
					
					$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '300', 'status' => 500, 'details' => $res["message"] . $err));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
					
				}
				
				
				// ===============================================================================================		
				
				
				
			} else {
				
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '300', 'status' => 500, 'details' => "if(!empty(trans))"));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
				
				
			}
			
			
			
			} else {
				
				$connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'action' => '300', 'status' => 500, 'details' => "if($data[status] == ok) {"));
				throw new Exception('Directory not exist.');
				Yii::app()->end();
				
			}
            
		} else {

			$connection = Yii::app()->db;

			$data = json_decode(file_get_contents('php://input'), true);

            $data['oauth_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_id'])));
            $data['amount'] = mysql_escape_string(htmlspecialchars(strip_tags($data['amount'])));
            $data['order_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['order_id'])));
            $data['timestamp'] = mysql_escape_string(htmlspecialchars(strip_tags($data['timestamp'])));
            $data['note'] = mysql_escape_string(htmlspecialchars(strip_tags($data['note'])));
            $data['oauth_serv'] = mysql_escape_string(htmlspecialchars(strip_tags($data['oauth_serv'])));
            $data['src_wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['src_wallet'])));
            $data['status'] = mysql_escape_string(htmlspecialchars(strip_tags($data['status'])));
            $data['wallet'] = mysql_escape_string(htmlspecialchars(strip_tags($data['wallet'])));
            $data['currency_id'] = mysql_escape_string(htmlspecialchars(strip_tags($data['currency_id'])));
            $data['x_signature'] = mysql_escape_string(htmlspecialchars(strip_tags($_SERVER['HTTP_X_SIGNATURE'])));

            $connection->createCommand()->insert('{{users_payment_ms_logs}}', array('uid' => 0, 'ip' => $_SERVER["REMOTE_ADDR"], 'date' => time(), 'data' => serialize($data), 'details' => 'Server REMOTE_ARRT is not available', 'action' => '300', 'status' => 500));
			throw new Exception('Directory not exist.');
			Yii::app()->end();
			
			
		}

	}
	
	
	
	
	
	
	
	
	/**
	 * This is the action to handle external exceptions.
	 */
	public function actionError()
	{
		if ($error = Yii::app()->errorHandler->error) {
			if (Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}
}