<?php
$connection = Yii::app()->db;
?>

	<h4>Подтверждение заявок на вывод</h4>
	
	<table class="table table-hover table-template paymentsolutionstable">
		<thead>
		<tr>
			<th>#</th>
			<th>ФИО (email)</th>
			<th>Информация о заявке</th>
			<th>Дата</th>
			<th>Статус</th>
			<th>Действия</th>
		</tr>
		</thead>
		<tbody>

		</tbody>
	</table>



<script type="application/javascript">

	function getmarketpay() {
		$.ajax({
			type: 'POST',
			url: '/control/getmarketpayms',
			dataType: 'json',
			data: {},
			success: function (results) {
				var txt = "";
				if(results.orders && results.orders.length > 0){
					$.each(results.orders, function (key, val) {

						var status = "";
						var cheсkbox = "";
						var btn = "";
						
						switch (parseInt(val.status)) {
							case 0:
								status = "Новая заявка";
								btn += '<span class="order-btn btn-orders-topay-confirm" rel="' + val.id + '">Подтвердить</span>';
								btn += ' | <span class="order-btn btn-orders-topay-cancel" rel="' + val.id + '">Отклонить</span>';
								
								break;
							case 1:
								status = "В обработке";
								btn += '<span class="order-btn btn-orders-topay-ms" data-ajax="1" rel="' + val.id + '">Выполнить</span>';
								btn += ' | <span class="order-btn btn-orders-topay-cancel" rel="' + val.id + '">Отклонить</span>';
								break;
							case 2:
								status = "Выполнена";
								break;
							case -1:
								status = "Отменена";
								break;
							case -2:
								status = "Отклонена";
								break;
						}
						
						var confirm_text = '';
						var confirm_date = '';
						if(val.confirm_status == 1) {
							confirm_text = '<br><span style="color: green">Подтвержденная сумма: '+val.confirm_amount+' BP</span>';
							confirm_date = '<br><span style="color: green">' + val.confirm_date+'</span>';
						}

						txt += '<tr rel="' + val.id + '"><td>#' + val.id +'</td><td><a href="/'+val.alias+'" target="_blank">'+val.fio+' ('+val.email+')</a></td><td>Заявка на сумму ' + val.amount + ' BP на кошелек '+val.wallet + confirm_text +'</td><td>'+val.date + confirm_date + '</td><td>'+status+'</td><td>' + btn + '</td></tr>';

					});
				}else{
					txt = '<tr><td colspan="6">Список заявок пуст.</td></tr>';
				}


				$(".paymentsolutionstable tbody").html(txt);
			}
		});
	}

$('document').ready(function () {
	
	getmarketpay();

	$('body').on('change keyup input click', '.userverify_multi, .userverify_multi_edit', function () {
		if (this.value.match(/[^0-9]/g)) {
			this.value = this.value.replace(/[^0-9]/g, '');
		}

		var value = $(this).val();
		if (value < 0) $(this).val(0);
		if (value > 100) $(this).val(100);
	});
		
		
	$('body').on('click', '.btn-orders-topay-cancel', function () {
			var elem = $(this);
			var id = $(elem).attr("rel");

			BootstrapDialog.show({
				title: 'Отколнение заявки',
				message: 'Отклонить поданную заявку?',
				animate: true,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							
							var amount = $(".orders-topay-new-amount").val();
							var wallet = $(".orders-topay-new-wallet").val()
							
							$.ajax({
								url: '/control/setmarketpaymscancel',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										getmarketpay();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
	
	$('body').on('click', '.btn-orders-topay-ms[data-ajax="1"]', function () {
			var elem = $(this);
			var id = $(elem).attr("rel");
			
			$(elem).attr('data-ajax', '0');

			BootstrapDialog.show({
				title: 'Подтверждение перевода',
				message: 'Выплатить поданную заявку?',
				animate: true,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {

							$.ajax({
								url: '/control/setmarketpaymsms',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										getmarketpay();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								},
								complete: function (results) {
									
									$(elem).attr('data-ajax', '1');
									
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
							$(elem).attr('data-ajax', '1');
						}
					}],
					
					onhide: function(dialogRef){
						$(elem).attr("data-ajax", '1');
					}
					
			});
		});
	


});

</script>


<style>
	.user-verify-orders tr td {
		font-size: 12px;
	}
</style>