<?php

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/Chart.min.js', CClientScript::POS_END);


$connection = Yii::app()->db;

//echo date("d.m.Y H:i:s",1477958400);
?>

<div class="load-container">
	<div style="width: 100%">
		
		<h3><span class="users-stat-title">График - тенденция заходов по дням</span></h3>
		<canvas id="users-transactions-days" height="70"></canvas>
		
		<h3><span class="users-stat-title">График 2 - регистрация пользователей сумарная</span></h3>
		<canvas id="users-all" height="70"></canvas>
		
		
		<h3><span class="users-stat-title">График 1 - регистрация пользователей по неделям</span></h3>
		<canvas id="users-week" height="70"></canvas>
		
		<h3><span class="users-stat-title">График 2 - регистрация пользователей сумарная</span></h3>
		<canvas id="users-all" height="70"></canvas>
		
		<hr>

		<h3><span class="users-transactions-title">График 3 - входящие деньги по неделям</span></h3>
		<canvas id="users-transactions-week" height="70"></canvas>
		
		<h3><span class="users-transactions-title">График 4 - входящие деньги сумарные</span></h3>
		<canvas id="users-transactions-all" height="70"></canvas>
		
		<hr>

		<h3><span class="users-topay-title">График 5 - выплаты по неделям</span></h3>
		<canvas id="users-topay-week" height="70"></canvas>
		
		<h3><span class="users-topay-title">График 6 - выплаты сумарные</span></h3>
		<canvas id="users-topay-all" height="70"></canvas>
	</div>
</div>

<script type="application/javascript">
	$('document').ready(function () {
		drawUsersWeek();
		drawUsersAll();
		drawTransactionsWeek();
		drawTransactionsAll();
		drawTransactionsDays();
		//drawTopayWeek();
		//drawTopayAll();
	});

	function drawUsersWeek(){
		var ctx = document.getElementById("users-week").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatusersweek',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_package = [];
						var data_set_nopackage = [];

						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.users);
						});
						
						$.each(results.stats_package, function (key, val) {
							data_set_package.push(val.users);
						});
						
						$.each(results.stats_nopackage, function (key, val) {
							data_set_nopackage.push(val.users);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Все польщователи",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									label: "С пакетамм",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "green",
									pointColor : "green",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_package
								},
								
								{
									label: "Без пакетов",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "red",
									pointColor : "red",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_nopackage
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});


	}
	
	function drawUsersAll(){
		var ctx = document.getElementById("users-all").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatusersall',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_package = [];
						var data_set_nopackage = [];

						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.users);
						});
						
						$.each(results.stats_package, function (key, val) {
							data_set_package.push(val.users);
						});
						
						$.each(results.stats_nopackage, function (key, val) {
							data_set_nopackage.push(val.users);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Все пользователи",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									label: "С пакетамм",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "green",
									pointColor : "green",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_package
								},
								
								{
									label: "Без пакетов",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "red",
									pointColor : "red",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_nopackage
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});


	}
	
	function drawTransactionsDays(){
		var ctx = document.getElementById("users-transactions-days").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatuserstransactionsdays',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_perfect = [];
						var data_set_voucher = [];
						var data_set_crt = [];
						var data_set_ms = [];


						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.transactions);
						});
						
						$.each(results.stats_perfect, function (key, val) {
							data_set_perfect.push(val.transactions);
						});
						
						$.each(results.stats_voucher, function (key, val) {
							data_set_voucher.push(val.transactions);
						});
						
						$.each(results.stats_crt, function (key, val) {
							data_set_crt.push(val.transactions);
						});
						
						$.each(results.stats_ms, function (key, val) {
							data_set_ms.push(val.transactions);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Общая сумма",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									label: "Перфекты",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "green",
									pointColor : "green",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_perfect
								},
								
								{
									label: "Ваучеры",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "orange",
									pointColor : "orange",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_voucher
								},
								
								{
									label: "Крт",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "pink",
									pointColor : "pink",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_crt
								},
								
								{
									label: "MS",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "aqua",
									pointColor : "aqua",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_ms
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});
	}
	
	
	function drawTransactionsWeek(){
		var ctx = document.getElementById("users-transactions-week").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatuserstransactionsweek',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_perfect = [];
						var data_set_voucher = [];
						var data_set_crt = [];


						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.transactions);
						});
						
						$.each(results.stats_perfect, function (key, val) {
							data_set_perfect.push(val.transactions);
						});
						
						$.each(results.stats_voucher, function (key, val) {
							data_set_voucher.push(val.transactions);
						});
						
						$.each(results.stats_crt, function (key, val) {
							data_set_crt.push(val.transactions);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Общая сумма",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									label: "Перфекты",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "green",
									pointColor : "green",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_perfect
								},
								
								{
									label: "Ваучеры",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "orange",
									pointColor : "orange",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_voucher
								},
								
								{
									label: "Крт",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "pink",
									pointColor : "pink",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_crt
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});
	}
	
	function drawTransactionsAll(){
		var ctx = document.getElementById("users-transactions-all").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatuserstransactionsall',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_perfect = [];
						var data_set_voucher = [];
						var data_set_crt = [];
						var data_set_ms = [];


						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.transactions);
						});
						
						$.each(results.stats_perfect, function (key, val) {
							data_set_perfect.push(val.transactions);
						});
						
						$.each(results.stats_voucher, function (key, val) {
							data_set_voucher.push(val.transactions);
						});
						
						$.each(results.stats_crt, function (key, val) {
							data_set_crt.push(val.transactions);
						});
						
						$.each(results.stats_ms, function (key, val) {
							data_set_ms.push(val.transactions);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Общая сумма",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									label: "Перфекты",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "green",
									pointColor : "green",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_perfect
								},
								
								{
									label: "Ваучеры",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "orange",
									pointColor : "orange",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_voucher
								},
								
								{
									label: "Крт",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "pink",
									pointColor : "pink",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_crt
								},
								
								{
									label: "MS",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "aqua",
									pointColor : "aqua",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_ms
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});
	}
	
	
	
	function drawTopayWeek(){
		var ctx = document.getElementById("users-topay-week").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatuserstopayweek',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_verify = [];
						var data_set_noverify = [];

						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.transactions);
						});
						
						$.each(results.stats_verify, function (key, val) {
							data_set_verify.push(val.transactions);
						});
						
						$.each(results.stats_noverify, function (key, val) {
							data_set_noverify.push(val.transactions);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Общая сумма",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									type: 'bar',
									label: "Продавцы",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_verify
								},
								
								{
									type: 'bar',
									label: "Обычные пользователи",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_noverify
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});
	}
	
	function drawTopayAll(){
		var ctx = document.getElementById("users-topay-all").getContext("2d");

		$.ajax({
			type: 'POST',
			url: '/control/getstatuserstopayall',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];
						var data_set_verify = [];
						var data_set_noverify = [];

						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.transactions);
						});
						
						$.each(results.stats_verify, function (key, val) {
							data_set_verify.push(val.transactions);
						});
						
						$.each(results.stats_noverify, function (key, val) {
							data_set_noverify.push(val.transactions);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "Общая сумма вывода",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								},
								
								{
									type: 'bar',
									label: "Продавцы",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_verify
								},
								
								{
									type: 'bar',
									label: "Обычные пользователи",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set_noverify
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});
	}
	
	
</script>