<?php

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/Chart.min.js', CClientScript::POS_END);


$connection = Yii::app()->db;


$get_date = trim(mysql_escape_string(htmlspecialchars(strip_tags($_GET['date']))));
	
	if($get_date == '') {
	
		$date = 1483315200;//mktime(00, 00, 00, date("m"), date("d"), date("Y"));
		$date_show = date("d.m.Y",$date);
	
	} else {
	
		$order   = '.';
		$replace = '-';
		$date = strtotime(str_replace(array('.'), array('-'), $get_date));
		$date_show = date("d.m.Y",$date);
	
	}
	
	$date_dd = date("d",$date) < 10 ? date("d",$date) : date("d",$date);
	$date_mm = date("m",$date) < 10 ? date("m",$date) : date("m",$date);
	$date_yy = date("Y",$date);

?>

<div class="load-container">
	<div style="width: 100%">		
		<h3><span class="users-topay-title">График 1 - статистика продаж за неделю</span></h3>
		
		<div>
	    <input class="form-control" id="datetime" name="date" placeholder="MM/DD/YYYY" value="<?=$date_show;?>" type="date" style="margin: 10px 0; width: 200px; font-size: 16px;"/>
	    <br>
	  </div>
		
		<canvas id="users-topay-week" height="70"></canvas>
	</div>
</div>



<script type="application/javascript">
	
	var today = '<?echo "$date_yy-$date_mm-$date_dd";?>';
	$('#datetime').val(today);
	var datestart = <?=intval($date);?>;
	
	
	$('document').ready(function () {		
		drawTopayWeek();
		
		$('body').on('change', '#datetime', function() {
			
			var val = $(this).val();
			var date = new Date(val);
			var year = date.getFullYear();
			var month = date.getMonth() + 1;
			month = month < 10 ? '0' + month : month;
			
			var day = date.getDate();
			day = day < 10 ? '0' + day : day;
			
			document.location.href='/control/statisticmarket?date=' + day + '.' + month + '.'  + year;
			
		});
		
		
	});
	
	function drawTopayWeek(){
		var ctx = document.getElementById("users-topay-week").getContext("2d");
		$.ajax({
			type: 'POST',
			url: '/control/getstatmarketweek',
			dataType: 'json',
			data: {
				datestart: datestart
			},
			success: function (results) {
				if (results.status == 200) {
					if (results.stats.length > 0) {
						var lables = [];
						var data_set = [];

						$.each(results.stats, function (key, val) {
							lables.push(val.date_start);
							data_set.push(val.amount);
						});

						var usersStatData = {
							labels : lables,
							datasets : [
								{
									label: "My First dataset",
									fillColor : "rgba(220,220,220,0.2)",
									strokeColor : "rgba(220,220,220,1)",
									pointColor : "rgba(220,220,220,1)",
									pointStrokeColor : "#fff",
									pointHighlightFill : "#fff",
									pointHighlightStroke : "rgba(220,220,220,1)",
									data : data_set
								}
							]
						};


						window.myLine = new Chart(ctx).Line(usersStatData, {
							responsive: true
						});
					} else {
						message_info(results.message);
					}
				}
			}
		});
		
	}
	
	
</script>