<?php
$connection = Yii::app()->db;
?>

	<h4>Черный список сайтов</h4>
	
	<input type="text" class="userverify_url" placeholder="Ссылка на сайт: vk.cc/sdDDd3">
	<input type="submit" value="Добавить в черный список" class="user-verify-add" data-ajax="1">
	
	<h4>Список заблокированных сайтов</h4>

	<table class="table table-hover table-template paymentsolutionstable">
		<thead>
		<tr>
			<th>#</th>
			<th width="100px">Добавлено</th>
			<th>Дата</th>
			<th>Сайт</th>
			<th>Удалено</th>
			<th>Показы</th>
			<th>Статус</th>
			<th>Навигация</th>
		</tr>
		</thead>
		<tbody>

		</tbody>
	</table>



<script type="application/javascript">

	function getMainInforamtion() {

		$(".paymentsolutionstable tbody").fadeOut(300);

		$.ajax({
			type: 'POST',
			url: '/control/geturlblacklist',
			dataType: 'json',
			success: function (results) {
				var txt = '';
				
				console.log(results);
				
				if (results.status == 200) {
					if (results.verify.length > 0) {
						$.each(results.verify, function (key, val) {

							val.verify = parseInt(val.verify);
							var status = "";
							var btn = "";
							btn += '<a class="user-verify-edit" style="color: green;" rel="'+val.id+'" style="cursor: pointer;">Очистить сайт</a>';
							btn += ' | <a class="user-verify-cancel" rel="'+val.id+'" style="cursor: pointer;" data-ajax="1">Удалить</a>';
							
							btn = '';
							
							txt += '<tr><td> </td><td rel="' + val.id + '">' + val.fio + '</td><td>' + val.date + '</td><td>' +  val.url + '</td><td>' + val.count_delete + '</td><td>' + val.count_show + '</td><td>Заблокирован</td><td>' + btn + '</td></tr>';

						});
					} else {
						txt = '<tr><td colspan="6">Нет записей.</td></tr>';
					}

					$(".paymentsolutionstable tbody").html(txt);
				}
			}
		});

		$(".paymentsolutionstable tbody").fadeIn(500);
	}

$('document').ready(function () {
	getMainInforamtion();

	$('body').on('change keyup input click', '.userverify_multi, .userverify_multi_edit', function () {
		if (this.value.match(/[^0-9]/g)) {
			this.value = this.value.replace(/[^0-9]/g, '');
		}

		var value = $(this).val();
		if (value < 0) $(this).val(0);
		if (value > 100) $(this).val(100);
	});

    $('body').on('change keyup input click', '.userverify_discount', function () {
        if (this.value.match(/[^0-9.]/g)) {
            this.value = this.value.replace(/[^0-9.]/g, '');
        }
        var percent = parseInt($('.userverify_percent').val());
        percent = !isNaN(percent) ? percent : 0;
        if(this.value >= percent){
            this.value = percent;
        }
    });

    $('body').on('change keyup input click', '.userverify_discount_edit', function () {
        if (this.value.match(/[^0-9.]/g)) {
            this.value = this.value.replace(/[^0-9.]/g, '');
        }
        var percent = parseInt($('.userverify_percent_edit').val());
        percent = !isNaN(percent) ? percent : 0;
        if(this.value >= percent){
            this.value = percent;
        }
    });
	
	$('body').on('click', '.user-verify-cancel', function () {
		
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);
		
		var uid = $(this).attr('rel');

		BootstrapDialog.show({
			message: 'Удалить пользователя из списка верифицированных?',
			animate: true,
			buttons: [
				{
					label: 'Удалить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						
						dialogRef.close();
						
						$.ajax({
							url: '/control/seturlblacklistcancel',
							type: 'POST',
							dataType: 'json',
							data: {
								uid: uid
							},
							success: function (results) {
								if (results.status == 200) {
									
									//getMainInforamtion();
									$(elem).parent().parent().remove();
									message_info(results.message);
									
								} else {
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
						
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						$(elem).attr("data-ajax",1);
						dialogItself.close();
					}
				}]

		});
	});

	$('body').on('click', '.user-verify-add', function () {
		
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);
		
		var url = $(".userverify_url").val();

		BootstrapDialog.show({
			message: 'Добавить сайт ' +url+ ' в черный список?',
			animate: true,
			buttons: [
				{
					label: 'Добавить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						
						dialogRef.close();
						
						$.ajax({
							url: '/control/seturlblacklistok',
							type: 'POST',
							dataType: 'json',
							data: {
								url: url
							},
							success: function (results) {
								if (results.status == 200) {
									
									getMainInforamtion();
									//$(elem).parent().parent().remove();
									message_info(results.message);
									
								} else {
									dialogRef.close();
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
						
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						$(elem).attr("data-ajax",1);
						dialogItself.close();
					}
				}]

		});
	});

    $('body').on('click', '.user-verify-edit', function () {
        event.preventDefault();

        var elem = $(this);
        var ajax = 1;
        var uid = $(this).attr('rel');
        var data_percent = $(this).attr('data-percent');
        var data_discount = $(this).attr('data-discount');
		var data_multi = $(this).attr('data-multi');

        BootstrapDialog.show({
            title: 'Редактировать',
            message: '<label>Введите процент:</label><br>' +
            '<input type="text" class="userverify_percent_edit" placeholder="Процент" value="'+data_percent+'"><br>' +
            '<label>Введите скидку:</label><br>' +
            '<input type="number" min="0" step="1" class="userverify_discount_edit" placeholder="Скидка" value="'+data_discount+'"><br>' +
			'<label>Введите Множитель:</label><br>' +
			'<input type="text" class="userverify_multi_edit number_only" placeholder="Множитель" value="'+data_multi+'"><br>',
            animate: false,
            buttons: [
                {
                    label: 'Сохранить',
                    cssClass: 'btn-success',
                    action: function (dialogItself) {
                        if (ajax == 0) return; ajax = 0;
                        var err = '';

                        var percent = parseInt($('.userverify_percent_edit').val());
                        var discount = parseInt($('.userverify_discount_edit').val());
						var multi = parseInt($('.userverify_multi_edit').val());

                        if(percent < 10 || percent > 100){
                            err += "<li>Минимальный процент 10, максимальный 100.</li>";
                        }
						if(multi < 0 || multi > 100){
							err += "<li>Минимальный множитель 0, максимальный 100.</li>";
						}
                        if(discount < 0 || discount > percent){
                            err += "<li>Минимальная скидка 0, максимальная не должна превышать процент.</li>";
                        }

                        if (err == '') {
                            $.ajax({
                                url: '/control/seturlblacklistedit',
                                type: 'POST',
                                dataType: 'json',
                                data: {
                                    uid: uid,
                                    percent: percent,
                                    discount: discount,
									multi: multi
                                },
                                success: function (results) {
                                    if (results.status == 200) {
                                        dialogItself.close();
                                        message_info(results.message);
                                        $(elem).closest('tr').find('td:eq(3)').html(percent+'%');
                                        $(elem).closest('tr').find('td:eq(4)').html(discount+'%');
                                        $(elem).closest('tr').find('td:eq(5)').html(multi+'%');
                                    } else {
                                        message_info(results.message);
                                    }
                                },
                                complete: function () {
                                    ajax = 1;
                                }
                            });
                        } else {
                            message_info(err);
                            ajax = 1;
                        }
                    }
                },
                {
                    label: 'Отмена',
                    action: function (dialogItself) {
                        dialogItself.close();
                    }
                }]
        });
    });
});

</script>


<style>
	.user-verify-orders tr td {
		font-size: 12px;
	}
</style>