<?php
/* @var $model LoginForm */
/* @var $form CActiveForm */

$loginModel    = empty($this->loginModel)    ? new LoginForm        : $this->loginModel;

$connection = Yii::app()->db;

$uid = (isset($_GET['uid']) ? intval($_GET['uid']) : Yii::app()->user->id);

$info = $connection->createCommand("SELECT alias, package, level, count_users, refx, CONCAT(name, ' ', fio) as fio FROM {{usersinfo}} WHERE uid=:uid")
	->bindParam(":uid",Yii::app()->user->id)
	->queryRow();

$package = $info["package"];

/* ****************************************************************************************** */
//Проверка инвайтов
/* ****************************************************************************************** */

/*$invite = $connection->createCommand("SELECT * FROM {{users_invite_user}} WHERE uid=:uid")
		->bindParam(":uid",Yii::app()->user->id)
		->queryRow();
	
$invite_status = !empty($invite) ? $invite["status"] : -1;		


if($invite_status == -1 && Yii::app()->controller->action->id != 'wall') {
	header('Location: /' .$info["alias"]);
	Yii::app()->end();
} else {
	
	if($package == 0) {
	$is_access = $connection->createCommand("SELECT id, title FROM {{settings_accessblock_pkg}} WHERE controller = :controller AND action = :action AND status = 1")
	->bindParam(":controller",Yii::app()->controller->id)
	->bindParam(":action",Yii::app()->controller->action->id )
	->queryRow();
	
	if(!empty($is_access)) {
		header('Location: /' .$info["alias"] . '?errormsg=accessdenied&data=' . $is_access["title"]) ;
		Yii::app()->end();
	}
	
	}
	
}
*/


$invite = $connection->createCommand("SELECT * FROM {{users_invite_user}} WHERE uid=:uid")
		->bindParam(":uid",Yii::app()->user->id)
		->queryRow();
	
$invite_status = !empty($invite) ? $invite["status"] : -1;

$invite_access = $connection->createCommand("SELECT id, title FROM {{settings_access_invite}} WHERE controller = :controller AND action = :action AND status = 1")
		->bindParam(":controller", Yii::app()->controller->id)
		->bindParam(":action", Yii::app()->controller->action->id)
		->queryRow();

if($invite_status == -1 && empty($invite_access) &&  !in_array(Yii::app()->controller->action->id, ['wall', 'group'])) {
	header('Location: /' .$info["alias"]);
	Yii::app()->end();
} else/* if ($invite_status == 0)*/ {
	
	/*if($package == 0) {
	$is_access = $connection->createCommand("SELECT id, title FROM {{settings_accessblock_pkg}} WHERE controller = :controller AND action = :action AND status = 1")
	->bindParam(":controller",Yii::app()->controller->id)
	->bindParam(":action",Yii::app()->controller->action->id )
	->queryRow();
	
	if(!empty($is_access)) {
		header('Location: /' .$info["alias"] . '?errormsg=accessdenied&data=' . $is_access["title"]) ;
		Yii::app()->end();
	}
	
	}*/
	
	if(Yii::app()->controller->action->id == 'wall' && $invite_status == -1 && (!Yii::app()->user->isGuest && Yii::app()->user->id > 0)) {
		$invite_status = -1;
	} else {
		$invite_status = 1;
	}
	
	
}
	
/* ****************************************************************************************** */
//Проверка инвайтов
/* ****************************************************************************************** */

$post_id = intval($_GET['note']);
if(!empty($post_id)){
	$post = $connection->createCommand("SELECT p.text, p.media_img, CONCAT(u.name, ' ', u.fio) as 'fio' FROM {{posts}} p INNER JOIN {{usersinfo}} u ON u.uid = p.uid WHERE p.id = :post_id")->bindParam(":post_id", $post_id)->queryRow();
}

?>
<!DOCTYPE html>
<html>
	<head>
		<?php if(!empty($post) && !empty($post['fio'])){ ?>
			<title><?=$post['fio']?></title>
			<meta property="og:title" content="<?=htmlspecialchars_decode($post['fio'])?>">
			<?php if(!empty($post) && !empty($post['text'])){ ?>
				<meta property="og:description" content="<?=f_replace($post['text'], false, true)?>">
			<?php } ?>
			<?php if(!empty($post) && !empty($post['media_img'])){ ?>
				<meta property="og:image" content="http://<?=$post['media_img']?>_md.jpg">
				<meta property="og:image:width" content="486"/>
				<meta property="og:image:height" content="255"/>
				<link rel="image_src" href="http://<?=$post['media_img']?>_md.jpg"/>
			<?php }else{ ?>
				<meta property="og:image" content="/images/logo.png">
			<?php } ?>
		<?php }else{ ?>
			<title>BOKOBOK</title>
		<?php } ?>
		<meta charset="utf-8">
		<meta name="viewport" content="width=1024" initial-scale="1">
		<!-- <meta name="viewport" content="width=device-width,initial-scale=1,user-scalable=no"> -->

		<meta http-equiv="cleartype" content="on">
		<meta name="format-detection" content="telephone=no">
		<meta name="format-detection" content="address=no">

<!--		<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" rel="stylesheet" type="text/css" />-->
		<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap3-dialog/1.34.7/css/bootstrap-dialog.min.css" rel="stylesheet" type="text/css" />
		<link rel="stylesheet" href="/css/font-awesome.min.css">
		<link rel="stylesheet" href="/css/main.css">
		<link rel="stylesheet" href="/css/post.css" />
		<link rel="stylesheet" href="/css/comment.css" />
		<link rel="stylesheet" href="/css/aside.css" />
		<link rel="stylesheet" href="/css/style.css"/>
		<link rel="stylesheet" href="/css/modal.css"/>
		<link rel="stylesheet" href="/css/settings_more.css"/>
		<link href="/plugins/toastr/toastr.min.css" rel="stylesheet" type="text/css"/>
		<link rel="stylesheet" href="/css/elements.css"/>
		<link rel="stylesheet" href="/css/wallet.css"/>
		<link rel="stylesheet" href="/css/tampletes.css"/>
		<link rel="stylesheet" href="/css/ya_share.css"/>


		<script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap3-dialog/1.34.7/js/bootstrap-dialog.min.js"></script>

		<!--<link rel="stylesheet/less" type="text/css" href="less/new.less" />
		<script src="less.js" type="text/javascript"></script> -->

		<link rel="stylesheet" href="/css/queries.css" />
		<!--[if lt IE 9]>
			<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->

		<script src="/plugins/toastr/toastr.min.js"></script>
		<script src="/js/jquery.Jcrop.js"></script>
		<script src="/js/jquery.SimpleCropper.js"></script>
		<script src="/js/moment.min.js"></script>
		<script src="/js/jquery.emotions.js"></script>
		<script src="/js/jquery.visible.js"></script>
		<script src="/js/jquery.cookie.js"></script>
		<script src="/js/select2.full.js"></script>
		<script src="/js/jquery-ui.min.js"></script>
		<script src="/js/jquery.blockUI.js"></script>
		<script src="/js/readmore.js"></script>
		<script src="/js/linkify.min.js"></script>
		<script src="/js/linkify-jquery.min.js"></script>
		<script src="/js/jquery.glide.js"></script>
		<script src="/js/underscore.js"></script>
		<script src="/js/functions.js"></script>
		<script src="/js/post.js"></script>
		<script src="/js/market.js"></script>
		<script src="/js/settings.js"></script>
		<script src="/js/additional.js"></script>
		<script src="/js/accounting.min.js"></script>
		<script src="/js/countdown.js"></script>
		<script src="/js/bonus.js"></script>
		<script src="/js/he.js"></script>
		<script src="/js/clipboard.min.js"></script>
	</head>
	<body style="min-width: 1024px" invite="<?=$invite_status;?>" package="<?=$package;?>" <?=!Yii::app()->user->isGuest && Yii::app()->user->id > 0 ? 'data-uid="'.Yii::app()->user->id.'"' : ''?> test="<?=Yii::app()->user->id;?>">
		<header>
			<div class="wrap">
				<div class="container">
					<div class="row">
						<div class="col-sm-3">
							<a href="/feed" class="logo"><img src="/images/logo.png" alt="logo"></a>
						</div>
						<div class="col-sm-9 xs-hidden">
							<div class="header_menu">
								<span>
									<a href="/market"><img src="/images/header_menu.png" alt="logo"></a>
								</span>
							</div>
							<form name="search" class="form-inline">
								<div class="form-group">
									<label class="sr-only" for="exampleInputAmount">Что Вас интересует?</label>
									<div class="input-group" style="border-right:1px solid #1a6389;">
										<input type="text" name="find" class="form-control" id="feed_query_text" placeholder="Что Вас интересует?">
										<div class="input-group-addon" style="display: none;"><img src="/images/keyboard.png" alt="logo"></div>
									</div>
									<button type="submit" class="button find-submit-btn">
										<i class="fa fa-search"></i>
									</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<nav>
							<?php if(!Yii::app()->user->isGuest && Yii::app()->user->id > 0){ ?>
								<ul class="list-unstyled list-inline">
									<li class="nav nav-page-wall active">
										<a href="/feed">Главная</a>
									</li>
									<!--<li class="nav nav-page-packages">
										<a href="/packages">Подписка</a>
									</li>-->
									<li class="nav nav-page-invite">
										<a href="/page/invite">Инвайты</a>
									</li>
									<li class="nav nav-page-users">
										<a href="/users">Пользователи</a>
									</li>
									<li class="nav nav-groups-index">
										<a href="/groups">Группы</a>
									</li>
									<li class="nav nav-market-index">
										<a href="/market">Market</a>
									</li>
									<li class="nav nav-events-index">
										<a href="/events">События</a>
									</li>
									<li class="nav nav-page-settings">
										<a href="/user/settings">Профиль</a>
									</li>
									<li>
										<a href="/logout">Выйти</a>
									</li>
								</ul>
							<?php }else{ ?>
								<ul class="list-unstyled list-inline class_auth">
									<li class="nav nav-page-wall active">
										<a href="/feed">Главная</a>
									</li>
									<!--<li class="nav nav-page-packages auth_class">
										<a href="/packages">Подписка</a>
									</li>-->
									<li class="nav nav-page-invite auth_class">
										<a href="/page/invite">Инвайты</a>
									</li>
									<li class="nav nav-page-users auth_class">
										<a href="/users">Пользователи</a>
									</li>
									<li class="nav nav-groups-index auth_class">
										<a href="/groups">Группы</a>
									</li>
									<li class="nav nav-market-index auth_class">
										<a href="/market">Товары</a>
									</li>
									<li class="nav nav-events-index auth_class">
										<a href="/events">События</a>
									</li>
									<li>
										<a href="/login">Войти</a>
									</li>
								</ul>
							<?php } ?>
						</nav>
					</div>
				</div>
			</div>
		</header>
		<div class="container">
			<div class="row">
				<?php echo $content; ?>
			</div>
		</div>
		<footer>
			<div class="container">
				<p>Все права защищены &copy; 2016</p>
			</div>
		</footer>
		
		
		<div class="go-to-top go-top"><i class="fa fa-chevron-up"></i></div>
		
	</body>
<script type="application/javascript">
	$(document).ready(function(){
		
		var scrollTrigger = 500,
        backToTop = function () {
            var scrollTop = $(window).scrollTop();

            if (scrollTop > scrollTrigger) {
                $('.go-to-top').css('right','-40px');
            } else {
                $('.go-to-top').css('right','-40px');
            }

        };
        backToTop();

        $(window).on('scroll', function () {
            backToTop();
        });
        
        $('.go-top').on('click', function (e) {
            e.preventDefault();
            $('html,body').animate({
                scrollTop: 0
            }, 500);
        });
        
		
		$('body').on('click', '.auth_class', function (event) {
			event.preventDefault();
			event.stopPropagation();
			access_control();
		});
		
		$('li.nav').removeClass('active');
		$('li.nav-<?=Yii::app()->controller->id.'-'.Yii::app()->controller->action->id?>').addClass('active');
		
		$('body').on('click', '.find-submit-btn', function (event) {
			event.preventDefault();
			event.stopPropagation();

			var text = $('#feed_query_text').val();

			if(text.length >=3){
				window.location.href = '/feed?query='+text;
			}
		});
		
	<?php

		if(!empty($info)){
			$connection = Yii::app()->db;
			$info['level'] = intval($info['level']);


			switch($info['level']){
				case 0:{
					if($info['level'] == 0 && $info['count_users'] >= 10){
						echo 'showUserStatusDialog(1);';
					}
					break;
				}
				case 1:{
					$ref_count = $connection->createCommand("SELECT COUNT(uid) FROM {{usersinfo}} WHERE refx = :uid AND count_users >= 5 AND status = 1")
						->bindParam(":uid", Yii::app()->user->id)
						->queryScalar();
					if($info['level'] == 1 && $ref_count >= 10){
						echo 'showUserStatusDialog(2);';
					}
					break;
				}
			}
		}
		?>
	});

	function showUserStatusDialog(status){
		if(status == 1 || status == 2){
			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: '<?=$info['fio']?>,  поздравляем Вас! Вы вышли на новый уровень. Для активации нажмите "Продолжить".',
				animate: true,
				buttons: [
					{
						label: 'Продолжить',
						cssClass: 'btn-success',
						action: function (dialogRef) {
							dialogRef.close();
							$.ajax({
								url: '/user/setuserlevel'+status,
								type: 'POST',
								dataType: 'json',
								success: function (results) {
									if (results.status == 200) {
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}
				]
			});
		}
	}

</script>


<style>
	
	.go-to-top.show-button {
        right: 0;
    }
    .go-to-top {
        position: fixed;
        bottom: 10px;
        right: -40px;
        z-index: 20;
        width: 40px;
        height: 40px;
        line-height: 40px;
        text-align: center;
        background: #bf0c0e;
        color: #ffffff;
        cursor: pointer;
        text-decoration: none;
        font-size: 10px;
        -webkit-transition: right ease 0.2s, background-color ease 0.2s;
        -moz-transition: right ease 0.2s, background-color ease 0.2s;
        -o-transition: right ease 0.2s, background-color ease 0.2s;
        transition: right ease 0.2s, background-color ease 0.2s;
    }
    
    .go-to-top i {
	    color: #ffffff;
	}
	
</style>

</html>