<style>

.price_amount {
	color: grey !important;
    text-decoration: line-through;
    font-size: 18px !important;
}

.price_future {
	color: green !important;
    font-size: 18px !important;
}

.single_good_block .single_good_info .single_good_info_in .price span {
	margin-right: 10px;	
}

.price_old {
	text-decoration: line-through;
}

</style>

<?php
/* @var $my */
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/post2.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/group.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/video.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/comments.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/smiles.m.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/project_goods.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/p_projects_ex.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/single_good.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/modal.css');

$show_tab = intval($_GET["t"]);

$connection = Yii::app()->db;
$gid = intval($_GET['gid']);

$good = $connection->createCommand("SELECT g.gid, g.country, g.uid, g.text, g.delivery, g.title, g.price, g.discount, g.media_img as photo, g.date, g.verify, c.name as category FROM {{goods}} g INNER JOIN {{categories}} c ON c.id = g.category_id WHERE g.gid = :gid AND (g.status = 1 OR :uid = g.uid)")
	->bindParam(":gid", $gid)
	->bindParam(":uid", Yii::app()->user->id)
	->queryRow();
if(empty($good)) Yii::app()->request->redirect('/market');
if(!empty($good['country'])){
	$country = Loc::getCountryById($good['country']);
	$good['country_name'] = $country['title'];
}

$owner = $connection->createCommand("SELECT u.uid, u.marital_status, CONCAT(u.name, ' ', u.fio) AS 'full_name', u.tel, u.sex, u.skype, u.city, u.interests, u.activities, u.about, u.photo, u.alias, u.status, u.online, (f.id IS NOT NULL) AS subscribed FROM {{usersinfo}} u LEFT JOIN {{friends}} f ON f.uid = :my_uid AND f.fuid = u.uid WHERE u.uid = :uid")->bindParam(":uid", $good['uid'])->bindParam(":my_uid", Yii::app()->user->id)
    ->queryRow();
    
$my = $connection->createCommand("SELECT uid, marital_status, CONCAT(name, ' ', fio) AS 'full_name', tel, sex, skype, city, interests, activities, about, photo, alias, status, online, package FROM {{usersinfo}} WHERE uid = :uid")
	->bindParam(":uid", Yii::app()->user->id)
	->queryRow();
	
//Вычисляем скидку от сети ********************************************************************************************

//if(Yii::app()->user->id == 3) {

$amount_potential = $connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte")
	->bindParam(":uid", Yii::app()->user->id)
	->queryScalar();

$sertification_discount = doubleval($connection->createCommand("SELECT discount FROM {{users_verify}} WHERE uid = :uid")
	->bindParam(":uid", $good["uid"])
	->queryScalar()) / 100; //Максимальная скидка
	
$discount_now = $connection->createCommand("SELECT discount FROM {{settings_cashback}} WHERE :amount >= amount_from AND :amount < amount_to")
	->bindParam(":amount", $amount_potential)
	->queryScalar(); //Скидка для партнеров сети / по подписке в настройках	
$discount_percent = $discount_now / 0.1; //Процент от максимальной скидки 10%)
$discount_now = $sertification_discount * $discount_percent;

$discount_now_id = $connection->createCommand("SELECT id FROM {{settings_cashback}} WHERE :amount >= amount_from AND :amount < amount_to")
	->bindParam(":amount", $amount_potential)
	->queryScalar();//айди скидки тчоб найти слудеющее
		
$discount_future = $connection->createCommand("SELECT discount FROM {{settings_cashback}} WHERE id > :id LIMIT 1")
	->bindParam(":id", $discount_now_id)
	->queryScalar();
$discount_future_percent = $discount_future / 0.1; //Процент от максимальной скидки 10%)
$discount_future = $sertification_discount * $discount_future_percent;

//********************************************
if($good["uid"] == 117485) {
	$discount_now = 0;
	$discount_future = 0;
}
//********************************************

	
$price_now = $good['price'] - intval($good['price'] * $discount_now * 100) / 100;
$price_future = $good['price'] - intval($good['price'] * $discount_future * 100) / 100;

	
/*} else {

$sertification_discount = doubleval($connection->createCommand("SELECT discount FROM {{users_verify}} WHERE uid = :uid")
	->bindParam(":uid", $good["uid"])
	->queryScalar()) / 100; //Максимальная скидка
	
$discount_now = $connection->createCommand("SELECT discount FROM {{settings_package}} WHERE package = :package")
	->bindParam(":package", $my["package"])
	->queryScalar(); //Скидка для партнеров сети / по подписке в настройках	
$discount_percent = $discount_now / 0.1; //Процент от максимальной скидки 10%)
$discount_now = $sertification_discount * $discount_percent;
	
$discount_future = $connection->createCommand("SELECT discount FROM {{settings_package}} WHERE package = :package")
	->bindParam(":package", intval($my["package"] + 1))
	->queryScalar();
$discount_future_percent = $discount_future / 0.1; //Процент от максимальной скидки 10%)
$discount_future = $sertification_discount * $discount_future_percent;
	
$price_now = $good['price'] - intval($good['price'] * $discount_now * 100) / 100;
$price_future = $good['price'] - intval($good['price'] * $discount_future * 100) / 100;

}*/

//Расчитываем кешбек от покупки данного товара ********************************************************************************************
//if(Yii::app()->user->id == 3) {

$amount_potential = $connection->createCommand("SELECT SUM(deposit) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND type = 1 AND dt < dte")
	->bindParam(":uid", Yii::app()->user->id)
	->queryScalar();

//Базовый кешбек
$cashback = 0.3; //Стартовый
$cashback = $connection->createCommand("SELECT cashback FROM {{settings_cashback}} WHERE :amount >= amount_from AND :amount < amount_to")
	->bindParam(":amount", $amount_potential)
	->queryScalar();

//Множитель продавца
$sertification_multi = doubleval($connection->createCommand("SELECT multi FROM {{users_verify}} WHERE uid = :uid")
	->bindParam(":uid", $good["uid"])
	->queryScalar()) / 100; //Максимальная скидка
	
//Расчет реального кешбека с учетом множителя
$cashback = $cashback * $sertification_multi;
	
$amount_back = intval($price_now*$cashback*100) / 100;


//********************************************

if($good["uid"] == 117485) {
	$cashback = 0;
	$amount_back = 0;
}

//********************************************

	
/*} else {

$amount_potential = $connection->createCommand("SELECT SUM(deposit*percent) FROM {{users_potential}} WHERE uid = :uid AND status = 1 AND dt < dte")
	->bindParam(":uid", Yii::app()->user->id)
	->queryScalar();
	
if($price_now > 0) {
$amount_month = $amount_potential * 30;

$potential_percent = intval(($price_now / $amount_month) * 100 ) / 100;
if($potential_percent > 1) $potential_percent = 1;
if($potential_percent < 0.2) $potential_percent = 0.2;
} else {
	$potential_percent = 0;
}

$cashback = $connection->createCommand("SELECT cashback FROM {{settings_package}} WHERE package = :package")
	->bindParam(":package", $my['package'])
	->queryScalar();

if($cashback*$potential_percent < 0.1) {
	$potential_percent = doubleval(0.1 / $cashback);
}

$amount_back = intval($price_now*$cashback*$potential_percent*100) / 100;
}*/


if (empty($owner)) return;

$favorite_good = $connection->createCommand("SELECT id FROM {{users_favorite_good}} WHERE uid = :uid AND good_id = :good_id")->bindParam(":uid", Yii::app()->user->id)->bindParam(":good_id", $good['gid'])->queryRow();

$page = 1;


//Реферальная ссылка
$rx = intval($_GET["rx"]);
if($rx > 0 && Yii::app()->user->id > 0) {
	setcookie($good["gid"], $rx);
}

?>

<?php $this->widget('SideBarWidget', array(
	'my' => $owner
)); ?>

<div class="col-sm-8 single_good_page">
	<section class="single_good_block">
		<div class="single_good_info">
			<div class="single_good_info_img">
				<img src="//<?=$good['photo']?>_md.jpg" onError="this.src='/images/add_good_img.jpg';">
			</div>

			<div class="single_good_info_in">
				<div class="rating">
					<div class="star star_filled"></div>
					<div class="star star_filled"></div>
					<div class="star star_filled"></div>
					<div class="star star_half_filled"></div>
					<div class="star star_empty"></div>
				</div>

				<h2><?=$good['title']?></h2>
				<p><?=$good['category']?></p>
				<div class="price">
					<span class="price_amount"><?=$good['price']?> BP</span>
					<span class="price_now"><?=$price_now;?> BP</span>
					<span class="price_future"><?=$price_future;?> BP</span>
				</div>

				<div class="data">Опубликовано <?= date("d.m.Y", $good['date']); ?></div>

				<ul>
					<li><span>Страна: </span><span><?=$good['country_name']?></span></li>
					<li><span>Автор: </span><a href="/<?=$owner['alias']?>" target="_blank"><span><?=$owner['full_name']?></span></a></li>
					<li><span>Стоимость: </span><span class="price_old"><?=$good['price']?> BP</span> <span><?= intval($price_now * 100) / 100; ?> BP</span></li>
					<li><span>Скидка по Вашей подписке: </span><span><?=$discount_now*100;?>% или <?= intval($good['price'] * $discount_now * 100) / 100; ?> BP (<a href="/packages" target="_blank" style="color: #5d5c5c;">увеличить скидку до <?=$discount_future*100;?>%</a>)</span></li>
					<li><span>Cashback: </span><span style="color: #bf0c0e;"><?=$amount_back; ?> BP (<?=$cashback*100;?>%)</span></li>
					<?if($good["verify"] == 1) {?>
						<li><span>Товар: </span><span>верифицирован</span></li>
					<?}?>
				</ul>

				<a class="button buy-btn" href="#" data-id="<?=$good['gid']?>" style="margin-right: 10px;">Купить</a>
				
				<?php if(!empty($favorite_good)){ ?>
                    <a class="button good-delete-favorite-btn" href="#" data-id="<?=$good['gid']?>">Убрать из избранного</a>
                <?php }else{ ?>
                    <a class="button good-add-favorite-btn" href="#" data-id="<?=$good['gid']?>">В избранное</a>
                <?php } ?>
			</div>
		</div>

		<div class="single_good_block_tabs">

			<div class="accordion-tab active" data-title="single_good_block_discription">
				<div class="discr"></div>
				<span>Полное описание</span>
			</div>

			<div class="accordion-tab" data-title="single_good_block_delivery">
				<div class="delivery"></div>
				<span>Условия оплаты и доставки</span>
			</div>

			<div class="accordion-tab good-block-comments" data-title="single_good_block_comments" data-load="0" data-id="<?=$good['gid']?>" data-uid="<?=Yii::app()->user->id?>">
				<div class="comm"></div>
				<span>Отзывы</span>
			</div>
			
			<div class="good-claim-btn" data-id="<?=$good['gid']?>" style="float: right;">
				<div class=""></div>
				<span>Оставить жалобу</span>
			</div>
			
			<?php if (Yii::app()->user->id == $owner['uid']) { ?>
				<div class="accordion-tab" data-title="single_good_block_adm" onclick="event.preventDefault();event.stopPropagation();window.location.replace('/sell'); return false;">
					<div  class="adm"></div>
					<span>Управление</span>
				</div>
			<?php } ?>
		</div>

		<!-- Полное описание -->
		<div class="single_good_block_discription accordion" style="display:block">
			<p><?= f_replace(html_entity_decode($good['text']))?></p>
		</div>

		<!-- Условия оплаты и доставки -->
		<div class="single_good_block_delivery accordion" style="display: none;">
			<p><?=f_replace(html_entity_decode($good['delivery']))?></p>
		</div>

		<!-- Отзывы -->
		<div class="single_good_block_comments accordion" style="display: none;">

			<div class="comment_block"></div>

			<?php if (!Yii::app()->user->isGuest) { ?>
				<div class="comment_form">
					<form method="post" action="#" name="comment_form">
						<a class="comment_form_avatar" href="/<?=$my['alias']?>"><img src="//<?=$my['photo']?>_sm.jpg" alt="<?=$my['fio']?>" onerror="this.src='/images/no_avatar.jpg';"></a>
						<div class="message-content text" contenteditable="true" id="reply_field_<?=$good['gid']?>"></div>
						<div class="smiles">
							<span class="smiles_btn"><img alt="smile" src="/images/smile.png"></span>
						</div>
						<div class="">
							<a class="comment_form_btn" href="#" onclick="goodSendReplay(<?=$good['gid']?>, this)">Отправить</a>
						</div>
					</form>
				</div>
			<?php }else{ ?>
				<h3>Авторизуйтесь чтобы комментировать объявления.</h3>
			<?php } ?>

		</div>

		<?php if (Yii::app()->user->id == $owner['uid']) { ?>
			<!-- Управление -->
			<div class="single_good_block_adm accordion" style="display: none;">
				<div>
					<span>Здесь вы можете редактировать ваш товар </span>
					<a class="button" href="/market/edit/<?=$good['gid']?>">Редактировать</a>
				</div>

				<div>
					<span>Тут вы можете удалить товар </span>
					<a class="button good-delete" href="#" data-id="<?=$good['gid']?>" data-uid="<?=Yii::app()->user->id?>">Удалить</a>
				</div>

<!--				<div>-->
<!--					<span>Вы можете отключить/включить отображение вашего товара </span>-->
<!--					<a class="button" href="#">Отключить</a>-->
<!--				</div>-->

				<div>
					<span>Вы можете рекламировать ваш товар </span>
					<a class="button" href="#">Рекламировать</a>
				</div>
			</div>
		<?php } ?>
	</section>
</div>
<script type="application/javascript">
	$(document).ready(function () {
		getSubscribers(<?=$owner['uid']?>);
		getGroups(<?=$owner['uid']?>);

		<?php if(!empty($show_tab) && $show_tab == 3) { ?>
		$('.good-block-comments').click();
		<?php } ?>
		
		
		$('body').on('click', '.good-claim-btn', function (event) {
            event.preventDefault();
            var ajax = 1;
            var elem = $(this);
            var id = $(elem).attr('data-id');
			
			BootstrapDialog.show({
			message: '' +
			'<div class="want_book_modal">' +
				'<div class="modal_header">' +
					'<div class="tab">Жалоба на продавца</div>' +
					'<button aria-hidden="true" data-dismiss="modal" class="close">×</button>' +
				'</div>' +
				'<div class="modal_wrap">' +
					'<div class="want_book_in">' +
						'<p>Укажите детальный текст жалобы на продавца.</p>' +

							'<textarea class="exampletext form-control" id="good_claim_text" placeholder="Текст жалобы"></textarea>' +

				'</div>' +
			'</div>',
			animate: false,
			cssClass: 'no-title',
			buttons: [
				{
					label: 'Отправить жалобу',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var err = '';

						var text = $('#good_claim_text').val();

						if (err == '') {
							$.ajax({
								url: '/goods/setgoodclaim',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id,
									comment: text
								},
								success: function (results) {
									if (results.status == 200) {
										dialogRef.close();
										message(results.message);
									} else {
										error(results.message);
									}
								}
							});
						} else {
							error(err);
							return false;
						}
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
			
        });
        
		
		$('body').on('click', '.good-delete-favorite-btn', function (event) {
            event.preventDefault();
            var ajax = 1;
            var elem = $(this);
            var id = $(elem).attr('data-id');

            BootstrapDialog.show({
                title: 'Информационное сообщение',
                message: 'Убрать товар из избранного?',
                animate: false,
                buttons: [
                    {
                        label: 'Подтвердить',
                        cssClass: 'btn-success',
                        action: function (dialogItself) {
                            if (ajax == 0) return;
                            ajax = 0;

                            $.ajax({
                                url: '/goods/gooddeletefavorite',
                                type: 'POST',
                                dataType: 'json',
                                data: {
                                    good_id: id
                                },
                                success: function (results) {
                                    if (results.status == 200) {
                                        $(elem).replaceWith('<a class="button good-add-favorite-btn" href="#" data-id="'+id+'">В избранное</a>');
                                    } else {
                                        message_info(results.message);
                                    }
                                },
                                complete: function () {
                                    ajax = 1;
                                }
                            });
                            dialogItself.close();
                        }
                    },
                    {
                        label: 'Отмена',
                        action: function (dialogItself) {
                            dialogItself.close();
                        }
                    }]
            });
        });

        $('body').on('click', '.good-add-favorite-btn', function (event) {
            event.preventDefault();
            var ajax = 1;
            var elem = $(this);
            var id = $(elem).attr('data-id');

            BootstrapDialog.show({
                title: 'Информационное сообщение',
                message: 'Добавить товар в избранное?',
                animate: false,
                buttons: [
                    {
                        label: 'Подтвердить',
                        cssClass: 'btn-success',
                        action: function (dialogItself) {
                            if (ajax == 0) return;
                            ajax = 0;

                            $.ajax({
                                url: '/goods/goodaddfavorite',
                                type: 'POST',
                                dataType: 'json',
                                data: {
                                    good_id: id
                                },
                                success: function (results) {
                                    if (results.status == 200) {
                                        $(elem).replaceWith('<a class="button good-delete-favorite-btn" href="#" data-id="'+id+'">Убрать из избранного</a>');
                                    } else {
                                        message_info(results.message);
                                    }
                                },
                                complete: function () {
                                    ajax = 1;
                                }
                            });
                            dialogItself.close();
                        }
                    },
                    {
                        label: 'Отмена',
                        action: function (dialogItself) {
                            dialogItself.close();
                        }
                    }]
            });
        });

	});
</script>