<?php
/* @var $my */

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

//Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/post2.css');
//Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/video.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/comments.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/smiles.m.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/project_goods.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/p_projects_ex.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/modal.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/select2.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/filter.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/tampletes.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/group.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/elements.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/wallet.css'); //Кошельки


$connection = Yii::app()->db;
$uid = (isset($_GET['uid']) ? intval($_GET['uid']) : Yii::app()->user->id);
$owner = $connection->createCommand("SELECT u.uid, marital_status, CONCAT(u.name, ' ', u.fio) AS 'full_name', u.tel, u.sex, u.skype, u.city, u.interests, u.activities, u.about, u.photo, u.alias, u.status, u.online, (f.id IS NOT NULL) AS subscribed FROM {{usersinfo}} u LEFT JOIN {{friends}} f ON f.uid = :my_uid AND f.fuid = u.uid WHERE u.uid = :uid")
	->bindParam(":uid", $uid)
	->bindParam(":my_uid", Yii::app()->user->id)
	->queryRow();
if (empty($owner)) return;
$page = 1;
?>

<?php $this->widget('SideBarWidget', array(
	'my' => $owner
)); ?>

<div class="col-sm-8 project_goods">
	<div class="row">
		<div class="col-sm-12 ">
			<section class="p_projects_add" style="display: none;">
				<div class="p_projects_add_tabs">
					<a href="/<?= $owner['alias'] ?>">
						<div class="tab">Стена</div>
					</a>
					<a href="/market/user/<?= $owner['uid'] ?>">
						<div class="tab active">Товар</div>
					</a>
				</div>
			</section>
			<section class="section filter_goods_and_service">
				<div class="filter_tabs">
					<ul class="list-unstyled list-inline">
						<li class="filters active" data-type="1">
							<span>Товар</span>
						</li>
						<li class="filters" data-type="2">
							<span>Услуга</span>
						</li>
					</ul>
				</div>
				<form name="" action="#" method="post">
					<div class="filter_content">
						<a href="/<?=$owner['alias']?>" class="col-sm-1 col-xs-1 filter_avatar"><img src="//<?=$owner['photo']?>_sm.jpg" onError="this.src='/images/no_avatar.jpg';" alt="<?=$owner['fio']?>"></a>
						<div class="col-sm-8 col-xs-8 ">
							<div class="filter_content_in">
								<input id="filter_text" type="text" placeholder="Поиск" class="col-sm-6 col-xs-6 search">

								<div class="post-category-wrapper">
									<select id="filter_category" style="display: none;" class="col-sm-6 col-xs-6 select_odd categories post-category">
									</select>
								</div>

								<select id="filter_country" class="col-sm-6 col-xs-6 js-data-ajax-country">
									<option value="-1" title="Выберите страну...">Выберите страну...</option>
								</select>
								<select id="filter_city" class="col-sm-6 col-xs-6 select_odd js-data-ajax-city">
									<option value="-1" title="Выберите город...">Выберите город...</option>
								</select>
							</div>
						</div>
						<div class="col-sm-3 col-xs-3 ">
							<div class="filter_checkbox">
								<input type="checkbox" class="checkbox" name="comment" id="filter_condition1" value="1">
								<label for="filter_condition1">
									Новое
								</label>
							</div>
							<div class="filter_checkbox">
								<input type="checkbox" class="checkbox" name="comment" id="filter_condition2" value="2">
								<label for="filter_condition2">
									Б/у
								</label>
							</div>
						</div>
					</div>
					<div class="filter_footer filter_content_in">
						<span>Сортировать:</span>
						<select id="filter_order" class="">
							<option value="1">По дате</option>
						</select>
						<span>Цена:</span>
						<input type="text" id="filter_price_from" class="price_from number_only" placeholder="от">
						&nbsp; &mdash; &nbsp;
						<input type="text" id="filter_price_to" class="price_to number_only" placeholder="до">
						<a class="button filter-btn-ok" href="#">Искать</a>
					</div>
				</form>
			</section>
		</div>
	</div>
	<div class="row wall-goods good-row"></div>
</div>
<script type="application/javascript">
	var processing = false;
	var page = 1;

	$(document).ready(function () {

		$('.number_only').bind("change keyup input click", function () {
			if (this.value.match(/[^0-9]/g)) {
				this.value = this.value.replace(/[^0-9]/g, '');
			}
		});

		$('.price_from').bind("change keyup input click", function () {
			var value = $(this).val();
			if (value < 0) $(this).val(0);
		});

		$('.price_to').bind("change keyup input click", function () {
			var value = $(this).val();
			if (value < 0) $(this).val(0);
		});

		$('body').on('change', '#filter_condition1', function () {
			$.cookie('goods_filter_condition1', $(this).is(":checked"));
		});

		$('body').on('change', '#filter_condition2', function () {
			$.cookie('goods_filter_condition2', $(this).is(":checked"));
		});

		$('body').on('change', '#filter_country', function () {
			$('#filter_city').val(-1);
			$('#select2-filter_city-container').html('Выберите город...');
		});

		$('body').on('change', '#filter_category', function () {
			$.cookie('goods_filter_category', $('#filter_category').val());
		});

		$('body').on('click', '.filter-btn-ok', function () {
			event.preventDefault();
			goodFilter(1, true);
		});

		$(".js-data-ajax-city").select2({
			ajax: {
				url: "/ajax/cities",
				type: 'POST',
				dataType: 'json',
				delay: 250,
				data: function (params) {
					return {
						q: params.term,
						id: $('#filter_country').val()
					};
				},
				processResults: function (data, params) {
					params.page = params.page || 1;
					return {
						results: data.cities,
						pagination: {
							more: (params.page * 30) < data.total_count
						}
					};
				},
				cache: true
			},
			escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
			minimumInputLength: 2,
			templateResult: formatRepo, // omitted for brevity, see the source of this page
			templateSelection: formatRepoSelection // omitted for brevity, see the source of this page
		});

		$('body').on('click', '.filters', function () {
			var type = $(this).attr('data-type');
			$.cookie('goods_filter_type', type);
			$('.filters').removeClass('active');
			$(this).addClass('active');
			goodFilter(1, true);
		});

		$(document).scroll(_.debounce(function () {
			goodFilter(page);
		}, 300));

		var category = $.cookie('goods_filter_category') != null ? $.cookie('goods_filter_category') : -1;
		getPostCategories(category);
		updateGoodsFilter();
		goodFilter(1, true);
	});

	function goodFilter(p, forseLoad) {
		if (processing && !forseLoad) return false;

		var req;
		if (($(window).scrollTop() >= $(document).height() - $(window).height() - 700) || forseLoad) {
			processing = true;

			var type = $('.filter_tabs li.active').attr('data-type');
			var query = $('#filter_text').val();
			var category = $.cookie('goods_filter_category') != null ? $.cookie('goods_filter_category') : $('#filter_category').val();
			var country = $('#filter_country').val();
			var city = $('#filter_city').val();
			var condition1 = $('#filter_condition1').is(":checked") ? 1 : 0;
			var condition2 = $('#filter_condition2').is(":checked") ? 1 : 0;
			var price_from = $("#filter_price_from").val();
			var price_to = $("#filter_price_to").val();
			var order = $("#filter_order").val();

			if (req != null) req.abort();
			if(forseLoad) $('.wall-goods').empty().hide();
			req = $.ajax({
				url: '/market/goodfilter',
				type: 'POST',
				dataType: 'json',
				data: {
					page: p,
					type: type,
					query: query,
					category: category,
					country: country,
					city: city,
					condition1: condition1,
					condition2: condition2,
					price_from: price_from,
					price_to: price_to,
					order: order,
					uid: <?=$owner['uid']?>
				},
				success: function (results) {
					if (results.status == 200) {
						processing = results.goods.length == 0;
						for (var i = 0; i < results.goods.length; i++) {
							var html =  generateGood(results.goods[i]);
							$('.wall-goods').append(html);
						}
						$('.wall-goods').slideDown(200);
					} else {
						processing = true;
					}
				}
			});
			page = p + 1;
		}
	}

	function generateGood(good) {
		var html = '';
		html +=
			'<div class="col-sm-4" data-good-id="'+good.gid+'">' +
			'<div class="project_goods_block">' +
			'<a href="/market/'+good.gid+'">' +
			'<img alt="logo" src="//'+good.photo+'_md.jpg">';
		if(good.verify == 1){
			html += '<img alt="V" src="/images/project_goods_string.png" class="project_goods_string">';
		}
		html +=
			'</a>' +

			'<div class="rating">' +
			'<div class="star star_filled"></div>' +
			'<div class="star star_filled"></div>' +
			'<div class="star star_filled"></div>' +
			'<div class="star star_half_filled"></div>' +
			'<div class="star star_empty"></div>' +
			'</div>' +

			'<h2><a href="/market/'+good.gid+'">'+good.title+'</h2></a>' +
			'<p>'+good.category+'</p>' +

			'<div class="price">' +
			'<span>'+good.price+'</span>' +
			'<span>$</span>' +
			'</div>' +
			'<div class="sale">' +
			'</div>' +

			'<div class="project_goods_block_footer">' +
			'<a href="/market/'+good.gid+'">Описание</a>' +
			'<a href="#" class="buy-btn" data-id="'+good.gid+'">Купить</a>' +
			'</div>' +
			'</div>' +
			'</div>';

		return html;
	}

	function updateGoodsFilter(){
		if($.cookie('goods_filter_type') != null) {
			$('.filter_tabs li').removeClass('active');
			$('.filter_tabs li[data-type="'+$.cookie("goods_filter_type")+'"]').addClass('active');
			$("#goods_type_1").prop('checked', $.cookie('goods_type_1'));
		}
		if($.cookie('goods_filter_condition1') != null) {
			$("#filter_condition1").prop('checked', $.cookie('goods_filter_condition1') == "true");
		}if($.cookie('goods_filter_condition2') != null) {
			$("#filter_condition2").prop('checked', $.cookie('goods_filter_condition2') == "true");
		}
	}
</script>