<?php
/* @var $my */

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js/filter.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js/emoji.js', CClientScript::POS_END);


Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/select2.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/filter.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/tampletes.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/group.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.' /css/elements.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/wallet.css'); //Кошельки

$connection = Yii::app()->db;

$uid = Yii::app()->user->id;//(isset($_GET['uid']) ? intval($_GET['uid']) : Yii::app()->user->id);

$my = $connection->createCommand("SELECT u.uid, u.online, u.sex, u.status, CONCAT(u.name, ' ', u.fio) as 'full_name', u.tel, u.skype, u.city, u.interests, u.activities, u.about, u.photo, u.alias FROM {{usersinfo}} u WHERE u.uid = :uid")->bindParam(":uid", $uid)->queryRow();
$tag = mysql_escape_string(htmlspecialchars(strip_tags($_GET["tag"])));

$query = mysql_escape_string(htmlspecialchars(strip_tags($_GET["query"])));
$find_query = !empty($tag) ? '#'.$tag : (!empty($query) ? $query : '');

$user_settings = $connection->createCommand("SELECT uid, find_place FROM {{users_settings}} WHERE uid = :uid")->bindParam(":uid", $my['uid'])->queryRow();
if(empty($user_settings)){
    $user_settings['find_place'] = 2;
}

$page = 1;

/*if(Yii::app()->user->id == 3) {
	
	
	$url = 'qps.ru/hiWej';
	$url_filter = str_replace(array("https://", "http://", "www.", " "), array("", "", ""), $url);
    
    $url_blacklist = $connection->createCommand("SELECT * FROM {{control_urlblacklist}} WHERE url=:url AND status = 1")
    ->bindParam(":url", $url_filter)
    ->queryRow();
    
    var_dump($url_filter);
    
    if(empty($url_blacklist)) {
       
   		var_dump($url_blacklist);
   		
    } else {
        
    	$url_blacklist_count = intval($connection->createCommand("SELECT COUNT(*) FROM {{posts}} WHERE text LIKE :url AND status = 1")
                ->bindValue(":url", '%'.$url_filter.'%')
                ->queryScalar());
                
        if($url_blacklist_count > 1) {
	            
            $connection->createCommand("UPDATE {{posts}} SET status = 0 WHERE status = 1 AND text LIKE :url")
            ->bindValue(":url", '%'.$url_filter.'%')
            ->query();
            
            $connection->createCommand("UPDATE {{control_urlblacklist}} SET count_delete = count_delete + :count_delete WHERE id = :id")
	       ->bindParam(":id", intval(25))
	       ->bindParam(":count_delete", $url_blacklist_count)
	       ->query();
            
        }
        
        var_dump($url_blacklist_count);
        
    }
	
}*/
?>

<?php $this->widget('SideBarWidget', array(
		'my' => $my
)); ?>

<div class="col-sm-8 load-container">
	<?php if(!Yii::app()->user->isGuest && Yii::app()->user->id > 0 && $my['uid'] == Yii::app()->user->id){ ?>
		<section class="create_post">
			<div class="filter_tabs">
				<ul class="list-unstyled list-inline">
					<li class="filters active" rel="news" data-type="1">
						<span>Новость</span>
					</li>
					<li class="filters" rel="want" data-type="2">
						<span>Хочу</span>
					</li>
					<li class="filters" rel="propose" data-type="3">
						<span>Предлагаю</span>
					</li>
					<li class="filters" rel="search" data-type="4">
					</li>
				</ul>
			</div>
			<div class="create_post_in" style="width: 100%; margin-top: -30px; display: inline-block;">
				<form id="post-form" name="" action="#" method="post">
					<a href="#" class="col-sm-1 col-xs-3 create_post_avatar"><img src="//<?=$my['photo']?>_sm.jpg" alt="<?=$my['fio']?>" onerror="this.src='/images/no_avatar.jpg';"></a>
					<div class="col-sm-11 col-xs-9">
						<div class="add-wall-post-text" contenteditable="true" placeholder="О чем вы думаете?" style="min-height: 45px;"></div>
					</div>
					<div class="col-sm-12 col-xs-12">
						<a class="comment_btn add-wall-post-btn" href="#" data-fuid="<?=$my['uid']?>">Отправить</a>
						
						<div class="post-show-block" style="float: right; margin-top: 16px; margin-right: 12px; display: none;"><span style="color: #949494;">Доступно: </span><select title="Доступно" id="post_show" style="outline: none;"><option value="1">Всем</option><option value="2">Подписчикам</option><option value="0">Мне</option></select></div>

						<a href="#" class="photo" onclick="$('#attachPhoto').click();"> </a>
						<input class="file" type="file" size="28"
							   onchange="attachImage($(this).get(0).files[0], '');"
							   name="attachPhoto" id="attachPhoto"
							   style="visibility: hidden; position: absolute;">
						<input type="hidden" id="attaches_" value="%7B%22items%22%3A%5B%5D%7D">
						<a href="#" class="video" data-post-id="0" id="media_vid_0" data-value="%7B%22items%22%3A%5B%5D%7D"></a>
						<div class="post-category-wrapper" style="display: none;"><select class="post-category"></select></div>
					</div>
				</form>
			</div>
		</section>
	<?php } ?>

	<div class="wall-posts" style="min-height: 1700px;"></div>
</div>

<script type="application/javascript">

	var processing = false;
	var isAttaching = false;
	var page = <?= $page; ?>;

	$(document).ready(function () {
		
		
		<?
		$msg_show = mysql_escape_string(htmlspecialchars(strip_tags($_GET["msg"])));
		if(!empty($msg_show)) {
		?>
		
		var msg_show = "<?=$msg_show?>";
		var msg_show_text = "";
		switch(msg_show) {
			case "ms_payok":
				msg_show_text = "Оплата прошла успешно. Внесенная сумма будет зачислена в течении нескольких минут.";
		}
		
		if(msg_show_text != ""){
			message_info(msg_show_text);
		}
		
		<?}?>
		
		
		<?php
			$feed_post_id = 1460926;
			$feed_post = $connection->createCommand("SELECT p.id, p.uid, p.puid, p.type, p.category_name, p.text, p.desc, p.title, p.repost, p.date, p.like_count, p.repost_count, p.media_img, p.media_vid, u.photo, CONCAT(u.name, ' ', u.fio) as 'fio', u.alias, u2.photo as repost_photo, CONCAT(u2.name, ' ', u2.fio) as 'repost_fio', u2.alias as repost_alias FROM {{posts}} p INNER JOIN {{usersinfo}} u ON u.uid = p.uid LEFT JOIN {{usersinfo}} u2 ON u2.uid = p.puid LEFT JOIN {{friends}} f2 ON f2.uid = :uid AND p.puid = f2.fuid WHERE p.id = :id")->bindParam(":id", $feed_post_id)->bindParam(":uid", Yii::app()->user->id)->queryRow();
			if(!empty($feed_post)){ ?>
				//$('section.create_post').after(generatePost(<?php echo json_encode($feed_post)?>));
		<?php } ?>
		

		$('.filter_find, #filter_order').on('change', function() {
			feedFilter(1, true);
		});

		$('#filter_country').on('change', function() {
			$('#filter_city').val(-1);
			$('#select2-filter_city-container').html('Выберите город...');
		});

		$('body').on('click', '.filter-btn-ok', function () {
			event.preventDefault();
			feedFilter(1, true);
		});

		$(".js-data-ajax-city").select2({
			ajax: {
				url: "/ajax/cities",
				type: 'POST',
				dataType: 'json',
				delay: 250,
				data: function (params) {
					return {
						q: params.term,
						id: $('#filter_country').val()
					};
				},
				processResults: function (data, params) {
					params.page = params.page || 1;
					return {
						results: data.cities,
						pagination: {
							more: (params.page * 30) < data.total_count
						}
					};
				},
				cache: true
			},
			escapeMarkup: function (markup) { return markup; }, // let our custom formatter work
			minimumInputLength: 2,
			templateResult: formatRepo, // omitted for brevity, see the source of this page
			templateSelection: formatRepoSelection // omitted for brevity, see the source of this page
		});

		$('body').on('click', '.filters', function () {
			var page = $(this).attr('rel');
			var type = $(this).attr('data-type');
			if(page != 'search'){
				if(type == 2 || type == 3){
					$('#filter_text').removeClass('col-sm-12').addClass('col-sm-6').removeClass('col-xs-12').addClass('col-xs-6');
					$('.filter_content .post-category-wrapper').show();
				}else{
					$('#filter_text').removeClass('col-sm-6').addClass('col-sm-12').removeClass('col-xs-6').addClass('col-xs-12');
					$('.filter_content .post-category-wrapper').hide();
				}
				$('.filters').removeClass('active');
				$(this).addClass('active');

				feedFilter(1, true);
			}
		});

		$('body').on('click', '.thumb_xvid_button', function () {
			event.preventDefault();
			var key = $(this).data('key');
			var post_id = $(this).data('postid');
			var media = jQuery.parseJSON(decodeURIComponent($('#media_vid_' + post_id).attr('data-value')));
			media.items = media.items.filter(function (vid) {
				return vid !== key;
			});
			$('#media_vid_' + post_id).attr('data-value', encodeURIComponent(JSON.stringify(media)));
			$(this).parent().remove();
		});

		$('body').on('click', '.post-like', function (e) {
			if ($(e.target).is('span')) {
				event.preventDefault();

				var likes = parseInt($(e.target).parent().find('span:first').html());

				var id = $(this).data("id");
				var elem = $(this);

				$.ajax({
					url: '/ajax/postlike',
					type: 'POST',
					dataType: 'json',
					data: {
						post: id
					},
					success: function (results) {
						if (results.status == 200) {
							var html = '';
							if (results.like_count == 0) {
								$('.post-like[data-id="' + id + '"]').find('.read-more__like_popup').hide();
								$('.post-like[data-id="' + id + '"]').find('a[href="/<?=$my['alias']?>"]').remove();
							} else {
								if (likes > results.like_count) {
									$('.post-like[data-id="' + id + '"]').find('a[href="/<?=$my['alias']?>"]').remove();
									$('.post-like[data-id="' + id + '"] .read-more__like_popup a:last').show();
								} else {
									if($('.post-like[data-id="' + id + '"] .read-more__like_popup a')[6] != undefined){
										$($('.post-like[data-id="' + id + '"] .read-more__like_popup a')[6]).hide();
									}
									html += '<a href="/<?=$my['alias']?>" target="_blank"><img class="page-avatar" src="//<?=$my['photo']?>_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="<?=$my['fio']?>" title="<?=$my['fio']?>" width="30" height="30"></a>';
								}
								$('.post-like[data-id="' + id + '"]').find('.read-more__like_popup').removeAttr('style');
							}
							var text = results.like_count > 1 ? 'Понравилось ' + results.like_count + ' людям' : 'Понравилось 1 человеку';

							$('.post-like[data-id="' + id + '"]').find('.read-more__like_popup_text').html(text);
							$('.post-like[data-id="' + id + '"]').find('.read-more__like_popup_text').after(html);
							$('.post-like[data-id="' + id + '"]').find('span:first').html(results.like_count);
						}
					}
				});
			}
		});

		$('body').on('click', '.post-delete', function () {
			event.preventDefault();

			var elem = $(this);
			var id = $(this).data("id");

			BootstrapDialog.show({
				title: 'Сообщение',
				message: 'Удалить данную запись?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/post/delete',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('.push-down-30').remove();
									} else {
										BootstrapDialog.show({
											title: 'Ошибка',
											message: results.message,
											animate: false,
											type: BootstrapDialog.TYPE_DANGER,
											closable: true,
											draggable: false,
											buttonLabel: 'Закрыть',
											callback: function (result) {

											}
										});
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});

			return false;
		});

		$('body').on('click', '.comment-delete', function () {
			event.preventDefault();

			var elem = $(this);
			var id = $(this).data("id");

			BootstrapDialog.show({
				title: 'Сообщение',
				message: 'Удалить комментарий?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/ajax/commentdelete',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										$('.comment-posted-' + id).remove();
									} else {
										BootstrapDialog.show({
											title: 'Ошибка',
											message: results.message,
											animate: false,
											type: BootstrapDialog.TYPE_DANGER,
											closable: true,
											draggable: false,
											buttonLabel: 'Закрыть',
											callback: function (result) {

											}
										});
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});

			return false;
		});

		$('body').on('click', '.thumb_x_button', function () {
			event.preventDefault();
			var key = $(this).data('key');
			var post_id = $(this).data('postid');
			var media = jQuery.parseJSON(decodeURIComponent($('#attaches_' + post_id).val()));

			media.items = media.items.filter(function (item) {
				return item.key !== key;
			});
			$('#attaches_' + post_id).val(encodeURIComponent(JSON.stringify(media)));
			$(this).parent().remove();
		});

		$('body').on('click', '.add-post-back-text', function () {
			$(this).hide();
			$('.wall-add-post-form').show();
			$('.add-wall-post-text').focus();
		});

		$('body').on('focusout', '.wall-posts .comment_form_text', function (e) {
			if ($(e.currentTarget).find('textarea').val() != '') return;
			$(e.currentTarget).closest('.comment_form').toggle();
			$(e.currentTarget).closest('.post_footer').find('.comment').toggle();
		});

		$('body').on('mouseenter', '.post-like[data-like-load=0]', function () {

			var obj = $(this);
			var post_id = obj.data('id');

			$.ajax({
				url: '/ajax/postgetlikes',
				type: 'POST',
				dataType: 'json',
				data: {
					post_id: post_id,
					part: 1
				},
				success: function (results) {
					if (results.status == 200) {
						var text = results.count > 1 ? 'Понравилось ' + results.count + ' людям' : 'Понравилось 1 человеку';
						var html = '';
						if (results.likes) {
							for (var i = 0; i < results.likes.length; i++) {
								html += '<a href="/' + results.likes[i].alias + '"><img src="//' + results.likes[i].photo + '_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="' + results.likes[i].fio + '" title="' + results.likes[i].fio + '" width="30" height="30"></a>';
							}
						}
						$(obj).find('.read-more__like_popup_text').empty().html(text);
						$(obj).find('.read-more__like_popup').append(html);
						$(obj).attr('data-like-load', 1);
					}
				}
			});
		});

		$('body').on('mouseenter', '.re-post[data-repost-load=0]', function () {

			var obj = $(this);
			var post_id = obj.data('id');

			$.ajax({
				url: '/ajax/postgetreposts',
				type: 'POST',
				dataType: 'json',
				data: {
					post_id: post_id,
					part: 1
				},
				success: function (results) {
					if (results.status == 200) {
						var lastNum = results.count.slice(-1);
						var text = $.inArray(lastNum, ['2', '3', '4']) != -1 ? 'Поделились ' + results.count + ' человека' : 'Педелился ' + results.count + ' человек';
						var html = '';
						if (results.reposts) {
							for (var i = 0; i < results.reposts.length; i++) {
								html += '<a href="/' + results.reposts[i].alias + '"><img src="//' + results.reposts[i].photo + '_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="' + results.reposts[i].fio + '" title="' + results.reposts[i].fio + '" width="30" height="30"></a>';
							}
						}
						$(obj).find('.read-more__repost_popup_text').empty().html(text);
						$(obj).find('.read-more__repost_popup').append(html);
						$(obj).attr('data-repost-load', 1);
					}
				}
			});
		});

		$(document).mouseup(function (e) {
			var closediv = $(".wall-add-post");
			if ($('.add-wall-post-text').val() && closediv.has(e.target).length == 0 && $('.add-wall-post-text').val().length == 0 && !isAttaching) {
				$('.wall-add-post-form').hide();
				$('.add-post-back-text').show();
			}
		});

		$(document).scroll(_.debounce(function () {
			feedFilter(page);
			loadComments(<?=Yii::app()->user->id?>);
		}, 300));

		feedFilter(1, true);
		getSubscribers(<?=$my['uid']?>);
		getGroups(<?=$my['uid']?>);
		getPostCategories();
	});

	function attachImage(file, post_id) {
		isAttaching = true;
		var text = decodeURIComponent($('#attaches_' + post_id).val());
		var media = jQuery.parseJSON(text);

		if (media.items.length + 1 > 1) {
			BootstrapDialog.show({
				title: 'Сообщение',
				message: 'Вы не можете загрузить более 1 вложения в одном сообщении.',
				animate: false,
				type: BootstrapDialog.TYPE_WARNING,
				closable: true,
				draggable: false,
				buttons: [
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
			$("#attachPhoto").replaceWith($("#attachPhoto").clone());
			return false;
		}

		if (file.type.match(/image.*/)) {

			var formData = new FormData();
			formData.append('attach_photo', file);

			$.ajax({
				url: '/ajax/postuploadphoto',
				type: 'POST',
				dataType: 'json',
				async: false,
				cache: false,
				contentType: false,
				processData: false,
				data: formData,

				success: function (results) {
					if (results.status == 200) {
						media.items.push(results.photo);
						var stringData = encodeURIComponent(JSON.stringify(media));
						$('#attaches_' + post_id).val(stringData);
						var txt = '<div class="thumb_wrap"><img class="im_preview_photo" src="//'+results.photo+'_sm.jpg"><a href="#" class="thumb_x_button" data-key="' + results.photo + '" data-postid="">×</a></div>';
						$('#post-form').append(txt);
					} else {
						BootstrapDialog.show({
							title: 'Сообщение',
							message: results.message,
							animate: false,
							type: BootstrapDialog.TYPE_WARNING,
							closable: true,
							draggable: false,
							buttons: [
								{
									label: 'Закрыть',
									action: function (dialogItself) {
										dialogItself.close();
									}
								}]
						});
					}
				}
			});
		} else {
			BootstrapDialog.show({
				title: 'Ошибка',
				message: 'Выбранный формат изображения не поддерживается',
				animate: false,
				type: BootstrapDialog.TYPE_DANGER,
				closable: true,
				draggable: false,
				buttons: [
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		}
	}

	function feedFilter(p, forseLoad) {
		if (processing && !forseLoad) return false;

		if (($(window).scrollTop() >= $(document).height() - $(window).height() - 700) || forseLoad) {
			processing = true;

			var type = $('#type').val();
			var query = $('#filter_text').val();
			var category = $('#filter_category').val();
			var country = $('#filter_country').val();
			var city = $('#filter_city').val();
			var search = $('#filter_find').val();
			var order = $("#filter_order").val();

			if( (query != '' && query.length >= 3 ) || (search != <?=$user_settings['find_place']?>) || (country > 0) || (city > 0) || (order == 2)){
				$('.save-filter-btn').show();
			}

			$.ajax({
				url: '/post/feedFilter',
				type: 'POST',
				dataType: 'json',
				data: {
					page: p,
					type: type,
					query: query,
					category: category,
					country: country,
					city: city,
					search: search,
					order: order
				},
				success: function (results) {
					if (results.status == 200) {
						processing = results.posts.length == 0;

						if(forseLoad) $('.wall-posts').html('');
						for (var i = 0; i < results.posts.length; i++) {
							var html =	'<div class="boxed push-down-30" data-load='+(results.posts[i].comment == 0 ? 1 : 0)+' data-post-id="'+results.posts[i].id+'">';
							html += generatePost(results.posts[i], false);
							html += '</div>';
							$('.wall-posts').append(html);
							$("div[data-post-id='"+results.posts[i].id+"']").find('.post_content .message-content').linkify().readmore({
								speed: 75,
								collapsedHeight:180,
								moreLink: '<a class="data-readmore-toggle">Читать далее..</a>',
								lessLink: '<a class="data-readmore-toggle">Скрыть</a>',
								embedCSS: false
							});
							var clipboard = new Clipboard('#ya_share2_item_id_'+results.posts[i].id);
							clipboard.on('success', function() {
								message('Ссылка на запись скопирована в буфер обмена.');
							});
						}
						loadComments(<?=Yii::app()->user->id?>);
					} else {
						processing = true;
					}
				}
			});
			page = p + 1;
		}
	}

	function generatePost(post, isModal) {
		var post_type = '';
		if(post.type == 2){
			post_type = 'Хочу';
		}else{
			if(post.type == 3){
				post_type = 'Предлагаю';
			}
		}

		var html = '';
		html +=
			'<section class="post">' +
			'<div class="post_header">';

		if(post.repost != 0){
			html += '<a href="/'+post.repost_alias+'" class="post_header_avatar"><img src="//'+post.repost_photo+'_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="'+post.repost_fio+'"></a><h3><a href="/'+post.repost_alias+'">'+he.decode(post.repost_fio)+'</a> | <a href="/'+post.alias+'">'+he.decode(post.fio)+'</a></h3>';
		}else{
			html +=	'<a href="/'+post.alias+'" class="post_header_avatar"><img src="//'+post.photo+'_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="'+post.fio+'"></a><h3><a href="/'+post.alias+'">'+he.decode(post.fio)+'</a></h3>';
		}

		html +=
			'<div class="time"><span>'+full_date(post.date)+'</span>· <img src="/images/globe.png" alt="globe"><span> '+post.category_name+'</span></div>' +

				// post type
			'<a href="#" class="post_tag">'+post_type+'</a>';

		//contrlos
		if(isModal != true){
			html +=
				'<div class="post_controls">' +
				'<span class="post_controls_btn"><img src="/images/toggle_down.png" alt="smile"></span>' +
				'<div class="post_dropdown_menu" id="post_controls_'+post.id+'">' +
				'<ul class="list-unstyled">';

			if((post.uid == <?=Yii::app()->user->id?> && post.repost == 0) || post.puid == <?=Yii::app()->user->id?>){
				html +=
					'<li class="hide_post post_delete" data-id="'+post.id+'">' +
					'<p>Удалить публикацию</p>' +
					'<span></span>' +
					'</li>';
			}
            if(((<?=time()?> - post.date) < 86400) && post.repost == 0 && post.puid == <?=Yii::app()->user->id?> && post.uid == <?=Yii::app()->user->id?>){
                html +=
                    '<li class="hide_post post_edit" data-id="'+post.id+'" style="background: none;">' +
                    '<p>Редактировать</p>' +
                    '<span></span>' +
                    '</li>';
            }

			if(post.uid != <?=Yii::app()->user->id?> && post.puid != <?=Yii::app()->user->id?>){
				html +=
					'<li class="hide_post post_dislike" data-id="'+post.id+'">' +
					'<p>Пожаловаться</p>' +
					'<span></span>' +
					'</li>';

			}
			html +=
				'</ul>' +
				'</div>' +
				'</div>';

		}
		//end controls
		html +=

            '</div>' +
            '<div class="post_content">' +
            '<div class="message-content" contenteditable="false">'+$.emotions(f_replace(he.decode(hashTag(post.text))))+'</div>' +
            '<div class="message-content-footer" style="display: none;"><a href="#" class="post-edit red-button" data-id="'+post.id+'">Сохранить</a><a href="#" class="post-edit-cancel">Отмена</a></div>';
		if (post.media_vid != '') {
			var media_vid = (post.media_vid).split('&');
			$.each(media_vid, function( index, value ) {
				html+= '<div class="media-cover" data-id="'+value+'" style="position: relative; left: 0; top: 0;"><img src="//img.youtube.com/vi/'+value+'/sddefault.jpg" style="position: relative;"/><img src="/images/youtube-play.png" style="position: absolute;"/></div>';
			});
		}

		if (post.media_img != '') {
			var media_img = (post.media_img).split('&');
			$.each(media_img, function( index, value ) {
				html += '<a class="post_content_image"><img src="//'+value+'_md.jpg" alt="http://'+value+'_md.jpg"></a>';
			});
		}

		html +=
			'</div>' +

			'<div class="post_footer">' +
			'<ul class="list-unstyled list-inline">' +
			'<li>' +
			'<a href="#" class="post-like" data-load="1" data-id="'+post.id+'">Нравится</a>' +
			'</li>' +
			'<li>' +
			'<a href="#" class="make-comment">Комментировать</a>' +
			'</li>' +
			'<li>' +
			'<a href="#" class="re-post" data-reposted="0" data-id="' + post.id + '">Поделиться</a>' +
			'</li>' +
			'</ul>' +
			'</div>' +

			'<div class="post_likes">' +
            '<p><span class="post_likes_amount" data-like-load="0" data-post-id="'+post.id+'">'+post.like_count+'</span> это нравится</p>';

            // лайки
            html += '<div class="post_likes_popover" style="display: none;">';
            html += '<a href="#" class="post-like-title">Нравится <span>'+post.like_count+'</span> '+strToNum(post.like_count, ['человеку', 'людям', 'людям'])+'</a>';
            html += '<div class="post-like-body"></div></div>';

            html +=
			'<p><span>0</span>  комментариев</p>' +
			'<p><span>'+post.repost_count+'</span> репостов</p><span id="ya_share_'+post.id+'">'+f_share(window.location.hostname+'/'+post.alias+'/note/'+post.id, f_replace(he.decode(he.decode(hashTag(post.fio))), true), f_replace(he.decode(he.decode(hashTag(post.text))), true), post.media_img, post.id)+'</span>' +
			'</div>' +

			'<div class="comment_block comment-posted-block-'+post.id+'" style="display:none;">' +
			'</div>' +

			'<div class="comment_form">' +
			'<form name="comment_form" action="" method="">' +
			'<a href="/<?=$my['alias']?>" class="comment_form_avatar"><img src="//<?=$my['photo']?>_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="<?=$my['full_name']?>"></a>' +
			'<div class="message-content text" id="reply_field_'+post.id+'" contenteditable="true"></div>' +
		'<div class="smiles">' +
		'<span class="smiles_btn"><img src="/images/smile.png" alt="smile"></span>' +
		'</div>' +
		'<div class="">' +
		'<a href="#" class="comment_form_btn wall-send-replay" data-id="'+post.id+'" data-uid="<?=Yii::app()->user->id?>">Отправить</a>' +
		'</div>' +
		'</form>' +
		'</div>' +
		'</section>';

		return html;
	}

	function generateComment(comment, uid) {
		var html = '';
		html +=
				'<div class="comment comment-posted-'+comment.id+'">' +
				'<a href="/' + comment.alias + '" class="comment_avatar">' +
				'<img src="http://' + comment.photo + '_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="' + comment.fio + '">' +
				'</a>';

		if (comment.uid == uid) {
			html +=
					'<a href="#" class="comment_close comment-delete" data-id="' + comment.id + '"">×</a>';
		}
		if(comment.uid != uid){
			html += '<a href="#" class="comment-answer answer" data-name="' + comment.fio + '" data-post-id="' + comment.pid + '" data-answer="' + comment.id + '">Ответить</a>';
		}
		html +=
				'<a href="/' + comment.alias + '">' + comment.fio + '</a>' +
				'<span class="data">' + full_date(comment.date) + '</span>' +
				'<p>' + $.emotions(he.decode(f_replace(comment.text))) + '</p>' +
				'</div>';
		return html;
	}

</script>