<?php
/* @var $my */

$connection = Yii::app()->db;

$info = $connection->createCommand("SELECT alias, package, verify FROM {{usersinfo}} WHERE uid=:uid")
	->bindParam(":uid",Yii::app()->user->id)
	->queryRow();
	
if($info["verify"] == 0) {
header('Location: /' .$info["alias"] . '?errormsg=comingsoon&data=') ;
Yii::app()->end();
}

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/post2.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/video.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/comments.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/smiles.m.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/project_goods.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/p_projects_ex.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/modal.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/select2.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/filter.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/tampletes.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/group.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/elements.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/my_goods.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/wallet.css'); //Кошельки

$connection = Yii::app()->db;
$my = $connection->createCommand("SELECT u.uid, u.sex, u.online, CONCAT(u.name, ' ', u.fio) as 'full_name', u.tel, u.skype, u.city, u.interests, u.activities, u.about, u.photo, u.alias FROM {{usersinfo}} u WHERE u.uid = :uid")->bindParam(":uid", Yii::app()->user->id)->queryRow();

$verify = $connection->createCommand("SELECT * FROM {{users_verify}} WHERE uid = :uid")->bindParam(":uid", Yii::app()->user->id)->queryRow();
$verify["percent"] = $verify["percent"]/100;

$page = 1;
?>

<?php $this->widget('SideBarWidget', array(
	'my' => $my
)); ?>

<div class="col-sm-8 my_goods">
	<section class="my_goods_block section">
		<div class="my_goods_header">
			<div class="goods_tab active" rel="goods">
				Мои товары
			</div>
			<div class="goods_tab goods_orders" rel="orders" data-load="0">
				Мои заказы
			</div>
			
			<div class="goods_tab goods_orders" rel="orders_sell" data-load="0">
				Проданные товары
			</div>
			
			<?if(Yii::app()->user->id == 3) {?>
			
			<div class="goods_tab goods_orders" rel="orders_topay" data-load="0">
				Заявки на вы вывод
			</div>
			
			<div class="goods_tab goods_orders" rel="orders_settings" data-load="0">
				Настройки оплаты
			</div>
			
			<?}?>
		</div>
		
		
		<!-- Мои товары -->
		<div class="goods_tab_body orders_topay" style="display: none;">
			<p>Список созданных Вами заявок на вывод.</p>

			<a href="#" class="button btn-orders-topay-new" style="float: right; margin: 0 0 15px 0;">Добавить заявку</a>
			<h4>Заявки на вывод</h4>

			<table class="table table-hover table-template table-orders-topay">
				<thead>
				<tr>
					<th>#</th>
					<th>Информация о заявке</th>
					<th>Дата</th>
					<th>Статус</th>
					<th>Действия</th>
				</tr>
				</thead>
				<tbody>

				</tbody>
			</table>
		</div>
		
		
		
		<!-- Мои товары -->
		<div class="goods_tab_body orders_settings" style="display: none;">

			<h4>Настройка оплаты</h4>
			
				<p>Укажите в процентном соотношении направления приема платежей за товары и услуги.</p>
				
				<div style="display: block; width: 50%;">
					
					<?
			
						$is_verify = $connection->createCommand("SELECT * FROM {{users_verify}} WHERE uid = :uid")
							->bindParam(":uid", Yii::app()->user->id)
							->queryRow();
							
						$verify_pays = $connection->createCommand("SELECT * FROM {{control_userverify_pays}} WHERE uid = :uid AND status = 0 ORDER BY id DESC LIMIT 1")
							->bindParam(":uid", Yii::app()->user->id)
							->queryRow();
						
						$paybp_disabled = '';
						$payms_disabled = '';
						
						if(!empty($verify_pays)) {
							$paybp = $verify_pays["paybp"];
							$payms = $verify_pays["payms"];
							$payms_wallet = $verify_pays["payms_wallet"];
							$btn = 'Ваши настройки находятся на подтверждении. <a href="#" class="btn-orders-settings-cancel">Отменить новые настройки</a>';
							
							$paybp_disabled = 'disabled=""';
							$payms_disabled = 'disabled=""';
							$payms_wallet_disabled = 'disabled=""';
							
						} else {
							$paybp = $is_verify["paybp"];
							$payms = $is_verify["payms"];
							$payms_wallet = $is_verify["payms_wallet"];
							$btn = '<a href="#" class="button btn-orders-settings-new">Сохранить</a>';
							
							if($payms_wallet == '') {
								$payms_wallet_disabled = 'disabled=""';
							}
						}
						
					?>
					
					<div class="form-group">
						<label for="paybp">Прием платежей через BP (%):</label>
						<input type="text" class="form-control only_numbers orders_settings_paybp" id="paybp" placeholder=" " value="<?=$paybp;?>" <?=$paybp_disabled;?> >
					</div>
					<div class="form-group">
						<label for="payms">Прием платежей через MS USD (%):</label>
						<input type="text" class="form-control only_numbers orders_settings_payms" id="payms" placeholder=" " value="<?=$payms;?>" <?=$payms_disabled;?> >
					</div>
					
					<div class="form-group">
						<label for="paymswallet">Кошелек PM USD для зачисления в MS:</label>
						<input type="text" class="form-control orders_settings_paymswallet" id="paymswallet" placeholder="Укажите номер кошелька" value="<?=$payms_wallet;?>" <?=$payms_wallet_disabled;?> >
					</div>
					
					<div class="form-group">
					
						<div class="orders_settings_divbtn"><?=$btn;?></div>
					
					</div>

				</div>
				
				
		</div>
		
		

		<!-- Мои товары -->
		<div class="goods_tab_body my_goods_in goods">
			<p>Список созданных Вами товаров и услуг.</p>

			<a href="/market/add" class="button" style="float: right; margin: 0 0 15px 0;">Добавить новый
				товар/услугу</a>
			<h4>Товары и услуги</h4>

			<table class="table table-hover table-template table-sell-mygoods">
				<thead>
				<tr>
					<th>ВКЛ</th>
					<th>Название</th>
					<th>Дата</th>
					<th>Цена</th>
					<th>Статус</th>
				</tr>
				</thead>
				<tbody>

				</tbody>
			</table>
		</div>

		<!-- Мои заказы >>display: none -->
		<div class="goods_tab_body my_goods_in orders" style="display: none;">
			<p>Заказы на Ваши товары, поступившие от пользователей.</p>
			
			<h4>Новые заявки</h4>
			<p>Новые (необработанные) заявки на покупку. Свяжитесь с покупателем, уточните все детали. Подтвердите, что товар есть у Вас в наличии нажав "Подвердить", после чего покупатель сможет перейти к оплате.</p>
			<table class="table table-hover table-template table-sell-myorders">
				<thead>
				<tr>
					<th>№</th>
					<th>Название</th>
					<th>Дата</th>
					<th>Кол-во</th>
					<th>Цена</th>
					<th>Статус</th>
				</tr>
				</thead>
				<tbody>
					<tr>
						<td colspan="6">Нет новых заявок на покупку.</td>
					</tr>
				</tbody>
			</table>
			
			
			<h4>Одобренные и ожидают оплату</h4>
			<p>Одобренные Вами заявки (есть в наличии), которые ожидают оплаты от покупателя.</p>
			<table class="table table-hover table-template table-sell-myorders-2">
				<thead>
				<tr>
					<th>№</th>
					<th>Название</th>
					<th>Дата</th>
					<th>Кол-во</th>
					<th>Цена</th>
					<th>Статус</th>
				</tr>
				</thead>
				<tbody>
					<tr>
						<td colspan="6">Нет заявок на оплату.</td>
					</tr>
				</tbody>
			</table>
			
			
			<h4>Оплаченные</h4>
			<p>Заявки по которым произведена оплата. Вы можете начать доставку Вашего товара. Необходимо нажать "Доставляется" после отправки, для того, чтобы пользователь мог подтвердить полученный товар, после чего оплаченные средства (за товар) зачислятся в Ваш аккаунт.</p>
			<table class="table table-hover table-template table-sell-myorders-3">
				<thead>
				<tr>
					<th>№</th>
					<th>Название</th>
					<th>Дата</th>
					<th>Кол-во</th>
					<th>Цена</th>
					<th>Статус</th>
				</tr>
				</thead>
				<tbody>
					<tr>
						<td colspan="6">Нет оплаченных товаров.</td>
					</tr>
				</tbody>
			</table>
			
			
			<h4>Доставляются (ожидают подтверждения)</h4>
			<table class="table table-hover table-template table-sell-myorders-4">
				<thead>
				<tr>
					<th>№</th>
					<th>Название</th>
					<th>Дата</th>
					<th>Кол-во</th>
					<th>Цена</th>
					<th>Статус</th>
				</tr>
				</thead>
				<tbody>
					<tr>
						<td colspan="6">Нет доставляемых товаров.</td>
					</tr>
				</tbody>
			</table>
		</div>
		
		
		<!-- Проданные товары >>display: none -->
		<div class="goods_tab_body my_goods_sell orders_sell" style="display: none;">
			<p>Статистика проданных товаров.</p>
			
			<h4>Проданные товары</h4>
			<table class="table table-hover table-template table-sell-myorders-5">
				<thead>
				<tr>
					<th>№</th>
					<th>Название</th>
					<th>Дата</th>
					<th>Кол-во</th>
					<th>Цена</th>
					<th>Статус</th>
				</tr>
				</thead>
				<tbody>
					<tr>
						<td colspan="6">Нет новых заявок на покупку.</td>
					</tr>
				</tbody>
			</table>
		</div>
		
		
	</section>
</div>

<script type="application/javascript">

	
	function orders_settings_calc(elem) {
		
		var pay_elem = $(elem).hasClass("orders_settings_paybp") ? '.orders_settings_paybp' : '.orders_settings_payms';
		var pay_next = $(elem).hasClass("orders_settings_paybp") ? '.orders_settings_payms' : '.orders_settings_paybp';
		
		var pay_elem_val = $(pay_elem).val();
		var pay_next_val = $(pay_next).val();
		
		if(pay_elem_val > 100) {
			$(pay_elem).val(100);
			$(pay_next).val(0);
			
			pay_elem_val = 100;
			pay_next_val = 0;
		}
		
		if(pay_elem_val < 0) {
			$(pay_elem).val(0);
			$(pay_next).val(100);
			
			pay_elem_val = 0;
			pay_next_val = 100;
		}

		var pay_next_amount = parseInt(100 - pay_elem_val);
		$(pay_next).val(pay_next_amount);
		
		
		var pay_ms = pay_elem == '.orders_settings_payms' ? pay_elem_val : pay_next_val;
		if(pay_ms == 0)  {
			$('.orders_settings_paymswallet').attr("disabled","true");
		} else {
			$('.orders_settings_paymswallet').removeAttr("disabled");
		}
		
		
	}
	
	function sellgetmyorderstopay() {
		$.ajax({
			type: 'POST',
			url: '/order/sellgetmyorderstopay',
			dataType: 'json',
			data: {},
			success: function (results) {
				var txt = "";
				if(results.orders && results.orders.length > 0){
					$.each(results.orders, function (key, val) {

						var status = "";
						var cheсkbox = "";
						var btn = "";
						
						switch (parseInt(val.status)) {
							case 0:
								status = "Новая заявка";
								btn += '<span class="order-btn btn-orders-topay-cancel" rel="' + val.id + '">Отменить</span>';
								break;
							case 1:
								status = "В обработке";
								break;
							case 2:
								status = "Выполнена";
								break;
							case -1:
								status = "Отменена";
								break;
							case -2:
								status = "Отклонена";
								break;
						}

						txt += '<tr rel="' + val.id + '"><td>#' + val.id +'</td><td>Заявка на сумму ' + val.amount + ' BP на кошелек '+val.wallet+'</td><td>'+val.date+'</td><td>'+status+'</td><td>' + btn + '</td></tr>';

					});
				}else{
					txt = '<tr><td colspan="5">Список заявок пуст.</td></tr>';
				}


				$(".table-orders-topay tbody").html(txt);
			}
		});
	}
	
	function sellgetmyorders(){
		$.ajax({
			type: 'POST',
			url: '/order/sellgetmyorders',
			dataType: 'json',
			data: {},
			success: function(results) {
				if(results.status == 200){
					$(".table-template tbody").empty();
					$.each(results.orders, function (key, val) {

						var html = '';
						var table = "";
						var status = "";
						var btn = "";
						btn += '<span class="order-btn sell-my-order-open" rel="'+val.gid+'">Открыть</span>';

						switch(parseInt(val.status)) {
							case 0:
								table = "table-sell-myorders";
								btn += ' <span> | </span> <span class="order-btn sell-my-order-ok" rel="'+val.id+'">Подтвердить</span>';
								btn += ' <span> | </span> <span class="order-btn sell-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								status = "В обработке продавцом";
								break;
							case 1:
								table = "table-sell-myorders-2";
								btn += ' <span> | </span> <span class="order-btn sell-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								status = "Ожыдание оплаты.";
								break;
							case 2:
								table = "table-sell-myorders-3";
								
								<?if(Yii::app()->user->id == 1/*8201378*/) {?>
								
								//btn += ' <span> | </span> <span class="order-btn sell-my-order-msconfirm" rel="'+val.id+'">ПЕРЕВЕСТИ</span>';
								
								<?} else {?>
								
								btn += ' <span> | </span> <span class="order-btn sell-my-order-send" rel="'+val.id+'">Товар отправлен</span>';
								btn += ' <span> | </span> <span class="order-btn sell-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								
								<?}?>
								
								status = "Оплачен. Ожидается доставка.";
								break;
							case 3:
								table = "table-sell-myorders-4";
								if(results.superverify == 1) {
								btn += ' <span> | </span> <span class="order-btn sell-my-order-superverifyconfirm" rel="'+val.id+'">ПОДТВЕРДИТЬ</span>';
								}
								status = "Отправлен. Ожидание подтверждения.";
								break;
						}
						btn += ' <span> | </span> <span class="order-btn sell-my-order-customer" rel="'+val.alias+'">Покупатель</span>';
						btn += ' <span> | </span> <span class="order-btn sell-my-order-information" onclick=\'message_info("<table class=order-info-table><tbody><tr><td>Имя</td><td>'+val.name+'</td></tr><tr><td>E-mail</td><td>'+val.email+'</td></tr><tr><td>Телефон</td><td>'+val.tel+'</td></tr><tr><td>Skype</td><td>'+val.skype+'</td></tr><tr><td>Количество</td><td>'+val.quantity+'</td></tr><tr><td>Пожелание к заказу</td><td>'+val.details+'</td></tr><tr><td>Срочно</td><td>'+(val.quick == 1 ? 'Да' : 'Нет')+'</td></tr></tbody></table>");\'>Информация</span>';
						html += '<tr rel="'+val.id+'"><td>#'+val.id+'</td><td><a href="/market/'+val.gid+'" target="_blank" class="img"><img src="//'+val.media_img+'_md.jpg" alt="alt"></a><a class="">'+val.title+'<br>'+btn+'</a></td><td>'+val.date+'</td><td>'+val.quantity+'</td><td><span>'+round2(val.price,"format")+' (зачислится '+round2(parseFloat(val.price - val.price*<?=$verify["percent"];?>),"format")+')'+'</span><span> BP</span></td><td><span class="">'+status+'</span></td></tr>';
						$("."+table+" tbody").append(html);
					});
				}else{
					$(".table-sell-myorders tbody").html('<tr><td colspan="6">'+results.message+'</td></tr>');
				}
			}
		});
	}

	function sellgetmygoods() {
		$.ajax({
			type: 'POST',
			url: '/order/sellgetmygoods',
			dataType: 'json',
			data: {},
			success: function (results) {
				var txt = "";
				if(results.orders && results.orders.length > 0){
					$.each(results.orders, function (key, val) {

						var status = "";
						var cheсkbox = "";
						var btn = "";
						btn += '<span class="order-btn sell-my-good-open" rel="' + val.gid + '">Открыть</span>';
						btn += ' | <span class="order-btn sell-my-good-edit" rel="' + val.gid + '">Править</span>';

						switch (parseInt(val.status)) {
							case 0:
								//btn += ' | <span class="order-btn order-my-pay" rel="'+val.id+'">Оплатить</span>';
								//btn += ' | <span class="order-btn order-my-cancel" rel="'+val.id+'">Отменить заявку</span>';
								status = " Доступно в каталоге";
								cheсkbox = '<input type="checkbox" style="cursor: pointer;" class="sell-good-activate" name="sellgood' + val.gid + '" rel="' + val.gid + '">';
								break;
							case 1:
								//btn += ' | <span class="order-btn order-my-pay" rel="'+val.id+'">Оплатить</span>';
								//btn += ' | <span class="order-btn order-my-cancel" rel="'+val.id+'">Отменить заявку</span>';
								status = " Доступно в каталоге";
								cheсkbox = '<input type="checkbox" style="cursor: pointer;"  class="sell-good-activate" name="sellgood' + val.gid + '" rel="' + val.gid + '" checked>';
								break;
							case 2:
								status = "Заблокировано";
								break;
						}

						txt += '<tr rel="' + val.gid + '"><td>' + cheсkbox + '</td><td><a href="/market/' + val.gid + '" target="_blank" class="img"><img src="//' + val.media_img + '_md.jpg" onerror="this.src=\'/images/add_good_img.jpg\';" alt="alt"></a><a class="">' + val.title + '<br>' + btn + '</a></td><td>'+val.date+'</td><td><span>' + round2(val.price, "format") + '</span><span> BP</span></td><td><span class="open">' + status + '</span></td></tr>';

					});
				}else{
					txt = '<tr><td colspan="5">Список товаров пуст.</td></tr>';
				}


				$(".table-sell-mygoods tbody").html(txt);
			}
		});
	}
	
	//Проданные товары
		function sellgetmyordersok(){
		$.ajax({
			type: 'POST',
			url: '/order/sellgetmyordersok',
			dataType: 'json',
			data: {},
			success: function(results) {
				if(results.status == 200){
					$(".table-template tbody").empty();
					$.each(results.orders, function (key, val) {

						var html = '';
						var table = "";
						var status = "";
						var btn = "";
						btn += '<span class="order-btn sell-my-order-open" rel="'+val.gid+'">Открыть</span>';

						table = "table-sell-myorders-5";
						status = "Товар доставлен.";
						
						btn += ' <span> | </span> <span class="order-btn sell-my-order-customer" rel="'+val.alias+'">Покупатель</span>';
						btn += ' <span> | </span> <span class="order-btn sell-my-order-information" onclick=\'message_info("<table class=order-info-table><tbody><tr><td>Имя</td><td>'+val.name+'</td></tr><tr><td>E-mail</td><td>'+val.email+'</td></tr><tr><td>Телефон</td><td>'+val.tel+'</td></tr><tr><td>Skype</td><td>'+val.skype+'</td></tr><tr><td>Количество</td><td>'+val.quantity+'</td></tr><tr><td>Пожелание к заказу</td><td>'+val.details+'</td></tr><tr><td>Срочно</td><td>'+(val.quick == 1 ? 'Да' : 'Нет')+'</td></tr></tbody></table>");\'>Информация</span>';
						html += '<tr rel="'+val.id+'"><td>#'+val.id+'</td><td><a href="/market/'+val.gid+'" target="_blank" class="img"><img src="//'+val.media_img+'_md.jpg" alt="alt"></a><a class="">'+val.title+'<br>'+btn+'</a></td><td>'+val.date+'</td><td>'+val.quantity+'</td><td><span>'+round2(val.price,"format")+'</span><span> BP</span></td><td><span class="">'+status+'</span></td></tr>';
						$("."+table+" tbody").append(html);
					});
				}else{
					$(".table-sell-myorders-5 tbody").html('<tr><td colspan="6">'+results.message+'</td></tr>');
				}
			}
		});
	}


	$(document).ready(function () {
		
		$('.only_numbers').bind("change keyup input click", function() {
		    if (this.value.match(/[^0-9]/g)) {
		        this.value = this.value.replace(/[^0-9]/g, '');
		    }
		});
		
		$('.orders_settings_paybp, .orders_settings_payms').bind("change keyup input click", function() {
		    orders_settings_calc(this);
		});
		
		
		$('body').on('click', '.btn-orders-settings-new', function () {
			var elem = $(this);

			BootstrapDialog.show({
				title: 'Изменение настроек оплаты',
				message: 'Установить новые параметры для примема платежей за товары и услуги?',
				animate: true,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							
							var paybp = $(".orders_settings_paybp").val();
							var payms = $(".orders_settings_payms").val();
							var wallet = $(".orders_settings_paymswallet").val();
							
							$.ajax({
								url: '/order/setsellorderssettingsnew',
								type: 'POST',
								dataType: 'json',
								data: {
									paybp: paybp,
									payms: payms,
									wallet: wallet
								},
								success: function (results) {
									if (results.status == 200) {
										$(".orders_settings_paybp").attr("disabled", "true");
										$(".orders_settings_payms").attr("disabled", "true");
										$(".orders_settings_paymswallet").attr("disabled", "true");
										$(".orders_settings_divbtn").html('Ваши настройки находятся на подтверждении. <a href="#" class="btn-orders-settings-cancel">Отменить новые настройки</a>');
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		$('body').on('click', '.btn-orders-settings-cancel', function () {
			var elem = $(this);

			BootstrapDialog.show({
				title: 'Изменение настроек оплаты',
				message: 'Отменить настройки примема платежей?',
				animate: true,
				buttons: [
					{
						label: 'Отменить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							
							$.ajax({
								url: '/order/setsellorderssettingscancel',
								type: 'POST',
								dataType: 'json',
								data: {},
								success: function (results) {
									if (results.status == 200) {
										
										$(".orders_settings_paybp").val(results.verify.paybp);
										$(".orders_settings_payms").val(results.verify.payms);
										$(".orders_settings_paymswallet").val(results.verify.payms_wallet);
										
										$(".orders_settings_paybp").removeAttr("disabled");
										$(".orders_settings_payms").removeAttr("disabled");
										$(".orders_settings_paymswallet").removeAttr("disabled");
										$(".orders_settings_divbtn").html('<a href="#" class="button btn-orders-settings-new">Сохранить</a>');
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});

		
		
		$('body').on('click', '.btn-orders-topay-new', function () {
			var elem = $(this);

			BootstrapDialog.show({
				title: 'Подача заявки',
				message: '<div style="clear: both; margin-bottom: 30px;">Введите сумму для запроса средств:<br><input type="text" class="col-xs-6 orders-topay-new-amount" placeholder="Введите сумму">  <br><br>Введите кошелек MS:<br><input type="text" class="col-xs-6 orders-topay-new-wallet" placeholder="Номер кошелька" style="margin-bottom: 25px;"></div>',
				animate: true,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							
							var amount = $(".orders-topay-new-amount").val();
							var wallet = $(".orders-topay-new-wallet").val()
							
							$.ajax({
								url: '/order/setsellgetmyorderstopaynew',
								type: 'POST',
								dataType: 'json',
								data: {
									amount: amount,
									wallet: wallet
								},
								success: function (results) {
									if (results.status == 200) {
										sellgetmyorderstopay();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		
		$('body').on('click', '.btn-orders-topay-cancel', function () {
			var elem = $(this);
			var id = $(elem).attr("rel");

			BootstrapDialog.show({
				title: 'Отмена заявки',
				message: 'Отменить поданную заявку?',
				animate: true,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							
							var amount = $(".orders-topay-new-amount").val();
							var wallet = $(".orders-topay-new-wallet").val()
							
							$.ajax({
								url: '/order/setsellgetmyorderstopaycancel',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										sellgetmyorderstopay();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		
		
		
		
		<?if(Yii::app()->user->id == 201378) {?>
		
		$('body').on('click', '.sell-my-order-msconfirm', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Подтвердить получение и зачислить деньги?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/SetInvoiceOrderPayOkSuperMsConfirm',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').remove();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		<?}?>
		

		$('body').on('click', '.sell-my-order-superverifyconfirm', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Подтвердить получение и зачислить деньги?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/SetInvoiceOrderPayOkSuperVerifyConfirm',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').remove();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});


		$('body').on('click', '.sell-my-order-cancel', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Отменить заказ?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/sellmyordercancel',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').remove();
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});

		$('body').on('click', '.sell-my-order-send', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Вы подтверждаете что отправили товар покупателю?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/sellmyordersend',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').find('td:last').html('<span>Отправлен. Ожидание подтверждения.</span>');
										elem.prev().remove();
										elem.remove();
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});

		$('body').on('click', '.sell-my-order-ok', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Подтвердить заказ?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/sellmyorderok',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').find('td:last').html('<span>Ожыдание оплаты.</span>');
										elem.prev().remove();
										var tr = elem.closest('tr').remove().clone();
                                        $('.table-sell-myorders-2 tbody').append(tr).find('sell-my-order-ok').remove();
                                        message_info('<li>Наличие товара подтверждено. Пользователь получил об этом уведомление и теперь может оплатить его.</li>');
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});

		$('body').on('click', '.sell-my-order-customer', function () {
			window.open("/" + $(this).attr("rel"));
		});

		$('body').on('click', '.goods_orders[data-load="0"]', function () {
			sellgetmyorders();
			$(this).attr('data-load', 1);
		});

		$('body').on('click', '.sell-my-order-open, .sell-my-good-open', function () {
			window.open("/market/" + $(this).attr("rel"));
		});

		$('body').on('click', '.sell-my-good-edit', function () {
			window.open("/market/edit/" + $(this).attr("rel"));
		});

		$('body').on('click', '.order-my-cancel', function () {
			var page = $(this).attr('rel');
			$('.goods_tab').removeClass('active');
			$(this).addClass('active');

			$('.my_goods_in').hide();
			$('.' + page).show();
		});

		$('body').on('click', '.goods_tab', function () {
			var page = $(this).attr('rel');
			$('.goods_tab').removeClass('active');
			$(this).addClass('active');

			$('.goods_tab_body').hide();
			$('.' + page).show();
			
			switch(page) {
				
				case "goods":
					sellgetmygoods();
					break;
				
				case "orders":
					sellgetmyorders();
					break;
				
				case "orders_sell":
					sellgetmyordersok();
					break;
					
				case "orders_topay":
					sellgetmyorderstopay();
					break;
				
			}
			
		});

		$('body').on('change', '.sell-good-activate', function () {

			if ($(this).prop("checked") == true) {
				$checked = 0;
				$text = "Выключить отображение данного товара в каталоге (недоступен всем для поиска)?";
				$text_title = "Выключение товара из поиска";
				$text_btn = "Выключить";
				$text_result = "Отображение товара успешно включено в общем каталоге (доступен всем пользователям для поиска).";
			} else {
				$checked = 1;
				$text = "Включить отображение данного товара в каталоге (доступен всем для поиска)?";
				$text_title = "Включить отображение";
				$text_btn = "Включить";
				$text_result = "Отображение товара успешно выключено в общем каталоге (недоступен всем пользователям для поиска).";
			}

			var gid = $(this).attr("rel");

			$.ajax({
				url: '/order/sellsetgoodactivate',
				type: 'POST',
				dataType: 'json',
				data: {
					gid: gid,
					status: $checked
				},
				success: function (results) {
					if (results.status == 200) {
						message_info($text_result);
					} else {
						message_info(results.message);
					}
				}
			});
		});
		
		//Загрузка товаров
		sellgetmygoods();
		
	});
</script>


<style>
	.goods_tab_body {
		padding: 0 16px 16px;
	}
	
	.goods_tab_body p {
		margin: 12px 0 12px;
	}
	
	.sell-my-order-superverifyconfirm {
		color: green;
	}
	
	.sell-my-order-msconfirm {
		color: green;
	}
</style>