<script src="/css/calculator.js"></script>
<div id="main">

<style>
#header .logo {
width: 291px;
height: 170px;
background-image: url(/images/logotext.png);
position: relative;
top: 22px;
}
</style>

<p style="text-indent:35.4pt;text-align:justify;margin-top:0pt;margin-bottom:0pt;" dir="ltr"><strong><span style="font-size:13px;font-family:Arial;color:#222222;background-color:transparent;vertical-align:baseline;white-space:pre-wrap;">&nbsp;</span></strong></p>
<p style="text-indent:35.4pt;text-align:center;margin-top: 1px;" dir="ltr"><strong><span style="font-size:17px;font-family:Arial;color:#222222;background-color:transparent;vertical-align:baseline;">Меркурий Взаимный Фонд - Доверие и Достаток</span></strong></p>
<p style="text-indent:35.4pt;text-align:justify;margin-top:0pt;margin-bottom:0pt;" dir="ltr"><strong><span style="font-size:13px;font-family:Arial;color:#222222;background-color:transparent;vertical-align:baseline;white-space:pre-wrap;">&nbsp;</span></strong></p>

        <div class="x"></div>



        <br>
 <hr class="light">   
<h1 class="news_title" style="font-size: 16px; font-weight: bold; text-align:center;">Меркурий сообщество</h1>

<p>Проект «Меркурий Взаимный Фонд» является социально-финансовым инструментом, на основе которого формируется международное сообщество финансово независимых людей, объединённых принципами взаимного доверия и взаимопомощи.</p>

<p>Идея создания такого сообщества возникла из реалий современной жизни. В условиях мирового кризиса перепроизводства существующая система рыночной экономики, основанная на принципе конкурентной борьбы, является устаревшей и неэффективной системой перераспределения благ и нуждается в концептуальной трансформации. В свою очередь, государство, как форма организации человеческого общества, в своем нынешнем состоянии не соответствует актуальным запросам его граждан по обеспечению им базовых потребностей и, в большинстве случаев, препятствует эффективной реализации их социальной, предпринимательской и творческой деятельности. В то же время, благодаря стремительному развитию Интернета и коммуникационных технологий созданы благоприятные условия для эффективного взаимодействия разнообразных общественных объединений без каких-либо препятствий и ограничений.</p>

<p>Именно вышеупомянутые факторы породили потребность формирования Сообщества Меркурий, внутри которого, каждый его член, независимого от социального статуса, рода деятельности и уровня конкурентоспособности, имеет возможность создать себе и своим близким надежный и стабильный источник финансового обеспечения для удовлетворения базовых человеческих потребностей и достижения уровня достатка. Кроме того, в рамках Сообщества Меркурий, создаются условия для свободной реализации каждым индивидом его созидательного потенциала во всех сферах жизни, воплощения любых общественно полезных идей и проектов, а также для свободного обмена продуктами деятельности (товары и услуги) и эффективного перераспределения благ между членами сообщества.</p>

<h1 class="news_title" style="font-size: 16px; font-weight: bold; text-align:center;">Меркурий фонд</h1>

<p>В Сообществе Меркурий именно Взаимный Фонд является главным источником финансового обеспечения каждого члена сообщества. Фонд формируется за счет добровольных членских взносов.&nbsp; Сумма взноса определяет для каждого члена размер его персонального финансового обеспечения со стороны Фонда, которое он регулярно получает на протяжении всего срока своего членства. По умолчанию любой взнос, не зависимо от суммы, дает право на годовое членство в Фонде, но поскольку количество и частота таких взносов на протяжении года для каждого члена сообщества неограниченны, каждый новый взнос одновременно увеличивает размер финансового обеспечения и продлевает срок членства.</p>

<p>В рамках Фонда Меркурий предусмотрено несколько программ финансового вознаграждения, каждая из которых способна уже сегодня обеспечить полную финансовую независимость каждому из его членов. Существуют стандартная годовая программа пассивного членства, бонусная программа за привлечение новых членов на основе личных рекомендаций, партнерская программа с частичным доверительным управлением капиталом Фонда, а также расширенные накопительные программы, которые являются надёжной основой долгосрочной финансовой защиты.</p>

<p>Очень важной составляющей Взаимного Фонда является Департамент Развития, состоящий из высококлассных профессионалов в сфере управления активами. Задача данного Департамента – это качественный мониторинг мирового рынка инвестиций и отбор действительно надежных и высокодоходных предложений для размещения капитала, с целью его сохранения и преумножения на благо всего Сообщества Меркурий.</p>

<h1 class="news_title" style="font-size: 16px; font-weight: bold; text-align:center;">Доверие</h1>

<p>Доверие является одновременно основой взаимоотношений и главной ценностью внутри Сообщества Меркурий.</p>

<p>В своё время именно постепенное формирование доверия со стороны человеческого общества сделало возможным возникновение денег, как универсального средства обмена благами. Любой финансовый институт, будь то банк, страховая компания, трастовый фонд или кредитный союз, изначально появился и мог существовать исключительно благодаря доверию со стороны вкладчиков. Но, к сожалению, за долгие годы своей истории подобные финансовые институты, ведя нечистоплотную, не редко мошенническую, деятельность и заботясь в основном о собственной выгоде, настолько часто не оправдывали ожиданий своих вкладчиков, что в наши дни доверие к ним подорвано окончательно.</p>

<p>Сегодня утраченное доверие в финансовой сфере заменили на псевдо гарантии в виде официальных договоров с печатями, обещаний со стороны государства и мнимых отчетов о якобы успешной деятельности того или другого финансового института, хотя на самом деле реальных гарантий на непредсказуемом рынке инвестиций нет и не может быть.</p>

<p>Исходя из всего вышесказанного, Сообщество Меркурий одной из своих главных задач считает возрождение понятия доверия, как главного принципа человеческих взаимоотношений и единственной реальной основы любой общественной деятельности. Только вернув истинную ценность этому понятию, мы сможем перейти на качественно новый уровень взаимодействия между людьми и заложить прочный фундамент для реализации совместных проектов в интересах каждого члена общества.</p>

<h1 class="news_title" style="font-size: 16px; font-weight: bold; text-align:center;">Достаток</h1>

<p>Сегодня человечество существует в информационном поле, где доминируют идеи чрезмерного потребления и обогащения, а успех часто ассоциируется с обладанием, по сути, ненужными предметами роскоши и мифическими миллионами. Это происходит на фоне практически тотальной финансовой зависимости большинства населения земного шара, которое постоянно ощущает острую нехватку денежных ресурсов и вынуждено большую часть жизни тратить на зарабатывание средств для обеспечения прожиточного минимума.</p>

<p>В этой ситуации, большинство финансовых проектов, которые сегодня активно рекламируются как на просторах Интернета, так и в оффлайне, пытаются привлечь потенциальных инвесторов тем, что "гарантируют" сверхприбыль и практически мгновенное приумножение капитала. На практике же, это оборачивается недолгим периодом их существования с крайне высоким риском потери вложенных средств для подавляющего большинства вкладчиков.</p>

<p>В отличии от подобных проектов Взаимный Фонд Меркурий исповедует философию постепенного и планомерного увеличения доходов для каждого из его членов, делая ставку в своём развитии на надёжность и стабильность в долгосрочной перспективе. Неоспоримым преимуществом Взаимного Фонда Меркурий является то, что у каждого члена нашего Сообщества есть<a name="_GoBack"></a> возможность с помощью программ финансового обеспечения, которые предоставляет Фонд, создать постоянно растущий источник пассивного дохода и обеспечить достаток себе и своей семье на долгие годы.</p>

<p>Взаимный Фонд Меркурий на практике демонстрирует своим членам, что финансовых ресурсов в современном мире более чем достаточно, чтобы обеспечить разумные жизненные потребности и запросы всем желающим. Благодаря успешной работе Фонда, многие люди из разных стран уже убедились, что сегодня нет необходимости "зарабатывать на жизнь": можно иметь любые блага и возможности, просто объединив свои усилия и ресурсы с другими людьми, и вместе, выстраивая доверительные отношения, создать сообщество, внутри которого каждый индивид будет жить в достатке и процветании.</p>