$('document').ready(function () {
    getCourses();

    $('body').on('change keyup input click', '.sell_money_send', function () {
        if (this.value.match(/[^0-9]/g)) {
            this.value = this.value.replace(/[^0-9]/g, '');
        }
        if(this.value > 5000){
            this.value = 5000;
        }

        var value = parseInt($('.sell_money_send').val());
        var course = parseFloat($('.sell_form').find('.dropdown-menu a').attr('data-course'));
        var res = round2(value*course, 'format');
        $('.sell_money_receive').val(res);
    });
});

function getCourses(){
    $.ajax({
        url: '/ajax/getcourses',
        type: 'POST',
        dataType: 'json',
        success: function (results) {
            if (results.status == 200) {
                if(results.courses && results.courses.length > 0){
                    var option = $('.sell_form').find('.dropdown-menu a');
                    option.attr('data-course', 0.99);
                }
            }
        }
    });
}

//Округление
function round2($number, format) {
    $step1 = $number * 100;
    $step2 = parseInt($step1);
    $step3 = $step2 / 100;

    return format == "format" ? accounting.formatNumber($step3, 2, " ", ".") : $step3;
}