$(document).ready(function () {
	var timer;
	$(document).ajaxSend(function (event, jqxhr, settings) {
		try {
			if (settings.url != "messages/checkim") {
				timer && clearTimeout(timer);
				timer = setTimeout(function () {
							$.blockUI(
									{
										css: {
											border: 'none',
											padding: '15px',
											//backgroundColor: '#000',
											//'-webkit-border-radius': '10px',
											//'-moz-border-radius': '10px',
											opacity: 1,
											'background-color': 'transparent'
											//color: '#fff'
										},
										overlayCSS: {opacity: .5},
										message: '<img src="/images/ajax-loader.gif" style="width: 50px; height=50px; opacity: 1" />'
									}
							)
						},
						2000);
			}
		} catch (e) {
		}
	});
	$(document).ajaxStop(
		function () {
			try {
				clearTimeout(timer);
				$('body').unblock();
			} catch (e) {
			}
		});

	$('#sex').change(function () {
		var sex = $(this).val();
		var male_status = ['Не выбрано', 'Не женат', 'Встречаюсь', 'Помолвлен', 'Женат', 'Влюблён', 'Всё сложно', 'В активном поиске'];
		var female_status = ['Не выбрано', 'Не замужем', 'Встречаюсь', 'Помолвлена', 'Замужем', 'Влюблёна', 'Всё сложно', 'В активном поиске'];
		if (sex == '1' || sex == '2') {
			$('#marital_status option').remove();
			var html = '';
			for (var i = 0; i <= 7; i++) {
				if (sex == 1) {
					html += '<option value="' + i + '">' + female_status[i] + '</option>';
				} else {
					if (sex == 2) {
						html += '<option value="' + i + '">' + male_status[i] + '</option>';
					}
				}
			}
			$('#marital_status').append(html).val(0);
			$('.marital-status').show(200);
		} else {
			$('#marital_status').val(0);
			$('.marital-status').hide(200);
		}
	});

	$('body').on('click', '.profile-photo-link', function () {
		var rel = $(this).attr('rel');
		var full_name = $(this).attr('data-fullname');
		var about = $(this).attr('data-about');
		BootstrapDialog.show({
			title: '',
			message: '<div id="avatar_modal" class="avatar_modal">' +
			'<button class="close" data-dismiss="modal" aria-hidden="true">×</button>' +
			'<h2>' + full_name + '</h2>' +
			'<img src="http://' + rel + '_md.jpg" alt="' + full_name + '" onError="this.src=\'/images/no_avatar.jpg\';"></div>',
			animate: false,
			cssClass: 'no-title'
		});
	});

	// переключение табов в модальном окне
	$('body').on('click', '.m_tab', function (e) {
		e.preventDefault();

		var page = $(this).attr('rel');
		$(this).parent().find('.m_tab').removeClass('m_tab_active');
		$(this).addClass('m_tab_active');

		$(this).closest('.modal_cont').find('.m_tab_block').hide();
		$(this).closest('.modal_cont').find('.' + page).show();
	});

	$(".js-data-ajax-country").select2({
		ajax: {
			url: "/ajax/countries",
			type: 'POST',
			dataType: 'json',
			delay: 250,
			data: function (params) {
				return {
					q: params.term
				};
			},
			processResults: function (data, params) {
				params.page = params.page || 1;
				return {
					results: data.countries,
					pagination: {
						more: (params.page * 30) < data.total_count
					}
				};
			},
			cache: true
		},
		escapeMarkup: function (markup) {
			return markup;
		}, // let our custom formatter work
		minimumInputLength: 2,
		templateResult: formatRepoCountry, // omitted for brevity, see the source of this page
		templateSelection: formatRepoSelection // omitted for brevity, see the source of this page
	});
	
	
	$('body').on('click', '.ya-share2 .ya-share2__link', function (event) {
		event.preventDefault();
		event.stopPropagation();

		var url = $(this).attr('href')

		var width = 800, height= 365;	
		var centerWidth = (window.screen.width - width) / 2, centerHeight = (window.screen.height - height) / 2;
		var popup = window.open(url, "yii_eauth_popup", "width="+width+",height="+height+",left=" + centerWidth + ",top=" + centerHeight + ",resizable=yes,scrollbars=no,toolbar=no,menubar=no,location=no,directories=no,status=yes");
		popup.focus();
	});
	
	
	$('body').on('click', '.wall-send-replay', function (event) {
		access_control();
		event.preventDefault();
		var post_id = $(this).attr('data-id');
		var uid = $(this).attr('data-uid');

		$.each($("#reply_field_" + post_id + " img.emotions"), function () {
			$(this).replaceWith('(s:' + $(this).data('smile') + ')');
		});

		var text = $('#reply_field_' + post_id).html();
		var answer_id = $('#reply_field_' + post_id).attr('data-answer');

		if (text != '' && text.length <= 500) {
			$.ajax({
				url: '/ajax/comment',
				type: 'POST',
				dataType: 'json',
				data: {
					text: text,
					post_id: post_id,
					answer_id: answer_id
				},
				success: function (results) {
					if (results.status == 200 && results.comment) {
						var html = generateComment(results.comment, uid);
						$('.comment-posted-block-' + post_id).append(html).show();
						$($('.comment-posted-block').find('.comment-posted-' + results.comment.id)).slideDown(1000);
						$('#reply_field_' + post_id).html('');
						$('#reply_field_' + post_id).removeAttr("data-answer");
						$('#comments-counter-' + post_id).html(parseInt($('#comments-counter-' + post_id).html()) + 1);
					}else{
						message_info(results.message);
					}
				}
			});
		} else {
			if (text.length > 500) {
				BootstrapDialog.show({
					title: 'Предупреждение',
					message: 'Длина сообщения не должна превышать 500 символов.',
					animate: false,
					type: BootstrapDialog.TYPE_WARNING,
					closable: true,
					draggable: false,
					buttons: [
						{
							label: 'Закрыть',
							action: function (dialogItself) {
								dialogItself.close();
							}
						}]
				});
			}
		}
	});
	
	
});
function getGroups(uid) {
	$.ajax({
		url: '/ajax/pagegetgroups',
		type: 'POST',
		dataType: 'json',
		data: {
			uid: uid
		},
		success: function (results) {
			if (results.status == 200 && results.groups.length > 0 && results.total) {
				var html = '';
				for (var i = 0; i < results.groups.length; i++) {
					html +=
						'<div class="groups_block">' +
						'<a class="groups_block_avatar" href="/' + results.groups[i].alias + '"><img alt="' + results.groups[i].fio + '" src="http://' + results.groups[i].photo + '_sm.jpg"' + '" onError="this.src=\'/images/no_avatar.jpg\';"></a>' +
						'<h3><a href="/' + results.groups[i].alias + '">' + he.decode(results.groups[i].fio) + '</a></h3>' +
						'<p class="summary">' + he.decode(f_replace(results.groups[i].about)) + '</p>' +
						'<div class="followers"></div>' +
						'</div>';
				}
				$('.groups-body').empty().append(html);
				$('.groups-num').html(results.total);
				$('.groups-block').show();
			} else {
				$('.groups-body').empty();
				$('.groups-num').html('0');
			}
		}
	});
}

function getSubscribers(uid) {
	$.ajax({
		url: '/ajax/pagegetsubscribers',
		type: 'POST',
		dataType: 'json',
		data: {
			limit: 6,
			uid: uid
		},
		success: function (results) {
			if (results.status == 200 && results.subscribers.length > 0 && results.total) {
				$('.followers-body').empty();
				for (var i = 0; i < results.subscribers.length; i++) {
					$('.followers-body').append('<div class="follower"><a href="/' + results.subscribers[i].alias + '"><img class="page-avatar" alt="' + results.subscribers[i].fio + '" src="http://' + results.subscribers[i].photo + '_sm.jpg"' + '" onError="this.src=\'/images/no_avatar.jpg\';"></a><a href="' + results.subscribers[i].alias + '"><span>' + results.subscribers[i].fio + '</span></a></div>');
				}
				$('.followers-num').html(results.total);
				$('.subscribers-block').show();
			} else {
				$('.followers-body').empty();
				$('.followers-num').html('0');
			}
		}
	});
}

function userSearch(filter, act, uid) {
	if (processing && !filter)
		return false;

	var req;
	if (($(window).scrollTop() >= $(document).height() - $(window).height() - 700) || filter) {
		processing = true;
		page = filter ? 1 : page + 1;

		var data = {};
		act = act != null ? act : 0;
		var country = $('#country').val();
		var city = $('#city').val();
		var sex = $('#sex').val();
		var marital_status = $('#marital_status').val();
		var age_from = $('#age-from').val();
		var age_to = $('#age-to').val();
		var search_query = $('#search_query').val();

		country > 0 && (data['country'] = country);
		city > 0 && (data['city'] = city);
		sex > 0 && (data['sex'] = sex);
		marital_status > 0 && (data['marital_status'] = marital_status);
		age_from > 0 && (data['age_from'] = age_from);
		age_to > 0 && (data['age_to'] = age_to);
		search_query.length > 2 && (data['search_query'] = search_query);
		uid != null && (data['uid'] = uid);
		data['page'] = page;
		data['act'] = act;

		if (req != null) req.abort();
		req = $.ajax({
			url: '/ajax/usearch',
			type: 'POST',
			dataType: 'json',
			data: data,
			success: function (results) {
				if ((results.status == 200 && results.users) || filter) {
					$('#search-results-total').html(results.total);
					processing = false;
					var html = '';

					if (results.users) {
						$.each(results.users, function (key, user) {
							var friend = '';
							var btn = '';
							if(act == 3){
								friend = "Убрать";
								btn = 'black-list-remove';
							}else{
								friend = user.friend == 1 ? "Убрать из друзей" : "Добавить в друзья";
								btn = user.friend == 1 ? 'unsubscribe' : 'subscribe';
							}


							html +=
								'<div class="friends_block">' +
								'<a href="/' + user.alias + '" class="friends_block_avatar">' +
								'<img src="http://' + user.photo + '_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';">' +
								'</a>' +
								'<h3>' +
								'<a href="/' + user.alias + '">' + user.name + ' ' + user.fio + '</a>' +
								'</h3>' +
								'<div class="time status" data-online="' + f_online_status(user.online) + '"></div>' +
								'<a href="#" class="friends_block_btn ' + btn + '" data-id="' + user.uid + '">' + friend + '</a>' +
								'</div>';
						});
					}
					if (page == 1) {
						$('#search-result').empty();
					}
					$('#search-result').append(html);
				} else {
					processing = true;
					$('.cm-pagination').remove();
				}
			},
			complete: function () {
				req = null;
			}
		});
	}
}

function groupSearch(filter, act) {
	if (processing && !filter)
		return false;

	if (($(window).scrollTop() >= $(document).height() - $(window).height() - 700) || filter) {
		processing = true;
		page = filter ? 1 : page + 1;

		var data = {};
		var search_query = $('#search_query').val();
		act = act != null ? act : 0;
		search_query.length > 2 && (data['search_query'] = search_query);
		data['page'] = page;
		data['act'] = act;

		if (req != null) req.abort();
		req = $.ajax({
			url: '/ajax/gsearch',
			type: 'POST',
			dataType: 'json',
			data: data,
			success: function (results) {
				if ((results.status == 200 && results.groups) || filter) {
					$('#search-results-total').html(results.total);
					processing = false;
					var html = '';

					if (results.groups) {
						$.each(results.groups, function (key, group) {
							var friend = group.friend == 1 ? "Отписаться" : "Подписка";
							html +=
								'<div class="group_block">' +
								'<a href="/' + group.alias + '" class="group_block_avatar">' +
								'<img src="http://' + group.photo + '_sm.jpg" onError="this.src=\'/images/no_thumb.png\';" alt="' + group.fio + '">' +
								'</a>' +
								'<h3>' +
								'<a href="/' + group.alias + '">' + he.decode(group.name + group.fio) + '</a>' +
								'</h3>' +
								'<p class="summary">' + he.decode(f_replace(group.about)) + '</p>' +
								'<div class="followers"></div>' +
								'<a href="#" class="group_block_btn ' + (group.friend == 1 ? 'unsubscribe' : 'subscribe') + '" data-id="' + group.uid + '">' + friend + '</a>' +
								'</div>';
						});
					}
					if (page == 1) {
						$('#search-result').empty();
					}
					$('#search-result').append(html);
				} else {
					processing = true;
				}
			},
			complete: function () {
				req = null;
			}
		});
	}
}

function windowAlert(options) {
	var self = this;
	this.title = '';
	this.text = '';
	this.width = 400;
	this._construct = function (options) {
		if (typeof (options) != 'object') {
			alert('error! argument "options" must be an object!');
			return;
		}

		self.title += options.title ? options.title : 'Сообщение';
		self.text += options.text;
	};

	self._construct(options);

	BootstrapDialog.closeAll();
	BootstrapDialog.show({
		title: self.title,
		message: self.text,
		animate: false,
		cssClass: 'modal-photo',
		buttons: [
			{
				label: 'Закрыть',
				action: function (dialogItself) {
					dialogItself.close();
				}
			}]
	});
}

function uploadPageAvatar(file, uid) {

	BootstrapDialog.closeAll();
	BootstrapDialog.show({
		title: 'Загрузка изображения',
		animate: false,
		cssClass: 'modal-photo',
		message: '<div id="cropArea"></div><div class="cropme"></div>',
		buttons: [{
			label: 'Сохранить',
			cssClass: 'crop_Ok'
		}]
	});

	$('.cropme').simpleCropper(
		file,
		480,
		480,
		function (res) {
			if (res) {
				var data = new FormData();

				data.append('page_avatar', $('#page_avatar').get(0).files[0]);
				data.append('x1', res['x1']);
				data.append('y1', res['y1']);
				data.append('x2', res['x2']);
				data.append('y2', res['y2']);
				data.append('uid', uid);

				$.ajax({
					url: '/ajax/useruploadphoto',
					type: 'POST',
					cache: false,
					contentType: false,
					processData: false,
					dataType: 'json',
					data: data,
					success: function (results) {
						if (results.status == 200 && results.file) {
							$('.owner-avatar').attr("src", 'http://' + results.file + '_md.jpg');
						} else {
							windowAlert({
								text: results.message
							});
							return false;
						}
					}
				});
			}
		}
	);
}

function uploadGroupAvatar(file, uid) {

	BootstrapDialog.closeAll();
	BootstrapDialog.show({
		title: 'Загрузка изображения',
		animate: false,
		cssClass: 'modal-photo',
		message: '<div id="cropArea"></div><div class="cropme"></div>',
		buttons: [{
			label: 'Сохранить',
			cssClass: 'crop_Ok'
		}]
	});

	$('.cropme').simpleCropper(
		file,
		480,
		480,
		function (res) {
			if (res) {
				var data = new FormData();

				data.append('page_avatar', $('#page_avatar').get(0).files[0]);
				data.append('x1', res['x1']);
				data.append('y1', res['y1']);
				data.append('x2', res['x2']);
				data.append('y2', res['y2']);
				data.append('uid', uid);

				$.ajax({
					url: '/ajax/useruploadphoto',
					type: 'POST',
					cache: false,
					contentType: false,
					processData: false,
					dataType: 'json',
					data: data,
					success: function (results) {
						if (results.status == 200 && results.file) {
							$('#page_avatar_img').attr("src", 'http://' + results.file + '_md.jpg');
						} else {
							windowAlert({
								text: results.message
							});
							return false;
						}
					}
				});
			}
		}
	);
}

function f_dt(time) {
	var today = moment(Date.now());
	var dt = moment.unix(time);

	if (today.startOf('day').isSame(dt.startOf('day'))) {
		return moment.unix(time).format("HH:mm")
	} else {
		return moment.unix(time).format("DD.MM.YY")
	}
}
function full_date(t) {
	if (t == 0) return '';

	var a = new Date(t).isValid() ? new Date(t) : new Date(t * 1000);

	var months = ["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"];
	var year = a.getFullYear();
	var month = a.getMonth();
	var date = a.getDate();
	var hour = ("0" + a.getHours()).slice(-2);
	var min = ("0" + a.getMinutes()).slice(-2);
	var time = date + ' ' + months[month] + ', ';
	time += year;

	time += ' ' + hour + ':' + min;
	return time;
}

Date.prototype.isValid = function () {
	return this.getTime() === this.getTime();
}
function f_hsc(string, quote_style) {

	var optTemp = 0,
		i = 0,
		noquotes = false;
	if (typeof quote_style === 'undefined') {
		quote_style = 2;
	}
	string = string.toString()
		.replace(/&lt;/g, '<')
		.replace(/&gt;/g, '>');
	var OPTS = {
		'ENT_NOQUOTES': 0,
		'ENT_HTML_QUOTE_SINGLE': 1,
		'ENT_HTML_QUOTE_DOUBLE': 2,
		'ENT_COMPAT': 2,
		'ENT_QUOTES': 3,
		'ENT_IGNORE': 4
	};
	if (quote_style === 0) {
		noquotes = true;
	}
	if (typeof quote_style !== 'number') { // Allow for a single string or an array of string flags
		quote_style = [].concat(quote_style);
		for (i = 0; i < quote_style.length; i++) {
			// Resolve string input to bitwise e.g. 'PATHINFO_EXTENSION' becomes 4
			if (OPTS[quote_style[i]] === 0) {
				noquotes = true;
			} else if (OPTS[quote_style[i]]) {
				optTemp = optTemp | OPTS[quote_style[i]];
			}
		}
		quote_style = optTemp;
	}
	if (quote_style && OPTS.ENT_HTML_QUOTE_SINGLE) {
		string = string.replace(/&#0*39;/g, "'"); // PHP doesn't currently escape if more than one 0, but it should
		// string = string.replace(/&apos;|&#x0*27;/g, "'"); // This would also be useful here, but not a part of PHP
	}
	if (!noquotes) {
		string = string.replace(/&quot;/g, '"');
	}
	// Put this in last place to avoid escape being double-decoded
	string = string.replace(/&amp;/g, '&');

	return string;
}

function f_replace(str, share) {
	var res = share ? str.replace(/\\\\\n|\\\\n|\\n/g,' ') : str.replace(/\\\\\n|\\\\n|\\n/g,'<br>');
	return res.replace(/\\\\\\'|\\\\'|\\'/g,"'");
}

function f_youtube_id(url) {
	var video_id = url.match(/(?:https?:\/{2})?(?:w{3}\.)?youtu(?:be)?\.(?:com|be)(?:\/watch\?v=|\/)([^\s&]+)/);
	if (video_id != null && video_id[1] != null && video_id[1].match(/^[a-zA-Z0-9_-]+$/i)) {
		return video_id[1]
	}
	return null;
}

function f_daysInMonth(month, year) {
	return new Date(year, month, 0).getDate();
}

function f_caret(el) {
	el.focus();
	if (typeof window.getSelection != "undefined"
		&& typeof document.createRange != "undefined") {
		var range = document.createRange();
		range.selectNodeContents(el);
		range.collapse(false);
		var sel = window.getSelection();
		sel.removeAllRanges();
		sel.addRange(range);
	} else if (typeof document.body.createTextRange != "undefined") {
		var textRange = document.body.createTextRange();
		textRange.moveToElementText(el);
		textRange.collapse(false);
		textRange.select();
	}
}

function f_nospace(text) {
	var error_summary = $('.error-summary');
	if (error_summary && text != '') {
		$('.error-summary li:contains("' + text + '")').remove();
		$('.error-summary ul').append('<li>' + text + '</li>');
		error_summary.show();
	}
}

function f_online_status(t) {
	var a = new Date(t * 1000);
	var c = new Date();
	var diff = (c.getTime() - a.getTime());
	return diff < 60000 ? 'Online' : '';
}

function f_online_date(t, sex) {
	if (t == 0) return '';
	var text = sex == 1 ? 'заходила' : 'заходил';

	var a = new Date(t * 1000);
	var c = new Date();
	var diff = (c.getTime() - a.getTime());

	if (diff < 60000) { // 5 мин.
		return 'Online';
	}

	var months = ['января', 'Февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря'];
	var year = a.getFullYear();
	var c_year = c.getFullYear();
	var month = a.getMonth();
	var date = a.getDate();
	var hour = ("0" + a.getHours()).slice(-2);
	var min = ("0" + a.getMinutes()).slice(-2);
	var time = text + ' ' + date + ' ' + months[month] + ' ';
	if (year != c_year) {
		time += year;
	}
	time += ' в ' + hour + ':' + min;
	return time;
}

function wallSendReplay(post_id, uid) {
	//event.preventDefault();

	$.each($("#reply_field_" + post_id + " img.emotions"), function () {
		$(this).replaceWith('(s:' + $(this).data('smile') + ')');
	});

	var text = $('#reply_field_' + post_id).html();
	var answer_id = $('#reply_field_' + post_id).attr('data-answer');

	if (text != '' && text.length <= 500) {
		$.ajax({
			url: '/ajax/comment',
			type: 'POST',
			dataType: 'json',
			data: {
				text: text,
				post_id: post_id,
				answer_id: answer_id
			},
			success: function (results) {
				if (results.status == 200 && results.comment) {
					var html = generateComment(results.comment, uid);
					$('.comment-posted-block-' + post_id).append(html).show();
					$($('.comment-posted-block').find('.comment-posted-' + results.comment.id)).slideDown(1000);
					$('#reply_field_' + post_id).html('');
					$('#reply_field_' + post_id).removeAttr("data-answer");
					$('#comments-counter-' + post_id).html(parseInt($('#comments-counter-' + post_id).html()) + 1);
				}else{
					message_info(results.message);
				}
			}
		});
	} else {
		if (text.length > 500) {
			BootstrapDialog.show({
				title: 'Предупреждение',
				message: 'Длина сообщения не должна превышать 500 символов.',
				animate: false,
				type: BootstrapDialog.TYPE_WARNING,
				closable: true,
				draggable: false,
				buttons: [
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		}
	}
}

function formatRepoCountry(repo) {
	var term = $('.select2-container input').val();
	if(term != undefined && term.length > 0){
		term = term.charAt(0).toUpperCase() + term.slice(1);
	}

	if (repo.title && repo.title.indexOf(term) >= 0) {
		var res = repo.title.replace(term, "<b>" + term + "</b>");
		return '<div class="select2-results-text-option">' + res + '</div>';
	}
}

function formatRepo(repo) {
	if (repo.title) {
		var term = $('.select2-container input').val();
		if(term != undefined && term.length > 0){
			term = term.charAt(0).toUpperCase() + term.slice(1);
		}

		var res = repo.title.replace(term, "<b>" + term + "</b>");
		return '<div class="select2-results-text-option">' + res + '</div>';
	}
	if (repo.text) return '<div>' + repo.text + '</div>';
}

function formatRepoSelection(repo) {
	return repo.title;
}

// NOTIFICATIONS
function message(message) {
	BootstrapDialog.show({
		title: 'Информационное сообщение',
		message: message,
		animate: true,
		buttons: [
			{
				label: 'Закрыть',
				action: function (dialogItself) {
					dialogItself.close();
				}
			}]
	});
}


function error(message) {
	BootstrapDialog.show({
		title: 'Информационное сообщение',
		message: message,
		animate: true,
		buttons: [
			{
				label: 'Закрыть',
				action: function (dialogItself) {
					dialogItself.close();
				}
			}]
	});
}

function success(message) {
	setTimeout(function() {
		toastr.options = {
			closeButton: true,
			progressBar: false,
			showMethod: 'fadeIn',
			hideMethod: 'fadeOut',
			timeOut: 5000
		};
		toastr.success(message, 'Сообщение');
	}, 0);
}

// END NOTIFICATIONS

function strToNum(number, titles) {
    var cases = [2, 0, 1, 1, 1, 2];
    return titles[ (number%100>4 && number%100<20)? 2 : cases[(number%10<5)?number%10:5] ];
}

function hashTag(str){
    if(str == undefined || str == '') return '';
    var regex = /#([\w\dA-Яа-я]+)/ig;
    return str.replace(regex, "<a href='/feed?tag=$1'>#$1</a>");
}


function trim(text) { return (text || '').replace(/^\s+|\s+$/g, ''); }

function editableVal(cont, opts) {
    if (!cont) return '';
    if (cont.tagName == 'TEXTAREA') return $(cont).val();
    var el = cont.firstChild;
    var v = '';
    var contTag = new RegExp('^(DIV|P|LI|OL|TR|TD|BLOCKQUOTE)$');
    while (el) {
        switch (el.nodeType) {
            case 3:
                var str = el.data.replace(/^\n|\n$/g, ' ').replace(/[\n\xa0]/g, ' ').replace(/[ ]+/g, ' ');
                v += str;
                break;
            case 1:
                var str = Emoji.editableVal(el);
                if (el.tagName && el.tagName.match(contTag) && str) {
                    if (str.substr(-1) != '\n') {
                        str += '\n';
                    }

                    var prev = el.previousSibling;
                    while(prev && prev.nodeType == 3 && trim(prev.nodeValue) == '') {
                        prev = prev.previousSibling;
                    }
                    if (prev && !(prev.tagName && prev.tagName.match(contTag))) {
                        str = '\n' + str;
                    }

                } else if (el.tagName == 'IMG') {
                    var code = Emoji.getCode(el);
                    if (code) {
                        if (opts && opts.saveEmoji) {
                            str += Emoji.getEmojiHTML(code);
                        } else {
                            str += Emoji.codeToChr(code);
                        }
                    }
                } else if (el.tagName == 'BR') {
                    str += '\n';
                }
                v += str;
                break;
        }
        el = el.nextSibling;
    }
    return v;
}

function access_control() {
	var uid = $('body').attr('data-uid');
	if(uid == undefined || uid <= 0){
		message_info('Необходимо <a href="/login">авторизироваться</a>, чтобы выполнить данное действие.');
		return false;
	}
	return true;
}

function f_share(url, title, desc, img, post_id){
	var html = '';	

	html += '<div class="ya-share2 ya-share2_inited" id="ya_share_icon">';
	html += '<div class="ya-share2__container ya-share2__container_size_m">';
	html += '<ul class="ya-share2__list ya-share2__list_direction_horizontal">';
	
	html += '<li class="ya-share2__item ya-share2__item_service_vkontakte"><a class="ya-share2__link" href="http://vk.com/share.php?image='+'http://'+img+'_md.jpg'+'&amp;url='+encodeURIComponent('http://'+url)+'&amp;title='+encodeURIComponent(title)+'&amp;description='+encodeURIComponent(desc)+'" rel="nofollow" target="_blank" title="ВКонтакте"><span class="ya-share2__badge"><span class="ya-share2__icon"></span><span class="ya-share2__counter"></span></span><span class="ya-share2__title">ВКонтакте</span></a></li>';
	html += '<li class="ya-share2__item ya-share2__item_service_facebook"><a class="ya-share2__link" href="https://www.facebook.com/sharer.php?src=sp&amp;u='+url+'&amp;utm_source=share2" rel="nofollow" target="_blank" title="Facebook"><span class="ya-share2__badge"><span class="ya-share2__icon"></span><span class="ya-share2__counter"></span></span><span class="ya-share2__title">Facebook</span></a></li>';
	html += '<li class="ya-share2__item ya-share2__item_service_share" id="ya_share2_item_id_'+post_id+'" data-clipboard-text="'+url+'" title="Поделится"><span class="ya-share2__badge"><span class="ya-share2__icon"></span><span class="ya-share2__counter"></span></span></li>';
	
	html += '</ul>';
	html += '</div>';
	html += '</div>';

	return html;
}