<?php

class Api
{
    const host = 'https://storage.money/api/money_receive';

    public static function money_receive($timestamp, $amount, $currency, $transfer_id, $remote, $originator, $receiver, $note, $sign)
    {
        $data = CJSON::encode([
            'timestamp' => $timestamp,
            'amount' => $amount,
            'currency' => $currency,
            'transfer_id' => $transfer_id,
            'remote' => $remote,
            'originator' => $originator,
            'receiver' => $receiver,
            'note' => $note,
            'sign' => $sign
        ]);

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, self::host);
        curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_REFERER, self::host);

        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }

}