<?php


class ExCDbHttpSession extends CDbHttpSession
{
	public function setUserId($userId)
	{
		$db = $this->getDbConnection();
		$db->setActive(true);
		$db->createCommand()->update(
			$this->sessionTableName, array('uid' => $userId),
			'id=:id', array(':id' => session_id())
		);
	}

	public function protectSession($userMail)
	{
		Yii::app()->session->add('mail', $userMail);
		Yii::app()->session->add('secret', UserModule::session_hash_string($_SERVER["REMOTE_ADDR"], $userMail));
	}

	protected function createSessionTable($db, $tableName)
	{
		parent::createSessionTable($db, $tableName);
		$db->createCommand()->addColumn($tableName, 'uid', 'integer');
	}

}