<?php
/* @var $my */
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/group.css');


$connection = Yii::app()->db;
//$msg_db = Yii::app()->msg_db;
$notifications = $connection->createCommand("SELECT (SELECT COUNT(*) FROM {{events}} WHERE uid = :uid AND status = 0) + (SELECT COUNT(*) FROM {{friends}} WHERE fuid = :uid AND status = 0) as sum")
	->bindParam(":uid", Yii::app()->user->id)
	->queryScalar();
$messages = $connection->createCommand("SELECT COUNT(*) FROM {{messages}} WHERE tuid = :uid AND is_readed = 0")
	->bindParam(":uid", Yii::app()->user->id)
	->queryScalar();

/*if(!empty($my['city'])){
	$city = Loc::getCityById($my['city']);
	$my['city_name_ru'] = $city['title'];
}*/

$my['city_name_ru'] =  "";

$my_email = $connection->createCommand("SELECT mail FROM {{users}} WHERE uid = :uid")
	->bindParam(":uid", $my['uid'])
	->queryScalar();

//Ищем товары
$my_goods_last = $connection->createCommand("SELECT uid, gid, price, title, media_img FROM {{goods}} WHERE uid = :uid AND status = 1 ORDER BY date DESC LIMIT 1")
	->bindParam(":uid", $my['uid'])
	->queryRow();
	
$my_goods_count = $connection->createCommand("SELECT COUNT(gid) FROM {{goods}} WHERE uid = :uid AND status = 1")
	->bindParam(":uid", $my['uid'])
	->queryScalar();
	
$favorite_count = $connection->createCommand("SELECT COUNT(id) FROM {{users_favorite_good}} WHERE uid = :uid")->bindParam(":uid", $my['uid'])->queryScalar();

$isAvatar = Yii::app()->controller->action->id == 'wall' && Yii::app()->user->id == $my['uid'];

//Пакеты подписки
$package = $connection->createCommand("SELECT package FROM {{usersinfo}} WHERE uid = :uid")
	->bindParam(":uid", $my['uid'])
	->queryScalar();
	
$package_name = 'нет подписки';
switch($package) {
	case 1:
		$package_name = "Trial";
		break;
	case 2:
		$package_name = "Mini";
		break;
	case 3:
		$package_name = "Lite";
		break;
	case 4:
		$package_name = "Medium";
		break;
	case 5:
		$package_name = "Standart";
		break;
	case 6:
		$package_name = "Super";
		break;
	case 7:
		$package_name = "Pro";
		break;
	case 8:
		$package_name = "Mega";
		break;
	case 9:
		$package_name = "Ultra";
		break;
	case 10:
		$package_name = "Vip";
		break;
	
}

if($my["uid"] == $connection=Yii::app()->db) {
$package_name = 'Подписка: <a href="/page/packages">' . $package_name . '</a>';
} else {
	if($package_name == "нет подписки")
		$package_name = 'Подписка: <a href="/page/packages">' . $package_name . '</a>';
	else
		$package_name = 'Подписка: <a href="/page/packages">оформлена</a>';
}

?>
<div class="col-sm-4">

	<?php if(Yii::app()->controller->id == 'market' && Yii::app()->controller->action->id == 'index'){?>
	<section class="section_group project_goods_categories">
		<a class="section_group_header">
			<span>0</span>Категории
		</a>
		<ul>
		</ul>
	</section>
	<script type="application/javascript">
		$(document).ready(function () {
			getUserCategories();
		});
	</script>
	<aside>
		<?php }else{ ?>
		<aside>
			<a href="<?= Yii::app()->controller->action->id != 'wall' && Yii::app()->user->id == $my['uid']  ? '/'.$my['alias'] : '#'?>" class="main_avatar">
				<img src="http://<?=$my['photo']?>_md.jpg" alt="<?= $my['fio'] ?>" onError="this.src='/images/no_avatar.jpg';"
				     class="owner-avatar <?= Yii::app()->user->id != $my['uid'] ? 'profile-photo-link' : '' ?>"
				     rel="<?=$my['photo']?>"
				     data-fullname="<?=$my['full_name']?>"
				     data-about="<?=$my['about']?>"
					<?= $isAvatar  ? 'onclick="$(\'#page_avatar\').click();"' : ''?>>
			</a>
			<?php if (Yii::app()->user->id == $my['uid']) { ?>
				<form id="pageAvatarForm" action="" method="POST" enctype="multipart/form-data" style="display: none;">
					<input class="file" type="file" size="28"
					       onchange="uploadPageAvatar($(this).get(0).files[0], <?= $my['uid'] ?>);" name="page_avatar"
					       id="page_avatar" style="visibility: hidden; position: absolute;">
				</form>
			<?php } ?>
			
			<?if(Yii::app()->controller->action->id == "details") {?>
				<a href="/<?=$my['alias'];?>"><h2><?=$my['full_name']?></h2></a>
			<?} else {?>
				<h2><?=$my['full_name']?></h2>
			<?}?>
			
			<?php } ?>
		
		<?php if($my['uid'] == Yii::app()->user->id){ ?>
		
		
		<div style="clear: both; display: block; height: 80px;">
			<span class="btn_potential_new bonus-active-add-new" data-id="<?= $my['uid'] ?>">Пополнить потенциал</span>
			<span class="btn_archive_activate bonus-potential-activate-bonus-new" data-id="<?= $my['uid'] ?>">Активировать<br/>ЕК</span>
		</div>
		
		
		<ul class="list-unstyled aside_menu">
			
			<li class="nav nav-page-feed">
				<a href="/feed">Лента новостей</a>
			</li>
			
			<li class="nav nav-page-wall active">
				<a href="/<?= $my['alias'] ?>">Моя страница</a>
			</li>
			
			<li class="nav nav-page-sell">
				<a href="/page/sell">Мой бизнес</a>
			</li>
			
			<li class="nav nav-page-buy">
				<a href="/page/buy">Мои заказы</a>
			</li>
			
			<li class="nav nav-im-index">
				<a href="/im">Сообщения &nbsp;<?= !empty($messages) ? '(+' . $messages . ')' : '' ?></a>
			</li>
			<li class="nav nav-page-users" style="display: none;">
				<a href="/users">Пользователи</a>
			</li>
			
			<li class="nav nav-page-notifications">
				<a href="/notifications">Ответы
					&nbsp;<?= !empty($notifications) ? '(+' . $notifications . ')' : '' ?><span
						class="widget-categories__text"></span> </a>
			</li>
			
			<li class="nav nav-page-settings">
				<a href="/user/settings">Профиль</a>
			</li>
	
		</ul>
		<?} else {?>
		<div style="clear: both; display: block; height: 70px;">
			<a href="/im/<?=$my['uid'];?>" class="subscribe_btn message_discr <?=Yii::app()->user->isGuest ? 'auth_class' : ''?>">Написать сообщение</a>
			<span class="<?=Yii::app()->user->isGuest ? 'auth_class' : ''?> subscribe_btn <?= ($my['subscribed'] ? 'unsubscribe' : 'subscribe')?>" data-id="<?= $my['uid'] ?>"><?= ($my['subscribed'] ? 'Убрать из<br>друзей' : 'Добавить в<br>друзья') ?></span>
			
		</div>
		<?}?>
		
	</aside>
	
	
	<?php if (Yii::app()->controller->id == 'page' && Yii::app()->controller->action->id == 'feed') { ?>
			<?php $this->widget('FilterWidget', array('my' => $my)); ?>
		<?php } ?>
	
	

	<?php //if(!empty($my['tel']) || !empty($my['city_name_ru']) || !empty($my['skype'])){ ?>
		<section class="section_group good_owner_info">
			<a class="section_group_header">Информация</a>
			
			<div class="contact-package" rel="<?=$my['package']?>"><?=$package_name;?> (<?php if(in_array(Yii::app()->user->id, array(100008, 100009, 3))){echo $my_email; } ?>)</div>
			
			<?php if(!empty($my['tel'])){ ?>
				<div class="contact-phone"><?=$my['tel']?></div>
			<?php } ?>
			<?php if(!empty($my['city_name_ru'])){ ?>
				<div class="contact-city"><?=$my['city_name_ru']?></div>
			<?php } ?>
			<?php if(!empty($my['skype'])){ ?>
				<div class="contact-skype"><?=$my['skype']?></div>
			<?php } ?>
			
			
			
		</section>
	<?php// } ?>
	

	<?php if(Yii::app()->controller->id != 'im'){ ?>
		
		<?php if($my['uid'] == Yii::app()->user->id){ ?>
		
		
		<section class="section_wallet wallets_potential">
			<a class="section_header">Потенциал <span class="wallets_potential_sum"></span></a>
			<ul>
				
			</ul>
		</section>
		
		
		<section class="section_wallet wallets_active">
			<a class="section_header">Доступно <span class="wallets_active_sum"></span></a>
			<ul>
				
			</ul>
		</section>

		
		<form action="https://perfectmoney.is/api/step1.asp" method="POST" id="pay-perfectmoney-potential" style="display: none;">
			<input type="hidden" name="PAYEE_ACCOUNT" value="">
			<input type="hidden" name="PAYEE_NAME" value="">
			<input type="hidden" name="PAYMENT_ID" value=""><BR>
			<input type="hidden" name="PAYMENT_AMOUNT" value="1"><BR>
			<input type="hidden" name="PAYMENT_UNITS" value="USD">
			<input type="hidden" name="STATUS_URL" value="https://<?=$_SERVER["SERVER_NAME"];?>/payment/setpaymentpotentialsuccess">
			<input type="hidden" name="PAYMENT_URL" value="https://<?=$_SERVER["SERVER_NAME"];?>/payment/setpaymentsuccessinfo">
			<input type="hidden" name="PAYMENT_URL_METHOD" value="POST">
			<input type="hidden" name="NOPAYMENT_URL" value="https://<?=$_SERVER["SERVER_NAME"];?>/payment/setpaymentpotentialfail">
			<input type="hidden" name="NOPAYMENT_URL_METHOD" value="POST">
			<input type="hidden" name="SUGGESTED_MEMO" value="Пополнение потенциала пользователя <?=$my['full_name'];?>.">
			<input type="hidden" name="BAGGAGE_FIELDS" value="">
			<input type="submit" name="PAYMENT_METHOD" value="Pay">
		</form>
		
		
		
		<form id="pay-crtmoney" name="payment" method="post" action="https://crt.money/payment" enctype="utf-8" style="display: none;">
		   <input type="hidden" name="cm_merchant" value="d645920e395fedad7bbbed0eca3fe2e0" />
		   <input type="hidden" name="cm_id" value="" />
		   <input type="hidden" name="cm_am" value="0.00" />
		   <input type="hidden" name="cm_curr" value="CRT" />
		   <input type="hidden" name="cm_desc" value=" " />
		   <input type="submit" value="Pay">
		</form>
		
		
		
		<form id="pay-ms" name="payment" method="post" action="https://storage.money/merchant" enctype="utf-8" style="display: none;">
			<input type="hidden" name="wallet" value="">
			<input type="hidden" name="order_id" value="">
			<input type="hidden" name="amount" value="">
			<input type="hidden" name="result_url" value="">
			<input type="hidden" name="notify_url" value="">
			<input type="hidden" name="currency" value="">
			<input type="hidden" name="version" value="1">
			<input type="submit" value="Pay">
		</form>
		
		
		<?}?>
		
		<?if(!empty($my_goods_last) && !Yii::app()->user->isGuest) {?>
		<section class="section_group products">
			<a href="/market/user/<?=$my['uid'];?>" class="section_group_header">
				<span><?=$my_goods_count;?></span>Товары
			</a>
			<div class="section_group_content">
				<div>
					<div class="products_img_block">
						<a href="#" class="avatar"><img src="http://<?=$my_goods_last["media_img"];?>_md.jpg" alt="logo"></a>
						<div class="price">
							<?=$my_goods_last["price"];?> $
						</div>
					</div>
					<a href="/market/user/<?=$my['uid'];?>"><?=$my_goods_last["title"];?></a>
				</div>
				
			</div>
		</section>
		<?}?>
		
		<section class="section_group followers subscribers-block" style="display: none;">
			<a class="section_group_header" style="cursor: pointer;" href="/friends?alias=<?=$my['alias']?>">
				<span class="followers-num">0</span>
				Друзья
			</a>
			<div class="section_group_content">
				<div class="section_group_content_in followers-body">
					<p>Нет подписчиков</p>
				</div>
			</div>
		</section>
		
		
		<section class="section_group groups groups-block" style="display: none;">
			<a class="section_group_header">
				<span class="groups-num">0</span>
				Группы
			</a>
			<div class="section_group_content">
				<div class="section_group_content_in groups-body">
					<p>Нет групп</p>
				</div>
			</div>
		</section>
		
		<?if(!Yii::app()->user->isGuest) {?>
		<section class="section_group groups recommends-block">
            <a class="section_group_header" href="/recommend?alias=<?=$my['alias']?>">
                <?php if($my['uid'] == Yii::app()->user->id){ ?>
                    <span class="recommends-add-url-btn" style="font-size: 28px; line-height: 0.8; cursor: pointer;">+</span>
                <?php }else{ ?>
                    <span class="recommends-num">0</span>
                <?php } ?>
                Я рекомендую
            </a>
            <div class="section_group_content">
                <div class="section_group_content_in recommends-body" style="height:auto;">
                    <p style="padding: 6px 16px;">Нет рекомендованных товаров.</p>
                </div>
            </div>
        </section>
        <?}?>
        
		<?php if($my['uid'] == Yii::app()->user->id && !empty($favorite_count)){ ?>
			<section class="section_group groups favorite-block">
				<a href="/favorite" class="section_group_header">
					<span><?=$favorite_count;?></span>Избранное
				</a>
				<div class="section_group_content favorite-body">
					<p style="padding: 6px 16px;">Нет избранных товаров.</p>
				</div>
			</section>
		<?php } ?>
		
		
	<?php } ?>
</div>


<script type="application/javascript">
    $(document).ready(function () {
	    
	    
        
        <?php if(!Yii::app()->user->isGuest && Yii::app()->user->id > 0){ ?>
        getRecommends();
		getFavorite();
		getwallets_potential();
		<?}?>		
		
		// ************************************************************************************************************************************
		// ************************************************************************************************************************************
		// ************************************************************************************************************************************
		// ************************************************************************************************************************************
		// ************************************************************************************************************************************
		
		
		//Активация бонусов
	$('body').on('click', '.bonus-ref-instant-exchange', function () {
				
		$.ajax({
			type: 'POST',
			url: '/wallet/GetWalletInstantExchange',
			dataType: 'json',
			data: {},
			success: function(results) {

				if(results.status == 200) {
					
					$txt = "";
					
					$txt += '<a href="#" class="button bonus-ref-instant-exchange-new" style="float: right; margin: 0 0 15px 0;">Добавить заявку</a><p style="display: none;">Обменяйте BP на Perfect Money.</p>';
					
					$txt += '<table class="table table-hover table-template table-instant-exchange"><thead><tr><th>Дата</th><th>Операция</th><th>Кошелек</th><th>Сумма</th><th>Статус</th></tr></thead><tbody>';
					
					$.each(results.transactions, function (key, val) {
						
						var status = "";
						var cheсkbox = "";
						var btn = "";
						
						switch (parseInt(val.status)) {
							case 0:
								status = "Новая заявка";
								break;
							case 1:
								status = "В обработке";
								break;
							case 2:
								status = "Выполнена";
								break;
							case -1:
								status = "Отменена";
								break;
							case -2:
								status = "Отклонена";
								break;
						}

						
						val.amount_now = round2(val.amount_now, "format");
						val.amount = round2(val.amount, "format");
						
						$txt += '<tr><td>'+val.date+'</td><td>Исходящая</td><td>PM-USD: '+val.wallet+'</td><td class="held">'+val.amount+'</td><td class="held">'+status+'</td></tr>';
					
					});
					
					$txt += '</tbody></table>';
					
					BootstrapDialog.show({
					   message: '<div class="my_operations_modal_modal"><section class="my_operations_block section"><div class="modal_header"><div class="tab active">Операции обмена BP</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="my_operations_in">'+$txt+'</div></section></div>',
					   animate: true,
				   cssClass: 'no-title',
				   
				   buttons: [
					
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
					   
					});

					
					
				} else {
					
				}
				
			}
		});
	
	});
	
	$('body').on('click', '.bonus-ref-instant-exchange-new', function () {
				
		BootstrapDialog.show({
			message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Заявка на обмен</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in">' + 
		
		'<form name="" action="" method="" id="pay_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-ref-instant-amount">Введите сумму (BP):</label><input id="bonus-ref-instant-amount" type="text" placeholder="Сумма" class="col-xs-8 voucher_code_activate"></div>'+
		
		'<form name="" action="" method="" id="pay_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-ref-instant-wallet">Введите кошелек Perfect Money (PM-USD)</label><input id="bonus-ref-instant-wallet" type="text" placeholder="Кошелек Money Storage PM-USD" class="col-xs-8 voucher_code_activate"></div>'
		
		,
		animate: true,
		cssClass: 'no-title',
		
			buttons: [
				{
					label: 'Продолжить',
					cssClass: 'btn-success',
					action: function (dialogRef) {

						var amount = $("#bonus-ref-instant-amount").val();
						var wallet = $("#bonus-ref-instant-wallet").val();
						
						dialogRef.close();
						
						$.ajax({
							url: '/wallet/SetWalletInstantExchangeNew',
							type: 'POST',
							dataType: 'json',
							data: {
								amount: amount,
								wallet: wallet
							},
							success: function (results) {
								if (results.status == 200) {
									
									var txt = '<tr><td>'+results.date+'</td><td>Исходящая</td><td>PM-USD: '+wallet+'</td><td class="held">'+amount+'</td><td class="held">Новая заявка</td></tr>';
									
									$('.table-instant-exchange tbody').prepend(txt);
									
									message_info(results.message);
								} else {
									message_info(results.message);
								}
								
								dialogRef.close();
								
							}
						});
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogRef) {
						dialogRef.close();
					}
				}]

		});
	
	});
		
		$('body').on('click', '.bonus-ref-instant-move', function () {
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Вы подтверждаете перевод мгновенных бонусов в активные?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: 'wallet/setbonusinstantsendactive',
								type: 'POST',
								dataType: 'json',
								success: function (results) {
									if (results.status == 200 && results.redirect != '') {
										message_info(results.message);
										//getwallets();
										getwallets_potential();
									} else {
										message_info(results.message);
									}
								},
								complete: function() {
									$(elem).attr("data-ajax",1);
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		
		$('body').on('keyup', '.bonus-active-add-amount', function () {
			
			$amount = parseInt($(this).val());
			$type = parseInt($('input[name="pay_type"]:checked').val());
			
			if($amount > 0) {
				
				$(".pay_type_choose1").html("<div class='pay_div'>Ваш потенциал будет пополнен на "+$amount+" BP.</div>");
				$(".pay_type_choose2").html("<div class='pay_div'>Ваш потенциал будет пополнен на "+$amount/2+" BP и  "+$amount/2+" BP будет зачислено в Активный бонус.</div>");
			
			} else {
			
				$(".pay_type_choose1").text("");
				$(".pay_type_choose2").text("");
			
			}
			
		});
		
		
		
		$('body').on('click', '.bonus-active-add-new', function () {
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));

		BootstrapDialog.show({
			title: 'Пополнение потенциала',
			message:
			'<form id="pay_form">' +
			'<p>Выберите способ пополнения:</p>' +
			'<input type="radio" name="pay_method" value="4" id="visa" style="cursor: pointer;" disabled="">' +
			' <label for="visa" style="cursor: pointer; color: grey;"> Visa/MasterCard</label><br>' +
			
			'<input type="radio" name="pay_method" value="6" id="ms" style="cursor: pointer;">' +
			' <label for="ms" style="cursor: pointer;"> Money Storage</label><br>' +

			'<input type="radio" name="pay_method" value="5" id="activebonus" style="cursor: pointer;">' +
			' <label for="activebonus" style="cursor: pointer;"> Через Active Bonus</label><br>' +
			'<input type="radio" name="pay_method" value="3" id="crtmoney" style="cursor: pointer;" disabled="">' +
			' <label for="crtmoney" style="cursor: pointer; color: grey;"> Платежная система CRT Money</label><br>' +
			'<input type="radio" name="pay_method" value="2" id="voucher" style="cursor: pointer;">' +
			' <label for="voucher" style="cursor: pointer;"> Использовать Voucher</label><br>' +
			'<input type="radio" name="pay_method" value="1" id="perfect_money" checked style="cursor: pointer;">' +
			' <label for="perfect_money" style="cursor: pointer;"> Платежная система Perfect Money</label><br>' +
			
			'</form>',
			animate: false,
			buttons: [
				{
					label: 'Перейти к оплате',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var pay_method = $('#pay_form input[name="pay_method"]:checked').val();
						
						if(pay_method != 1 && pay_method != 2 && pay_method != 3 && pay_method != 5 && pay_method != 6) {
							message_info("Данный способ пополнения вскоре будет доступным.");
							return;
						}
						
						if(pay_method == 1){
							BootstrapDialog.show({
								message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in">' + 
								
								'<form style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-add-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-active-add-amount" placeholder="0" required=""></div>'+
								
								'<div class="form-group" style="margin-top:-20px;"><br><p style="margin-bottom: 6px;">Выберите вариант пополнения:</p>' +
								'<input type="radio" name="pay_type_1" value="1" id="pay_type11" style="cursor: pointer;" checked="">' +
								' <label for="pay_type11" style="cursor: pointer;"> <strong>100% пополенения Потенцаиала</strong><span class="pay_type_choose1"></span></label><br>' +
								'<input type="radio" name="pay_type_1" value="2" id="pay_type12" style="cursor: pointer;">' +
								' <label for="pay_type12" style="cursor: pointer;"> <strong>50% в Потенциал и 50% в активный бонус</strong><span class="pay_type_choose2"></span></label><br>' +
								
								'</div></form></div></div></div>',
								animate: true,
								cssClass: 'no-title',
								buttons: [
									{
										label: 'Продолжить',
										cssClass: 'btn-success',
										action: function (dialogRef) {

											if(ajax == 0) return; else $(elem).attr("data-ajax",0);
											dialogRef.close();
											$amount = parseInt($(".bonus-active-add-amount").val());
											$type_in = parseInt($('input[name="pay_type_1"]:checked').val());
											
											if($amount <= 0) {
												message_info("Введена неправильная сумма для пополнения.");
												return;
											}

											$.ajax({
												url: '/payment/setpaymentpotentialstart',
												type: 'POST',
												dataType: 'json',
												data: {
													type: 4,
													amount: $amount,
													type_in: $type_in
												},
												success: function (results) {
													if (results.status == 200) {

														$("#pay-perfectmoney-potential input[name='PAYMENT_AMOUNT']").val(results.price);
														$("#pay-perfectmoney-potential input[name='PAYMENT_ID']").val(results.code);
														$("#pay-perfectmoney-potential input[name='PAYEE_ACCOUNT']").val(results.wallet);
														$("#pay-perfectmoney-potential input[name='PAYEE_NAME']").val(results.recipient);

														$("#pay-perfectmoney-potential").submit();

													} else {
														message_info(results.message);
													}
												},
												complete: function() {
													$(elem).attr("data-ajax",1);
												}
											});
										}
									},
									{
										label: 'Закрыть',
										action: function (dialogItself) {
											dialogItself.close();
										}
									}]
							});
						}else{
						if (pay_method == 2) {
								BootstrapDialog.show({
									message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in">' + 
								
								'<form name="" action="" method="" id="pay_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-add-amount">Введите код ваучера:</label><input type="text" placeholder="Введите код" class="col-xs-8 voucher_code_activate"></div>'+
								
								'<div class="form-group" style="margin-top:-20px;"><br><p style="margin-bottom: 6px;">Выберите вариант пополнения:</p>' +
								'<input type="radio" name="pay_type_2" value="1" id="pay_type21" style="cursor: pointer;" checked="">' +
								' <label for="pay_type21" style="cursor: pointer;"> <strong>100% пополенения Потенцаиала</strong><span class="pay_type_choose1"></span></label><br>' +
								'<input type="radio" name="pay_type_2" value="2" id="pay_type22" style="cursor: pointer;">' +
								' <label for="pay_type22" style="cursor: pointer;"> <strong>50% в Потенциал и 50% в активный бонус</strong><span class="pay_type_choose2"></span></label><br>' +
								
								'</div></form></div></div></div>',
								animate: true,
								cssClass: 'no-title',
								
									buttons: [
										{
											label: 'Продолжить',
											cssClass: 'btn-success',
											action: function (dialogRef) {

												$voucher_code = $(".voucher_code_activate").val();
												$type_in = parseInt($('input[name="pay_type_2"]:checked').val());
												
												
												$.ajax({
													url: '/voucher/setvouchercodenew',
													type: 'POST',
													dataType: 'json',
													data: {
														type_in: $type_in,
														voucher: $voucher_code
													},
													success: function (results) {
														if (results.status == 200) {
															message_info(results.message);
															dialogRef.close();
														} else {
															message_info(results.message);
														}
													}
												});
											}
										},
										{
											label: 'Закрыть',
											action: function (dialogItself) {
												dialogItself.close();
											}
										}]

								});
							}
						
						if(pay_method == 3){
							BootstrapDialog.show({
								message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in">' + 
								
								'<form name="" action="" method="" id="pay_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-add-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-active-add-amount" placeholder="0" required=""></div>'+
								
								'<div class="form-group" style="margin-top:-20px;"><br><p style="margin-bottom: 6px;">Выберите вариант пополнения:</p>' +
								'<input type="radio" name="pay_type_3" value="1" id="pay_type31" style="cursor: pointer;" checked="">' +
								' <label for="pay_type31" style="cursor: pointer;"> <strong>100% пополенения Потенцаиала</strong><span class="pay_type_choose1"></span></label><br>' +
								'<input type="radio" name="pay_type_3" value="2" id="pay_type32" style="cursor: pointer;">' +
								' <label for="pay_type32" style="cursor: pointer;"> <strong>50% в Потенциал и 50% в активный бонус</strong><span class="pay_type_choose2"></span></label><br>' +
								
								'</div></form></div></div></div>',
								animate: true,
								cssClass: 'no-title',
								buttons: [
									{
										label: 'Продолжить',
										cssClass: 'btn-success',
										action: function (dialogRef) {

											if(ajax == 0) return; else $(elem).attr("data-ajax",0);
											dialogRef.close();
											$amount = parseInt($(".bonus-active-add-amount").val());
											$type_in = parseInt($('input[name="pay_type_3"]:checked').val());
											
											if($amount <= 0) {
												message_info("Введена неправильная сумма для пополнения.");
												return;
											}

											$.ajax({
												url: '/payment/setpaymentpotentialcrtstart',
												type: 'POST',
												dataType: 'json',
												data: {
													type: 4,
													amount: $amount,
													type_in: $type_in
												},
												success: function (results) {
													if (results.status == 200) {

														$("input[name='cm_merchant']").val(results.wallet);
														$("input[name='cm_id']").val(results.code);
														$("input[name='cm_am']").val(results.price);
														$("input[name='cm_desc']").val(results.memo);
						
						
														$("#pay-crtmoney").submit();

													} else {
														message_info(results.message);
													}
												},
												complete: function() {
													$(elem).attr("data-ajax",1);
												}
											});
										}
									},
									{
										label: 'Закрыть',
										action: function (dialogItself) {
											dialogItself.close();
										}
									}]
							});
						}
						
						
						
						if(pay_method == 5){
							BootstrapDialog.show({
								message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнение потенциала через Active Bonus</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in">' + 
								
								'<form name="" action="" method="" id="pay_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-add-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-active-add-amount" placeholder="0" required=""></div>'+
								
								'<div class="form-group" style="margin-top:-20px;"><br><p style="margin-bottom: 6px;">Выберите вариант пополнения:</p>' +
								'<input type="radio" name="pay_type_5" value="1" id="pay_type51" style="cursor: pointer;" checked="">' +
								' <label for="pay_type51" style="cursor: pointer;"> <strong>100% пополенения Потенцаиала</strong><span class="pay_type_choose1"></span></label><br>' +			
								'</div></form></div></div></div>',
								animate: true,
								cssClass: 'no-title',
								buttons: [
									{
										label: 'Продолжить',
										cssClass: 'btn-success',
										action: function (dialogRef) {

											if(ajax == 0) return; else $(elem).attr("data-ajax",0);
											dialogRef.close();
											$amount = parseInt($(".bonus-active-add-amount").val());
											$type_in = parseInt($('input[name="pay_type_5"]:checked').val());
											
											if($amount <= 0) {
												message_info("Введена неправильная сумма для пополнения.");
												return;
											}

											$.ajax({
												url: '/payment/setpaymentpotentialactivebonusstart',
												type: 'POST',
												dataType: 'json',
												data: {
													type: 5,
													amount: $amount,
													type_in: $type_in
												},
												success: function (results) {
													if (results.status == 200) {
														
														message_info(results.message);
														getwallets_potential();
														
													} else {
														message_info(results.message);
													}
												},
												complete: function() {
													$(elem).attr("data-ajax",1);
												}
											});
										}
									},
									{
										label: 'Закрыть',
										action: function (dialogItself) {
											dialogItself.close();
										}
									}]
							});
						}
						
						
						
						if(pay_method == 6){
							BootstrapDialog.show({
								message: '<div class="payment_modal"><div class="modal_header"><div class="tab">Пополнение потенциала</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="modal_wrap"><div class="payment_modal_in">' + 
								
								'<form name="" action="" method="" id="pay_form" style="margin-top: 20px;"><div class="form-group"><label class="col-xs-12" for="bonus-active-add-amount">Сумма пополнения:</label><input type="text" class="col-xs-6 bonus-active-add-amount" placeholder="0" required=""></div>'+
								
								'<div class="form-group" style="margin-top:-20px;"><br><p style="margin-bottom: 6px;">Выберите вариант пополнения:</p>' +
								'<input type="radio" name="pay_type_6" value="1" id="pay_type61" style="cursor: pointer;" checked="">' +
								' <label for="pay_type61" style="cursor: pointer;"> <strong>100% пополенения Потенцаиала</strong><span class="pay_type_choose1"></span></label><br>' +
								'<input type="radio" name="pay_type_6" value="2" id="pay_type62" style="cursor: pointer;">' +
								' <label for="pay_type62" style="cursor: pointer;"> <strong>50% в Потенциал и 50% в активный бонус</strong><span class="pay_type_choose2"></span></label><br>' +
								
								'</div></form></div></div></div>',
								animate: true,
								cssClass: 'no-title',
								buttons: [
									{
										label: 'Продолжить',
										cssClass: 'btn-success',
										action: function (dialogRef) {

											if(ajax == 0) return; else $(elem).attr("data-ajax",0);
											dialogRef.close();
											$amount = parseInt($(".bonus-active-add-amount").val());
											$type_in = parseInt($('input[name="pay_type_6"]:checked').val());
											
											if($amount <= 0) {
												message_info("Введена неправильная сумма для пополнения.");
												return;
											}

											$.ajax({
												url: '/payment/setpaymentpotentialmsstart',
												type: 'POST',
												dataType: 'json',
												data: {
													type: 4,
													amount: $amount,
													type_in: $type_in
												},
												success: function (results) {
													if (results.status == 200) {

														$("#pay-ms input[name='wallet']").val(results.wallet);
														$("#pay-ms input[name='order_id']").val(results.order_id);
														$("#pay-ms input[name='amount']").val(results.amount);
														$("#pay-ms input[name='result_url']").val(results.result_url);
														$("#pay-ms input[name='notify_url']").val(results.notify_url);
														$("#pay-ms input[name='currency']").val(results.currency_id);
														$("#pay-ms").submit();

													} else {
														message_info(results.message);
													}
												},
												complete: function() {
													$(elem).attr("data-ajax",1);
												}
											});
										}
									},
									{
										label: 'Закрыть',
										action: function (dialogItself) {
											dialogItself.close();
										}
									}]
							});
						}
						
						
						
						}
						dialogRef.close();
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
	});
		
		
		// Активация архивных бонусов
	$('body').on('click', '.bonus-potential-activate-bonus-new', function (event) {
		event.preventDefault();

		$.ajax({
			type: 'POST',
			url: '/wallet/getarchivebonusnew',
			dataType: 'json',
			data: {},
			success: function(results) {

				if(results.status == 200) {
					
					var row = results.bonuses_row;
					var html = '';
					
					//var html = '<p>У вас доступно '+results.bonuses_sum+' BP для активации из archive.ms.</p>';
					//if(results.bonuses_percent > 0) {
						//html += '<p>С учетом данных таблицы (см ниже), дополнительно вы получаете +'+results.bonuses_percent+'% к активированной сумме.</p>';
						//html += '<p>Общая сумма (с учетом дополнительных) составляет '+results.bonuses_sum_all+' BP.</p>';
					//}
					
					html += 'В соответствии с суммой пополнения Потенциала, Вы можете активировать '+results.bonuses_sum_all+' ВР, используя ЕК.';
					
					html += '<div class="form-group" style="margin-top:-12px;"><br><p style="margin-bottom: 6px; font-weight: bold;">Выберите способ активации:</p>' +
								'<input type="radio" name="ecurrency_type_1" value="1" id="ecurrency_type_11" style="cursor: pointer; margin-left: 1px;" checked="">' +
								' <label for="ecurrency_type_11" style="cursor: pointer; font-weight: normal;">Активировать через archive.ms</label><br>' +
								
								'<input type="radio" name="ecurrency_type_1" value="2" id="pay_type32" style="cursor: pointer; margin-left: 1px;">' +
								' <label for="pay_type32" style="cursor: pointer; font-weight: normal;">Активировать через storage.mоney</label><br>' 
								
								'</div></form>';
					
					html += '<div style="display: none;"><p><strong>Таблица дополнительных бонусов к активации:</strong></p><table class="table table-hover table-template table-bonuses-price" style="width: 98%;"><thead><tr><th>Сумма от</th><th>Сумма до</th><th>Дополнительно</th></tr></thead><tbody>';
					
					html += '<tr class="tbl_price_1"><td>0 BP</td><td>250 BP</td><td>нет дополнитиельного процента</td></tr>';
					html += '<tr class="tbl_price_2"><td>250 BP</td><td>500 BP</td><td>+110% к сумме</td></tr>';
					html += '<tr class="tbl_price_3"><td>500 BP</td><td>1 000 BP</td><td>+120% к сумме</td></tr>';
					html += '<tr class="tbl_price_4"><td>1 000 BP</td><td>2 500 BP</td><td>+130% к сумме</td></tr>';
					html += '<tr class="tbl_price_5"><td>2 500 BP</td><td>5 000 BP</td><td>+140% к сумме</td></tr>';
					html += '<tr class="tbl_price_6"><td>5 000 BP</td><td>10 000 BP</td><td>+150% к сумме</td></tr>';
					html += '<tr class="tbl_price_7"><td>10 000 BP</td><td>25 000 BP</td><td>+160% к сумме</td></tr>';
					html += '<tr class="tbl_price_8"><td>25 000 BP</td><td>50 000 BP</td><td>+170% к сумме</td></tr>';
					html += '<tr class="tbl_price_9"><td>50 000 BP</td><td>100 000 BP</td><td>+180% к сумме</td></tr>';
					html += '<tr class="tbl_price_10"><td>100 000 BP</td><td>250 000 BP</td><td>+190% к сумме</td></tr>';
					
					
					html += '</tbody></table></div>';
					
					
					html += '<table style="display: none;" class="table table-hover table-template"><thead><tr><th>Дата</th><th>Сумма</th><th>Действия</th></thead><tbody>';

					$.each(results.bonuses, function (key, val) {

						val.amount = round2(val.amount, "format");

						var btn = '<a class="archive-bonus-activate" data-id="'+val.id+'" data-ajax="1" href="#">Активировать</a> | <a class="archive-bonus-cancel" data-id="'+val.id+'" data-ajax="1" href="#">Отказаться</a>';
						html += '<tr><td>'+val.date+'</td><td>'+val.amount+'</td><td style="text-align: center;">'+btn+'</td>';

					});

					html += '</tbody></table>';

					BootstrapDialog.show({
						message: '<div class="my_operations_modal_modal"><section class="my_operations_block section"><div class="modal_header"><div class="tab active">Доступно '+results.bonuses_sum+' BP для активации</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="my_operations_in" style="height: auto;">'+html+'</div></section></div>',
						
						onshow: function(dialog) {
			                
			                setTimeout( function() { 
				               $('.tbl_price_'+row).css("background-color","rgb(210, 255, 228)");
				            } , 1000)
			            },
						animate: true,
						cssClass: 'no-title',
						buttons: [
							
							{
								label: 'Активировать ' +results.bonuses_sum_all+  ' BP',
								cssClass: 'btn-success',
								action: function (dialogRef) {
									
								dialogRef.close();
								
								var pay_method = $('input[name="ecurrency_type_1"]:checked').val();
								
								if(pay_method == 1) {
								
								BootstrapDialog.show({
									title: 'Активация ЕК',
									message: 'Выберите кошелек, с которого произойдет на активацию ЕК:<br>' +
									'<select class="form-control modal-input" style="margin-top: 10px;">' +
									'<option value="CRT">Кошелек CRT</option>' +
									'<option value="EUR">Кошелек EUR</option>' +
									'<option value="USD">Кошелек USD</option>' +
									'<option value="RUB">Кошелек RUB</option>' +
									'<option value="UAH">Кошелек UAH</option>' +
									'<option value="KZT">Кошелек KZT</option>' +
									'<option value="PLN">Кошелек PLN</option>' +
									'<option value="MDL">Кошелек MDL</option>' +
									'</select>',
									animate: false,
									buttons: [
										{
											label: 'Подтвердить',
											cssClass: 'btn-success',
											action: function (dialogItself) {
												var code = $('.modal select option:selected').val();
												//Отправляем аякс на активацию	
												
												dialogItself.close();
												
												$.ajax({
													url: '/wallet/SetArchiveBonusActivateAllNew',
													type: 'POST',
													dataType: 'json',
													data: {
														code: code
														
													},
													success: function (results) {
														if (results.status == 200) {
															
															message_info(results.message);
															getwallets_potential();
														
														} else {
															
															message_info(results.message);
															
														}
													}
												});	
												
											}
										},
										{
											label: 'Отмена',
											action: function (dialogItself) {
												dialogItself.close();
											}
										}],
									onhide: function(dialogRef){
										//$(elem).attr("data-ajax",1);
									}
								});
								
								}
								
								
								if(pay_method == 2) {
								
									$.ajax({
										url: '/payment/SetPaymentMsStart',
										type: 'POST',
										dataType: 'json',
										success: function (results) {
											if (results.status == 200) {
												$("#pay-ms input[name='wallet']").val(results.wallet);
												$("#pay-ms input[name='order_id']").val(results.order_id);
												$("#pay-ms input[name='amount']").val(results.amount);
												$("#pay-ms input[name='result_url']").val(results.result_url);
												$("#pay-ms input[name='notify_url']").val(results.notify_url);
												$("#pay-ms input[name='currency']").val(results.currency_id);
												$("#pay-ms").submit();
											} else {
												message_info(results.message);
											}
										}
										
									});
								
								}
								
								
								
								
		
								}
							},
							
							{
								label: 'Закрыть',
								action: function (dialogRef) {
									dialogRef.close();
								}
							}]
					});
				} else {
					message_info(results.message);
				}
			}
		});

	});

	
	
	// ************************************************************************************************************************************
	// ************************************************************************************************************************************
	// ************************************************************************************************************************************
	// ************************************************************************************************************************************
	// ************************************************************************************************************************************
	
	

        $('body').on('click', '.recommends-add-url-btn', function (event) {
            event.preventDefault();
            BootstrapDialog.show({
                title: 'Я рекомендую',
                message: '<p>Укажите адрес страницы товара, название и описание:</p>' +
                '<input type="text" placeholder="Адрес страницы товара" id="page_url" style="padding: 5px; margin: 0 0 10px 0; width: 80%;"><br>' +
                '<input type="text" placeholder="Название" id="page_title" style="padding: 5px; margin: 0 0 10px 0; width: 80%;"><br>' +
                '<textarea rows="4" placeholder="Описание" id="page_desc" style="padding: 5px; margin: 0 0 10px 0; width: 80%; font-size: 15px; border-color: #A9A9A9;">',
                animate: false,
                closable: true,
                buttons: [
                    {
                        label: 'Сохранить',
                        cssClass: 'btn-success',
                        action: function (dialogItself) {
                            var url = $('#page_url').val();
                            var title = $('#page_title').val();
                            var desc = $('#page_desc').val();

                            var err = '';

                            if(url == ''){
                                err += '<li>Укажите адрес страницы товара.</li>';
                            }
                            if(title == ''){
                                err += '<li>Укажите название.</li>';
                            }
                            if(desc == ''){
                                err += '<li>Укажите описание.</li>';
                            }
                            if(title != '' && title.length > 255){
                                err += '<li>Максимальная длина названия 255 символов.</li>';
                            }
                            if(desc != '' && desc.length > 255){
                                err += '<li>Максимальная длина описания 255 символов.</li>';
                            }

                            if(err == ''){
                                $.ajax({
                                    url: '/goods/setrecommendurl',
                                    type: 'POST',
                                    dataType: 'json',
                                    data: {
                                        url: url,
                                        title: title,
                                        desc: desc
                                    },
                                    success: function (results) {
                                        if (results.status == 200) {
                                            dialogItself.close();
                                            getRecommends();
                                        }else{
                                            message_info(results.message);
                                        }
                                    }
                                });
                            }else{
                                message_info(err);
                            }
                        }
                    },
                    {
                        label: 'Отмена',
                        action: function (dialogItself) {
                            dialogItself.close();
                        }
                    }]
            });
            var tt = false;

            $('#page_url').bind("change input", function (event) {
                var elem = $(this);
                if(tt !== false) clearTimeout(tt);
                tt = window.setTimeout(function() {
                    var regExp = /\d+$/;
                    var matches = regExp.exec(elem.val());
                    var id = parseInt(matches[0]);
                    if(id != undefined && id > 0){
                        $.ajax({
                            url: '/goods/getgoodinfo',
                            type: 'POST',
                            dataType: 'json',
                            data: {
                                id: id
                            },
                            success: function (results) {
                                if (results.status == 200 && results.good) {
                                    $('#page_title').val(he.decode(results.good.title));
                                    $('#page_desc').val(he.decode((results.good.desc.replace(/\\\\\n|\\\\n|\\n/g,'\n'))));
                                }else{
                                    $('#page_title').val('');$('#page_desc').val('');
                                }
                            }
                        });
                    }else{
                        $('#page_title').val('');$('#page_desc').val('');
                    }
                }, 500);
            });
        });
    });

    function getRecommends() {
        $.ajax({
            url: '/goods/pagegetrecommends',
            type: 'POST',
            dataType: 'json',
            data: {
                uid: <?=$my['uid']?>
            },
            success: function (results) {
                if (results.status == 200 && results.recommends.length > 0 && results.total) {
                    var html = '';
                    for (var i = 0; i < results.recommends.length; i++) {
                        html +=
                            '<div class="groups_block">' +
                            '<a class="groups_block_avatar" href="' + results.recommends[i].url + '?rx=<?=$my['uid']?>"><img alt="' + results.recommends[i].title + '" src="http://' + results.recommends[i].img + '_md.jpg"' + '" onError="this.src=\'/images/no_thumb.png\';"></a>' +
                            '<h3><a href="' + results.recommends[i].url + '?rx=<?=$my['uid']?>">' + he.decode(results.recommends[i].title) + '</a></h3>' +
                            '<p class="summary">' + he.decode(f_replace(results.recommends[i].desc)) + '</p>' +
                            '<div class="followers"></div>' +
                            '</div>';
                    }
                    $('.recommends-body').empty().append(html);
                    $('.recommends-num').html(results.total);
                    $('.recommends-block').show();
                } else {
                    $('.recommends-num').html('0');
                }
            }
        });
    }

	function getFavorite() {
		$.ajax({
			url: '/goods/pagegetfavorite',
			type: 'POST',
			dataType: 'json',
			data: {
				uid: <?=$my['uid']?>
			},
			success: function (results) {
				if (results.status == 200 && results.favorite.length > 0 && results.total) {
					var html = '';
					for (var i = 0; i < results.favorite.length; i++) {
						html +=
							'<div class="groups_block">' +
							'<a class="groups_block_avatar" href="/market/' + results.favorite[i].gid + '"><img alt="' + results.favorite[i].title + '" src="http://' + results.favorite[i].img + '_md.jpg"' + '" onError="this.src=\'/images/no_thumb.png\';"></a>' +
							'<h3><a href="/market/' + results.favorite[i].gid + '">' + he.decode(results.favorite[i].title) + '</a></h3>' +
							'<p class="summary">' + he.decode(f_replace(results.favorite[i].desc)) + '</p>' +
							'<div class="followers"></div>' +
							'</div>';
					}
					$('.favorite-body').empty().append(html);
					$('.favorite-num').html(results.total);
					$('.favorite-block').show();
				} else {
					$('.favorite-num').html('0');
				}
			}
		});
	}
	
	// =============================================================================================
	
	
	
	
// ************************************************************************************************************************************
// ************************************************************************************************************************************
// ************************************************************************************************************************************
// ************************************************************************************************************************************
// ************************************************************************************************************************************
	
//Загрузка кошельков
function getwallets_potential(){
	
	$.ajax({
		type: 'POST',
		url: '/wallet/getwalletspotential',
		dataType: 'json',
		data: {},
		success: function(results) {
			
			if(results.status == 200) {
			
			// **********************************
			// ПОТЕНЦИАЛ 
			// **********************************
			
			$("section.wallets_potential ul").fadeOut(400);
			
			$txt = "";
			$date_next = 0; //Обратный отсчет
			
			//Проходимся по потенциалам
				
			$potential = round2(results.potential, "format");
			
			//Пополнение

			$cash_now = round2(results.potential_in, "format");
			$cash_now_rel = round2(results.potential_in);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Cash</span></span></a>';

			//$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				//$txt += '<li class="bonus-active-add-new" data-ajax="1"><a><img src="/images/plus.png" alt="logo"><span class="">Пополнить</span></a></li>';
				//$txt += '<li class="wallets_last bonus-promo-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			//$txt += '</ul></div>';

			$txt += '</li>';
			
			
			//Бонусные
			$cash_now = round2(results.potential_podarok, "format");
			$cash_now_rel = round2(results.potential_podarok);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Gift</span></span></a>';

			/*$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-potential-activate-bonus"><a><img src="/images/plus.png" alt="logo"><span class=" ">Активировать</span></a></li>';
				$txt += '<li class="wallets_last bonus-promo-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';*/

			$txt += '</li>';
			
			
			//Привязанные
			$cash_now = round2(results.potential_archive, "format");
			$cash_now_rel = round2(results.potential_archive);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>ЕК</span></span></a>';

			/*$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-potential-activate-bonus-new"><a><img src="/images/plus.png" alt="logo"><span class=" ">Активировать</span></a></li>';
				$txt += '<li class="wallets_last bonus-promo-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';*/

			$txt += '</li>';
			
			
			
			//Cashback
			$cash_now = round2(results.potential_cashback, "format");
			$cash_now_rel = round2(results.potential_cashback);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Cashback</span></span></a>';

			/*$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-potential-activate-bonus"><a><img src="/images/plus.png" alt="logo"><span class=" ">Активировать</span></a></li>';
				$txt += '<li class="wallets_last bonus-promo-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';*/

			$txt += '</li>';
			
			
			$countdoun_cesonds = 0;
			if(results.date < results.potential_date_next) {
			$txt += '<li><a class="add bonusactivatepotential" rel="'+results.potential_bonus+'"><ul id="countdown"><li style="display:none;"><span class="days">00</span></li><li><span class="hours">00</span> :</li><li><span class="minutes">00</span> :</li><li><span class="seconds">00</span></li></ul></a></li>';
			$countdoun_cesonds = parseInt(results.potential_date_next - results.date);
			} else {
			$txt += '<li><a class="add bonusactivatepotential" rel="'+results.potential_bonus+'">Активировать '+results.potential_bonus+' BP</a></li>';
			}

			$("section.wallets_potential ul").html($txt);
			//Надо передать количество оставшихся секунд $countdoun_cesonds и от них давать обратный отсчет
			if($countdoun_cesonds > 0) {
				$("#countdown").countdown({
					date: "",
					format: "on",
					seconds: $countdoun_cesonds
					},
					function() {
					// callback function
				});
			}
			
			$(".wallets_potential_sum").html(round2(results.potential, "format"));
			$("section.wallets_potential ul").fadeIn(400);
			
			
			// **********************************
			// КОШЕЛЬКИ 
			// **********************************
			
			$txt = "";
			
			//Активный бонус
			$cash_now = round2(results.wallet_active, "format");
			$cash_now_rel = round2(results.wallet_active);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Active bonus</span></span></a>';

			$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				//$txt += '<li class="bonus-active-add-new" data-ajax="1"><a><img src="/images/plus.png" alt="logo"><span class="">Пополнить</span></a></li>';
				//$txt += '<li class="bonus-active-pay"><a><img src="/images/lines.png" alt="logo"><span class="">Оплатить</span></a></li>';
				$txt += '<li class="wallets_last bonus-active-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';

			$txt += '</li>';
			
			
			
			//Призовой бонус
			$cash_now = round2(results.wallet_structure, "format");
			$cash_now_rel = round2(results.wallet_structure);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Invitation</span></span></a>';

			$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-ref-move" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
				$txt += '<li class="bonus-ref-instant-exchange" data-ajax="1"><a><img src="/images/lines.png" alt="logo"><span class=" ">Обменять</span></a></li>';
				$txt += '<li class="wallets_last bonus-ref-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';

			$txt += '</li>';
			
			$(".wallets_active_sum").html(round2(results.wallet, "format"));
			$("section.wallets_active ul").html($txt);
			
			
			<?if(Yii::app()->user->id == 3) {?>
			//Призовой бонус (мгновенный)
			$cash_now = round2(results.wallet_instant, "format");
			$cash_now_rel = round2(results.wallet_instant);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Instant invitation</span></span></a>';

			$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-ref-instant-move" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
				$txt += '<li class="bonus-ref-instant-exchange" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Обменять</span></a></li>';
			$txt += '</ul></div>';

			$txt += '</li>';
			
			$(".wallets_active_sum").html(round2(results.wallet, "format"));
			$("section.wallets_active ul").html($txt);
			
			<?}?>
			
			
			//За рекоммендации
			$cash_now = round2(0, "format");
			$cash_now_rel = round2(0);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Promotion</span></span></a>';

			/*$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-ref-move" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
				$txt += '<li class="wallets_last bonus-ref-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';*/

			$txt += '</li>';
			
			$(".wallets_active_sum").html(round2(results.wallet, "format"));
			$("section.wallets_active ul").html($txt);
			
			
			//За приглашения бизнеса
			$cash_now = round2(0, "format");
			$cash_now_rel = round2(0);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Connection</span></span></a>';

			/*$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-ref-move" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
				$txt += '<li class="wallets_last bonus-ref-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';*/

			$txt += '</li>';
			
			$(".wallets_active_sum").html(round2(results.wallet, "format"));
			$("section.wallets_active ul").html($txt);
			
			
			
			//За ведения бизнеса
			$cash_now = round2(0, "format");
			$cash_now_rel = round2(0);
			
			$txt += '<li rel="'+$cash_now_rel+'" class=""><a><span class="wallet_in"><span  class="wallet_amount">'+$cash_now+'</span> <span class="wallet_currency">BP</span></span><img src="/images/bp.png" alt="wallet_logo" class="wallet_logo"><span><span>Management</span></span></a>';

			/*$txt += '<div class="section bonus_sub_menu"><ul class="list-unstyled">';
				$txt += '<li class="bonus-ref-move" data-ajax="1"><a><img src="/images/arr_right.png" alt="logo"><span class=" ">Перевести</span></a></li>';
				$txt += '<li class="wallets_last bonus-ref-history"><a><img src="/images/clock.png" alt="logo"><span class=" ">История</span></a></li>';
			$txt += '</ul></div>';*/

			$txt += '</li>';
			
			$(".wallets_active_sum").html(round2(results.wallet, "format"));
			$("section.wallets_active ul").html($txt);
			
		
		
		} //if 200
		
		}
	});
	
	
}
	
	
</script>



<style>
.section_wallet {
	 background: #fff;
    border: 1px solid #eaeaea;
    margin-bottom: 30px;
}
.section_wallet h2 {
	padding: 16px 0;
	color: #bf0c0e;
    font-family: Lato,arial;
    font-size: 18px;
	text-align: center;
	border-bottom: 1px solid #eaeaea;
	margin: 0;
	background: #fafafa;
	font-weight: bold;
}
.section_wallet ul {
	margin: 0;
	padding: 0;
	list-style: none;
}
.section_wallet li {
	/*border-top: 1px solid #eaeaea;*/
	padding: 8px 16px;
	position: relative;
	
}
.section_wallet ul li:first-child {
	margin-top: 8px;
	padding: 8px 16px;
}
.section_wallet ul li:last-child {
	text-align: center;
	padding: 16px 16px 24px 16px;
}

.wallets_active ul li:last-child {
	text-align: left;
	padding: 8px 16px 24px 16px;
}


.section_wallet li:last-child .add{
	display: inline-block;
	padding: 3px 20px;
	background: rgb(238,238,239); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(238,238,239,1) 0%, rgba(174,175,175,1) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top,  rgba(238,238,239,1) 0%,rgba(174,175,175,1) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom,  rgba(238,238,239,1) 0%,rgba(174,175,175,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#eeeeef', endColorstr='#aeafaf',GradientType=0 ); /* IE6-9 */
	border: 1px solid #8c8c8c;
	border-radius: 3px;
	color: #2b2b2b;
    font-family: Lato,arial;
	font-weight: bold;
    font-size: 16px;
	line-height: 1;
	width: auto;
}
.section_wallet li > a {
	display: block;
	box-sizing: border-box;
	width: 100%;
	overflow: hidden;
}
.section_wallet li > a .wallet_logo {
	margin-right: 16px;
	width: 24px;
	float: left;
}
.section_wallet li > a .wallet_in {
	text-align: right;
	float: right;
	display: block;
	padding-right: 12px;
	border-bottom: none; 
	cursor: pointer;
}
.section_wallet li > a .wallet_in:after {
	display: none;
}
.section_wallet li > a > span {
	position: relative;
}
.section_wallet li > a > span:after {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 1px;
	content: "";
	background: #5d5d5d;
}
.section_wallet li > a .wallet_amount {
	color: #5d5d5d;
    font-family: Lato,arial;
    font-size: 16px;
	font-weight: bold;
}
.section_wallet li > a .wallet_currency {
	color: #bf0c0e;
    font-family: Lato,arial;
    font-size: 16px;
	font-weight: bold;
}



/*===============================*/


.section_wallet .wallet_in {
	background: url(/images/arr_red_right.png) no-repeat right center;
}
.section_wallet .bonus_sum span + span {
	 color: #bf0c0e;
}
.section_wallet span {
    font-weight: bold;
}
.section_wallet .bonus_name {
	 border-bottom: 1px solid #686868;
	 margin: 0 12px;
}
.section_wallet .bonus_sub_menu {
	position: absolute;
	right: -130px;
	top: 3px;
	z-index: 2;
	min-width: 128px;
    box-shadow: 0 0 6px 0 #eaeaea;
	display: none;
}
.section_wallet li:hover .bonus_sub_menu {
	display: block;
}
.section_wallet .bonus_sub_menu::before {
    background: rgba(0, 0, 0, 0) url(/images/h_toggle_left.png) no-repeat scroll 0 0;
    content: "";
    height: 16px;
    position: absolute;
    left: -9px;
    top: 8px;
    width: 9px;
    z-index: 2;
}
.section_wallet .bonus_sub_menu span{
	margin-left: 10px;
}
.section_wallet .bonus_sub_menu li:hover{
	background: #fafafa;
	cursor: pointer;
}
.section_wallet .bonus_sub_menu li:hover span{
	 color: #bf0c0e;
}

.section_wallet .bonus_sub_menu ul li:first-child {
	margin-top: 0px;
}

.section_wallet .bonus_sub_menu ul li:last-child {
	text-align: left;
	padding: 8px 16px;
}

.section_wallet .bonus_sub_menu a {
	text-decoration: none;
}

.section_wallet .bonus_sub_menu a:hover {
	text-decoration: none;
}	


/* Новое */

.section_wallet .section_header span {
    float: right;
    color: #bf0c0e;
    font-family: Lato, arial;
    font-size: 18px;
    font-weight: bold;
    line-height: 1;
}

.payment_modal_in label {
clear: none;
display: inline;
margin: 10px 5px;
}

.payment_modal_in input {
	height: auto;
	margin-left: 5px;
}

.payment_modal_in strong {
	font-size: 15px;
}

.pay_div {
	margin: 0px 5px -10px 28px;
}


.btn_potential_new {
    background: #f46666;
    background: -moz-linear-gradient(top, #f46666 0%, #bf0c0e 100%);
    background: -webkit-linear-gradient(top, #f46666 0%, #bf0c0e 100%);
    background: linear-gradient(to bottom, #f46666 0%, #bf0c0e 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f46666', endColorstr='#bf0c0e',GradientType=0 );
    border: 1px solid #a1090b;
    border-radius: 4px;
    color: #fff;
    display: inline-block;
    float: left;
    font-family: Lato,arial;
    font-size: 14px;
    font-weight: bold;
    margin: 5px 2.5% 4px;
    padding: 3px 2px;
    text-align: center;
    vertical-align: top;
    width: 45%;
    cursor: pointer;	
}


.btn_archive_activate {
	float: right;
    border: 1px solid #8c8c8c;
    color: #000;
    background: #eeeeee;
    border-radius: 4px;
    background: -moz-linear-gradient(top, #eeeeee 0%, #afafaf 100%);
    background: -webkit-linear-gradient(top, #eeeeee 0%, #afafaf 100%);
    background: linear-gradient(to bottom, #eeeeee 0%, #afafaf 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#eeefee', endColorstr='#afafaf', GradientType=0);
    display: inline-block;
    font-family: Lato,arial;
    font-size: 14px;
    font-weight: bold;
    margin: 5px 2.5% 4px;
    padding: 3px 2px;
    text-align: center;
    vertical-align: top;
    width: 45%;
    cursor: pointer;
}


.filters_params .filters_btn {
	margin: 20px 0px 16px 0px;
}

</style>
