<?php

class AwayController extends Controller
{
    public $layout = 'main';

	public function filters()
	{
		return array(
			'accessControl',
		);
	}

	public function accessRules()
	{
		return array(
			array('allow',
				'actions'=>array(
					'index',
					'dialogs'
				),
				'users' => array('@'),
			),
			array('deny',
				'users' => array('*'),
			),
		);
	}

	public function actions()
	{
		return array();
	}

	public function actionIndex($url)
	{
        //$this->layout = '//layouts/blank';
        $connection=Yii::app()->db;
        
        $url = mysql_escape_string(htmlspecialchars(strip_tags($_GET["url"])));
		$url_filter = str_replace(array("https://", "http://", "www.", " "), array("", "", ""), $url);
        
        $url_blacklist = $connection->createCommand("SELECT * FROM {{control_urlblacklist}} WHERE url=:url AND status = 1")
        ->bindParam(":url", $url_filter)
        ->queryRow();
        
        if(empty($url_blacklist)) {
	       
       		header("Location: $url");
       		
        } else {
	        
	    	$url_blacklist_count = intval($connection->createCommand("SELECT COUNT(*) FROM {{posts}} WHERE text LIKE :url AND status = 1")
                ->bindValue(":url", '%'.$url_filter.'%')
                ->queryScalar());
                
            if($url_blacklist_count >= 1) {
	            
	            $connection->createCommand("UPDATE {{posts}} SET status = 0 WHERE status = 1 AND text LIKE :url")
	            ->bindValue(":url", '%'.$url_filter.'%')
	            ->query();
	            
	            $connection->createCommand("DELETE FROM {{comments}} WHERE text LIKE :url")
	            ->bindValue(":url", '%'.$url_filter.'%')
	            ->query();
	            
	            $connection->createCommand("UPDATE {{control_urlblacklist}} SET count_delete = count_delete + :count_delete WHERE id = :id")
		       ->bindParam(":id", $url_blacklist["id"])
		       ->bindParam(":count_delete", $url_blacklist_count)
		       ->query();
	            
            }
	       
	       $connection->createCommand("UPDATE {{control_urlblacklist}} SET count_show = count_show + 1 WHERE id = :id")
	       ->bindParam(":id", $url_blacklist["id"])
	       ->query();
	       
	       $this->render('index'); 
	       
        }
        

	}

	public function actionError()
	{
		if ($error = Yii::app()->errorHandler->error) {
			if (Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}
}