<?php

/**
 * The followings are the available columns in table 'users':
 * @property integer $fid
 * @property string $event
 * @property string $identifier
 * @property integer $timestamp
 * @property integer $expiration
 */
class Flood extends CActiveRecord
{

	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className = __CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return "{{flood}}";
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.CConsoleApplication
		return array(

			array('fid, event, identifier, timestamp, expiration', 'safe', 'on' => 'search'),

		);
	}


	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		return array();
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'fid' => t("fid"),
			'event' => t("event"),
			'identifier' => t("identifier"),
			'timestamp' => t("timestamp"),
			'expiration' => t("expiration"),
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria = new CDbCriteria;

		$criteria->compare('fid', $this->fid);
		$criteria->compare('event', $this->event);
		$criteria->compare('identifier', $this->identifier);
		$criteria->compare('timestamp', $this->timestamp);
		$criteria->compare('expiration', $this->expiration);
	}

}