<?php
$connection = Yii::app()->db;
?>


	<h4>Заявки</h4>

	<table class="table table-hover table-template paymentsolutionstable">
		<thead>
		<tr>
			<th>#</th>
			<th width="100px">ФИО</th>
			<th>Тип</th>
			<th>Дата</th>
			<th>Data1</th>
			<th>Data2</th>
			<th>Data3</th>
			<th>Сумма</th>
			<th>Статус</th>
			<th>Навигация</th>
		</tr>
		</thead>
		<tbody>

		</tbody>
	</table>



<script type="application/javascript">

	function getPaymentSolutions() {

		$(".paymentsolutionstable tbody").fadeOut(300);

		$.ajax({
			type: 'POST',
			url: '/control/getpaymentsolutions',
			dataType: 'json',
			success: function (results) {
				var txt = '';

				if (results.status == 200) {
					if (results.solutions.length > 0) {
						$.each(results.solutions, function (key, val) {

							val.status = parseInt(val.status);
							var status = "";
							var btn = "";

							switch(val.status) {
								case 0:
									status = "<span class='not-activated'>Не активирован</span>";
									btn += '<a class="payment-solution-activate" rel="'+val.id+'" style="cursor: pointer;" data-ajax="1">Активировать</a>';
									break;
								case 1:
									status = "<span class='activated'>Активирован</span>";
									break;
								default :
									break;
							}

							txt += '<tr><td>' + val.id + '</td><td>' + val.uid + ' ' +  val.fio + '</td><td>' + val.type + '</td><td>' + moment.unix(val.date).format("DD.MM.YY") + '</td><td>' + val.data1 + '</td><td>'+val.data2+'</td><td>' + val.data3 + '</td><td>' + val.amount + '</td><td>' + status + '</td><td>' + btn + '</td></tr>';

						});
					} else {
						txt = '<tr><td colspan="10">Нет записей.</td></tr>';
					}

					$(".paymentsolutionstable tbody").html(txt);
				}
			}
		});

		$(".paymentsolutionstable tbody").fadeIn(500);
	}

$('document').ready(function () {
	getPaymentSolutions();

	$('body').on('click', '.payment-solution-activate', function () {
		var elem = $(this);
		var id = $(this).attr('rel');

		BootstrapDialog.show({
			message: '<div class="download_invitation_modal"><div class="download_invitation_modal_header"><div class="tab">Активация</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="download_invitation_modal_wrap"><div class="download_invitation_modal_wrap_in"><p>Впишите код:</p><form name="" action="" method=""><input type="text" placeholder="Введите код" class="code_activate"></form></div></div></div>',
			animate: true,
			cssClass: 'no-title',
			buttons: [
				{
					label: 'Активировать',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var code = $(".code_activate").val();
						if(code != ''){
							$.ajax({
								url: '/control/paymentsolutionactivate',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id,
									code: code
								},
								success: function (results) {
									if (results.status == 200) {
										message_info(results.message);
										dialogRef.close();
										var span = elem.closest('tr').find('span.not-activated');
										span.removeClass('not-activated').addClass('activated').html('Активирован');
										elem.remove();
									} else {
										message_info(results.message);
									}
								}
							});
						}
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]

		});
	});
});

</script>