<?php
$connection = Yii::app()->db;
?>

	<h4>Подтвердить оплату</h4>

	<input type="text" class="paymentverify_code" placeholder="Введите код платежа" style="width: 600px;">
	<input type="submit" value="Подтвердить" class="payment-verify-confirm" data-ajax="1">


	<h4>Заявки</h4>

	<table class="table table-hover table-template payment-verify-table">
		<thead>
		<tr>
			<th>#</th>
			<th width="100px">ФИО</th>
			<th>Дата</th>
			<th>Код</th>
			<th>Статус</th>
		</tr>
		</thead>
		<tbody>

		</tbody>
	</table>



<script type="application/javascript">

	function getPaymentVerify() {

		$(".payment-verify-table tbody").fadeOut(300);

		$.ajax({
			type: 'POST',
			url: '/control/getpaymentverify',
			dataType: 'json',
			success: function (results) {
				var txt = '';

				if (results.status == 200) {
					if (results.payments.length > 0) {
						$.each(results.payments, function (key, val) {

							val.status = parseInt(val.status);
							var status = "";

							switch(val.status) {
								case 0:
									status = "<span class='not-activated'>Не активирован</span>";
									break;
								case 1:
									status = "<span class='activated'>Активирован</span>";
									break;
								default :
									break;
							}

							txt += '<tr><td>' + val.id + '</td><td>' + val.fio + '</td><td>' + val.date + '</td><td>' + val.code + '</td><td>' + status + '</td></tr>';

						});
					} else {
						txt = '<tr><td colspan="10">Нет записей.</td></tr>';
					}

					$(".payment-verify-table tbody").html(txt);
				}
			}
		});

		$(".payment-verify-table tbody").fadeIn(500);
	}

$('document').ready(function () {
	getPaymentVerify();

	$('body').on('click', '.payment-verify-confirm', function () {

		$this = this;
		$ajax = parseInt($($this).attr("ajax"));
		if($ajax == 0) return; else $($this).attr("ajax",0);

		BootstrapDialog.show({
			title: 'Подтверждение',
			message: 'Вы подтверждаете действие?',
			animate: false,
			buttons: [
				{
					label: 'Продолжить',
					cssClass: 'btn-success',
					action: function (dialogRef) {

						$code =  $(".paymentverify_code").val();

						$.ajax({
							url: '/control/setpaymentverify',
							type: 'POST',
							dataType: 'json',
							data: {
								code: $code
							},
							success: function (results) {
								if (results.status == 200) {

									getPaymentVerify();
									message_info(results.message);


								} else {
									message_info(results.message);
								}
							},
							complete: function() {
								$($this).attr("ajax",1);
							}
						});

						dialogRef.close();

					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}],
			onhide: function(dialogRef){
				$($this).attr("ajax",1);
			}
		});

	});
});

</script>