<?php
$connection = Yii::app()->db;
?>

	<h4>Рассылка сертифицированным продавцам</h4>

	<textarea class="send-message-text" rows="3" style="width: 50%"></textarea><br>
	<input type="submit" value="Разослать сообщение" class="send-message-ok" data-ajax="1">
	
	<h4>Список сообщений</h4>

	<table class="table table-hover table-template sendmessagetable">
		<thead>
		<tr>
			<th>#</th>
			<th>ФИО</th>
            <th>Сообщение</th>
			<th>Кол-во писем</th>
            <th>Дата</th>			
		</tr>
		</thead>
		<tbody></tbody>
	</table>

<script type="application/javascript">

	function getSendMessages() {

		$(".sendmessagetable tbody").fadeOut(300);

		$.ajax({
			type: 'POST',
			url: '/control/getsendmessages',
			dataType: 'json',
			success: function (results) {
				var txt = '';

				if (results.status == 200) {
					if (results.messages.length > 0) {
						$.each(results.messages, function (key, val) {
                            txt += '<tr>';
                            txt += '<td>'+(key+1)+'</td>';
							txt += '<td data-uid="' + val.uid + '"><a href="/'+val.alias+'" target="_blank">' + val.name + ' ' + val.fio + '</a></td>';
                            txt += '<td>' + f_replace(he.decode(val.text)) + '</td>';
							txt += '<td>' + val.count + '</td>';
                            txt += '<td>' + val.date + '</td>';                          
                            txt += '</tr>';
						});
					} else {
						txt = '<tr><td colspan="4">Нет записей.</td></tr>';
					}

					$(".sendmessagetable tbody").html(txt);
				}
			}
		});

		$(".sendmessagetable tbody").fadeIn(500);
	}

$('document').ready(function () {
	getSendMessages();


	$('body').on('click', '.send-message-ok', function () {
		
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);
        var err = '';
		
		var text = $(".send-message-text").val();

        if(text == ''){
            err += 'Укажите текст сообщения.';
        }

        if(err == ''){
            BootstrapDialog.show({
                message: 'Разослать сообщение продавцам?',
                animate: true,
                buttons: [
                    {
                        label: 'Подтвердить',
                        cssClass: 'btn-success',
                        action: function (dialogRef) {
                            dialogRef.close();

                            $.ajax({
                                url: '/control/setsendmessage',
                                type: 'POST',
                                dataType: 'json',
                                data: {
                                    text: text                                    
                                },
                                success: function (results) {
                                    if (results.status == 200) {
                                        getSendMessages();
										$('.send-message-text').html('');
                                        message_info(results.message);
                                    } else {
                                        dialogRef.close();
                                        message_info(results.message);
                                    }
                                },
                                complete: function() {
                                    $(elem).attr("data-ajax",1);
                                }
                            });
                        }
                    },
                    {
                        label: 'Закрыть',
                        action: function (dialogItself) {
                            $(elem).attr("data-ajax",1);
                            dialogItself.close();
                        }
                    }]
            });
        }else {
            message_info(err);
        }
	});
});

</script>