<?php
$connection = Yii::app()->db;
?>

	<h4>Пользователи, получившие топливные бонусы.</h4>

	<table class="table table-hover table-template paymentsolutionstable">
		<thead>
		<tr>
			<th>#</th>
			<th width="100px">ФИО</th>
			<th>Контакты</th>
			<th>Сумма</th>
			<th>Дата</th>
		</tr>
		</thead>
		<tbody>

		</tbody>
	</table>



<script type="application/javascript">

	function getMainInforamtion() {

		$(".paymentsolutionstable tbody").fadeOut(300);

		$.ajax({
			type: 'POST',
			url: '/control/GetUserFuelBonus',
			dataType: 'json',
			success: function (results) {
				var txt = '';

				if (results.status == 200) {
					if (results.users.length > 0) {
						
						$i = 1;
						
						$.each(results.users, function (key, val) {

							var status = "";
							var btn = "";

							txt += '<tr><td>'+$i+'.</td><td rel="' + val.uid + '"><a href="/'+val.alias+'" target="_blank">' + val.name + ' ' + val.fio + '</a></td><td>' + val.email + ' ' +  val.tel + '</td><td>' + val.deposit + '</td><td>' + val.date + '</td></tr>';
							
							$i++;

						});
					} else {
						txt = '<tr><td colspan="6">Нет записей.</td></tr>';
					}

					$(".paymentsolutionstable tbody").html(txt);
				}
			}
		});

		$(".paymentsolutionstable tbody").fadeIn(500);
	}

$('document').ready(function () {
	getMainInforamtion();
	
	
	$('body').on('click', '.user-verify-info', function () {

		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);

		var uid = $(this).attr('rel');

		$.ajax({
			url: '/control/getuserverifyorders',
			type: 'POST',
			dataType: 'json',
			data: {
				uid: uid
			},
			success: function (results) {
				if (results.status == 200) {
					var txt = '' +
						'<table class="order-info-table user-verify-orders"><tbody>' +
						'<thead><tr><th>Название товара</th><th>Дата</th><th>Сумма</th></tr></thead>';

					if(results.orders && results.orders.length > 0){
						$.each(results.orders, function (key, val) {
							txt += '<tr><td>'+val.title+(val.price_title != '' ? ' ('+val.price_title+')' : '')+'</td><td>'+val.date+'</td><td>'+val.price+' USD</td></tr>';
						});
						txt += '</tbody></table>';
						message_info(txt);
					}else{
						message_info('У даного пользователя нет проданых товаров.');
					}
				} else {
					message_info(results.message);
				}
			},
			complete: function() {
				$(elem).attr("data-ajax",1);
			}
		});
	});
	
	
	$('body').on('click', '.user-verify-cancel', function () {
		
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);
		
		var uid = $(this).attr('rel');

		BootstrapDialog.show({
			message: 'Удалить пользователя из списка верифицированных?',
			animate: true,
			buttons: [
				{
					label: 'Удалить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						
						dialogRef.close();
						
						$.ajax({
							url: '/control/setuserverifycancel',
							type: 'POST',
							dataType: 'json',
							data: {
								uid: uid
							},
							success: function (results) {
								if (results.status == 200) {
									
									//getMainInforamtion();
									$(elem).parent().parent().remove();
									message_info(results.message);
									
								} else {
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
						
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						$(elem).attr("data-ajax",1);
						dialogItself.close();
					}
				}]

		});
	});
	

	$('body').on('click', '.user-verify-add', function () {
		
		var elem = this;
		var ajax = parseInt($(elem).attr("data-ajax"));
		if(ajax == 0) return; else $(elem).attr("data-ajax",0);
		
		var email = $(".userverify_email").val();
		var percent = $(".userverify_percent").val();

		BootstrapDialog.show({
			message: 'Добавить пользователя ' +email+ ' в список верифицированных?',
			animate: true,
			buttons: [
				{
					label: 'Добавить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						
						dialogRef.close();
						
						$.ajax({
							url: '/control/setuserverifyok',
							type: 'POST',
							dataType: 'json',
							data: {
								email: email,
								percent: percent
							},
							success: function (results) {
								if (results.status == 200) {
									
									getMainInforamtion();
									//$(elem).parent().parent().remove();
									message_info(results.message);
									
								} else {
									dialogRef.close();
									message_info(results.message);
								}
							},
							complete: function() {
								$(elem).attr("data-ajax",1);
							}
						});
						
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						$(elem).attr("data-ajax",1);
						dialogItself.close();
					}
				}]

		});
	});
});

</script>