<?php
$connection = Yii::app()->db;
?>

	<h4>Проверить взнос</h4>

	<input type="text" class="user-email" placeholder="Введите email пользователя" style="width: 600px;">
	<input type="submit" value="Подтвердить" class="btn-verify-potential" data-ajax="1"><br><br>

	<p><span class="verify-fio"></span></p>

	<h4>Потенциалы</h4>

	<table class="table table-hover table-template user-potential-table">
		<thead>
		<tr>
			<th>#</th>
			<th>Сумма</th>
			<th>Дата</th>
		</tr>
		</thead>
		<tbody></tbody>
	</table>

	<h4>Пополнение Подписки</h4>

	<table class="table table-hover table-template user-potential-package-table">
		<thead>
		<tr>
			<th>#</th>
			<th>Сумма</th>
			<th>pay_name</th>
			<th>pay_wallet</th>
			<th>Код</th>
			<th>Дата</th>
		</tr>
		</thead>
		<tbody></tbody>
	</table>

	<h4>Пополнение Потенциала</h4>

	<table class="table table-hover table-template user-potential-pay-table">
		<thead>
		<tr>
			<th>#</th>
			<th>Сумма</th>
			<th>pay_name</th>
			<th>pay_wallet</th>
			<th>Код</th>
			<th>Дата</th>
		</tr>
		</thead>
		<tbody></tbody>
	</table>

	<h4>Пополнение Ваучером</h4>

	<table class="table table-hover table-template user-potential-voucher-table">
		<thead>
		<tr>
			<th>#</th>
			<th>Выдал</th>
			<th>Сумма</th>
			<th>Дата</th>
		</tr>
		</thead>
		<tbody></tbody>
	</table>

<script type="application/javascript">

$('document').ready(function () {

	$('body').on('click', '.btn-verify-potential', function () {

		var elem = this;
		var ajax = parseInt($(elem).attr("ajax"));
		if(ajax == 0) return; else $(ajax).attr("ajax", 0);

		$(".user-potential-table tbody, .user-potential-package-table tbody, .user-potential-pay-table tbody, .user-potential-voucher-table tbody").fadeOut(300);

		var email =  $(".user-email").val();
		$.ajax({
			type: 'POST',
			url: '/control/getpotentialverify',
			dataType: 'json',
			data:{
				email: email
			},
			success: function (results) {
				var html = '';

				if (results.status == 200) {
					if (results.potentials.length > 0) {
						$.each(results.potentials, function (key, val) {
							var verify_status = parseInt(val.verify_status);
							var background_color = 'white';
							var font_color = 'black';
							switch(verify_status){
								case 0:{
									background_color = 'white';
									font_color = 'black';
									break;
								}
								case 1:{
									background_color = 'green';
									font_color = 'white';
									break;
								}
								case 2:{
									background_color = '#bf0c0e';
									font_color = 'white';
									break;
								}
								default :
									break;
							}
							html += '<tr style="color: '+font_color+'; background-color: '+background_color+'"><td style="color: '+font_color+';">' + (key+1) + '</td><td style="color: '+font_color+';">' + val.amount + '</td><td style="color: '+font_color+';">' + val.date + '</td></tr>';
						});
					} else {
						html = '<tr><td colspan="3">Нет записей.</td></tr>';
					}
					$(".user-potential-table tbody").html(html);
					html = '';

					if (results.package_potentials.length > 0) {
						$.each(results.package_potentials, function (key, val) {
							var verify_status = parseInt(val.verify_status);
							var background_color = 'white';
							var font_color = 'black';
							switch(verify_status){
								case 0:{
									background_color = 'white';
									font_color = 'black';
									break;
								}
								case 1:{
									background_color = 'green';
									font_color = 'white';
									break;
								}
								case 2:{
									background_color = '#bf0c0e';
									font_color = 'white';
									break;
								}
								default :
									break;
							}
							html += '<tr style="color: '+font_color+'; background-color: '+background_color+'"><td style="color: '+font_color+';">' + (key+1) + '</td><td style="color: '+font_color+';">' + val.amount + '</td><td style="color: '+font_color+';">' + val.pay_name + '</td><td style="color: '+font_color+';">' + val.pay_wallet + '</td><td style="color: '+font_color+';">' + val.code + '</td><td style="color: '+font_color+';">' + val.date + '</td></tr>';
						});
					} else {
						html = '<tr><td colspan="6">Нет записей.</td></tr>';
					}
					$(".user-potential-package-table tbody").html(html);
					html = '';

					if (results.pay_potentials.length > 0) {
						$.each(results.pay_potentials, function (key, val) {
							var verify_status = parseInt(val.verify_status);
							var background_color = 'white';
							var font_color = 'black';
							switch(verify_status){
								case 0:{
									background_color = 'white';
									font_color = 'black';
									break;
								}
								case 1:{
									background_color = 'green';
									font_color = 'white';
									break;
								}
								case 2:{
									background_color = '#bf0c0e';
									font_color = 'white';
									break;
								}
								default :
									break;
							}
							html += '<tr style="color: '+font_color+'; background-color: '+background_color+'"><td style="color: '+font_color+';">' + (key+1) + '</td><td style="color: '+font_color+';">' + val.amount + '</td><td style="color: '+font_color+';">' + val.pay_name + '</td><td style="color: '+font_color+';">' + val.pay_wallet + '</td><td style="color: '+font_color+';">' + val.code + '</td><td style="color: '+font_color+';">' + val.date + '</td></tr>';
						});
					} else {
						html = '<tr><td colspan="6">Нет записей.</td></tr>';
					}
					$(".user-potential-pay-table tbody").html(html);
					html = '';

					if (results.voucher_potentials.length > 0) {
						$.each(results.voucher_potentials, function (key, val) {
							html += '<tr><td>' + (key+1) + '</td><td><a target="_blank" href="/' + val.alias + '">' + val.fio + '</a></td><td>' + val.amount + '</td><td >' + val.date + '</td></tr>';
						});
					} else {
						html = '<tr><td colspan="4">Нет записей.</td></tr>';
					}
					$(".user-potential-voucher-table tbody").html(html);
					html = '';

					if (results.user_info != undefined) {
						$('.verify-fio').empty().append(results.user_info);
					}
				}else{
					message_info(results.message);
				}
			},
			complete: function() {
				$(".user-potential-table tbody, .user-potential-package-table tbody, .user-potential-pay-table tbody, .user-potential-voucher-table tbody").fadeIn(500);
			}
		});
	});
});

</script>