<?php
/* @var $my */

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/post2.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/video.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/comments.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/smiles.m.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/project_goods.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/p_projects_ex.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/modal.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/select2.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/filter.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/tampletes.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/group.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/elements.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . ' /css/my_goods.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/wallet.css'); //Кошельки

$connection = Yii::app()->db;
$my = $connection->createCommand("SELECT u.uid, u.sex, u.online, CONCAT(u.name, ' ', u.fio) as 'full_name', u.tel, u.skype, u.city, u.interests, u.activities, u.about, u.photo, u.alias FROM {{usersinfo}} u WHERE u.uid = :uid")->bindParam(":uid", Yii::app()->user->id)->queryRow();
$page = 1;
?>

<?php $this->widget('SideBarWidget', array(
	'my' => $my
)); ?>

<div class="col-sm-8 my_goods">
<section class="my_goods_block section">
<div class="my_goods_header">
	<div class="goods_tab active" rel="orders">
		Мои заказы
	</div>
	<div class="goods_tab buy-my-goods" rel="goods" data-load="0">
		Купленные товары
	</div>
</div>

<!-- Мои заказы -->
<div class="my_goods_in orders">
	<p>В данном разделе отображаются все Ваши заявки на приобретение товаров, а также товары, которые Вы оплатили.
	<br/>Обязательно, нажмите "Товар получен", если Вы физически его получили.</p>

	<h4>Новые заявки на покупку</h4>
	 <p>В разделе перечислены Ваши новые заявки, которые находятся на обработке продавцом. Как только заявка будет обработана, она отобразится в разделе "Необходимо оплатить" и Вы сможете перейти к оплате.</p>
	 
	<table class="table table-hover table-template table-buy-myorders">
		<thead>
		<tr>
			<th>№</th>
			<th>Название</th>
			<th>Дата</th>
			<th>Кол-во</th>
			<th>Цена</th>
			<th>Статус</th>
		</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="6">Нет заявок на покупку.</td>
			</tr>
		</tbody>
	</table>


<h4>Необходимо оплатить</h4>
<p>В разделе перечислены заявки, которые подтверждены продавцами (есть в наличии и могут быть реализованы). Необходимо произвести оплату, после чего продавец начнет процедуру доставки (реализации) товара. Важно: сумма после оплаты автоматом не попадает продавцу, а зависает до момента, пока Вы не получите и не подтвердите лично, что получили товар.</p>
	<table class="table table-hover table-template table-buy-myorders-1">
		<thead>
		<tr>
			<th>№</th>
			<th>Название</th>
			<th>Дата</th>
			<th>Кол-во</th>
			<th>Цена</th>
			<th>Статус</th>
		</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="6">Нет заявок на оплату.</td>
			</tr>
		</tbody>
	</table>


<h4>Доставляются</h4>

 <p>Перечислены оплаченные товары, которые уже доставляются или реализуются для Вас. Обязательно после получения необходимо подтвердить, что Вы все получили, после чего сумма будет зачислена продавцу.</p>
	
	<table class="table table-hover table-template table-buy-myorders-2">
		<thead>
		<tr>
			<th>№</th>
			<th>Название</th>
			<th>Дата</th>
			<th>Кол-во</th>
			<th>Цена</th>
			<th>Статус</th>
		</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="6">Нет товаров, которые доставляются.</td>
			</tr>
		</tbody>
	</table>
 
</div>

<!-- Мои товары >>display: none -->
<div class="my_goods_in goods" style="display: none;">
	<p>В данном разделе отображаются все Ваши купленные товары.</p>

	<table class="table table-hover table-template table-buy-my-goods">
		<thead>
		<tr>
			<th>№</th>
			<th>Название</th>
			<th>Дата</th>
			<th>Кол-во</th>
			<th>Цена</th>
			<th>Статус</th>
		</tr>
		</thead>
		<tbody>
		
		</tbody>
	</table>
</div>
</section>
</div>


<script type="application/javascript">

	function buygetusergoods(){
		$.ajax({
			type: 'POST',
			url: '/order/buygetmygoods',
			dataType: 'json',
			data: {},
			success: function (results) {
				if(results.status == 200){
					var txt = "";
					$.each(results.orders, function (key, val) {
						txt += '<tr rel="'+val.gid+'"><td>#'+val.id+'</td><td><a href="/market/' + val.gid + '" target="_blank" class="img"><img src="//' + val.media_img + '_md.jpg" alt="alt"></a><a class="">' + val.title + '<br></a></td><td>' + val.date + '</td><td>' + val.quantity + '</td><td><span>' + round2(val.price, "format") + '</span><span> BP</span></td><td><span class="open">Куплен</span></td></tr>';
					});

					$(".table-buy-my-goods tbody").html(txt);
				}else{
					$(".table-buy-my-goods tbody").html('<tr><td colspan="6">'+results.message+'</td></tr>');
				}
			}
		});
	}
	
	
	function getuserorders(){
		$.ajax({
			type: 'POST',
			url: '/order/buygetmyorders',
			dataType: 'json',
			data: {},
			success: function(results) {
				if(results.status == 200){
					$(".table-template tbody").empty();
					$.each(results.orders, function (key, val) {
						$txt = "";
						$table = "";
						$status = "";
						$btn = "";
						$btn += '<span class="order-btn order-my-open" rel="'+val.gid+'">Открыть</span>';

						switch(parseInt(val.status)) {

							case 0:
								$btn += ' | <span class="order-btn buy-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								$status = "В обработке продавцом";
								$table = "table-buy-myorders";
								break;

							case 1:
								//$btn += ' | <span class="order-btn order-my-pay" rel="'+val.id+'">Оплатить</span>';
								$btn += ' | <span class="order-btn order-my-pay" rel="'+val.id+'">Оплатить</span>';
								$btn += ' | <span class="order-btn buy-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								$status = "Есть в наличии. Необхобима оплата.";
								$table = "table-buy-myorders-1";
								break;

							case 2:
								//$btn += ' | <span class="order-btn order-my-pay" rel="'+val.id+'">Оплатить</span>';
//							$btn += ' | <span class="order-btn buy-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								$status = "Оплачен. Ожидается доставки.";
								$table = "table-buy-myorders-1";
								break;
							case 3:
								$btn += ' <span> | </span> <span class="order-btn buy-my-order-received" rel="'+val.id+'">Товар получен</span>';
//							$btn += ' | <span class="order-btn buy-my-order-cancel" rel="'+val.id+'">Отменить заявку</span>';
								$status = "Отправлен. Ожидание подтверждения.";
								$table = "table-buy-myorders-2";
								break;
						}

						$txt += '<tr rel="'+val.id+'"><td>#'+val.id+'</td><td><a href="/market/'+val.gid+'" target="_blank" class="img"><img src="//'+val.media_img+'_md.jpg" alt="alt"></a><a class="">'+val.title+'<br>'+$btn+'</a></td><td>'+val.date+'</td><td>'+val.quantity+'</td><td><span>'+round2(val.price,"format")+'</span><span> BP</span></td><td><span class="">'+$status+'</span></td></tr>';
						$("."+$table+" tbody").append($txt);
					});

				}else{
					$(".table-buy-myorders tbody").html('<tr><td colspan="6">'+results.message+'</td></tr>');
				}
			}
		});
	}

	$(document).ready(function () {

		$('body').on('click', '.buy-my-goods[data-load="0"]', function () {
			buygetusergoods();
			$(this).attr('data-load', 1);
		});

		$('body').on('click', '.buy-my-order-received', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Вы подтверждаете что получили товар от продавца?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/setinvoiceorderpayok',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').remove();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		$('body').on('click', '.order-my-open', function () {
			window.open("/market/" + $(this).attr("rel"));
		});
		
		$('body').on('click', '.order-my-pay', function () {
			window.open("/invoice/order/" + $(this).attr("rel"));
		});


		$('body').on('click', '.buy-my-order-cancel', function () {
			var elem = $(this);
			var id = $(this).attr('rel');

			BootstrapDialog.show({
				title: 'Информационное сообщение',
				message: 'Отменить заказ?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/order/buymyordercancel',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('tr').remove();
									} else {
										message_info(results.message);
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		});
		
		
		$('body').on('click', '.goods_tab', function () {
			var page = $(this).attr('rel');
			$('.goods_tab').removeClass('active');
			$(this).addClass('active');

			$('.my_goods_in').hide();
			$('.' + page).show();
		});
		
		
		//Order Loading
		getuserorders();
		
	});
	

</script>