<?php
/* @var $my */

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/post2.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/group.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/video.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/comments.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/smiles.m.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/invitation.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . 'https://fonts.googleapis.com/css?family=Lato:400,700');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/gr_search.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/gr_create.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/tampletes.css');

$connection = Yii::app()->db;

$my = $connection->createCommand("SELECT uid, marital_status, CONCAT(name, ' ', fio) AS 'full_name', tel, sex, skype, city, interests, activities, about, photo, alias, status, online FROM {{usersinfo}} WHERE uid = :uid")
	->bindParam(":uid", Yii::app()->user->id)
	->queryRow();
?>

<?php $this->widget('SideBarWidget', array(
	'my' => $my
)); ?>



<style>

.button_main {	
background: #f46666;
/* Old browsers */
background: -moz-linear-gradient(top, #f46666 0%, #bf0c0e 100%);
/* FF3.6-15 */
background: -webkit-linear-gradient(top, #f46666 0%, #bf0c0e 100%);
/* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom, #f46666 0%, #bf0c0e 100%);
/* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#f46666', endColorstr='#bf0c0e', GradientType=0 );
/* IE6-9 */
border: 1px solid #a1090b;
border-radius: 4px;
color: #fff;
display: inline-block;
font-family: Lato, arial;
font-size: 14px;
font-weight: bold;
margin: 15px 0;
padding: 3px 10px;
text-align: center;
vertical-align: top;
cursor: pointer;	
}

.button_main:hover {
color: #fff;	
}

</style>



<!-- Приглашения -->
<div class="col-sm-8 invitation">
	<section class="invitation_block section">
		<div class="invitation_header">
			
			<a href="/page/invite"><div class="active">
				 Мои инвайты
			</div></a>
			
			<a href="/team"><div>
				Моя команда
			</div></a>
		</div>

		<div class="invitation_in">
			<p>Приглашайте пользователей по системе Инвайтов. Каждый выданный Вами Инвайт должен быть активирован в течении 10 дней, в противном случае он будет аннулирован.</p>

			<div class="activeinvitses">
			<h4>Используемые Инвайты</h4>

			<table class="table table-hover table-template invitecodestableactive">
				<thead>
				<tr>
					<th>Пользователь</th>
					<th>Инвайт</th>
					<th>Введен</th>
					<th>Статус</th>
					<th>Действия</th>
				</tr>
				</thead>
				<tbody>
				
				</tbody>
			</table>
			
			<br>
			
			<h4>Свободные Инвайты</h4>
			
			<a class="button_main setinvitenew" style="margin: 5px 0 20px 0;">Получить Инвайты для приглашения</a>
			
			<?if(Yii::app()->user->id == 3){?>
			<a class="button_main setinvitenewcount" style="margin: 5px 0 20px 0;">Получить Инвайты для приглашения 2</a>
			<?}?>
			
			
			<table class="table table-hover table-template invitecodestable">
				<thead>
				<tr>
					<th>Пользователь</th>
					<th>Инвайт</th>
					<th>Получен</th>
					<th>Статус</th>
					<th>Действия</th>
				</tr>
				</thead>
				<tbody>
				
				</tbody>
			</table>
			
			
			<br>
			
			<h4>Заявки на переход</h4>
			<a class="button_main user-transfer-btn" style="margin: 5px 0 10px 0;">Подать заявку на переход</a>
			
				<div class="transfer-my-block" style="display: none;">
					<h4>Мои заявки на переход</h4>
					<table class="table table-hover table-template transfer-table" style="margin-bottom: 20px;">
						<thead>
						<tr>
							<th>#</th>
							<th>Кому</th>
							<th>Дата</th>
							<th>Статус</th>
							<th>Действия</th>
						</tr>
						</thead>
						<tbody></tbody>
					</table>
				</div>

				<div class="transfer-in-block" style="display: none;">
					<h4>Входящие заявки на переход в Вашу структуру</h4>
					<table class="table table-hover table-template transfer-in-table">
						<thead>
						<tr>
							<th>#</th>
							<th>От кого</th>
							<th>Дата</th>
							<th>Статус</th>
							<th>Действия</th>
						</tr>
						</thead>
						<tbody></tbody>
					</table>
				</div>
			
			
			
		</div>
	</section>
</div>

<script type="application/javascript">

	function getTransfer(){

		$(".transfer-table tbody").fadeOut(300);
		$(".transfer-in-table tbody").fadeOut(300);

		$.ajax({
			type: 'POST',
			url: '/user/gettransfer',
			dataType: 'json',
			data: {},
			success: function(results) {
				if(results.status == 200) {
					var html = '';
					if(results.transfers_my.length > 0) {
						$.each(results.transfers_my, function (key, val) {
							html += '<tr>';
							html += '<td style="width: 5%; text-align: center;">'+(key+1)+'</td>';
							html += '<td style="width: 30%;">'+val.fio+'</td>';
							html += '<td>'+moment.unix(val.date).format("DD/MM/YYYY HH:mm")+'</td>';
							html += '<td>В обработке</td>';
							html += '<td><a href="javascript:void(0);" class="element el_small el_red user-transfer-cancel" title="Отозвать заявку" rel="'+val.id+'" data-ajax="1"><img src="/images/icons/recycle-full.png" alt=""></a></td>';
							html += '</tr>';
						});
						$('.transfer-my-block').show();
					} else {
						html += '<tr><td colspan="5" style="text-align: center;">У Вас нет заявок на переход.</td></tr>';
						$('.transfer-my-block').hide();
					}

					$(".transfer-table tbody").html(html);


					html = '';
					if(results.transfers_in.length > 0) {
						$.each(results.transfers_in, function (key, val) {
							html += '<tr>';
							html += '<td style="width: 5%; text-align: center;">'+(key+1)+'</td>';
							html += '<td style="width: 30%;">'+val.fio+'</td>';
							html += '<td>'+moment.unix(val.date).format("DD/MM/YYYY HH:mm")+'</td>';
							html += '<td>В обработке</td>';
							html += '<td><a href="javascript:void(0);" class="element el_small el_red user-transfer-ok" title="Подтвердить заявку" rel="'+val.id+'" data-ajax="1"><img src="/images/icons/light.png" alt=""></a></td>';
							html += '</tr>';
						});
						$('.transfer-in-block').show();
					} else {
						html += '<tr><td colspan="5" style="text-align: center;">У Вас нет заявок на переход.</td></tr>';
						$('.transfer-in-block').hide();
					}

					$(".transfer-in-table tbody").html(html);
				}
			}
		});

		$(".transfer-table tbody").fadeIn(500);
		$(".transfer-in-table tbody").fadeIn(500);
	}
	
	
	function getuserinvite(){
		
		$(".invitecodestable tbody").fadeOut(300);
		
		$.ajax({
			type: 'POST',
			url: '/user/getuserinvite',
			dataType: 'json',
			data: {},
			success: function(results) {
	
				$inv = "";
				
				if(results.status == 200) {
					
					
					if(results.invite.length > 0) {
					$.each(results.invite, function (key, val) {
		
						$inv +="<tr rel='"+val.id+"'>";

						$inv +="<td class='useriviteactive'>Инвайт не занят</td>";

						$inv +="<td>"+val.invite+"</td>";
						
						$date = "";
						$btn = "";
						$status = "";

						
						$inv +="<td>"+val.date+"</td>";
						$inv +="<td>Неактиврован</td>";

						$inv +="<td>";
							$inv += $btn;
						$inv +="</td>";
	
						$inv +="</tr>";
						
					});
				
				} else {
					$inv += '<tr><td colspan="5">У Вас нет доступных Инвайтов. Нажмите "Получить Инвайты для приглашения".</td></tr>';
				}	
				
	
				$(".invitecodestable tbody").html($inv);
				
				
				//==============================================================
				
				$inv2 = "";
				
				if(results.inviteactive.length > 0) {
				$.each(results.inviteactive, function (key, val) {
		
						$date = "";
						$btn = "";
						$status = "";
						
						if(val.status_user == 1) 
							$status ='<strong class="held">Активирован</strong>'; 
						else {
							$status ='<strong class="failure">Истекает<br>' + val.date_end + '</strong>'; 	
						}
					
						
						$date = "дата активации";
						
						$btn += '<a href="/'+val.alias+'" target="_blank" class="element el_small el_red" title="Перейти на страницу"><img src="/images/icons/home.png" alt=""></a> ';
						$btn += '<a href="#" class="element el_small el_red btn_invite_cancel" title="Отозвать Инвайт" rel="'+val.id+'" user="'+val.name + ' '+val.fio+'"><img src="/images/icons/recycle-full.png" alt=""></a> ';
						
						$package = userpackage(val.package);

						
						$inv2 += '<tr rel="'+val.id+'"><td class="useriviteactive"><span class="img"><a href="/'+val.alias+'" target="_blank"><img src="//'+val.photo+'_sm.jpg" alt=""></a></span><span><a href="/'+val.alias+'" target="_blank">'+val.name+' '+val.fio+'</a><span>Подписка: '+$package+'</span></span></td><td>'+val.invite+'</td><td>'+val.date_start+'</td><td>'+$status+'</td><td>'+$btn+'</td></tr>';
						
					});
				
				} else {
					$inv2 += '<tr><td colspan="5">Ваши Инвайты еще никто не активировал.</td></tr>';
				}
				
				$(".invitecodestableactive tbody").html($inv2);
				
				
				
				
				} //status == 200
				
			}
		});
		
		
		$(".invitecodestable tbody").fadeIn(500);
		
	};

	$('body').on('click', '.user-transfer-ok[data-ajax="1"]', function (event) {
		event.preventDefault();
		var elem = $(this);
		$(elem).attr('data-ajax', 0);

		var id = elem.attr('rel');

		BootstrapDialog.show({
			title: 'Подтверждение заявки на переход',
			message: 'Вы подтверждаете заявку на переход?',
			animate: false,
			buttons: [
				{
					label: 'Подтвердить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						$.ajax({
							url: '/user/setusertransferok',
							type: 'POST',
							dataType: 'json',
							data: {
								id: id
							},
							success: function (results) {
								if (results.status == 200) {
									message_info(results.message);
									getTransfer();
								} else {
									message_info(results.message);
								}
							}
						});
						dialogRef.close();
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
	});

	$('body').on('click', '.user-transfer-cancel[data-ajax="1"]', function (event) {
		event.preventDefault();
		var elem = $(this);
		$(elem).attr('data-ajax', 0);

		var id = elem.attr('rel');

		BootstrapDialog.show({
			title: 'Отозвать заявку на переход',
			message: 'Вы действительно желаете отозвать заявку на переход?',
			animate: false,
			buttons: [
				{
					label: 'Отозвать заявку',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						$.ajax({
							url: '/user/setusertransfercancel',
							type: 'POST',
							dataType: 'json',
							data: {
								id: id
							},
							success: function (results) {
								if (results.status == 200) {
									message_info(results.message);
									getTransfer();
								} else {
									message_info(results.message);
								}
							}
						});
						dialogRef.close();
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
	});

	$('body').on('click', '.user-transfer-btn', function () {
		BootstrapDialog.show({
			title: 'Заявка на переход',
			animate: true,
			message:
			'<p>Введите E-mail пользователя, к которому Вы хотите перейти:</p>' +
			'<input type="email" class="form-control" id="user_transfer_email" placeholder="Введите емейл пользователя" required>',
			buttons: [
				{
					label: 'Подтвердить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var email = $('#user_transfer_email').val(), regex = /.+@.+/, err = '';

						if (!regex.test(email)) {
							err += '<p>E-mail указано неверно.</p>';
						}

						if (err == '') {
							$.ajax({
								url: '/user/settransfer',
								type: 'POST',
								dataType: 'json',
								data: {
									email: email
								},
								success: function (results) {
									if (results.status == 200) {
										dialogRef.close();
										getTransfer();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
						} else {
							message_info(err);
						}
					}
				}]
		});

	});
	
	
	$('body').on('click', '.setinvitenew', function () {
		
		$.ajax({
			url: '/user/setinvitenew',
			type: 'POST',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					
					message_info(results.message);
					getuserinvite();
				
				} else {
					
					message_info(results.message);
					
				}
			}
		});
		
	});
	
	
	$('body').on('click', '.setinvitenewcount', function () {
		
		$.ajax({
			url: '/user/setinvitenewcount',
			type: 'POST',
			dataType: 'json',
			success: function (results) {
				if (results.status == 200) {
					
					message_info(results.message);
					getuserinvite();
				
				} else {
					
					message_info(results.message);
					
				}
			}
		});
		
	});

	
	$('body').on('click', '.btn_invite_cancel', function () {
		
		$id = $(this).attr("rel");
		$fio = $(this).attr("user");
		
		BootstrapDialog.show({
		title: 'Отозвать Инвайт',
		message: 'Отозвать Инват у пользвателя '+$fio+'? При подтверждении пользователя будет аннулирован, а Вам будет выделен новый Инвайт вместо этого.',
		animate: false,
		buttons: [
			{
				label: 'Отозвать Инвайт',
				cssClass: 'btn-success',
				action: function (dialogRef) {
					
				$.ajax({
					url: '/user/setuserinvitecancel',
					type: 'POST',
					dataType: 'json',
					data: {
						id: $id
					},
					success: function (results) {
						if (results.status == 200) {
							
							message_info(results.message);
							getuserinvite();
						
						} else {
							
							message_info(results.message);
							
						}
					}
				});
					
					dialogRef.close();
					
				}
			},
			{
				label: 'Закрыть',
				action: function (dialogItself) {
					dialogItself.close();
				}
			}]
		});
		
	});
	
	
	$(document).ready(function () {
		getuserinvite();
		getTransfer();
	});

</script>