<?php

header("Location: /feed");
return;

/* @var $my */

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/queries.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/gr_search.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/gr_create.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/tampletes.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/packege.css');

$connection = Yii::app()->db;

$my = $connection->createCommand("SELECT uid, marital_status, CONCAT(name, ' ', fio) AS 'full_name', tel, sex, skype, city, interests, activities, about, photo, alias, status, online, package FROM {{usersinfo}} WHERE uid = :uid")
	->bindParam(":uid", Yii::app()->user->id)
	->queryRow();
?>

<?php $this->widget('SideBarWidget', array(
	'my' => $my
)); ?>

<div class="col-sm-8 packege">
	<h2>Пакеты подписки</h2>

	<div class="packege_tabs">
		
		<div class="tab active" rel="trial" package-type="1">
			<div></div>
			<span>Trial</span>
		</div>
		
		<div class="tab active" rel="mini" package-type="2">
			<div></div>
			<span>Mini</span>
		</div>

		<div class="tab" rel="lite" package-type="3">
			<div></div>
			<span>Lite</span>
		</div>

		<div class="tab" rel="medium" package-type="4">
			<div></div>
			<span>Medium</span>
		</div>
		
		<div class="tab" rel="standart" package-type="5">
			<div></div>
			<span>Standart</span>
		</div>

		<div class="tab" rel="super" package-type="6">
			<div></div>
			<span>Super</span>
		</div>

		<div class="tab" rel="pro" package-type="7">
			<div></div>
			<span>Pro</span>
		</div>
		
		<div class="tab" rel="mega" package-type="8">
			<div></div>
			<span>Mega</span>
		</div>

		<div class="tab" rel="ultra" package-type="9">
			<div></div>
			<span>Ultra</span>
		</div>
		
		<div class="tab" rel="vip" package-type="10">
			<div></div>
			<span>Vip</span>
		</div>
		
	</div>

	<div class="packege_content trial" package-price="200" package-name="Trial" package-type="1">
		<h3>Package Trial</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">200 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 1,6 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 4%</li>
			<li class="marker_return">Возврат до 10% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_promotion">Дополнительные льготные предложения</li>
		</ul>		
		<div>
			<span class="price">
				<span class="price_amount">200</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate">Активировать пакет</a>
		</div>
	</div>
	
	<div class="packege_content mini" package-price="500" package-name="Minimal" package-type="2" style="display:none">
		<h3>Package Mini</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">500 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 1,7 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 5%</li>
			<li class="marker_return">Возврат до 15% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_promotion">Дополнительные льготные предложения</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">500</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate">Активировать пакет</a>
		</div>
	</div>

	<div class="packege_content lite" package-price="1000" package-name="Lite" package-type="3" style="display:none">
		<h3>Package Lite</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">1000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 1,8 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 6%</li>
			<li class="marker_return">Возврат до 20% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 10 бесплатных рекламных объявлений</li>
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Консультант» - открывается 1% призового бонуса со второго уровня приглашенных, при наличии десяти лично приглашенных подписчиков</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">1 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate">Активировать пакет</a>
		</div>
	</div>

	<div class="packege_content medium" package-price="2000" package-name="Medium" package-type="4" style="display:none">
		<h3>Package Medium</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">2000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 1,9 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 7%</li>
			<li class="marker_return">Возврат до 25% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 20 бесплатных рекламных объявлений</li>
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Консультант» - открывается 1% призового бонуса со второго уровня приглашенных, при наличии десяти лично приглашенных подписчиков</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">2 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate">Активировать пакет</a>
		</div>
	</div>
	
	
	<div class="packege_content standart" package-price="5000" package-name="Standart" package-type="5" style="display:none">
		<h3>Package Standart</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">5000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 2 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 8%</li>
			<li class="marker_return">Возврат до 30% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 30 бесплатных рекламных объявлений</li>
			<!--<li class="marker_present">Подарок: 100 литров топлива в месяц ( всего 1200 литров, действует по 1-е марта 2016 года и только для пользователей из Украины)</li>-->
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Лидер структуры» - открывается 1% призового бонуса со второго уровня приглашенных и 0,5% призового бонуса с третьего уровня приглашенных, при наличии ста  подписчиков в структуре.</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">5 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate">Активировать пакет</a>
		</div>
	</div>
	

	<div class="packege_content super" package-price="10000" package-name="Super" package-type="6" style="display:none">
		<h3>Package Super</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">10000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 2,1 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 9%</li>
			<li class="marker_return">Возврат до 30% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 50 бесплатных рекламных объявлений</li>
			<!--<li class="marker_present">Подарок: 200 литров топлива в месяц ( всего 2400 литров, действует по 1-е марта 2016 года и только для пользователей из Украины )</li>-->
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Лидер структуры» - открывается 1% призового бонуса со второго уровня приглашенных и 0,5% призового бонуса с третьего уровня приглашенных, при наличии ста  подписчиков в структуре.</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">10 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate">Активировать пакет</a>
		</div>
	</div>

	<div class="packege_content pro" package-price="20000" package-name="Pro" package-type="7" style="display:none">
		<h3>Package Pro</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">20000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 2,25 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 10%</li>
			<li class="marker_return">Возврат до 30% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 100 бесплатных рекламных объявлений</li>
			<!--<li class="marker_present">Подарок: 300 литров топлива в месяц ( всего 3600 литров, действует по 1-е марта 2016 года и только для пользователей из Украины )</li>-->
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Региональный представитель» - открывается 1% призового бонуса со второго уровня приглашенных, 0,5% призового бонуса с третьего уровня приглашенных и 0,4% призового бонуса с четвертого уровня приглашенных при наличии тысячи подписчиков в структуре.</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">20 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate package-activate">Активировать пакет</a>
		</div>
	</div>
	
	<div class="packege_content mega" package-price="50000" package-name="Mega" package-type="8" style="display:none">
		<h3>Package Mega</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">50000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 2 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 10%</li>
			<li class="marker_return">Возврат до 30% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 100 бесплатных рекламных объявлений</li>
			<!--<li class="marker_present">Подарок: 400 литров топлива в месяц ( всего 4800 литров, действует по 1-е марта 2016 года и только для пользователей из Украины )</li>-->
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Топ лидер» - открывается 1% призового бонуса со второго уровня приглашенных, 0,5% призового бонуса с третьего уровня приглашенных, 0,4% призового бонуса с четвертого уровня приглашенных и 0,3% призового бонуса с пятого уровня приглашенных при наличии десяти тысяч подписчиков в структуре.</li>
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">50 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate package-activate">Активировать пакет</a>
		</div>
	</div>
	
	<div class="packege_content ultra" package-price="100000" package-name="Ultra" package-type="9" style="display:none">
		<h3>Package Ultra</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">100000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 1,75 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 10%</li>
			<li class="marker_return">Возврат до 30% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 100 бесплатных рекламных объявлений</li>
			<!--<li class="marker_present">Подарок: 500 литров топлива в месяц ( всего 6000 литров, действует по 1-е марта 2016 года и только для пользователей из Украины )</li>-->
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			<li class="marker_footnote">Возможность получения статуса «Региональный лидер» - открывается 1% призового бонуса со второго уровня приглашенных, 0,5% призового бонуса с третьего уровня приглашенных, 0,4% призового бонуса с четвертого уровня приглашенных, 0,3% призового бонуса с пятого уровня приглашенных и 0,2% призового бонуса с шестого уровня приглашенных при наличии ста тысяч подписчиков в структуре.</li>
		</ul>		
		<div>
			<span class="price">
				<span class="price_amount">100 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate package-activate">Активировать пакет</a>
		</div>
	</div>
	
	<div class="packege_content vip" package-price="200000" package-name="Vip" package-type="10" style="display:none">
		<h3>Package Vip</h3>
		<ul class="list-unstyled list-with-individual-markers">
			<li class="marker_bonus">200000 бонусных единиц в потенциал пользователя</li>
			<li class="marker_potential">Призовое увеличение потенциала пользователя в 1,5 раза ( действует по 1-е ноября 2016 года )</li>
			<li class="marker_sale">Дополнительная скидка от партнеров сети до 10%</li>
			<li class="marker_return">Возврат до 30% бонусов от суммы покупки у сертифицированных партнеров сети</li>
			<li class="marker_open">Возможное открытие бизнес акаунта + 100 бесплатных рекламных объявлений</li>
			<!--<li class="marker_present">Подарок: 1000 литров топлива в месяц ( всего 12000 литров, действует по 1-е марта 2016 года и только для пользователей из Украины )</li>-->
			<li class="marker_promotion">Дополнительные льготные предложения</li>
			
			<li class="marker_footnote">Возможность получения статуса «Лидер международного уровня» - открывается 1% призового бонуса со второго уровня приглашенных, 0,5% призового бонуса с третьего уровня приглашенных, 0,4% призового бонуса с четвертого уровня приглашенных, 0,3% призового бонуса с пятого уровня приглашенных, 0,2 % призового бонуса с шестого уровня приглашенных и 0,1% призового бонуса со всех уровней приглашенных выше шестого при наличии одного миллиона подписчиков в структуре.</li>
			
		</ul>
		<div>
			<span class="price">
				<span class="price_amount">200 000</span>
				<span class="price_currency">$</span>
			</span>
			<a href="#" class="button package-activate package-activate">Активировать пакет</a>
		</div>
	</div>
	
	<div style="margin:10px 0 0 0;">Возникла проблема при оплате пакета? <a class="payment-solution" style="cursor: pointer;">Перейти к решению</a>.</div>
	
<form action="https://perfectmoney.is/api/step1.asp" method="POST" id="pay-perfectmoney" style="display: none;">
	<input type="hidden" name="PAYEE_ACCOUNT" value="">
	<input type="hidden" name="PAYEE_NAME" value="">
	<input type="hidden" name="PAYMENT_ID" value=""><BR>
	<input type="hidden" name="PAYMENT_AMOUNT" value="200"><BR>
	<input type="hidden" name="PAYMENT_UNITS" value="USD">
	<input type="hidden" name="STATUS_URL" value="mailto:asm051290@gmail.com">
	<input type="hidden" name="PAYMENT_URL" value="https://<?=$_SERVER["SERVER_NAME"];?>/page/packages/payment/success">
	<input type="hidden" name="PAYMENT_URL_METHOD" value="POST">
	<input type="hidden" name="NOPAYMENT_URL" value="https://<?=$_SERVER["SERVER_NAME"];?>/page/packages/payment/fail">
	<input type="hidden" name="NOPAYMENT_URL_METHOD" value="POST">
	<input type="hidden" name="SUGGESTED_MEMO" value="">
	<input type="hidden" name="BAGGAGE_FIELDS" value="">
	<input type="submit" name="PAYMENT_METHOD" value="Pay">
</form>


<form id="pay-crtmoney" name="payment" method="post" action="https://crt.money/payment" enctype="utf-8" style="display: none;">
   <input type="hidden" name="cm_merchant" value="d645920e395fedad7bbbed0eca3fe2e0" />
   <input type="hidden" name="cm_id" value="" />
   <input type="hidden" name="cm_am" value="0.00" />
   <input type="hidden" name="cm_curr" value="CRT" />
   <input type="hidden" name="cm_desc" value=" " />
   <input type="submit" value="Pay">
</form>

	<script>
		
		var $fio = "<?=$my["full_name"];?>";
		var $package_name = "Minimal";
		var $package_type = 1;
		var $package_price = 200;
		
		var $message = "<?=$message;?>";
		
		function message_info($text) {
			BootstrapDialog.show({
			title: 'Информационное сообщение',
			message: $text,
			animate: true,
			buttons: [
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
		}
		
		$('body').on('click', '.tab', function () {
			var page = $(this).attr('rel');
			$('.tab').removeClass('active');
			$(this).addClass('active');

			$('.packege_content').hide();
			
			$package_name = $('.'+page).attr("package-name");
			$package_type = $('.'+page).attr("package-type");
			$package_price = parseInt($('.'+page).attr("package-price"));
			
			$("#pay-perfectmoney input[name='PAYMENT_AMOUNT']").val($package_price);
			$("#pay-perfectmoney input[name='SUGGESTED_MEMO']").val("Активация подписки " + $package_name + " пользователем " + $fio);
			
			$('.'+page).show();
		});
		
		
		$('body').on('click', '.payment-solution', function () {
			
			BootstrapDialog.show({
			message: '' +
			'<div class="want_book_modal">' +
				'<div class="modal_header">' +
					'<div class="tab">Решение вопросов оплаты</div>' +
					'<button aria-hidden="true" data-dismiss="modal" class="close">×</button>' +
				'</div>' +
				'<div class="modal_wrap">' +
					'<div class="want_book_in">' +
						'<p>Если Вы произвели оплату и подписка автоматически не была активирована - укажите детальную информацию Вашего платежа для решения данного вопроса. Для ускорения активации укажите данные максимально точно.</p>' +
						'<form name="" action="" method="" class="want_book_form">' +
							'<div class="form-group">' +
								'<label for="order_name">Укажите Ваш способ оплаты*</label>' +
								'<select class="form-control" id="payment_name" placeholder="" required><option value="111">Платежная система Perfect Money</option></select>' +
							'</div>' +
							'<div class="form-group">' +
								'<label for="order_email">Batch код (номер перевода)*</label>' +
								'<input type="text" class="form-control" id="payment_data1" placeholder="Номер перевода" required></div>' +
								
							'<div class="form-group">' +
								'<label for="order_email">Кошелек отправителя*</label>' +
								'<input type="text" class="form-control" id="payment_data2" placeholder="Кошелек с которого был перевод" required></div>' +
								
							'<div class="form-group">' +
								'<label for="order_email">Кошелек получателя*</label>' +
								'<input type="text" class="form-control" id="payment_data3" placeholder="Кошелек на которого был перевод" required></div>' +
								
							'<div class="form-group">' +
								'<label for="order_tel">Сумма перевода*</label>' +
								'<input type="email" class="form-control" id="payment_amount" placeholder="Сумма перевода" required>' +
							'</div>' +
							
						'</form>' +
					'</div>' +
				'</div>' +
			'</div>',
			animate: true,
			cssClass: 'no-title',
			buttons: [
				{
					label: 'Отправить',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var err = '';

						var payment_name = $('#payment_name').val();
						var payment_data1 = $('#payment_data1').val();
						var payment_data2 = $('#payment_data2').val();
						var payment_data3 = $('#payment_data3').val();
						var payment_amount = $('#payment_amount').val();

						if(payment_name <= 0){
							err += '<li>Необходимо указать Способ оплаты.</li>';
						}
						if(payment_data1 == ''){
							err += '<li>Необходимо указать Batch код (номер перевода).</li>';
						}
						if(payment_data2 == ''){
							err += '<li>Необходимо указать Кошелек отправителя.</li>';
						}
						if(payment_data3 == ''){
							err += '<li>Необходимо указать Кошелек получателя.</li>';
						}
						if(!$.isNumeric(payment_amount) || payment_amount <= 0 ){
							err += '<li>Необходимо указать Сумму перевода.</li>';
						}

						if (err == '') {
							$.ajax({
								url: '/user/setpaymentsolution',
								type: 'POST',
								dataType: 'json',
								data: {
									payment_name: payment_name,
									payment_data1: payment_data1,
									payment_data2: payment_data2,
									payment_data3: payment_data3,
									payment_amount: payment_amount
								},
								success: function (results) {
									if (results.status == 200) {
										dialogRef.close();
										message_info(results.message);
									} else {
										message_info(results.message);
									}
								}
							});
						} else {
							message_info(err);
							return false;
						}
					}
				},
				{
					label: 'Отмена',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
			
		});
		
		
		$('body').on('click', '.package-activate', function () {			
			
			BootstrapDialog.show({
			title: 'Активация подписки',
//			message: 'Перейти к оплате '+$package_price+' USD для активации подписки <strong>'+$package_name+'</strong> ?',
			message:
				'<form id="pay_form">' +
				'<p>Выберите способ активации пакета подписки:</p>' +
					'<input type="radio" name="pay_method" value="3" id="crtmoney" style="cursor: pointer;">' +
			' <label for="crtmoney" style="cursor: pointer;"> Платежная система CRT Money</label><br>' +
					'<input type="radio" name="pay_method" value="1" id="perfect_money" checked>' +
					' <label for="perfect_money"> Платежная система Perfect Money</label><br>' +
					' <input type="radio" name="pay_method" value="2" id="voucher">' +
					' <label for="voucher"> Использовать Voucher</label>' +
				'</form>',
			animate: false,
			buttons: [
				{
					label: 'Перейти к оплате',
					cssClass: 'btn-success',
					action: function (dialogRef) {
						var pay_method = $('#pay_form input[name="pay_method"]:checked').val();
						if(pay_method == 1){
							
							dialogRef.close();
							
							$.ajax({
								url: '/user/setpackegestart',
								type: 'POST',
								dataType: 'json',
								data: {
									type: $package_type,
									price: $package_price
								},
								success: function (results) {
									if (results.status == 200) {
										$("input[name='PAYMENT_AMOUNT']").val(results.price);
										$("input[name='PAYMENT_ID']").val(results.code);
										$("input[name='PAYEE_ACCOUNT']").val(results.wallet);
										$("input[name='PAYEE_NAME']").val(results.recipient);

										$("#pay-perfectmoney").submit();

									} else {
										message_info(results.message);
									}
								}
							});
						} else {
							if (pay_method == 2) {
								BootstrapDialog.show({
									message: '<div class="download_invitation_modal"><div class="download_invitation_modal_header"><div class="tab">Активация пакета</div><button aria-hidden="true" data-dismiss="modal" class="close">×</button></div><div class="download_invitation_modal_wrap"><div class="download_invitation_modal_wrap_in"><p>Впишите код ваучера:</p><form name="" action="" method=""><input type="text" placeholder="Введите код" class="voucher_code_activate"></form></div></div></div>',
									animate: true,
									cssClass: 'no-title',
									buttons: [
										{
											label: 'Активировать пакет',
											cssClass: 'btn-success',
											action: function (dialogRef) {

												$voucher_code = $(".voucher_code_activate").val();
												dialogRef.close();
												
												$.ajax({
													url: '/voucher/setvouchercode',
													type: 'POST',
													dataType: 'json',
													data: {
														voucher: $voucher_code
													},
													success: function (results) {
														if (results.status == 200) {
															message_info(results.message);
														} else {
															message_info(results.message);
														}
													}
												});
											}
										},
										{
											label: 'Закрыть',
											action: function (dialogItself) {
												dialogItself.close();
											}
										}]

								});
							}
						}
						
						if(pay_method == 3){
							
							//message_info("Возможность вскоре будет доступна.");
							//return;
							
							dialogRef.close();
							
							$.ajax({
								url: '/payment/setpackegecrtstart',
								type: 'POST',
								dataType: 'json',
								data: {
									type: $package_type,
									price: $package_price
								},
								success: function (results) {
									if (results.status == 200) {
										$("#pay-crtmoney input[name='cm_merchant']").val(results.wallet);
										$("#pay-crtmoney input[name='cm_id']").val(results.code);
										$("#pay-crtmoney input[name='cm_am']").val(results.price);
										$("#pay-crtmoney input[name='cm_desc']").val(results.memo);

										$("#pay-crtmoney").submit();

									} else {
										message_info(results.message);
									}
								}
							});
							
						}
						
						dialogRef.close();
					}
				},
				{
					label: 'Закрыть',
					action: function (dialogItself) {
						dialogItself.close();
					}
				}]
		});
			
		});
		
		
	</script>
</div>
<script type="application/javascript">
	$(document).ready(function () {
		$mypackage = parseInt("<?=$my["package"];?>") + 1;
		$(".tab[package-type='"+$mypackage+"']").click();
		
		//Показать сообщения
		if($message != "") {
			message_info($message);
		}
		
	});
</script>