<?php
/* @var $owner */

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl.'/js/emoji.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/bootstrap-dialog.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/font-awesome.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/css/main.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/select2.min.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/filter.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/jquery.Jcrop.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/p_projects_ex.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/modal.css');

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl.'/css/wallet.css'); //Кошельки

$connection = Yii::app()->db;

$uid = (isset($_GET['uid']) ? intval($_GET['uid']) : Yii::app()->user->id);

$owner = $connection->createCommand("SELECT u.uid, marital_status, CONCAT(u.name, ' ', u.fio) AS 'full_name', u.tel, u.sex, u.skype, u.city, u.interests, u.activities, u.about, u.photo, u.alias, u.status, u.online, (f.id IS NOT NULL) AS subscribed, u.package FROM {{usersinfo}} u LEFT JOIN {{friends}} f ON f.uid = :my_uid AND f.fuid = u.uid WHERE u.uid = :uid")
	->bindParam(":uid", $uid)
	->bindParam(":my_uid", Yii::app()->user->id)
	->queryRow();

$my = $connection->createCommand("SELECT u.uid, CONCAT(u.name, ' ', u.fio) as 'fio', u.photo, u.alias FROM {{usersinfo}} u WHERE u.uid = :uid")->bindParam(":uid", Yii::app()->user->id)->queryRow();

$categories = $connection->createCommand("SELECT * FROM {{categories}} WHERE parent = 0")->queryAll();
$post = intval($_GET['note']);
$page = 1;
?>

<?php if(!empty($post)){ ?>
	<div class="boxed_post_popup" style="display: none;"></div>
<?php } ?>

<?php $this->widget('SideBarWidget', array(
	'my' => $owner
)); ?>

<div class="col-sm-8 project_goods">
	<div class="row">
		<div class="col-sm-12 ">
			<section class="p_projects_add" style="display: none;">
				<div class="p_projects_add_tabs">
					<a href="/<?=$owner['alias']?>">
						<div class="tab active">Стена</div>
					</a>
					<a href="/market/user/<?=$owner['uid']?>">
						<div class="tab">Товар <?=$iusers_package;?></div>
					</a>
				</div>
			</section>
		</div>
	</div>
	
	<?php if(!Yii::app()->user->isGuest && Yii::app()->user->id > 0){ ?>
	<section class="create_post">
		<div class="filter_tabs">
			<ul class="list-unstyled list-inline">
				<li class="filters active" rel="news" data-type="1">
					<span>Новость</span>
				</li>
				<li class="filters" rel="want" data-type="2">
					<span>Хочу</span>
				</li>
				<li class="filters" rel="propose" data-type="3">
					<span>Предлагаю</span>
				</li>
				<li class="filters" rel="search" data-type="4">
				</li>
			</ul>
		</div>
		<div class="create_post_in">
			<form id="post-form" name="" action="#" method="post">
				<a href="#" class="col-sm-1 col-xs-3 create_post_avatar"><img src="//<?=$owner['photo']?>_sm.jpg" alt="<?=$owner['fio']?>" onerror="this.src='/images/no_avatar.jpg';"></a>
				<div class="col-sm-11 col-xs-9">
					<textarea class="add-wall-post-text" placeholder="О чём вы думаете?"></textarea>
				</div>
				<div class="col-sm-12 col-xs-12">
					<a class="comment_btn add-wall-post-btn" href="#" data-fuid="<?=$owner['uid']?>">Отправить</a>

					<a href="#" class="photo" onclick="$('#attachPhoto').click();"> </a>
					<input class="file" type="file" size="28"
					       onchange="attachImage($(this).get(0).files[0], '');"
					       name="attachPhoto" id="attachPhoto"
					       style="visibility: hidden; position: absolute;">
					<input type="hidden" id="attaches_" value="%7B%22items%22%3A%5B%5D%7D">
					<a href="#" class="video" data-post-id="0" id="media_vid_0" data-value="%7B%22items%22%3A%5B%5D%7D"></a>
					<div class="post-category-wrapper" style="display: none;"><select class="post-category"></select></div>
				</div>
			</form>
		</div>
	</section>
	<?php } ?>
	
	<div class="wall-posts"></div>
</div>

<script type="application/javascript">

	var processing = false;
	var isAttaching = false;
	var page = <?= $page; ?>;
	
	function getmypackage() {
		
		
		
	}
	
	$(document).ready(function () {
		
		
		//Ошибка с возвратом на страницу
		<?if(!empty($_GET["errormsg"])){?>
		$error_msg = "<?=mysql_escape_string(htmlspecialchars(strip_tags($_GET["errormsg"])));?>";
		$data = "<?=mysql_escape_string(htmlspecialchars(strip_tags($_GET["data"])));?>";
		
		if($error_msg == "accessdenied") {
			$error_msg_text = 'Страница "'+$data+'" доступна только по подписке.';
		}
		
		if($error_msg == "alert") {
			$error_msg_text = $data;
		}

		if($error_msg == "comingsoon") {
			$error_msg_text = 'Страница вскоре будет доступна.';
		}
		
		message_info($error_msg_text);
		
		<?}?>		

		$('body').on('click', '.subscribe', function () {
			event.preventDefault();

			var obj = this;
			$.ajax({
				url: '/ajax/subscribe',
				type: 'POST',
				dataType: 'json',
				data: {
					uid: $(obj).data("id")
				},
				success: function (results) {
					if (results.status == 200) {
						$(obj).html('Отписаться').toggleClass('subscribe unsubscribe');
					}
					getSubscribers(<?=$owner['uid']?>);
				}
			});
		});

		$('body').on('click', '.unsubscribe', function () {
			event.preventDefault();

			var obj = this;
			$.ajax({
				url: '/ajax/unsubscribe',
				type: 'POST',
				dataType: 'json',
				data: {
					uid: $(obj).data("id")
				},
				success: function (results) {
					if (results.status == 200) {
						$(obj).html('Подписка').toggleClass('unsubscribe subscribe');
					}
					getSubscribers(<?=$owner['uid']?>);
				}
			});
		});

		$('body').on('click', '.modal_tabs .m_tab[rel=shares-content]', function (e) {
			event.preventDefault();

			var modal = $(this).closest('.modal_wrap');
			var shares_tab = modal.find('.shares-content');
			var post_id = modal.attr('data-post-id');

			if($(shares_tab).attr('data-modal-loaded') == '0'){
				$.ajax({
					url: '/ajax/postgetreposts',
					type: 'POST',
					dataType: 'json',
					data: {
						post_id: post_id
					},
					success: function (results) {
						if (results.status == 200) {
							$(shares_tab).attr('data-modal-loaded', '1');
							var text = results.count == 1 ? '<span>1</span> поделился' : '<span>'+results.count+'</span> поделились';
							var html = '';
							if(results.reposts){
								for(var i = 0; i < results.reposts.length; i++){
									html += '<div><a href="/'+results.reposts[i].alias+'"><img src="//'+results.reposts[i].photo+'_sm.jpg" alt="'+results.reposts[i].name+'"></a><a href="/'+results.reposts[i].alias+'"><span style="font-size: 9.5px;">'+results.reposts[i].name+'</span></a></div>';
								}
								shares_tab.empty().append(html);
							}
							modal.find("[rel=shares-content]").empty().append(text);
						}
					}
				});
			}
		});

		$('body').on('click', '.post-liked-close', function (e) {
			event.preventDefault();
			$(this).closest('.modal_wrap').hide();
		});


		$('body').on('click', '.modal_wrap', function (e) {
			event.preventDefault();
			if( e.target != this )
				return;
			$(this).toggle();
		});

		$('body').on('click', '.emotion_smile', function () {
			event.preventDefault();
			var id = $(this).data('id');
			$(this).closest('.comment_form').find('.message-content').append('(s:'+id+')').emotions();
		});

		$('body').on('click', '.profile-status-text', function () {
			event.preventDefault();
			$('.status_editor').show().find('.text').focus();
			$('#currinfo_input').select();
		});

		$('body').on('focusout', '.status_editor', function (e) {
			if($('.status_editor').has(e.target).length == 0){
				$('.status_editor').toggle();
			}
		});

		$('body').on('click', '#currinfo_save', function () {
			event.preventDefault();
			var status = $('.status_editor .text').val();

			$.ajax({
				url: '/ajax/pagesetstatus',
				type: 'POST',
				dataType: 'json',
				data: {
					status: status
				},
				success: function (results) {
					if (results.status == 200) {
						if(status == ''){
							$('.profile-status-text').html('изменить статус');
						}else{
							$('.profile-status-text').html(status);
						}
						$('.status_editor').hide();
					}
				}
			});
		});

		$('body').on('click', '.thumb_xvid_button', function () {
			event.preventDefault();
			var key = $(this).data('key');
			var post_id = $(this).data('postid');
			var media = jQuery.parseJSON( decodeURIComponent($('#media_vid_'+post_id).attr('data-value')) );
			media.items = media.items.filter(function (vid) {
				return vid !== key;
			});
			$('#media_vid_'+post_id).attr('data-value', encodeURIComponent(JSON.stringify(media)));
			$(this).parent().remove();
		});

		$('body').on('click', '.meta__comments a', function () {
			event.preventDefault();
			var post_id = $(this).data('post-id');

			var post_block = $(this).closest('.boxed');

			$('body').animate({
				scrollTop: $(post_block).find(".comment_form").show().find('textarea').offset().top-300
			}, 500);
			setTimeout(function() {
				$(post_block).find(".comment_form").show().find('textarea').focus();
			}, 500);

			$(post_block).find(".comment").hide();
		});

		$('body').on('click', '.post-delete', function(){
			event.preventDefault();

			var elem = $(this);
			var id = $(this).data("id");

			BootstrapDialog.show({
				title: 'Сообщение',
				message: 'Удалить данную запись?',
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							$.ajax({
								url: '/post/delete',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id
								},
								success: function (results) {
									if (results.status == 200) {
										elem.closest('.push-down-30').remove();
									}else{
										BootstrapDialog.show({
											title: 'Ошибка',
											message: results.message,
											animate: false,
											type: BootstrapDialog.TYPE_DANGER,
											closable: true,
											draggable: false,
											buttonLabel: 'Закрыть',
											callback: function(result) {

											}
										});
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});

			return false;
		});

		$('body').on('click', '.comment-delete', function(){
			event.preventDefault();

			var elem = $(this);
			var id = $(this).attr("data-id");
			var uid = $(this).attr("data-uid");
			var message = '<p>Удалить комментарий?</p>';

			if(<?=$owner['uid']?> == <?=Yii::app()->user->id?> && <?=$owner['uid']?> != uid){
				message +=
						'<div class="search_search_form search_page" style="padding: 0;">' +
						'<input type="radio" class="radio_input" name="user_ban" id="user_ban" value="1">' +
						'<label for="user_ban" style="cursor: pointer;">&nbsp;Заблокировать пользователя</label><br>' +
						'<input type="radio" class="radio_input" name="user_ban" id="delete_comments" value="2">' +
						'<label for="delete_comments" style="cursor: pointer;">&nbsp;Удалить комментарии за последнюю неделю</label>' +
						'</div>';
			}

			BootstrapDialog.show({
				title: 'Сообщение',
				message: message,
				animate: false,
				buttons: [
					{
						label: 'Подтвердить',
						cssClass: 'btn-success',
						action: function (dialogItself) {
							var user_ban = dialogItself.getModalBody().find('input[type="radio"]:checked').val();
							user_ban = user_ban != undefined ? user_ban : 0;
							$.ajax({
								url: '/ajax/commentdelete',
								type: 'POST',
								dataType: 'json',
								data: {
									id: id,
									user_ban: user_ban
								},
								success: function (results) {
									if (results.status == 200) {
										$('.comment-posted-'+id).remove();
									}else{
										BootstrapDialog.show({
											title: 'Ошибка',
											message: results.message,
											animate: false,
											type: BootstrapDialog.TYPE_DANGER,
											closable: true,
											draggable: false,
											buttonLabel: 'Закрыть',
											callback: function(result) {

											}
										});
									}
								}
							});
							dialogItself.close();
						}
					},
					{
						label: 'Отмена',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});

			return false;
		});

		$('body').on('click', '.thumb_x_button', function () {
			event.preventDefault();
			var key = $(this).data('key');
			var post_id = $(this).data('postid');
			var media = jQuery.parseJSON( decodeURIComponent($('#attaches_'+post_id).val()) );

			media.items = media.items.filter(function (item) {
				return item !== key;
			});
			$('#attaches_'+post_id).val(encodeURIComponent(JSON.stringify(media)));
			$(this).parent().remove();
			isAttaching = media.items.length > 0;
		});

		$('body').on('click', '.add-post-back-text', function () {
			$(this).hide();
			$('.wall-add-post-form').show();
			$('.add-wall-post-text').focus();
		});

		$('body').on('focusout', '.wall-posts .comment_form_text', function (e) {
			setTimeout(function() {
				if($(e.currentTarget).find('textarea').val() != '') return;
				$(e.currentTarget).closest('.comment_form').toggle();
				$(e.currentTarget).closest('.post_footer').find('.comment').toggle();
			}, 200);
		});

		<?php if(Yii::app()->user->id > 0){ ?>
		$('body').on('mouseenter', '.post-like[data-like-load=0]', function () {
			showLikePopUp(this);
		});

		$('body').on('mouseenter', '.read-more__repost[data-repost-load=0]', function () {
			showRepostPopUp(this);
		});
		<?}?>

		$(document).mouseup(function (e) {
			var closediv = $(".wall-add-post");
			if ($('.add-wall-post-text').val() == '' && closediv.has(e.target).length == 0 && !isAttaching) {
				$('.wall-add-post-form').hide();
				$('.add-post-back-text').show();
			}
		});

		$(document).scroll(_.debounce(function () {
			getNext(page);
			loadComments(<?=Yii::app()->user->id?>);
		}, 300));

		getNext(1, true);
		getSubscribers(<?=$owner['uid']?>);
		getGroups(<?=$owner['uid']?>);
		
		<?php if(!empty($post)){ ?>
			postModalShow(<?=$post?>, <?=Yii::app()->user->id?>);
		<?php } ?>
		getPostCategories();
	});

	function attachImage(file, post_id) {
		isAttaching = true;
		var text = decodeURIComponent($('#attaches_'+post_id).val());
		var media = jQuery.parseJSON( text );

		if(media.items.length + 1 > 1){
			BootstrapDialog.show({
				title: 'Сообщение',
				message: 'Вы не можете загрузить более 1 вложения в одном сообщении.',
				animate: false,
				type: BootstrapDialog.TYPE_WARNING,
				closable: true,
				draggable: false,
				buttons: [
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
			$("#attachPhoto").replaceWith($("#attachPhoto").clone());
			return false;
		}

		if (file.type.match(/image.*/)) {

			var formData = new FormData();
			formData.append('attach_photo', file);
			formData.append('act', 'photo');

			$.ajax({
				url: '/ajax/postuploadphoto',
				type: 'POST',
				cache: false,
				contentType: false,
				processData: false,
				dataType: 'json',
				data: formData,

				success: function (results) {
					if (results.status == 200) {
						media.items.push( results.photo );
						var stringData = encodeURIComponent(JSON.stringify(media));
						$('#attaches_'+post_id).val(stringData);
						var txt = '<div class="thumb_wrap"><img class="im_preview_photo" src="//'+results.photo+'_sm.jpg"><a href="#" class="thumb_x_button" data-key="'+results.photo+'" data-postid="">×</a></div>';
						$('#post-form').append(txt);
					}else{
						BootstrapDialog.show({
							title: 'Сообщение',
							message: results.message,
							animate: false,
							type: BootstrapDialog.TYPE_WARNING,
							closable: true,
							draggable: false,
							buttons: [
								{
									label: 'Закрыть',
									action: function (dialogItself) {
										dialogItself.close();
									}
								}]
						});
					}
				}
			});
		} else {
			BootstrapDialog.show({
				title: 'Ошибка',
				message: 'Выбранный формат изображения не поддерживается',
				animate: false,
				type: BootstrapDialog.TYPE_DANGER,
				closable: true,
				draggable: false,
				buttons: [
					{
						label: 'Закрыть',
						action: function (dialogItself) {
							dialogItself.close();
						}
					}]
			});
		}
	}

	function getNext(p, forseLoad){
		if (processing) return false;

		if (($(window).scrollTop() >= $(document).height() - $(window).height() - 700) || forseLoad) {
			processing = true;

			$.ajax({
				url: '/post/postgetnext',
				type: 'POST',
				dataType: 'json',
				data: {
					page: p,
					uid: <?= $uid; ?>
				},
				success: function (results) {
					if (results.status == 200) {
						processing = results.posts.length == 0;
						for (var i = 0; i < results.posts.length; i++) {
							var html =	'<div class="boxed push-down-30" data-load='+(results.posts[i].comment == 0 ? 1 : 0)+' data-post-id="'+results.posts[i].id+'"><section class="post repost">';
							html += generatePost(results.posts[i]);
							html += '</section></div>';
							$('.wall-posts').append(html);
							$("div[data-post-id='"+results.posts[i].id+"']").find('.post_content .message-content').linkify().readmore({
								speed: 75,
								collapsedHeight:180,
								moreLink: '<a class="data-readmore-toggle">Читать далее..</a>',
								lessLink: '<a class="data-readmore-toggle">Скрыть</a>',
								embedCSS: false
							});
							var clipboard = new Clipboard('#ya_share2_item_id_'+results.posts[i].id);
							clipboard.on('success', function() {
								message('Ссылка на запись скопирована в буфер обмена.');
							});
						}
						loadComments(<?=Yii::app()->user->id?>);
					} else {
						processing = true;
					}
				}
			});
			page = p + 1;
		}
	}

	function generatePost(post, isModal) {
		var post_type = '';
		if(post.type == 2){
			post_type = 'Хочу';
		}else{
			if(post.type == 3){
				post_type = 'Предлагаю';
			}
		}

		var html = '';
		html +=
	'<div class="post_header">';

		if(post.repost != 0){
			html += '<a href="/<?=$owner['alias']?>" class="post_header_avatar"><img src="//<?=$owner['photo']?>_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="<?=$owner['full_name']?>"></a><h3><a href="/<?=$owner['alias']?>"><?=html_entity_decode($owner['full_name'])?></a> | <a href="/'+post.alias+'">'+he.decode(post.fio)+'</a></h3>';
		}else{
			html +=	'<a href="/'+post.alias+'" class="post_header_avatar"><img src="//'+post.photo+'_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="'+post.fio+'"></a><h3><a href="/'+post.alias+'">'+he.decode(post.fio)+'</a></h3>';
		}

		html +=
		'<div class="time"><span>'+full_date(post.date)+'</span>· <img src="/images/globe.png" alt="globe"><span> '+post.category_name+'</span></div>' +

		// post type
		'<a href="#" class="post_tag">'+post_type+'</a>';

		//contrlos
		if(isModal != true){
			html +=
				'<div class="post_controls">' +
				'<span class="post_controls_btn"><img src="/images/toggle_down.png" alt="smile"></span>' +
				'<div class="post_dropdown_menu" id="post_controls_'+post.id+'">' +
				'<ul class="list-unstyled">';

			if((post.uid == <?=Yii::app()->user->id?> && post.repost == 0) || (post.puid == <?=Yii::app()->user->id?>)){
				html +=
					'<li class="hide_post post_delete" data-id="'+post.id+'">' +
					'<p>Удалить публикацию</p>' +
					'<span></span>' +
					'</li>';
			}
            if(((<?=time()?> - post.date) < 86400) && post.repost == 0 && post.puid == <?=Yii::app()->user->id?> && post.uid == <?=Yii::app()->user->id?>){
                html +=
                    '<li class="hide_post post_edit" data-id="'+post.id+'" style="background: none;">' +
                    '<p>Редактировать</p>' +
                    '<span></span>' +
                    '</li>';
            }

			if(post.uid != <?=Yii::app()->user->id?> && post.puid != <?=Yii::app()->user->id?>){
				html +=
					'<li class="hide_post post_dislike" data-id="'+post.id+'">' +
					'<p>Пожаловаться</p>' +
					'<span></span>' +
					'</li>';

			}
			html +=
				'</ul>' +
				'</div>' +
				'</div>';

		}
		//end controls
		html +=

		'</div>' +
		'<div class="post_content">' +
        '<div class="message-content" contenteditable="false">'+$.emotions(f_replace(he.decode(hashTag(post.text))))+'</div>' +
        '<div class="message-content-footer" style="display: none;"><a href="#" class="post-edit red-button" data-id="'+post.id+'">Сохранить</a><a href="#" class="post-edit-cancel">Отмена</a></div>';
		if (post.media_vid != '') {
			var media_vid = (post.media_vid).split('&');
			$.each(media_vid, function( index, value ) {
				html+= '<div class="media-cover" data-id="'+value+'" style="position: relative; left: 0; top: 0;"><img src="//img.youtube.com/vi/'+value+'/sddefault.jpg" style="position: relative;"/><img src="/images/youtube-play.png" style="position: absolute;"/></div>';
			});
		}

		if (post.media_img != '') {
			var media_img = (post.media_img).split('&');
			$.each(media_img, function( index, value ) {
				html += '<a class="post_content_image"><img src="//'+value+'_md.jpg" alt="http://'+value+'_md.jpg"></a>';
			});
		}

		html +=
		'</div>' +

		'<div class="post_footer">' +
		'<ul class="list-unstyled list-inline">' +
		'<li>' +
		'<a href="#" class="post-like" data-load="1" data-id="'+post.id+'">Нравится</a>' +
		'</li>' +
		'<li>' +
		'<a href="#" class="make-comment">Комментировать</a>' +
		'</li>' +
		'<li>' +
		'<a href="#" class="re-post" data-reposted="0" data-id="' + post.id + '">Поделиться</a>' +
		'</li>' +
		'</ul>' +
		'</div>' +

		'<div class="post_likes">' +
		'<p><span class="post_likes_amount" data-like-load="0" data-post-id="'+post.id+'">'+post.like_count+'</span> это нравится</p>';

        // лайки
        html += '<div class="post_likes_popover" style="display: none;">';
        html += '<a href="#" class="post-like-title">Нравится <span>'+post.like_count+'</span> '+strToNum(post.like_count, ['человеку', 'людям', 'людям'])+'</a>';
        html += '<div class="post-like-body"></div></div>';

		html += '<p><span id="comments-counter-'+post.id+'">0</span>  комментариев</p>' +
			'<p><span>'+post.repost_count+'</span> репостов</p><span id="ya_share_'+post.id+'">'+f_share(window.location.hostname+'/'+post.alias+'/note/'+post.id, f_replace(he.decode(he.decode(hashTag(post.fio))), true), f_replace(he.decode(he.decode(hashTag(post.text))), true), post.media_img, post.id)+'</span>' +
		'</div>';		
		
		html += '<div class="comment_block comment-posted-block-'+post.id+'" style="display:none;">' +
		'</div>' +

		'<div class="comment_form">' +
			'<form name="comment_form" action="" method="">' +
				'<a href="/<?=$owner['alias']?>" class="comment_form_avatar"><img src="//<?=$my['photo']?>_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="<?=$my['full_name']?>"></a>' +
				'<div class="message-content text" id="reply_field_'+post.id+'" contenteditable="true"></div>' +
				'<div class="smiles">' +
					'<span class=""></span>' +
				'</div>' +
				'<div class="">' +
					'<a href="#" class="comment_form_btn wall-send-replay" data-id="'+post.id+'" data-uid="<?=Yii::app()->user->id?>">Отправить</a>' +
				'</div>' +
			'</form>' +
		'</div>';


		return html;
	}

	function generateComment(comment, uid) {
		var html = '';
		html +=
				'<div class="comment comment-posted-'+comment.id+'">' +
				'<a href="/' + comment.alias + '" class="comment_avatar">' +
				'<img src="http://' + comment.photo + '_sm.jpg" onError="this.src=\'/images/no_avatar.jpg\';" alt="' + comment.fio + '">' +
				'</a>';

		if (comment.uid == uid || <?=$owner['uid']?> == <?=Yii::app()->user->id?>) {
			html +=
					'<a href="#" class="comment_close comment-delete" data-id="'+comment.id+'" data-uid="'+comment.uid+'">×</a>';
		}
		if(comment.uid != uid){
			html += '<a href="#" class="comment-answer answer" data-name="' + comment.fio + '" data-post-id="' + comment.pid + '" data-answer="' + comment.id + '">Ответить</a>';
		}
		html +=
				'<a href="/' + comment.alias + '">' + comment.fio + '</a>' +
				'<span class="data">' + full_date(comment.date) + '</span>' +
				'<p>' + $.emotions(he.decode(f_replace(comment.text))) + '</p>' +
				'</div>';
		return html;
	}

</script>