<?php
/* @var $this SiteController */
/* @var $model LoginForm */
/* @var $form CActiveForm */

$this->pageTitle = Yii::app()->name . ' - Login';
$this->breadcrumbs = array(
	'Login',
);

?>

<div class="content">
	<div class="row-fluid reg storage-page">
		<h2 class="title">Money Storage</h2>
		<img src="/images/bg_3.png" alt="" class="bg_3" width="240">

		<div class="reload-result page-content">

			<?php $form=$this->beginWidget('CActiveForm', array(
				'id'=>'login-form',
				'enableClientValidation'=>true,
				'clientOptions'=>array(
					'validateOnSubmit'=>true,
				),
			)); ?>

			<?php echo $form->error($model,'status'); ?>

			<?php echo $form->textField($model,'username', array('placeholder'=>'Логин')); ?>
			<?php echo $form->error($model,'username'); ?>


			<?php echo $form->passwordField($model,'password', array('placeholder'=>'Пароль')); ?>
			<?php echo $form->error($model,'password'); ?>

			<div class="btn" href="#">
				<div class="btn_bg">
					<a class="" href="#" onclick="$(this).closest('form').submit()">
						<img src="/images/2.png" alt="">
						<span>Войти</span>
					</a>
				</div>
			</div>


			<?php echo CHtml::link(t("Забыл пароль?"), Yii::app()->createUrl("recovery")); ?>
			<?php echo CHtml::link(t("Регистрация"), Yii::app()->createUrl("registration")); ?>



			<?php $this->endWidget(); ?>
		</div>
	</div>
</div>